#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1714
#define LARGE_STATE_COUNT 313
#define SYMBOL_COUNT 268
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 106

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_await = 22,
  anon_sym_in = 23,
  anon_sym_of = 24,
  anon_sym_while = 25,
  anon_sym_do = 26,
  anon_sym_try = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  anon_sym_LTtemplate_GT = 43,
  anon_sym_LT_SLASHtemplate_GT = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  sym_html_character_reference = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_LT_SLASH = 52,
  anon_sym_SLASH_GT = 53,
  anon_sym_DQUOTE = 54,
  anon_sym_SQUOTE = 55,
  sym_unescaped_double_jsx_string_fragment = 56,
  sym_unescaped_single_jsx_string_fragment = 57,
  anon_sym_class = 58,
  anon_sym_extends = 59,
  anon_sym_async = 60,
  anon_sym_function = 61,
  anon_sym_EQ_GT = 62,
  sym_optional_chain = 63,
  anon_sym_new = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_CARET_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_GT_GT_EQ = 73,
  anon_sym_GT_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_AMP_AMP_EQ = 77,
  anon_sym_PIPE_PIPE_EQ = 78,
  anon_sym_QMARK_QMARK_EQ = 79,
  anon_sym_DOT_DOT_DOT = 80,
  anon_sym_AMP_AMP = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_GT_GT = 83,
  anon_sym_GT_GT_GT = 84,
  anon_sym_LT_LT = 85,
  anon_sym_AMP = 86,
  anon_sym_CARET = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS = 89,
  anon_sym_DASH = 90,
  anon_sym_SLASH = 91,
  anon_sym_PERCENT = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_LT_EQ = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_EQ_EQ_EQ = 96,
  anon_sym_BANG_EQ = 97,
  anon_sym_BANG_EQ_EQ = 98,
  anon_sym_GT_EQ = 99,
  anon_sym_QMARK_QMARK = 100,
  anon_sym_instanceof = 101,
  anon_sym_BANG = 102,
  anon_sym_TILDE = 103,
  anon_sym_typeof = 104,
  anon_sym_void = 105,
  anon_sym_delete = 106,
  anon_sym_PLUS_PLUS = 107,
  anon_sym_DASH_DASH = 108,
  sym_unescaped_double_string_fragment = 109,
  sym_unescaped_single_string_fragment = 110,
  sym_escape_sequence = 111,
  aux_sym_comment_token1 = 112,
  anon_sym_BQUOTE = 113,
  anon_sym_DOLLAR_LBRACE = 114,
  anon_sym_SLASH2 = 115,
  sym_regex_pattern = 116,
  sym_regex_flags = 117,
  sym_number = 118,
  sym_private_property_identifier = 119,
  anon_sym_target = 120,
  sym_this = 121,
  sym_super = 122,
  sym_true = 123,
  sym_false = 124,
  sym_null = 125,
  sym_undefined = 126,
  anon_sym_AT = 127,
  anon_sym_static = 128,
  aux_sym_method_definition_token1 = 129,
  anon_sym_get = 130,
  anon_sym_set = 131,
  sym__automatic_semicolon = 132,
  sym__template_chars = 133,
  sym__ternary_qmark = 134,
  sym_html_comment = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_statement = 151,
  sym_expression_statement = 152,
  sym_variable_declaration = 153,
  sym_lexical_declaration = 154,
  sym_variable_declarator = 155,
  sym_statement_block = 156,
  sym_else_clause = 157,
  sym_if_statement = 158,
  sym_switch_statement = 159,
  sym_for_statement = 160,
  sym_for_in_statement = 161,
  sym__for_header = 162,
  sym_while_statement = 163,
  sym_do_statement = 164,
  sym_try_statement = 165,
  sym_with_statement = 166,
  sym_break_statement = 167,
  sym_continue_statement = 168,
  sym_debugger_statement = 169,
  sym_return_statement = 170,
  sym_throw_statement = 171,
  sym_empty_statement = 172,
  sym_labeled_statement = 173,
  sym_switch_body = 174,
  sym_switch_case = 175,
  sym_switch_default = 176,
  sym_catch_clause = 177,
  sym_finally_clause = 178,
  sym_parenthesized_expression = 179,
  sym_expression = 180,
  sym_primary_expression = 181,
  sym_yield_expression = 182,
  sym_object = 183,
  sym_object_pattern = 184,
  sym_assignment_pattern = 185,
  sym_object_assignment_pattern = 186,
  sym_array = 187,
  sym_array_pattern = 188,
  sym_glimmer_template = 189,
  sym_glimmer_opening_tag = 190,
  sym_glimmer_closing_tag = 191,
  sym_jsx_element = 192,
  sym_jsx_text = 193,
  sym_jsx_expression = 194,
  sym_jsx_opening_element = 195,
  sym_nested_identifier = 196,
  sym_jsx_namespace_name = 197,
  sym_jsx_closing_element = 198,
  sym_jsx_self_closing_element = 199,
  sym_jsx_attribute = 200,
  sym__jsx_string = 201,
  sym_class = 202,
  sym_class_declaration = 203,
  sym_class_heritage = 204,
  sym_function_expression = 205,
  sym_function_declaration = 206,
  sym_generator_function = 207,
  sym_generator_function_declaration = 208,
  sym_arrow_function = 209,
  sym_call_expression = 210,
  sym_new_expression = 211,
  sym_await_expression = 212,
  sym_member_expression = 213,
  sym_subscript_expression = 214,
  sym_assignment_expression = 215,
  sym__augmented_assignment_lhs = 216,
  sym_augmented_assignment_expression = 217,
  sym__initializer = 218,
  sym__destructuring_pattern = 219,
  sym_spread_element = 220,
  sym_ternary_expression = 221,
  sym_binary_expression = 222,
  sym_unary_expression = 223,
  sym_update_expression = 224,
  sym_sequence_expression = 225,
  sym_string = 226,
  sym_comment = 227,
  sym_template_string = 228,
  sym_template_substitution = 229,
  sym_regex = 230,
  sym_meta_property = 231,
  sym_arguments = 232,
  sym_decorator = 233,
  sym_decorator_member_expression = 234,
  sym_decorator_call_expression = 235,
  sym_class_body = 236,
  sym_field_definition = 237,
  sym_formal_parameters = 238,
  sym_class_static_block = 239,
  sym_pattern = 240,
  sym_rest_pattern = 241,
  sym_method_definition = 242,
  sym_pair = 243,
  sym_pair_pattern = 244,
  sym__property_name = 245,
  sym_computed_property_name = 246,
  aux_sym_program_repeat1 = 247,
  aux_sym_export_statement_repeat1 = 248,
  aux_sym_export_clause_repeat1 = 249,
  aux_sym_named_imports_repeat1 = 250,
  aux_sym_variable_declaration_repeat1 = 251,
  aux_sym_switch_body_repeat1 = 252,
  aux_sym_object_repeat1 = 253,
  aux_sym_object_pattern_repeat1 = 254,
  aux_sym_array_repeat1 = 255,
  aux_sym_array_pattern_repeat1 = 256,
  aux_sym_glimmer_template_repeat1 = 257,
  aux_sym_jsx_element_repeat1 = 258,
  aux_sym_jsx_opening_element_repeat1 = 259,
  aux_sym__jsx_string_repeat1 = 260,
  aux_sym__jsx_string_repeat2 = 261,
  aux_sym_sequence_expression_repeat1 = 262,
  aux_sym_string_repeat1 = 263,
  aux_sym_string_repeat2 = 264,
  aux_sym_template_string_repeat1 = 265,
  aux_sym_class_body_repeat1 = 266,
  aux_sym_formal_parameters_repeat1 = 267,
  alias_sym_property_identifier = 268,
  alias_sym_shorthand_property_identifier = 269,
  alias_sym_shorthand_property_identifier_pattern = 270,
  alias_sym_statement_identifier = 271,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 1},
  [41] = {.index = 18, .length = 2},
  [42] = {.index = 20, .length = 2},
  [43] = {.index = 58, .length = 3},
  [44] = {.index = 61, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 3},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_template, 0},
  [48] =
    {field_member, 0},
  [49] =
    {field_property, 0},
  [50] =
    {field_body, 2},
    {field_name, 1},
  [52] =
    {field_body, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 1},
  [55] =
    {field_arguments, 2},
    {field_constructor, 1},
  [57] =
    {field_pattern, 1},
  [58] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [61] =
    {field_object, 0},
    {field_property, 2},
  [63] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [66] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [44] = {
    [2] = alias_sym_property_identifier,
  },
  [46] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 13,
  [15] = 13,
  [16] = 12,
  [17] = 13,
  [18] = 12,
  [19] = 13,
  [20] = 12,
  [21] = 13,
  [22] = 12,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 12,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 29,
  [33] = 33,
  [34] = 33,
  [35] = 35,
  [36] = 31,
  [37] = 35,
  [38] = 30,
  [39] = 28,
  [40] = 40,
  [41] = 27,
  [42] = 42,
  [43] = 43,
  [44] = 42,
  [45] = 43,
  [46] = 46,
  [47] = 46,
  [48] = 46,
  [49] = 46,
  [50] = 46,
  [51] = 51,
  [52] = 51,
  [53] = 51,
  [54] = 51,
  [55] = 55,
  [56] = 51,
  [57] = 51,
  [58] = 51,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 67,
  [69] = 69,
  [70] = 70,
  [71] = 65,
  [72] = 72,
  [73] = 66,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 82,
  [84] = 84,
  [85] = 85,
  [86] = 85,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 88,
  [92] = 88,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 95,
  [97] = 97,
  [98] = 98,
  [99] = 98,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 103,
  [105] = 105,
  [106] = 105,
  [107] = 107,
  [108] = 108,
  [109] = 107,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 107,
  [117] = 114,
  [118] = 118,
  [119] = 119,
  [120] = 118,
  [121] = 121,
  [122] = 114,
  [123] = 123,
  [124] = 114,
  [125] = 107,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 118,
  [131] = 107,
  [132] = 111,
  [133] = 112,
  [134] = 115,
  [135] = 111,
  [136] = 118,
  [137] = 112,
  [138] = 113,
  [139] = 118,
  [140] = 105,
  [141] = 105,
  [142] = 115,
  [143] = 115,
  [144] = 112,
  [145] = 111,
  [146] = 110,
  [147] = 123,
  [148] = 105,
  [149] = 115,
  [150] = 112,
  [151] = 111,
  [152] = 114,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 160,
  [165] = 165,
  [166] = 158,
  [167] = 167,
  [168] = 156,
  [169] = 169,
  [170] = 161,
  [171] = 171,
  [172] = 172,
  [173] = 155,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 167,
  [182] = 182,
  [183] = 178,
  [184] = 184,
  [185] = 162,
  [186] = 161,
  [187] = 187,
  [188] = 154,
  [189] = 178,
  [190] = 154,
  [191] = 162,
  [192] = 192,
  [193] = 193,
  [194] = 160,
  [195] = 169,
  [196] = 196,
  [197] = 171,
  [198] = 198,
  [199] = 180,
  [200] = 172,
  [201] = 179,
  [202] = 202,
  [203] = 155,
  [204] = 174,
  [205] = 175,
  [206] = 176,
  [207] = 207,
  [208] = 177,
  [209] = 178,
  [210] = 177,
  [211] = 207,
  [212] = 179,
  [213] = 180,
  [214] = 176,
  [215] = 175,
  [216] = 174,
  [217] = 169,
  [218] = 172,
  [219] = 171,
  [220] = 161,
  [221] = 169,
  [222] = 156,
  [223] = 158,
  [224] = 158,
  [225] = 167,
  [226] = 226,
  [227] = 156,
  [228] = 184,
  [229] = 187,
  [230] = 162,
  [231] = 226,
  [232] = 232,
  [233] = 163,
  [234] = 187,
  [235] = 160,
  [236] = 171,
  [237] = 178,
  [238] = 238,
  [239] = 154,
  [240] = 172,
  [241] = 226,
  [242] = 163,
  [243] = 162,
  [244] = 184,
  [245] = 226,
  [246] = 187,
  [247] = 184,
  [248] = 167,
  [249] = 180,
  [250] = 179,
  [251] = 160,
  [252] = 158,
  [253] = 156,
  [254] = 169,
  [255] = 177,
  [256] = 161,
  [257] = 176,
  [258] = 171,
  [259] = 172,
  [260] = 154,
  [261] = 261,
  [262] = 155,
  [263] = 174,
  [264] = 175,
  [265] = 157,
  [266] = 176,
  [267] = 177,
  [268] = 175,
  [269] = 179,
  [270] = 174,
  [271] = 180,
  [272] = 167,
  [273] = 155,
  [274] = 184,
  [275] = 187,
  [276] = 226,
  [277] = 277,
  [278] = 277,
  [279] = 277,
  [280] = 280,
  [281] = 280,
  [282] = 282,
  [283] = 282,
  [284] = 282,
  [285] = 285,
  [286] = 286,
  [287] = 286,
  [288] = 285,
  [289] = 286,
  [290] = 285,
  [291] = 291,
  [292] = 292,
  [293] = 69,
  [294] = 60,
  [295] = 291,
  [296] = 296,
  [297] = 297,
  [298] = 70,
  [299] = 299,
  [300] = 291,
  [301] = 299,
  [302] = 291,
  [303] = 296,
  [304] = 291,
  [305] = 291,
  [306] = 306,
  [307] = 306,
  [308] = 306,
  [309] = 309,
  [310] = 63,
  [311] = 311,
  [312] = 309,
  [313] = 63,
  [314] = 314,
  [315] = 314,
  [316] = 69,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 70,
  [326] = 60,
  [327] = 327,
  [328] = 299,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 291,
  [333] = 74,
  [334] = 78,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 297,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 291,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 339,
  [400] = 291,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 404,
  [406] = 404,
  [407] = 336,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 336,
  [421] = 419,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 417,
  [427] = 427,
  [428] = 417,
  [429] = 429,
  [430] = 419,
  [431] = 419,
  [432] = 432,
  [433] = 417,
  [434] = 336,
  [435] = 435,
  [436] = 419,
  [437] = 414,
  [438] = 438,
  [439] = 432,
  [440] = 419,
  [441] = 441,
  [442] = 442,
  [443] = 410,
  [444] = 414,
  [445] = 429,
  [446] = 413,
  [447] = 438,
  [448] = 442,
  [449] = 415,
  [450] = 417,
  [451] = 417,
  [452] = 412,
  [453] = 411,
  [454] = 454,
  [455] = 455,
  [456] = 408,
  [457] = 414,
  [458] = 414,
  [459] = 459,
  [460] = 441,
  [461] = 461,
  [462] = 435,
  [463] = 463,
  [464] = 461,
  [465] = 438,
  [466] = 417,
  [467] = 463,
  [468] = 419,
  [469] = 429,
  [470] = 454,
  [471] = 455,
  [472] = 419,
  [473] = 417,
  [474] = 417,
  [475] = 419,
  [476] = 461,
  [477] = 459,
  [478] = 414,
  [479] = 479,
  [480] = 480,
  [481] = 55,
  [482] = 482,
  [483] = 483,
  [484] = 69,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 60,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 63,
  [494] = 494,
  [495] = 74,
  [496] = 482,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 78,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 60,
  [506] = 480,
  [507] = 69,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 63,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 479,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 74,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 70,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 70,
  [558] = 78,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 485,
  [587] = 494,
  [588] = 527,
  [589] = 508,
  [590] = 504,
  [591] = 547,
  [592] = 491,
  [593] = 483,
  [594] = 533,
  [595] = 530,
  [596] = 596,
  [597] = 538,
  [598] = 55,
  [599] = 583,
  [600] = 540,
  [601] = 601,
  [602] = 578,
  [603] = 528,
  [604] = 577,
  [605] = 576,
  [606] = 547,
  [607] = 574,
  [608] = 608,
  [609] = 609,
  [610] = 573,
  [611] = 572,
  [612] = 570,
  [613] = 554,
  [614] = 614,
  [615] = 569,
  [616] = 568,
  [617] = 567,
  [618] = 618,
  [619] = 554,
  [620] = 528,
  [621] = 486,
  [622] = 540,
  [623] = 562,
  [624] = 513,
  [625] = 508,
  [626] = 504,
  [627] = 487,
  [628] = 515,
  [629] = 530,
  [630] = 583,
  [631] = 488,
  [632] = 55,
  [633] = 578,
  [634] = 577,
  [635] = 576,
  [636] = 485,
  [637] = 574,
  [638] = 573,
  [639] = 490,
  [640] = 572,
  [641] = 570,
  [642] = 533,
  [643] = 569,
  [644] = 488,
  [645] = 568,
  [646] = 567,
  [647] = 647,
  [648] = 491,
  [649] = 649,
  [650] = 527,
  [651] = 562,
  [652] = 515,
  [653] = 490,
  [654] = 513,
  [655] = 483,
  [656] = 656,
  [657] = 657,
  [658] = 531,
  [659] = 529,
  [660] = 660,
  [661] = 526,
  [662] = 525,
  [663] = 663,
  [664] = 514,
  [665] = 524,
  [666] = 666,
  [667] = 663,
  [668] = 668,
  [669] = 669,
  [670] = 523,
  [671] = 596,
  [672] = 545,
  [673] = 516,
  [674] = 559,
  [675] = 675,
  [676] = 675,
  [677] = 563,
  [678] = 539,
  [679] = 565,
  [680] = 680,
  [681] = 681,
  [682] = 584,
  [683] = 582,
  [684] = 581,
  [685] = 657,
  [686] = 580,
  [687] = 64,
  [688] = 579,
  [689] = 689,
  [690] = 566,
  [691] = 691,
  [692] = 535,
  [693] = 693,
  [694] = 556,
  [695] = 522,
  [696] = 571,
  [697] = 697,
  [698] = 549,
  [699] = 699,
  [700] = 553,
  [701] = 546,
  [702] = 544,
  [703] = 542,
  [704] = 500,
  [705] = 555,
  [706] = 62,
  [707] = 488,
  [708] = 483,
  [709] = 689,
  [710] = 502,
  [711] = 76,
  [712] = 503,
  [713] = 79,
  [714] = 497,
  [715] = 498,
  [716] = 693,
  [717] = 499,
  [718] = 564,
  [719] = 483,
  [720] = 77,
  [721] = 75,
  [722] = 521,
  [723] = 668,
  [724] = 72,
  [725] = 561,
  [726] = 560,
  [727] = 727,
  [728] = 550,
  [729] = 534,
  [730] = 551,
  [731] = 731,
  [732] = 552,
  [733] = 61,
  [734] = 575,
  [735] = 735,
  [736] = 520,
  [737] = 737,
  [738] = 691,
  [739] = 549,
  [740] = 519,
  [741] = 548,
  [742] = 518,
  [743] = 666,
  [744] = 532,
  [745] = 485,
  [746] = 509,
  [747] = 490,
  [748] = 668,
  [749] = 488,
  [750] = 668,
  [751] = 543,
  [752] = 693,
  [753] = 510,
  [754] = 492,
  [755] = 537,
  [756] = 511,
  [757] = 490,
  [758] = 485,
  [759] = 570,
  [760] = 567,
  [761] = 513,
  [762] = 504,
  [763] = 515,
  [764] = 764,
  [765] = 765,
  [766] = 680,
  [767] = 540,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 547,
  [772] = 772,
  [773] = 528,
  [774] = 554,
  [775] = 562,
  [776] = 568,
  [777] = 569,
  [778] = 778,
  [779] = 572,
  [780] = 573,
  [781] = 574,
  [782] = 508,
  [783] = 527,
  [784] = 576,
  [785] = 491,
  [786] = 533,
  [787] = 577,
  [788] = 530,
  [789] = 583,
  [790] = 578,
  [791] = 528,
  [792] = 554,
  [793] = 485,
  [794] = 488,
  [795] = 675,
  [796] = 562,
  [797] = 515,
  [798] = 798,
  [799] = 798,
  [800] = 513,
  [801] = 504,
  [802] = 802,
  [803] = 540,
  [804] = 508,
  [805] = 805,
  [806] = 527,
  [807] = 491,
  [808] = 490,
  [809] = 798,
  [810] = 576,
  [811] = 547,
  [812] = 567,
  [813] = 568,
  [814] = 798,
  [815] = 596,
  [816] = 533,
  [817] = 530,
  [818] = 583,
  [819] = 802,
  [820] = 569,
  [821] = 570,
  [822] = 578,
  [823] = 577,
  [824] = 572,
  [825] = 798,
  [826] = 573,
  [827] = 574,
  [828] = 828,
  [829] = 485,
  [830] = 830,
  [831] = 830,
  [832] = 483,
  [833] = 549,
  [834] = 830,
  [835] = 737,
  [836] = 830,
  [837] = 830,
  [838] = 490,
  [839] = 488,
  [840] = 828,
  [841] = 830,
  [842] = 830,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 845,
  [847] = 845,
  [848] = 848,
  [849] = 844,
  [850] = 844,
  [851] = 844,
  [852] = 845,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 855,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 859,
  [861] = 859,
  [862] = 858,
  [863] = 858,
  [864] = 859,
  [865] = 859,
  [866] = 858,
  [867] = 858,
  [868] = 859,
  [869] = 858,
  [870] = 858,
  [871] = 859,
  [872] = 872,
  [873] = 873,
  [874] = 873,
  [875] = 873,
  [876] = 873,
  [877] = 873,
  [878] = 873,
  [879] = 873,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 60,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 69,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 520,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 70,
  [942] = 63,
  [943] = 943,
  [944] = 580,
  [945] = 945,
  [946] = 519,
  [947] = 947,
  [948] = 948,
  [949] = 886,
  [950] = 891,
  [951] = 951,
  [952] = 886,
  [953] = 893,
  [954] = 948,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 958,
  [961] = 961,
  [962] = 919,
  [963] = 963,
  [964] = 556,
  [965] = 965,
  [966] = 906,
  [967] = 961,
  [968] = 510,
  [969] = 963,
  [970] = 970,
  [971] = 918,
  [972] = 922,
  [973] = 973,
  [974] = 904,
  [975] = 975,
  [976] = 976,
  [977] = 970,
  [978] = 959,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 976,
  [983] = 524,
  [984] = 984,
  [985] = 985,
  [986] = 979,
  [987] = 973,
  [988] = 985,
  [989] = 922,
  [990] = 980,
  [991] = 957,
  [992] = 981,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 994,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1002,
  [1004] = 1001,
  [1005] = 995,
  [1006] = 1006,
  [1007] = 1006,
  [1008] = 1001,
  [1009] = 1001,
  [1010] = 1001,
  [1011] = 993,
  [1012] = 1000,
  [1013] = 999,
  [1014] = 996,
  [1015] = 997,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1016,
  [1019] = 1016,
  [1020] = 1020,
  [1021] = 1017,
  [1022] = 1016,
  [1023] = 1017,
  [1024] = 1017,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1026,
  [1028] = 1026,
  [1029] = 1026,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1031,
  [1033] = 1030,
  [1034] = 1030,
  [1035] = 1031,
  [1036] = 1030,
  [1037] = 1031,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1043,
  [1046] = 1043,
  [1047] = 1047,
  [1048] = 1047,
  [1049] = 1039,
  [1050] = 1040,
  [1051] = 1038,
  [1052] = 1047,
  [1053] = 1038,
  [1054] = 1043,
  [1055] = 1038,
  [1056] = 1039,
  [1057] = 1039,
  [1058] = 1040,
  [1059] = 1040,
  [1060] = 1047,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1063,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1063,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1063,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1063,
  [1078] = 1063,
  [1079] = 1063,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 518,
  [1093] = 581,
  [1094] = 582,
  [1095] = 1095,
  [1096] = 1074,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 548,
  [1100] = 543,
  [1101] = 492,
  [1102] = 537,
  [1103] = 502,
  [1104] = 1104,
  [1105] = 523,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 494,
  [1110] = 1066,
  [1111] = 1106,
  [1112] = 1112,
  [1113] = 1071,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1080,
  [1117] = 1117,
  [1118] = 538,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1124,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1129,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1076,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1069,
  [1142] = 502,
  [1143] = 1134,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 523,
  [1147] = 537,
  [1148] = 492,
  [1149] = 543,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 538,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 548,
  [1158] = 582,
  [1159] = 1159,
  [1160] = 1156,
  [1161] = 581,
  [1162] = 1156,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 518,
  [1167] = 1167,
  [1168] = 1137,
  [1169] = 1156,
  [1170] = 1170,
  [1171] = 494,
  [1172] = 1164,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1145,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1173,
  [1179] = 1177,
  [1180] = 1150,
  [1181] = 1159,
  [1182] = 1170,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1183,
  [1186] = 1186,
  [1187] = 1159,
  [1188] = 1159,
  [1189] = 1184,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1200,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1202,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1117,
  [1214] = 1214,
  [1215] = 1197,
  [1216] = 1216,
  [1217] = 1214,
  [1218] = 1218,
  [1219] = 1126,
  [1220] = 1206,
  [1221] = 1221,
  [1222] = 1209,
  [1223] = 1216,
  [1224] = 1174,
  [1225] = 1225,
  [1226] = 1210,
  [1227] = 1195,
  [1228] = 1198,
  [1229] = 1229,
  [1230] = 1229,
  [1231] = 1193,
  [1232] = 1204,
  [1233] = 1233,
  [1234] = 1202,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1218,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1243,
  [1245] = 1200,
  [1246] = 1246,
  [1247] = 1209,
  [1248] = 1210,
  [1249] = 1200,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1202,
  [1253] = 1193,
  [1254] = 1225,
  [1255] = 1206,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1123,
  [1261] = 1261,
  [1262] = 1250,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1209,
  [1266] = 1210,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1119,
  [1271] = 1132,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1275,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1297,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 335,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1287,
  [1314] = 1277,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1276,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1296,
  [1330] = 1330,
  [1331] = 1321,
  [1332] = 1286,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1321,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1325,
  [1341] = 1327,
  [1342] = 1302,
  [1343] = 1322,
  [1344] = 1276,
  [1345] = 1321,
  [1346] = 1334,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1274,
  [1352] = 1325,
  [1353] = 1315,
  [1354] = 1316,
  [1355] = 1327,
  [1356] = 1356,
  [1357] = 1330,
  [1358] = 1305,
  [1359] = 1359,
  [1360] = 1316,
  [1361] = 1349,
  [1362] = 1349,
  [1363] = 1347,
  [1364] = 1275,
  [1365] = 1299,
  [1366] = 1291,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1308,
  [1371] = 1307,
  [1372] = 1299,
  [1373] = 1306,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1199,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1389,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 559,
  [1414] = 563,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 509,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1408,
  [1429] = 1408,
  [1430] = 1410,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1412,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1416,
  [1440] = 1440,
  [1441] = 1418,
  [1442] = 1421,
  [1443] = 1443,
  [1444] = 1408,
  [1445] = 1445,
  [1446] = 1410,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1376,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1410,
  [1462] = 1462,
  [1463] = 1437,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1378,
  [1468] = 1468,
  [1469] = 1381,
  [1470] = 1470,
  [1471] = 1377,
  [1472] = 1385,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1380,
  [1479] = 1374,
  [1480] = 1480,
  [1481] = 1455,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1445,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1386,
  [1491] = 1491,
  [1492] = 1464,
  [1493] = 1453,
  [1494] = 1494,
  [1495] = 1379,
  [1496] = 1496,
  [1497] = 1404,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1448,
  [1503] = 1411,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1431,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1383,
  [1516] = 1489,
  [1517] = 1517,
  [1518] = 1449,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1419,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1438,
  [1525] = 1384,
  [1526] = 1526,
  [1527] = 1440,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1391,
  [1532] = 1528,
  [1533] = 1529,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1485,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1451,
  [1542] = 1535,
  [1543] = 1450,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1458,
  [1547] = 1494,
  [1548] = 1496,
  [1549] = 1499,
  [1550] = 1500,
  [1551] = 1501,
  [1552] = 1552,
  [1553] = 1536,
  [1554] = 1375,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1480,
  [1558] = 1558,
  [1559] = 1539,
  [1560] = 1540,
  [1561] = 1407,
  [1562] = 1423,
  [1563] = 1424,
  [1564] = 1427,
  [1565] = 1432,
  [1566] = 1434,
  [1567] = 1443,
  [1568] = 1447,
  [1569] = 1454,
  [1570] = 1456,
  [1571] = 1460,
  [1572] = 1462,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1511,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1221,
  [1584] = 1584,
  [1585] = 1392,
  [1586] = 1586,
  [1587] = 1470,
  [1588] = 1577,
  [1589] = 1555,
  [1590] = 1523,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1573,
  [1595] = 1394,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1477,
  [1600] = 1600,
  [1601] = 1484,
  [1602] = 1517,
  [1603] = 1603,
  [1604] = 1584,
  [1605] = 1586,
  [1606] = 1405,
  [1607] = 1457,
  [1608] = 1592,
  [1609] = 1582,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1578,
  [1613] = 1581,
  [1614] = 1579,
  [1615] = 1611,
  [1616] = 1616,
  [1617] = 1580,
  [1618] = 1616,
  [1619] = 1597,
  [1620] = 1598,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1631,
  [1633] = 1633,
  [1634] = 1627,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1626,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1627,
  [1649] = 1649,
  [1650] = 1635,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1624,
  [1658] = 1623,
  [1659] = 1629,
  [1660] = 1660,
  [1661] = 1246,
  [1662] = 1631,
  [1663] = 1663,
  [1664] = 1631,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1660,
  [1668] = 1668,
  [1669] = 1641,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1670,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1621,
  [1679] = 1670,
  [1680] = 1672,
  [1681] = 1673,
  [1682] = 1682,
  [1683] = 1670,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1629,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1627,
  [1692] = 1626,
  [1693] = 1621,
  [1694] = 1629,
  [1695] = 1660,
  [1696] = 1626,
  [1697] = 1624,
  [1698] = 1623,
  [1699] = 1660,
  [1700] = 1623,
  [1701] = 1624,
  [1702] = 1641,
  [1703] = 1641,
  [1704] = 1624,
  [1705] = 1623,
  [1706] = 1660,
  [1707] = 1626,
  [1708] = 1627,
  [1709] = 1663,
  [1710] = 1655,
  [1711] = 1621,
  [1712] = 1629,
  [1713] = 1713,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(149);
      ADVANCE_MAP(
        '!', 268,
        '"', 201,
        '#', 7,
        '$', 315,
        '%', 256,
        '&', 243,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 152,
        '+', 250,
        ',', 155,
        '-', 252,
        '.', 197,
        '/', 295,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 187,
        '=', 163,
        '>', 193,
        '?', 34,
        '@', 319,
        '[', 165,
        '\\', 103,
        ']', 166,
        '^', 246,
        '`', 293,
        's', 313,
        '{', 154,
        '|', 247,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(146);
      if (lookahead > '@') ADVANCE(317);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(320);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(23);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '<') ADVANCE(186);
      if (lookahead == '{') ADVANCE(154);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '<') ADVANCE(170);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(169);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(39);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(145);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(296);
      if (lookahead != 0) ADVANCE(297);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        ' ', 6,
        '*', 176,
        '\n', 30,
        '&', 30,
        '<', 30,
        '>', 30,
        '{', 30,
        '}', 30,
      );
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(104);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(318);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 267,
        '"', 201,
        '#', 83,
        '\'', 202,
        '(', 157,
        '*', 151,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 33,
        '/', 253,
        '0', 300,
        ';', 159,
        '<', 191,
        '@', 319,
        '[', 165,
        '\\', 105,
        '`', 293,
        's', 313,
        '{', 154,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 267,
        '"', 201,
        '#', 83,
        '\'', 202,
        '(', 157,
        '+', 249,
        '-', 251,
        '.', 198,
        '/', 253,
        '0', 300,
        ':', 160,
        '<', 191,
        '>', 192,
        '@', 319,
        '[', 165,
        '\\', 105,
        '`', 293,
        '{', 154,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 79,
        '"', 201,
        '#', 83,
        '%', 256,
        '&', 243,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 152,
        '+', 250,
        ',', 155,
        '-', 252,
        '.', 198,
        '/', 254,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 188,
        '=', 163,
        '>', 193,
        '?', 34,
        '@', 319,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 246,
        '`', 293,
        '{', 154,
        '|', 247,
        '}', 156,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 79,
        '%', 255,
        '&', 244,
        '(', 157,
        ')', 158,
        '*', 153,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 196,
        '/', 253,
        ':', 160,
        ';', 159,
        '<', 189,
        '=', 162,
        '>', 194,
        '?', 35,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 245,
        '`', 293,
        '{', 154,
        '|', 248,
        '}', 156,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 79,
        '%', 255,
        '&', 244,
        '(', 157,
        ')', 158,
        '*', 153,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 196,
        '/', 253,
        ':', 160,
        ';', 159,
        '<', 189,
        '=', 80,
        '>', 194,
        '?', 35,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 245,
        '`', 293,
        '{', 154,
        '|', 248,
        '}', 156,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(298);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 79,
        '%', 255,
        '&', 244,
        '(', 157,
        ')', 158,
        '*', 153,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 196,
        '/', 253,
        ':', 160,
        ';', 159,
        '<', 189,
        '=', 80,
        '>', 194,
        '?', 35,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 245,
        '`', 293,
        '{', 154,
        '|', 248,
        '}', 156,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 201,
        '#', 83,
        '\'', 202,
        '(', 157,
        '*', 151,
        '.', 198,
        '/', 27,
        '0', 300,
        '<', 185,
        '@', 319,
        '[', 165,
        '\\', 105,
        's', 313,
        '{', 154,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(201);
      if (lookahead == '&') ADVANCE(19);
      if (lookahead == '/') ADVANCE(204);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(203);
      if (lookahead != 0) ADVANCE(205);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(201);
      if (lookahead == '/') ADVANCE(27);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(201);
      if (lookahead == '/') ADVANCE(272);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(16);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(275);
      if (lookahead != 0) ADVANCE(277);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      if (lookahead != 0) ADVANCE(205);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      if (lookahead != 0) ADVANCE(211);
      END_STATE();
    case 21:
      if (lookahead == '$') ADVANCE(107);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '`') ADVANCE(293);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(22);
      END_STATE();
    case 22:
      if (lookahead == '$') ADVANCE(107);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '`') ADVANCE(293);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(22);
      END_STATE();
    case 23:
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '<') ADVANCE(186);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(23);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 24:
      if (lookahead == '&') ADVANCE(20);
      if (lookahead == '\'') ADVANCE(202);
      if (lookahead == '/') ADVANCE(210);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(209);
      if (lookahead != 0) ADVANCE(211);
      END_STATE();
    case 25:
      if (lookahead == '\'') ADVANCE(202);
      if (lookahead == '/') ADVANCE(27);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(25);
      END_STATE();
    case 26:
      if (lookahead == '\'') ADVANCE(202);
      if (lookahead == '/') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(25);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(281);
      if (lookahead != 0) ADVANCE(283);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(289);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 31:
      if (lookahead == '*') ADVANCE(206);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      if (lookahead != 0) ADVANCE(207);
      END_STATE();
    case 32:
      if (lookahead == '*') ADVANCE(212);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(216);
      if (lookahead == '?') ADVANCE(266);
      END_STATE();
    case 35:
      if (lookahead == '.') ADVANCE(216);
      if (lookahead == '?') ADVANCE(265);
      END_STATE();
    case 36:
      if (lookahead == '.') ADVANCE(232);
      END_STATE();
    case 37:
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == ':') ADVANCE(160);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(192);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '{') ADVANCE(154);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(37);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(309);
      if (lookahead > '~') ADVANCE(317);
      END_STATE();
    case 38:
      if (lookahead == '/') ADVANCE(295);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(39);
      END_STATE();
    case 39:
      if (lookahead == '/') ADVANCE(27);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(39);
      END_STATE();
    case 40:
      if (lookahead == ';') ADVANCE(184);
      END_STATE();
    case 41:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(40);
      END_STATE();
    case 42:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(40);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 80:
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 81:
      if (lookahead == '>') ADVANCE(171);
      END_STATE();
    case 82:
      if (lookahead == '>') ADVANCE(172);
      END_STATE();
    case 83:
      if (lookahead == '\\') ADVANCE(104);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(318);
      END_STATE();
    case 84:
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead == ']') ADVANCE(297);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 92:
      if (lookahead == 'g') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(92);
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(85);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 95:
      if (lookahead == 'm') ADVANCE(97);
      END_STATE();
    case 96:
      if (lookahead == 'm') ADVANCE(98);
      END_STATE();
    case 97:
      if (lookahead == 'p') ADVANCE(93);
      END_STATE();
    case 98:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 101:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(108);
      if (lookahead == 'x') ADVANCE(134);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(288);
      if (lookahead != 0) ADVANCE(284);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(109);
      END_STATE();
    case 105:
      if (lookahead == 'u') ADVANCE(110);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(111);
      if (lookahead == 'x') ADVANCE(134);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(288);
      if (lookahead != 0) ADVANCE(284);
      END_STATE();
    case 107:
      if (lookahead == '{') ADVANCE(294);
      END_STATE();
    case 108:
      if (lookahead == '{') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      END_STATE();
    case 109:
      if (lookahead == '{') ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 110:
      if (lookahead == '{') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(141);
      END_STATE();
    case 111:
      if (lookahead == '{') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == '}') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 113:
      if (lookahead == '}') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 114:
      if (lookahead == '}') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 115:
      if (lookahead == '}') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 116:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 117:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(44);
      END_STATE();
    case 118:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(303);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(304);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(301);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(284);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(305);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(285);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 138:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 139:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 140:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 141:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(138);
      END_STATE();
    case 142:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(205);
      END_STATE();
    case 143:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(211);
      END_STATE();
    case 144:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 145:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(297);
      END_STATE();
    case 146:
      if (eof) ADVANCE(149);
      ADVANCE_MAP(
        '!', 268,
        '"', 201,
        '#', 7,
        '$', 315,
        '%', 256,
        '&', 243,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 152,
        '+', 250,
        ',', 155,
        '-', 252,
        '.', 197,
        '/', 254,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 187,
        '=', 163,
        '>', 193,
        '?', 34,
        '@', 319,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 246,
        '`', 293,
        's', 313,
        '{', 154,
        '|', 247,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(146);
      if (lookahead > '@') ADVANCE(317);
      END_STATE();
    case 147:
      if (eof) ADVANCE(149);
      ADVANCE_MAP(
        '!', 268,
        '"', 201,
        '#', 83,
        '%', 255,
        '&', 244,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 153,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 198,
        '/', 253,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 190,
        '=', 162,
        '>', 194,
        '?', 35,
        '@', 319,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 245,
        '`', 293,
        '{', 154,
        '|', 248,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(147);
      if (lookahead > '#') ADVANCE(317);
      END_STATE();
    case 148:
      if (eof) ADVANCE(149);
      ADVANCE_MAP(
        '!', 267,
        '"', 201,
        '#', 7,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 151,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 33,
        '/', 253,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 191,
        '=', 164,
        '>', 192,
        '@', 319,
        '[', 165,
        '\\', 105,
        ']', 166,
        '`', 293,
        '{', 154,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(148);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(257);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '<') ADVANCE(170);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(169);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(167);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(102);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '/') ADVANCE(173);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 6,
        '*', 176,
        '/', 174,
        '\n', 30,
        '&', 30,
        '<', 30,
        '>', 30,
        '{', 30,
        '}', 30,
      );
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 6,
        '*', 176,
        '\n', 30,
        '&', 30,
        '<', 30,
        '>', 30,
        '{', 30,
        '}', 30,
      );
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 180,
        '\r', 179,
        0x2028, 179,
        0x2029, 179,
        '&', 182,
        '<', 182,
        '>', 182,
        '{', 182,
        '}', 182,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(181);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      ADVANCE_MAP(
        ' ', 180,
        '\r', 179,
        0x2028, 179,
        0x2029, 179,
        '&', 182,
        '<', 182,
        '>', 182,
        '{', 182,
        '}', 182,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(178);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(181);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(179);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(199);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead == '<') ADVANCE(242);
      if (lookahead == '=') ADVANCE(259);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(242);
      if (lookahead == '=') ADVANCE(259);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(241);
      if (lookahead == '=') ADVANCE(259);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(241);
      if (lookahead == '=') ADVANCE(259);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(264);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(264);
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(195);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(19);
      if (lookahead == '/') ADVANCE(204);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(142);
      if (lookahead == '*') ADVANCE(207);
      if (lookahead == '/') ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(31);
      if (lookahead == '*') ADVANCE(206);
      if (lookahead == '/') ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(207);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(31);
      if (lookahead == '*') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(207);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(290);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(208);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(20);
      if (lookahead == '/') ADVANCE(210);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(143);
      if (lookahead == '*') ADVANCE(213);
      if (lookahead == '/') ADVANCE(214);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(32);
      if (lookahead == '*') ADVANCE(212);
      if (lookahead == '/') ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(213);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(32);
      if (lookahead == '*') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(213);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(214);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(225);
      if (lookahead == '>') ADVANCE(240);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(239);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(226);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(227);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(234);
      if (lookahead == '=') ADVANCE(223);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(233);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(222);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '|') ADVANCE(236);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(235);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(270);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(270);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(271);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(271);
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(221);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(228);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(263);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(231);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(274);
      if (lookahead == '/') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(277);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(273);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(274);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(273);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(274);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(272);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(275);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(277);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(276);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(277);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(280);
      if (lookahead == '/') ADVANCE(282);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(283);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(279);
      if (lookahead == '/') ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(279);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(278);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(281);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(283);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(282);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(283);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(105);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(284);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(284);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(287);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(205);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(292);
      if (lookahead != 0) ADVANCE(208);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(211);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(292);
      if (lookahead != 0) ADVANCE(214);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(39);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(145);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(296);
      if (lookahead != 0) ADVANCE(297);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(297);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(105);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(298);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 308,
        '0', 302,
        '_', 122,
        'n', 299,
        'B', 118,
        'b', 118,
        'E', 116,
        'e', 116,
        'O', 119,
        'o', 119,
        'X', 127,
        'x', 127,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(308);
      if (lookahead == '_') ADVANCE(120);
      if (lookahead == 'n') ADVANCE(299);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(301);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(122);
      if (lookahead == 'n') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(118);
      if (lookahead == 'n') ADVANCE(299);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(119);
      if (lookahead == 'n') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(304);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(127);
      if (lookahead == 'n') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(121);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(309);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'a') ADVANCE(314);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'c') ADVANCE(316);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'i') ADVANCE(311);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 't') ADVANCE(310);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 't') ADVANCE(312);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '{') ADVANCE(294);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(92);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(104);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(320);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'n', 10,
        'o', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'w', 17,
        'y', 18,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 148, .external_lex_state = 2},
  [2] = {.lex_state = 8, .external_lex_state = 2},
  [3] = {.lex_state = 8, .external_lex_state = 2},
  [4] = {.lex_state = 8, .external_lex_state = 2},
  [5] = {.lex_state = 8, .external_lex_state = 2},
  [6] = {.lex_state = 8, .external_lex_state = 2},
  [7] = {.lex_state = 148, .external_lex_state = 2},
  [8] = {.lex_state = 148, .external_lex_state = 2},
  [9] = {.lex_state = 148, .external_lex_state = 2},
  [10] = {.lex_state = 148, .external_lex_state = 2},
  [11] = {.lex_state = 148, .external_lex_state = 2},
  [12] = {.lex_state = 148, .external_lex_state = 2},
  [13] = {.lex_state = 148, .external_lex_state = 2},
  [14] = {.lex_state = 148, .external_lex_state = 2},
  [15] = {.lex_state = 148, .external_lex_state = 2},
  [16] = {.lex_state = 148, .external_lex_state = 2},
  [17] = {.lex_state = 148, .external_lex_state = 2},
  [18] = {.lex_state = 148, .external_lex_state = 2},
  [19] = {.lex_state = 148, .external_lex_state = 2},
  [20] = {.lex_state = 148, .external_lex_state = 2},
  [21] = {.lex_state = 148, .external_lex_state = 2},
  [22] = {.lex_state = 148, .external_lex_state = 2},
  [23] = {.lex_state = 148, .external_lex_state = 2},
  [24] = {.lex_state = 148, .external_lex_state = 2},
  [25] = {.lex_state = 148, .external_lex_state = 2},
  [26] = {.lex_state = 148, .external_lex_state = 2},
  [27] = {.lex_state = 148, .external_lex_state = 2},
  [28] = {.lex_state = 148, .external_lex_state = 2},
  [29] = {.lex_state = 148, .external_lex_state = 2},
  [30] = {.lex_state = 148, .external_lex_state = 2},
  [31] = {.lex_state = 148, .external_lex_state = 2},
  [32] = {.lex_state = 148, .external_lex_state = 2},
  [33] = {.lex_state = 148, .external_lex_state = 2},
  [34] = {.lex_state = 148, .external_lex_state = 2},
  [35] = {.lex_state = 148, .external_lex_state = 2},
  [36] = {.lex_state = 148, .external_lex_state = 2},
  [37] = {.lex_state = 148, .external_lex_state = 2},
  [38] = {.lex_state = 148, .external_lex_state = 2},
  [39] = {.lex_state = 148, .external_lex_state = 2},
  [40] = {.lex_state = 148, .external_lex_state = 2},
  [41] = {.lex_state = 148, .external_lex_state = 2},
  [42] = {.lex_state = 148, .external_lex_state = 2},
  [43] = {.lex_state = 148, .external_lex_state = 2},
  [44] = {.lex_state = 148, .external_lex_state = 2},
  [45] = {.lex_state = 148, .external_lex_state = 2},
  [46] = {.lex_state = 147, .external_lex_state = 3},
  [47] = {.lex_state = 147, .external_lex_state = 4},
  [48] = {.lex_state = 147, .external_lex_state = 4},
  [49] = {.lex_state = 147, .external_lex_state = 3},
  [50] = {.lex_state = 147, .external_lex_state = 3},
  [51] = {.lex_state = 148, .external_lex_state = 2},
  [52] = {.lex_state = 148, .external_lex_state = 2},
  [53] = {.lex_state = 148, .external_lex_state = 2},
  [54] = {.lex_state = 148, .external_lex_state = 2},
  [55] = {.lex_state = 147, .external_lex_state = 4},
  [56] = {.lex_state = 148, .external_lex_state = 2},
  [57] = {.lex_state = 148, .external_lex_state = 2},
  [58] = {.lex_state = 148, .external_lex_state = 2},
  [59] = {.lex_state = 148, .external_lex_state = 2},
  [60] = {.lex_state = 147, .external_lex_state = 4},
  [61] = {.lex_state = 147, .external_lex_state = 4},
  [62] = {.lex_state = 147, .external_lex_state = 4},
  [63] = {.lex_state = 147, .external_lex_state = 4},
  [64] = {.lex_state = 147, .external_lex_state = 4},
  [65] = {.lex_state = 148, .external_lex_state = 2},
  [66] = {.lex_state = 148, .external_lex_state = 2},
  [67] = {.lex_state = 148, .external_lex_state = 2},
  [68] = {.lex_state = 148, .external_lex_state = 2},
  [69] = {.lex_state = 147, .external_lex_state = 4},
  [70] = {.lex_state = 147, .external_lex_state = 4},
  [71] = {.lex_state = 148, .external_lex_state = 2},
  [72] = {.lex_state = 147, .external_lex_state = 4},
  [73] = {.lex_state = 148, .external_lex_state = 2},
  [74] = {.lex_state = 147, .external_lex_state = 4},
  [75] = {.lex_state = 147, .external_lex_state = 4},
  [76] = {.lex_state = 147, .external_lex_state = 4},
  [77] = {.lex_state = 147, .external_lex_state = 4},
  [78] = {.lex_state = 147, .external_lex_state = 4},
  [79] = {.lex_state = 147, .external_lex_state = 4},
  [80] = {.lex_state = 148, .external_lex_state = 2},
  [81] = {.lex_state = 148, .external_lex_state = 2},
  [82] = {.lex_state = 148, .external_lex_state = 2},
  [83] = {.lex_state = 148, .external_lex_state = 2},
  [84] = {.lex_state = 148, .external_lex_state = 2},
  [85] = {.lex_state = 148, .external_lex_state = 2},
  [86] = {.lex_state = 148, .external_lex_state = 2},
  [87] = {.lex_state = 148, .external_lex_state = 2},
  [88] = {.lex_state = 148, .external_lex_state = 2},
  [89] = {.lex_state = 148, .external_lex_state = 2},
  [90] = {.lex_state = 148, .external_lex_state = 2},
  [91] = {.lex_state = 148, .external_lex_state = 2},
  [92] = {.lex_state = 148, .external_lex_state = 2},
  [93] = {.lex_state = 148, .external_lex_state = 2},
  [94] = {.lex_state = 148, .external_lex_state = 2},
  [95] = {.lex_state = 148, .external_lex_state = 2},
  [96] = {.lex_state = 148, .external_lex_state = 2},
  [97] = {.lex_state = 148, .external_lex_state = 2},
  [98] = {.lex_state = 148, .external_lex_state = 2},
  [99] = {.lex_state = 148, .external_lex_state = 2},
  [100] = {.lex_state = 148, .external_lex_state = 2},
  [101] = {.lex_state = 148, .external_lex_state = 5},
  [102] = {.lex_state = 148, .external_lex_state = 2},
  [103] = {.lex_state = 148, .external_lex_state = 2},
  [104] = {.lex_state = 148, .external_lex_state = 2},
  [105] = {.lex_state = 148, .external_lex_state = 2},
  [106] = {.lex_state = 148, .external_lex_state = 2},
  [107] = {.lex_state = 148, .external_lex_state = 2},
  [108] = {.lex_state = 148, .external_lex_state = 2},
  [109] = {.lex_state = 148, .external_lex_state = 2},
  [110] = {.lex_state = 148, .external_lex_state = 2},
  [111] = {.lex_state = 148, .external_lex_state = 2},
  [112] = {.lex_state = 148, .external_lex_state = 2},
  [113] = {.lex_state = 148, .external_lex_state = 2},
  [114] = {.lex_state = 148, .external_lex_state = 2},
  [115] = {.lex_state = 148, .external_lex_state = 2},
  [116] = {.lex_state = 148, .external_lex_state = 2},
  [117] = {.lex_state = 148, .external_lex_state = 2},
  [118] = {.lex_state = 9, .external_lex_state = 2},
  [119] = {.lex_state = 148, .external_lex_state = 2},
  [120] = {.lex_state = 9, .external_lex_state = 2},
  [121] = {.lex_state = 148, .external_lex_state = 2},
  [122] = {.lex_state = 148, .external_lex_state = 2},
  [123] = {.lex_state = 148, .external_lex_state = 2},
  [124] = {.lex_state = 148, .external_lex_state = 2},
  [125] = {.lex_state = 148, .external_lex_state = 2},
  [126] = {.lex_state = 148, .external_lex_state = 2},
  [127] = {.lex_state = 148, .external_lex_state = 2},
  [128] = {.lex_state = 148, .external_lex_state = 2},
  [129] = {.lex_state = 148, .external_lex_state = 2},
  [130] = {.lex_state = 9, .external_lex_state = 2},
  [131] = {.lex_state = 148, .external_lex_state = 2},
  [132] = {.lex_state = 148, .external_lex_state = 2},
  [133] = {.lex_state = 148, .external_lex_state = 2},
  [134] = {.lex_state = 148, .external_lex_state = 2},
  [135] = {.lex_state = 148, .external_lex_state = 2},
  [136] = {.lex_state = 9, .external_lex_state = 2},
  [137] = {.lex_state = 148, .external_lex_state = 2},
  [138] = {.lex_state = 148, .external_lex_state = 2},
  [139] = {.lex_state = 9, .external_lex_state = 2},
  [140] = {.lex_state = 148, .external_lex_state = 2},
  [141] = {.lex_state = 148, .external_lex_state = 2},
  [142] = {.lex_state = 148, .external_lex_state = 2},
  [143] = {.lex_state = 148, .external_lex_state = 2},
  [144] = {.lex_state = 148, .external_lex_state = 2},
  [145] = {.lex_state = 148, .external_lex_state = 2},
  [146] = {.lex_state = 148, .external_lex_state = 2},
  [147] = {.lex_state = 148, .external_lex_state = 2},
  [148] = {.lex_state = 148, .external_lex_state = 2},
  [149] = {.lex_state = 148, .external_lex_state = 2},
  [150] = {.lex_state = 148, .external_lex_state = 2},
  [151] = {.lex_state = 148, .external_lex_state = 2},
  [152] = {.lex_state = 148, .external_lex_state = 2},
  [153] = {.lex_state = 148, .external_lex_state = 2},
  [154] = {.lex_state = 148, .external_lex_state = 2},
  [155] = {.lex_state = 148, .external_lex_state = 2},
  [156] = {.lex_state = 148, .external_lex_state = 2},
  [157] = {.lex_state = 148, .external_lex_state = 2},
  [158] = {.lex_state = 148, .external_lex_state = 2},
  [159] = {.lex_state = 148, .external_lex_state = 2},
  [160] = {.lex_state = 148, .external_lex_state = 2},
  [161] = {.lex_state = 148, .external_lex_state = 2},
  [162] = {.lex_state = 148, .external_lex_state = 2},
  [163] = {.lex_state = 148, .external_lex_state = 2},
  [164] = {.lex_state = 148, .external_lex_state = 2},
  [165] = {.lex_state = 148, .external_lex_state = 2},
  [166] = {.lex_state = 148, .external_lex_state = 2},
  [167] = {.lex_state = 148, .external_lex_state = 2},
  [168] = {.lex_state = 148, .external_lex_state = 2},
  [169] = {.lex_state = 148, .external_lex_state = 2},
  [170] = {.lex_state = 148, .external_lex_state = 2},
  [171] = {.lex_state = 148, .external_lex_state = 2},
  [172] = {.lex_state = 148, .external_lex_state = 2},
  [173] = {.lex_state = 148, .external_lex_state = 2},
  [174] = {.lex_state = 148, .external_lex_state = 2},
  [175] = {.lex_state = 148, .external_lex_state = 2},
  [176] = {.lex_state = 148, .external_lex_state = 2},
  [177] = {.lex_state = 148, .external_lex_state = 2},
  [178] = {.lex_state = 148, .external_lex_state = 2},
  [179] = {.lex_state = 148, .external_lex_state = 2},
  [180] = {.lex_state = 148, .external_lex_state = 2},
  [181] = {.lex_state = 148, .external_lex_state = 2},
  [182] = {.lex_state = 148, .external_lex_state = 2},
  [183] = {.lex_state = 148, .external_lex_state = 2},
  [184] = {.lex_state = 148, .external_lex_state = 2},
  [185] = {.lex_state = 148, .external_lex_state = 2},
  [186] = {.lex_state = 148, .external_lex_state = 2},
  [187] = {.lex_state = 148, .external_lex_state = 2},
  [188] = {.lex_state = 148, .external_lex_state = 2},
  [189] = {.lex_state = 148, .external_lex_state = 2},
  [190] = {.lex_state = 148, .external_lex_state = 2},
  [191] = {.lex_state = 148, .external_lex_state = 2},
  [192] = {.lex_state = 148, .external_lex_state = 2},
  [193] = {.lex_state = 148, .external_lex_state = 2},
  [194] = {.lex_state = 148, .external_lex_state = 2},
  [195] = {.lex_state = 148, .external_lex_state = 2},
  [196] = {.lex_state = 148, .external_lex_state = 2},
  [197] = {.lex_state = 148, .external_lex_state = 2},
  [198] = {.lex_state = 148, .external_lex_state = 2},
  [199] = {.lex_state = 148, .external_lex_state = 2},
  [200] = {.lex_state = 148, .external_lex_state = 2},
  [201] = {.lex_state = 148, .external_lex_state = 2},
  [202] = {.lex_state = 148, .external_lex_state = 2},
  [203] = {.lex_state = 148, .external_lex_state = 2},
  [204] = {.lex_state = 148, .external_lex_state = 2},
  [205] = {.lex_state = 148, .external_lex_state = 2},
  [206] = {.lex_state = 148, .external_lex_state = 2},
  [207] = {.lex_state = 148, .external_lex_state = 2},
  [208] = {.lex_state = 148, .external_lex_state = 2},
  [209] = {.lex_state = 148, .external_lex_state = 2},
  [210] = {.lex_state = 148, .external_lex_state = 2},
  [211] = {.lex_state = 148, .external_lex_state = 2},
  [212] = {.lex_state = 148, .external_lex_state = 2},
  [213] = {.lex_state = 148, .external_lex_state = 2},
  [214] = {.lex_state = 148, .external_lex_state = 2},
  [215] = {.lex_state = 148, .external_lex_state = 2},
  [216] = {.lex_state = 148, .external_lex_state = 2},
  [217] = {.lex_state = 148, .external_lex_state = 2},
  [218] = {.lex_state = 148, .external_lex_state = 2},
  [219] = {.lex_state = 148, .external_lex_state = 2},
  [220] = {.lex_state = 148, .external_lex_state = 2},
  [221] = {.lex_state = 148, .external_lex_state = 2},
  [222] = {.lex_state = 148, .external_lex_state = 2},
  [223] = {.lex_state = 148, .external_lex_state = 2},
  [224] = {.lex_state = 148, .external_lex_state = 2},
  [225] = {.lex_state = 148, .external_lex_state = 2},
  [226] = {.lex_state = 148, .external_lex_state = 2},
  [227] = {.lex_state = 148, .external_lex_state = 2},
  [228] = {.lex_state = 148, .external_lex_state = 2},
  [229] = {.lex_state = 148, .external_lex_state = 2},
  [230] = {.lex_state = 148, .external_lex_state = 2},
  [231] = {.lex_state = 148, .external_lex_state = 2},
  [232] = {.lex_state = 148, .external_lex_state = 2},
  [233] = {.lex_state = 148, .external_lex_state = 2},
  [234] = {.lex_state = 148, .external_lex_state = 2},
  [235] = {.lex_state = 148, .external_lex_state = 2},
  [236] = {.lex_state = 148, .external_lex_state = 2},
  [237] = {.lex_state = 148, .external_lex_state = 2},
  [238] = {.lex_state = 148, .external_lex_state = 2},
  [239] = {.lex_state = 148, .external_lex_state = 2},
  [240] = {.lex_state = 148, .external_lex_state = 2},
  [241] = {.lex_state = 148, .external_lex_state = 2},
  [242] = {.lex_state = 148, .external_lex_state = 2},
  [243] = {.lex_state = 148, .external_lex_state = 2},
  [244] = {.lex_state = 148, .external_lex_state = 2},
  [245] = {.lex_state = 148, .external_lex_state = 2},
  [246] = {.lex_state = 148, .external_lex_state = 2},
  [247] = {.lex_state = 148, .external_lex_state = 2},
  [248] = {.lex_state = 148, .external_lex_state = 2},
  [249] = {.lex_state = 148, .external_lex_state = 2},
  [250] = {.lex_state = 148, .external_lex_state = 2},
  [251] = {.lex_state = 148, .external_lex_state = 2},
  [252] = {.lex_state = 148, .external_lex_state = 2},
  [253] = {.lex_state = 148, .external_lex_state = 2},
  [254] = {.lex_state = 148, .external_lex_state = 2},
  [255] = {.lex_state = 148, .external_lex_state = 2},
  [256] = {.lex_state = 148, .external_lex_state = 2},
  [257] = {.lex_state = 148, .external_lex_state = 2},
  [258] = {.lex_state = 148, .external_lex_state = 2},
  [259] = {.lex_state = 148, .external_lex_state = 2},
  [260] = {.lex_state = 148, .external_lex_state = 2},
  [261] = {.lex_state = 148, .external_lex_state = 2},
  [262] = {.lex_state = 148, .external_lex_state = 2},
  [263] = {.lex_state = 148, .external_lex_state = 2},
  [264] = {.lex_state = 148, .external_lex_state = 2},
  [265] = {.lex_state = 148, .external_lex_state = 2},
  [266] = {.lex_state = 148, .external_lex_state = 2},
  [267] = {.lex_state = 148, .external_lex_state = 2},
  [268] = {.lex_state = 148, .external_lex_state = 2},
  [269] = {.lex_state = 148, .external_lex_state = 2},
  [270] = {.lex_state = 148, .external_lex_state = 2},
  [271] = {.lex_state = 148, .external_lex_state = 2},
  [272] = {.lex_state = 148, .external_lex_state = 2},
  [273] = {.lex_state = 148, .external_lex_state = 2},
  [274] = {.lex_state = 148, .external_lex_state = 2},
  [275] = {.lex_state = 148, .external_lex_state = 2},
  [276] = {.lex_state = 148, .external_lex_state = 2},
  [277] = {.lex_state = 10, .external_lex_state = 4},
  [278] = {.lex_state = 10, .external_lex_state = 4},
  [279] = {.lex_state = 10, .external_lex_state = 4},
  [280] = {.lex_state = 10, .external_lex_state = 4},
  [281] = {.lex_state = 10, .external_lex_state = 4},
  [282] = {.lex_state = 10, .external_lex_state = 4},
  [283] = {.lex_state = 10, .external_lex_state = 4},
  [284] = {.lex_state = 10, .external_lex_state = 4},
  [285] = {.lex_state = 10, .external_lex_state = 4},
  [286] = {.lex_state = 10, .external_lex_state = 4},
  [287] = {.lex_state = 10, .external_lex_state = 4},
  [288] = {.lex_state = 10, .external_lex_state = 4},
  [289] = {.lex_state = 10, .external_lex_state = 4},
  [290] = {.lex_state = 10, .external_lex_state = 4},
  [291] = {.lex_state = 10, .external_lex_state = 3},
  [292] = {.lex_state = 148, .external_lex_state = 2},
  [293] = {.lex_state = 148, .external_lex_state = 5},
  [294] = {.lex_state = 148, .external_lex_state = 5},
  [295] = {.lex_state = 10, .external_lex_state = 3},
  [296] = {.lex_state = 10, .external_lex_state = 4},
  [297] = {.lex_state = 10, .external_lex_state = 4},
  [298] = {.lex_state = 148, .external_lex_state = 2},
  [299] = {.lex_state = 10, .external_lex_state = 3},
  [300] = {.lex_state = 10, .external_lex_state = 4},
  [301] = {.lex_state = 10, .external_lex_state = 3},
  [302] = {.lex_state = 10, .external_lex_state = 4},
  [303] = {.lex_state = 10, .external_lex_state = 4},
  [304] = {.lex_state = 10, .external_lex_state = 4},
  [305] = {.lex_state = 10, .external_lex_state = 4},
  [306] = {.lex_state = 10, .external_lex_state = 4},
  [307] = {.lex_state = 10, .external_lex_state = 4},
  [308] = {.lex_state = 10, .external_lex_state = 4},
  [309] = {.lex_state = 10, .external_lex_state = 3},
  [310] = {.lex_state = 148, .external_lex_state = 2},
  [311] = {.lex_state = 148, .external_lex_state = 2},
  [312] = {.lex_state = 10, .external_lex_state = 3},
  [313] = {.lex_state = 148, .external_lex_state = 5},
  [314] = {.lex_state = 10, .external_lex_state = 4},
  [315] = {.lex_state = 10, .external_lex_state = 4},
  [316] = {.lex_state = 148, .external_lex_state = 5},
  [317] = {.lex_state = 148, .external_lex_state = 5},
  [318] = {.lex_state = 148, .external_lex_state = 2},
  [319] = {.lex_state = 148, .external_lex_state = 5},
  [320] = {.lex_state = 148, .external_lex_state = 5},
  [321] = {.lex_state = 148, .external_lex_state = 5},
  [322] = {.lex_state = 148, .external_lex_state = 5},
  [323] = {.lex_state = 148, .external_lex_state = 5},
  [324] = {.lex_state = 148, .external_lex_state = 5},
  [325] = {.lex_state = 148, .external_lex_state = 5},
  [326] = {.lex_state = 148, .external_lex_state = 5},
  [327] = {.lex_state = 148, .external_lex_state = 5},
  [328] = {.lex_state = 10, .external_lex_state = 3},
  [329] = {.lex_state = 148, .external_lex_state = 2},
  [330] = {.lex_state = 148, .external_lex_state = 2},
  [331] = {.lex_state = 148, .external_lex_state = 2},
  [332] = {.lex_state = 10, .external_lex_state = 3},
  [333] = {.lex_state = 148, .external_lex_state = 5},
  [334] = {.lex_state = 148, .external_lex_state = 5},
  [335] = {.lex_state = 148, .external_lex_state = 2},
  [336] = {.lex_state = 148, .external_lex_state = 5},
  [337] = {.lex_state = 148, .external_lex_state = 5},
  [338] = {.lex_state = 148, .external_lex_state = 2},
  [339] = {.lex_state = 10, .external_lex_state = 4},
  [340] = {.lex_state = 10, .external_lex_state = 3},
  [341] = {.lex_state = 148, .external_lex_state = 2},
  [342] = {.lex_state = 148, .external_lex_state = 2},
  [343] = {.lex_state = 148, .external_lex_state = 2},
  [344] = {.lex_state = 148, .external_lex_state = 2},
  [345] = {.lex_state = 148, .external_lex_state = 2},
  [346] = {.lex_state = 148, .external_lex_state = 2},
  [347] = {.lex_state = 148, .external_lex_state = 2},
  [348] = {.lex_state = 148, .external_lex_state = 2},
  [349] = {.lex_state = 10, .external_lex_state = 4},
  [350] = {.lex_state = 148, .external_lex_state = 2},
  [351] = {.lex_state = 148, .external_lex_state = 2},
  [352] = {.lex_state = 148, .external_lex_state = 2},
  [353] = {.lex_state = 148, .external_lex_state = 2},
  [354] = {.lex_state = 148, .external_lex_state = 2},
  [355] = {.lex_state = 148, .external_lex_state = 2},
  [356] = {.lex_state = 148, .external_lex_state = 2},
  [357] = {.lex_state = 148, .external_lex_state = 2},
  [358] = {.lex_state = 148, .external_lex_state = 2},
  [359] = {.lex_state = 148, .external_lex_state = 2},
  [360] = {.lex_state = 148, .external_lex_state = 2},
  [361] = {.lex_state = 10, .external_lex_state = 3},
  [362] = {.lex_state = 148, .external_lex_state = 2},
  [363] = {.lex_state = 148, .external_lex_state = 2},
  [364] = {.lex_state = 148, .external_lex_state = 2},
  [365] = {.lex_state = 148, .external_lex_state = 2},
  [366] = {.lex_state = 148, .external_lex_state = 2},
  [367] = {.lex_state = 148, .external_lex_state = 2},
  [368] = {.lex_state = 148, .external_lex_state = 2},
  [369] = {.lex_state = 148, .external_lex_state = 2},
  [370] = {.lex_state = 148, .external_lex_state = 2},
  [371] = {.lex_state = 148, .external_lex_state = 2},
  [372] = {.lex_state = 148, .external_lex_state = 2},
  [373] = {.lex_state = 148, .external_lex_state = 2},
  [374] = {.lex_state = 148, .external_lex_state = 2},
  [375] = {.lex_state = 148, .external_lex_state = 2},
  [376] = {.lex_state = 148, .external_lex_state = 2},
  [377] = {.lex_state = 148, .external_lex_state = 2},
  [378] = {.lex_state = 148, .external_lex_state = 2},
  [379] = {.lex_state = 148, .external_lex_state = 2},
  [380] = {.lex_state = 148, .external_lex_state = 2},
  [381] = {.lex_state = 148, .external_lex_state = 2},
  [382] = {.lex_state = 148, .external_lex_state = 2},
  [383] = {.lex_state = 148, .external_lex_state = 2},
  [384] = {.lex_state = 148, .external_lex_state = 2},
  [385] = {.lex_state = 148, .external_lex_state = 2},
  [386] = {.lex_state = 148, .external_lex_state = 2},
  [387] = {.lex_state = 148, .external_lex_state = 2},
  [388] = {.lex_state = 148, .external_lex_state = 2},
  [389] = {.lex_state = 148, .external_lex_state = 2},
  [390] = {.lex_state = 148, .external_lex_state = 2},
  [391] = {.lex_state = 148, .external_lex_state = 2},
  [392] = {.lex_state = 148, .external_lex_state = 2},
  [393] = {.lex_state = 148, .external_lex_state = 2},
  [394] = {.lex_state = 148, .external_lex_state = 2},
  [395] = {.lex_state = 148, .external_lex_state = 2},
  [396] = {.lex_state = 148, .external_lex_state = 2},
  [397] = {.lex_state = 148, .external_lex_state = 2},
  [398] = {.lex_state = 148, .external_lex_state = 2},
  [399] = {.lex_state = 10, .external_lex_state = 4},
  [400] = {.lex_state = 10, .external_lex_state = 3},
  [401] = {.lex_state = 148, .external_lex_state = 2},
  [402] = {.lex_state = 148, .external_lex_state = 2},
  [403] = {.lex_state = 10, .external_lex_state = 4},
  [404] = {.lex_state = 10, .external_lex_state = 4},
  [405] = {.lex_state = 10, .external_lex_state = 4},
  [406] = {.lex_state = 10, .external_lex_state = 4},
  [407] = {.lex_state = 10, .external_lex_state = 3},
  [408] = {.lex_state = 10, .external_lex_state = 3},
  [409] = {.lex_state = 10, .external_lex_state = 3},
  [410] = {.lex_state = 10, .external_lex_state = 3},
  [411] = {.lex_state = 10, .external_lex_state = 3},
  [412] = {.lex_state = 10, .external_lex_state = 3},
  [413] = {.lex_state = 10, .external_lex_state = 3},
  [414] = {.lex_state = 10, .external_lex_state = 3},
  [415] = {.lex_state = 10, .external_lex_state = 3},
  [416] = {.lex_state = 148, .external_lex_state = 2},
  [417] = {.lex_state = 10, .external_lex_state = 3},
  [418] = {.lex_state = 148, .external_lex_state = 2},
  [419] = {.lex_state = 10, .external_lex_state = 3},
  [420] = {.lex_state = 148, .external_lex_state = 2},
  [421] = {.lex_state = 10, .external_lex_state = 3},
  [422] = {.lex_state = 148, .external_lex_state = 2},
  [423] = {.lex_state = 148, .external_lex_state = 2},
  [424] = {.lex_state = 148, .external_lex_state = 2},
  [425] = {.lex_state = 148, .external_lex_state = 2},
  [426] = {.lex_state = 10, .external_lex_state = 3},
  [427] = {.lex_state = 148, .external_lex_state = 2},
  [428] = {.lex_state = 10, .external_lex_state = 4},
  [429] = {.lex_state = 10, .external_lex_state = 3},
  [430] = {.lex_state = 10, .external_lex_state = 4},
  [431] = {.lex_state = 10, .external_lex_state = 4},
  [432] = {.lex_state = 10, .external_lex_state = 4},
  [433] = {.lex_state = 10, .external_lex_state = 4},
  [434] = {.lex_state = 10, .external_lex_state = 4},
  [435] = {.lex_state = 10, .external_lex_state = 3},
  [436] = {.lex_state = 10, .external_lex_state = 4},
  [437] = {.lex_state = 10, .external_lex_state = 3},
  [438] = {.lex_state = 10, .external_lex_state = 3},
  [439] = {.lex_state = 10, .external_lex_state = 4},
  [440] = {.lex_state = 10, .external_lex_state = 4},
  [441] = {.lex_state = 10, .external_lex_state = 3},
  [442] = {.lex_state = 10, .external_lex_state = 4},
  [443] = {.lex_state = 10, .external_lex_state = 4},
  [444] = {.lex_state = 10, .external_lex_state = 4},
  [445] = {.lex_state = 10, .external_lex_state = 3},
  [446] = {.lex_state = 10, .external_lex_state = 4},
  [447] = {.lex_state = 10, .external_lex_state = 3},
  [448] = {.lex_state = 10, .external_lex_state = 4},
  [449] = {.lex_state = 10, .external_lex_state = 4},
  [450] = {.lex_state = 10, .external_lex_state = 4},
  [451] = {.lex_state = 10, .external_lex_state = 4},
  [452] = {.lex_state = 10, .external_lex_state = 4},
  [453] = {.lex_state = 10, .external_lex_state = 4},
  [454] = {.lex_state = 10, .external_lex_state = 4},
  [455] = {.lex_state = 10, .external_lex_state = 4},
  [456] = {.lex_state = 10, .external_lex_state = 4},
  [457] = {.lex_state = 10, .external_lex_state = 4},
  [458] = {.lex_state = 10, .external_lex_state = 4},
  [459] = {.lex_state = 10, .external_lex_state = 4},
  [460] = {.lex_state = 10, .external_lex_state = 3},
  [461] = {.lex_state = 10, .external_lex_state = 3},
  [462] = {.lex_state = 10, .external_lex_state = 3},
  [463] = {.lex_state = 10, .external_lex_state = 3},
  [464] = {.lex_state = 10, .external_lex_state = 3},
  [465] = {.lex_state = 10, .external_lex_state = 3},
  [466] = {.lex_state = 10, .external_lex_state = 3},
  [467] = {.lex_state = 10, .external_lex_state = 3},
  [468] = {.lex_state = 10, .external_lex_state = 3},
  [469] = {.lex_state = 10, .external_lex_state = 3},
  [470] = {.lex_state = 10, .external_lex_state = 3},
  [471] = {.lex_state = 10, .external_lex_state = 3},
  [472] = {.lex_state = 10, .external_lex_state = 3},
  [473] = {.lex_state = 10, .external_lex_state = 3},
  [474] = {.lex_state = 10, .external_lex_state = 3},
  [475] = {.lex_state = 10, .external_lex_state = 3},
  [476] = {.lex_state = 10, .external_lex_state = 3},
  [477] = {.lex_state = 10, .external_lex_state = 3},
  [478] = {.lex_state = 10, .external_lex_state = 3},
  [479] = {.lex_state = 11, .external_lex_state = 3},
  [480] = {.lex_state = 11, .external_lex_state = 3},
  [481] = {.lex_state = 11, .external_lex_state = 4},
  [482] = {.lex_state = 11, .external_lex_state = 3},
  [483] = {.lex_state = 11, .external_lex_state = 3},
  [484] = {.lex_state = 11, .external_lex_state = 4},
  [485] = {.lex_state = 11, .external_lex_state = 3},
  [486] = {.lex_state = 11, .external_lex_state = 3},
  [487] = {.lex_state = 11, .external_lex_state = 3},
  [488] = {.lex_state = 11, .external_lex_state = 3},
  [489] = {.lex_state = 11, .external_lex_state = 4},
  [490] = {.lex_state = 11, .external_lex_state = 3},
  [491] = {.lex_state = 11, .external_lex_state = 3},
  [492] = {.lex_state = 11, .external_lex_state = 3},
  [493] = {.lex_state = 11, .external_lex_state = 3},
  [494] = {.lex_state = 11, .external_lex_state = 3},
  [495] = {.lex_state = 11, .external_lex_state = 4},
  [496] = {.lex_state = 11, .external_lex_state = 4},
  [497] = {.lex_state = 11, .external_lex_state = 3},
  [498] = {.lex_state = 11, .external_lex_state = 3},
  [499] = {.lex_state = 11, .external_lex_state = 3},
  [500] = {.lex_state = 11, .external_lex_state = 3},
  [501] = {.lex_state = 11, .external_lex_state = 3},
  [502] = {.lex_state = 11, .external_lex_state = 3},
  [503] = {.lex_state = 11, .external_lex_state = 3},
  [504] = {.lex_state = 11, .external_lex_state = 3},
  [505] = {.lex_state = 11, .external_lex_state = 4},
  [506] = {.lex_state = 11, .external_lex_state = 4},
  [507] = {.lex_state = 11, .external_lex_state = 4},
  [508] = {.lex_state = 11, .external_lex_state = 3},
  [509] = {.lex_state = 11, .external_lex_state = 3},
  [510] = {.lex_state = 11, .external_lex_state = 3},
  [511] = {.lex_state = 11, .external_lex_state = 3},
  [512] = {.lex_state = 11, .external_lex_state = 4},
  [513] = {.lex_state = 11, .external_lex_state = 3},
  [514] = {.lex_state = 11, .external_lex_state = 3},
  [515] = {.lex_state = 11, .external_lex_state = 3},
  [516] = {.lex_state = 11, .external_lex_state = 3},
  [517] = {.lex_state = 11, .external_lex_state = 4},
  [518] = {.lex_state = 11, .external_lex_state = 3},
  [519] = {.lex_state = 11, .external_lex_state = 3},
  [520] = {.lex_state = 11, .external_lex_state = 3},
  [521] = {.lex_state = 11, .external_lex_state = 3},
  [522] = {.lex_state = 11, .external_lex_state = 3},
  [523] = {.lex_state = 11, .external_lex_state = 3},
  [524] = {.lex_state = 11, .external_lex_state = 3},
  [525] = {.lex_state = 11, .external_lex_state = 3},
  [526] = {.lex_state = 11, .external_lex_state = 3},
  [527] = {.lex_state = 11, .external_lex_state = 3},
  [528] = {.lex_state = 11, .external_lex_state = 3},
  [529] = {.lex_state = 11, .external_lex_state = 3},
  [530] = {.lex_state = 11, .external_lex_state = 3},
  [531] = {.lex_state = 11, .external_lex_state = 3},
  [532] = {.lex_state = 11, .external_lex_state = 3},
  [533] = {.lex_state = 11, .external_lex_state = 3},
  [534] = {.lex_state = 11, .external_lex_state = 3},
  [535] = {.lex_state = 11, .external_lex_state = 3},
  [536] = {.lex_state = 11, .external_lex_state = 3},
  [537] = {.lex_state = 11, .external_lex_state = 3},
  [538] = {.lex_state = 11, .external_lex_state = 3},
  [539] = {.lex_state = 11, .external_lex_state = 3},
  [540] = {.lex_state = 11, .external_lex_state = 3},
  [541] = {.lex_state = 11, .external_lex_state = 3},
  [542] = {.lex_state = 11, .external_lex_state = 3},
  [543] = {.lex_state = 11, .external_lex_state = 3},
  [544] = {.lex_state = 11, .external_lex_state = 3},
  [545] = {.lex_state = 11, .external_lex_state = 3},
  [546] = {.lex_state = 11, .external_lex_state = 3},
  [547] = {.lex_state = 11, .external_lex_state = 3},
  [548] = {.lex_state = 11, .external_lex_state = 3},
  [549] = {.lex_state = 12, .external_lex_state = 3},
  [550] = {.lex_state = 11, .external_lex_state = 3},
  [551] = {.lex_state = 11, .external_lex_state = 3},
  [552] = {.lex_state = 11, .external_lex_state = 3},
  [553] = {.lex_state = 11, .external_lex_state = 3},
  [554] = {.lex_state = 11, .external_lex_state = 3},
  [555] = {.lex_state = 11, .external_lex_state = 3},
  [556] = {.lex_state = 11, .external_lex_state = 3},
  [557] = {.lex_state = 11, .external_lex_state = 4},
  [558] = {.lex_state = 11, .external_lex_state = 4},
  [559] = {.lex_state = 11, .external_lex_state = 3},
  [560] = {.lex_state = 11, .external_lex_state = 3},
  [561] = {.lex_state = 11, .external_lex_state = 3},
  [562] = {.lex_state = 11, .external_lex_state = 3},
  [563] = {.lex_state = 11, .external_lex_state = 3},
  [564] = {.lex_state = 11, .external_lex_state = 3},
  [565] = {.lex_state = 11, .external_lex_state = 3},
  [566] = {.lex_state = 11, .external_lex_state = 3},
  [567] = {.lex_state = 11, .external_lex_state = 3},
  [568] = {.lex_state = 11, .external_lex_state = 3},
  [569] = {.lex_state = 11, .external_lex_state = 3},
  [570] = {.lex_state = 11, .external_lex_state = 3},
  [571] = {.lex_state = 11, .external_lex_state = 3},
  [572] = {.lex_state = 11, .external_lex_state = 3},
  [573] = {.lex_state = 11, .external_lex_state = 3},
  [574] = {.lex_state = 11, .external_lex_state = 3},
  [575] = {.lex_state = 11, .external_lex_state = 3},
  [576] = {.lex_state = 11, .external_lex_state = 3},
  [577] = {.lex_state = 11, .external_lex_state = 3},
  [578] = {.lex_state = 11, .external_lex_state = 3},
  [579] = {.lex_state = 11, .external_lex_state = 3},
  [580] = {.lex_state = 11, .external_lex_state = 3},
  [581] = {.lex_state = 11, .external_lex_state = 3},
  [582] = {.lex_state = 11, .external_lex_state = 3},
  [583] = {.lex_state = 11, .external_lex_state = 3},
  [584] = {.lex_state = 11, .external_lex_state = 3},
  [585] = {.lex_state = 11, .external_lex_state = 4},
  [586] = {.lex_state = 11, .external_lex_state = 4},
  [587] = {.lex_state = 11, .external_lex_state = 4},
  [588] = {.lex_state = 11, .external_lex_state = 4},
  [589] = {.lex_state = 11, .external_lex_state = 4},
  [590] = {.lex_state = 11, .external_lex_state = 4},
  [591] = {.lex_state = 11, .external_lex_state = 4},
  [592] = {.lex_state = 11, .external_lex_state = 4},
  [593] = {.lex_state = 11, .external_lex_state = 3},
  [594] = {.lex_state = 11, .external_lex_state = 4},
  [595] = {.lex_state = 11, .external_lex_state = 4},
  [596] = {.lex_state = 11, .external_lex_state = 4},
  [597] = {.lex_state = 11, .external_lex_state = 4},
  [598] = {.lex_state = 11, .external_lex_state = 4},
  [599] = {.lex_state = 11, .external_lex_state = 4},
  [600] = {.lex_state = 11, .external_lex_state = 4},
  [601] = {.lex_state = 11, .external_lex_state = 3},
  [602] = {.lex_state = 11, .external_lex_state = 4},
  [603] = {.lex_state = 11, .external_lex_state = 4},
  [604] = {.lex_state = 11, .external_lex_state = 4},
  [605] = {.lex_state = 11, .external_lex_state = 4},
  [606] = {.lex_state = 11, .external_lex_state = 4},
  [607] = {.lex_state = 11, .external_lex_state = 4},
  [608] = {.lex_state = 11, .external_lex_state = 3},
  [609] = {.lex_state = 11, .external_lex_state = 4},
  [610] = {.lex_state = 11, .external_lex_state = 4},
  [611] = {.lex_state = 11, .external_lex_state = 4},
  [612] = {.lex_state = 11, .external_lex_state = 4},
  [613] = {.lex_state = 11, .external_lex_state = 4},
  [614] = {.lex_state = 11, .external_lex_state = 4},
  [615] = {.lex_state = 11, .external_lex_state = 4},
  [616] = {.lex_state = 11, .external_lex_state = 4},
  [617] = {.lex_state = 11, .external_lex_state = 4},
  [618] = {.lex_state = 11, .external_lex_state = 4},
  [619] = {.lex_state = 11, .external_lex_state = 4},
  [620] = {.lex_state = 11, .external_lex_state = 4},
  [621] = {.lex_state = 11, .external_lex_state = 4},
  [622] = {.lex_state = 11, .external_lex_state = 4},
  [623] = {.lex_state = 11, .external_lex_state = 4},
  [624] = {.lex_state = 11, .external_lex_state = 4},
  [625] = {.lex_state = 11, .external_lex_state = 4},
  [626] = {.lex_state = 11, .external_lex_state = 4},
  [627] = {.lex_state = 11, .external_lex_state = 4},
  [628] = {.lex_state = 11, .external_lex_state = 4},
  [629] = {.lex_state = 11, .external_lex_state = 4},
  [630] = {.lex_state = 11, .external_lex_state = 4},
  [631] = {.lex_state = 11, .external_lex_state = 4},
  [632] = {.lex_state = 11, .external_lex_state = 4},
  [633] = {.lex_state = 11, .external_lex_state = 4},
  [634] = {.lex_state = 11, .external_lex_state = 4},
  [635] = {.lex_state = 11, .external_lex_state = 4},
  [636] = {.lex_state = 11, .external_lex_state = 3},
  [637] = {.lex_state = 11, .external_lex_state = 4},
  [638] = {.lex_state = 11, .external_lex_state = 4},
  [639] = {.lex_state = 11, .external_lex_state = 3},
  [640] = {.lex_state = 11, .external_lex_state = 4},
  [641] = {.lex_state = 11, .external_lex_state = 4},
  [642] = {.lex_state = 11, .external_lex_state = 4},
  [643] = {.lex_state = 11, .external_lex_state = 4},
  [644] = {.lex_state = 11, .external_lex_state = 3},
  [645] = {.lex_state = 11, .external_lex_state = 4},
  [646] = {.lex_state = 11, .external_lex_state = 4},
  [647] = {.lex_state = 11, .external_lex_state = 4},
  [648] = {.lex_state = 11, .external_lex_state = 4},
  [649] = {.lex_state = 11, .external_lex_state = 4},
  [650] = {.lex_state = 11, .external_lex_state = 4},
  [651] = {.lex_state = 11, .external_lex_state = 4},
  [652] = {.lex_state = 11, .external_lex_state = 4},
  [653] = {.lex_state = 11, .external_lex_state = 4},
  [654] = {.lex_state = 11, .external_lex_state = 4},
  [655] = {.lex_state = 11, .external_lex_state = 4},
  [656] = {.lex_state = 11, .external_lex_state = 3},
  [657] = {.lex_state = 11, .external_lex_state = 3},
  [658] = {.lex_state = 11, .external_lex_state = 4},
  [659] = {.lex_state = 11, .external_lex_state = 4},
  [660] = {.lex_state = 11, .external_lex_state = 3},
  [661] = {.lex_state = 11, .external_lex_state = 4},
  [662] = {.lex_state = 11, .external_lex_state = 4},
  [663] = {.lex_state = 11, .external_lex_state = 3},
  [664] = {.lex_state = 11, .external_lex_state = 4},
  [665] = {.lex_state = 11, .external_lex_state = 4},
  [666] = {.lex_state = 11, .external_lex_state = 3},
  [667] = {.lex_state = 11, .external_lex_state = 3},
  [668] = {.lex_state = 11, .external_lex_state = 3},
  [669] = {.lex_state = 11, .external_lex_state = 3},
  [670] = {.lex_state = 11, .external_lex_state = 4},
  [671] = {.lex_state = 11, .external_lex_state = 4},
  [672] = {.lex_state = 11, .external_lex_state = 4},
  [673] = {.lex_state = 11, .external_lex_state = 4},
  [674] = {.lex_state = 11, .external_lex_state = 4},
  [675] = {.lex_state = 11, .external_lex_state = 3},
  [676] = {.lex_state = 11, .external_lex_state = 3},
  [677] = {.lex_state = 11, .external_lex_state = 4},
  [678] = {.lex_state = 11, .external_lex_state = 4},
  [679] = {.lex_state = 11, .external_lex_state = 4},
  [680] = {.lex_state = 11, .external_lex_state = 3},
  [681] = {.lex_state = 11, .external_lex_state = 3},
  [682] = {.lex_state = 11, .external_lex_state = 4},
  [683] = {.lex_state = 11, .external_lex_state = 4},
  [684] = {.lex_state = 11, .external_lex_state = 4},
  [685] = {.lex_state = 11, .external_lex_state = 3},
  [686] = {.lex_state = 11, .external_lex_state = 4},
  [687] = {.lex_state = 11, .external_lex_state = 4},
  [688] = {.lex_state = 11, .external_lex_state = 4},
  [689] = {.lex_state = 11, .external_lex_state = 3},
  [690] = {.lex_state = 11, .external_lex_state = 4},
  [691] = {.lex_state = 11, .external_lex_state = 3},
  [692] = {.lex_state = 11, .external_lex_state = 4},
  [693] = {.lex_state = 11, .external_lex_state = 3},
  [694] = {.lex_state = 11, .external_lex_state = 4},
  [695] = {.lex_state = 11, .external_lex_state = 4},
  [696] = {.lex_state = 11, .external_lex_state = 4},
  [697] = {.lex_state = 11, .external_lex_state = 3},
  [698] = {.lex_state = 12, .external_lex_state = 4},
  [699] = {.lex_state = 11, .external_lex_state = 3},
  [700] = {.lex_state = 11, .external_lex_state = 4},
  [701] = {.lex_state = 11, .external_lex_state = 4},
  [702] = {.lex_state = 11, .external_lex_state = 4},
  [703] = {.lex_state = 11, .external_lex_state = 4},
  [704] = {.lex_state = 11, .external_lex_state = 4},
  [705] = {.lex_state = 11, .external_lex_state = 4},
  [706] = {.lex_state = 11, .external_lex_state = 4},
  [707] = {.lex_state = 11, .external_lex_state = 4},
  [708] = {.lex_state = 11, .external_lex_state = 4},
  [709] = {.lex_state = 11, .external_lex_state = 3},
  [710] = {.lex_state = 11, .external_lex_state = 4},
  [711] = {.lex_state = 11, .external_lex_state = 4},
  [712] = {.lex_state = 11, .external_lex_state = 4},
  [713] = {.lex_state = 11, .external_lex_state = 4},
  [714] = {.lex_state = 11, .external_lex_state = 4},
  [715] = {.lex_state = 11, .external_lex_state = 4},
  [716] = {.lex_state = 11, .external_lex_state = 3},
  [717] = {.lex_state = 11, .external_lex_state = 4},
  [718] = {.lex_state = 11, .external_lex_state = 4},
  [719] = {.lex_state = 11, .external_lex_state = 4},
  [720] = {.lex_state = 11, .external_lex_state = 4},
  [721] = {.lex_state = 11, .external_lex_state = 4},
  [722] = {.lex_state = 11, .external_lex_state = 4},
  [723] = {.lex_state = 11, .external_lex_state = 3},
  [724] = {.lex_state = 11, .external_lex_state = 4},
  [725] = {.lex_state = 11, .external_lex_state = 4},
  [726] = {.lex_state = 11, .external_lex_state = 4},
  [727] = {.lex_state = 11, .external_lex_state = 3},
  [728] = {.lex_state = 11, .external_lex_state = 4},
  [729] = {.lex_state = 11, .external_lex_state = 4},
  [730] = {.lex_state = 11, .external_lex_state = 4},
  [731] = {.lex_state = 11, .external_lex_state = 3},
  [732] = {.lex_state = 11, .external_lex_state = 4},
  [733] = {.lex_state = 11, .external_lex_state = 4},
  [734] = {.lex_state = 11, .external_lex_state = 4},
  [735] = {.lex_state = 11, .external_lex_state = 3},
  [736] = {.lex_state = 11, .external_lex_state = 4},
  [737] = {.lex_state = 11, .external_lex_state = 4},
  [738] = {.lex_state = 11, .external_lex_state = 3},
  [739] = {.lex_state = 12, .external_lex_state = 4},
  [740] = {.lex_state = 11, .external_lex_state = 4},
  [741] = {.lex_state = 11, .external_lex_state = 4},
  [742] = {.lex_state = 11, .external_lex_state = 4},
  [743] = {.lex_state = 11, .external_lex_state = 3},
  [744] = {.lex_state = 11, .external_lex_state = 4},
  [745] = {.lex_state = 11, .external_lex_state = 3},
  [746] = {.lex_state = 11, .external_lex_state = 4},
  [747] = {.lex_state = 11, .external_lex_state = 3},
  [748] = {.lex_state = 11, .external_lex_state = 3},
  [749] = {.lex_state = 11, .external_lex_state = 3},
  [750] = {.lex_state = 11, .external_lex_state = 3},
  [751] = {.lex_state = 11, .external_lex_state = 4},
  [752] = {.lex_state = 11, .external_lex_state = 3},
  [753] = {.lex_state = 11, .external_lex_state = 4},
  [754] = {.lex_state = 11, .external_lex_state = 4},
  [755] = {.lex_state = 11, .external_lex_state = 4},
  [756] = {.lex_state = 11, .external_lex_state = 4},
  [757] = {.lex_state = 11, .external_lex_state = 4},
  [758] = {.lex_state = 11, .external_lex_state = 4},
  [759] = {.lex_state = 11, .external_lex_state = 3},
  [760] = {.lex_state = 11, .external_lex_state = 3},
  [761] = {.lex_state = 11, .external_lex_state = 3},
  [762] = {.lex_state = 11, .external_lex_state = 3},
  [763] = {.lex_state = 11, .external_lex_state = 3},
  [764] = {.lex_state = 11, .external_lex_state = 4},
  [765] = {.lex_state = 11, .external_lex_state = 3},
  [766] = {.lex_state = 11, .external_lex_state = 3},
  [767] = {.lex_state = 11, .external_lex_state = 3},
  [768] = {.lex_state = 11, .external_lex_state = 4},
  [769] = {.lex_state = 11, .external_lex_state = 3},
  [770] = {.lex_state = 11, .external_lex_state = 3},
  [771] = {.lex_state = 11, .external_lex_state = 3},
  [772] = {.lex_state = 11, .external_lex_state = 4},
  [773] = {.lex_state = 11, .external_lex_state = 3},
  [774] = {.lex_state = 11, .external_lex_state = 3},
  [775] = {.lex_state = 11, .external_lex_state = 3},
  [776] = {.lex_state = 11, .external_lex_state = 3},
  [777] = {.lex_state = 11, .external_lex_state = 3},
  [778] = {.lex_state = 11, .external_lex_state = 4},
  [779] = {.lex_state = 11, .external_lex_state = 3},
  [780] = {.lex_state = 11, .external_lex_state = 3},
  [781] = {.lex_state = 11, .external_lex_state = 3},
  [782] = {.lex_state = 11, .external_lex_state = 3},
  [783] = {.lex_state = 11, .external_lex_state = 3},
  [784] = {.lex_state = 11, .external_lex_state = 3},
  [785] = {.lex_state = 11, .external_lex_state = 3},
  [786] = {.lex_state = 11, .external_lex_state = 3},
  [787] = {.lex_state = 11, .external_lex_state = 3},
  [788] = {.lex_state = 11, .external_lex_state = 3},
  [789] = {.lex_state = 11, .external_lex_state = 3},
  [790] = {.lex_state = 11, .external_lex_state = 3},
  [791] = {.lex_state = 11, .external_lex_state = 3},
  [792] = {.lex_state = 11, .external_lex_state = 3},
  [793] = {.lex_state = 11, .external_lex_state = 3},
  [794] = {.lex_state = 11, .external_lex_state = 3},
  [795] = {.lex_state = 11, .external_lex_state = 3},
  [796] = {.lex_state = 11, .external_lex_state = 3},
  [797] = {.lex_state = 11, .external_lex_state = 3},
  [798] = {.lex_state = 11, .external_lex_state = 3},
  [799] = {.lex_state = 11, .external_lex_state = 3},
  [800] = {.lex_state = 11, .external_lex_state = 3},
  [801] = {.lex_state = 11, .external_lex_state = 3},
  [802] = {.lex_state = 11, .external_lex_state = 3},
  [803] = {.lex_state = 11, .external_lex_state = 3},
  [804] = {.lex_state = 11, .external_lex_state = 3},
  [805] = {.lex_state = 11, .external_lex_state = 3},
  [806] = {.lex_state = 11, .external_lex_state = 3},
  [807] = {.lex_state = 11, .external_lex_state = 3},
  [808] = {.lex_state = 11, .external_lex_state = 3},
  [809] = {.lex_state = 11, .external_lex_state = 3},
  [810] = {.lex_state = 11, .external_lex_state = 3},
  [811] = {.lex_state = 11, .external_lex_state = 3},
  [812] = {.lex_state = 11, .external_lex_state = 3},
  [813] = {.lex_state = 11, .external_lex_state = 3},
  [814] = {.lex_state = 11, .external_lex_state = 3},
  [815] = {.lex_state = 11, .external_lex_state = 3},
  [816] = {.lex_state = 11, .external_lex_state = 3},
  [817] = {.lex_state = 11, .external_lex_state = 3},
  [818] = {.lex_state = 11, .external_lex_state = 3},
  [819] = {.lex_state = 11, .external_lex_state = 3},
  [820] = {.lex_state = 11, .external_lex_state = 3},
  [821] = {.lex_state = 11, .external_lex_state = 3},
  [822] = {.lex_state = 11, .external_lex_state = 3},
  [823] = {.lex_state = 11, .external_lex_state = 3},
  [824] = {.lex_state = 11, .external_lex_state = 3},
  [825] = {.lex_state = 11, .external_lex_state = 3},
  [826] = {.lex_state = 11, .external_lex_state = 3},
  [827] = {.lex_state = 11, .external_lex_state = 3},
  [828] = {.lex_state = 11, .external_lex_state = 3},
  [829] = {.lex_state = 11, .external_lex_state = 3},
  [830] = {.lex_state = 8, .external_lex_state = 2},
  [831] = {.lex_state = 8, .external_lex_state = 2},
  [832] = {.lex_state = 11, .external_lex_state = 3},
  [833] = {.lex_state = 12, .external_lex_state = 3},
  [834] = {.lex_state = 8, .external_lex_state = 2},
  [835] = {.lex_state = 11, .external_lex_state = 3},
  [836] = {.lex_state = 8, .external_lex_state = 2},
  [837] = {.lex_state = 8, .external_lex_state = 2},
  [838] = {.lex_state = 11, .external_lex_state = 3},
  [839] = {.lex_state = 11, .external_lex_state = 3},
  [840] = {.lex_state = 11, .external_lex_state = 3},
  [841] = {.lex_state = 8, .external_lex_state = 2},
  [842] = {.lex_state = 8, .external_lex_state = 2},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 8, .external_lex_state = 2},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 8, .external_lex_state = 2},
  [849] = {.lex_state = 8, .external_lex_state = 2},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 148, .external_lex_state = 2},
  [856] = {.lex_state = 148, .external_lex_state = 2},
  [857] = {.lex_state = 148, .external_lex_state = 2},
  [858] = {.lex_state = 148, .external_lex_state = 2},
  [859] = {.lex_state = 148, .external_lex_state = 2},
  [860] = {.lex_state = 148, .external_lex_state = 2},
  [861] = {.lex_state = 148, .external_lex_state = 2},
  [862] = {.lex_state = 148, .external_lex_state = 2},
  [863] = {.lex_state = 148, .external_lex_state = 2},
  [864] = {.lex_state = 148, .external_lex_state = 2},
  [865] = {.lex_state = 148, .external_lex_state = 2},
  [866] = {.lex_state = 148, .external_lex_state = 2},
  [867] = {.lex_state = 148, .external_lex_state = 2},
  [868] = {.lex_state = 148, .external_lex_state = 2},
  [869] = {.lex_state = 148, .external_lex_state = 2},
  [870] = {.lex_state = 148, .external_lex_state = 2},
  [871] = {.lex_state = 148, .external_lex_state = 2},
  [872] = {.lex_state = 148, .external_lex_state = 5},
  [873] = {.lex_state = 148, .external_lex_state = 2},
  [874] = {.lex_state = 148, .external_lex_state = 2},
  [875] = {.lex_state = 148, .external_lex_state = 2},
  [876] = {.lex_state = 148, .external_lex_state = 2},
  [877] = {.lex_state = 148, .external_lex_state = 2},
  [878] = {.lex_state = 148, .external_lex_state = 2},
  [879] = {.lex_state = 148, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 148, .external_lex_state = 2},
  [882] = {.lex_state = 148, .external_lex_state = 2},
  [883] = {.lex_state = 148, .external_lex_state = 2},
  [884] = {.lex_state = 148, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 148, .external_lex_state = 5},
  [887] = {.lex_state = 148, .external_lex_state = 2},
  [888] = {.lex_state = 148, .external_lex_state = 5},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 148, .external_lex_state = 5},
  [891] = {.lex_state = 148, .external_lex_state = 5},
  [892] = {.lex_state = 148, .external_lex_state = 2},
  [893] = {.lex_state = 148, .external_lex_state = 5},
  [894] = {.lex_state = 148, .external_lex_state = 2},
  [895] = {.lex_state = 148, .external_lex_state = 2},
  [896] = {.lex_state = 8, .external_lex_state = 2},
  [897] = {.lex_state = 8, .external_lex_state = 2},
  [898] = {.lex_state = 8, .external_lex_state = 2},
  [899] = {.lex_state = 8, .external_lex_state = 2},
  [900] = {.lex_state = 8, .external_lex_state = 5},
  [901] = {.lex_state = 8, .external_lex_state = 2},
  [902] = {.lex_state = 8, .external_lex_state = 2},
  [903] = {.lex_state = 8, .external_lex_state = 2},
  [904] = {.lex_state = 148, .external_lex_state = 5},
  [905] = {.lex_state = 8, .external_lex_state = 5},
  [906] = {.lex_state = 148, .external_lex_state = 5},
  [907] = {.lex_state = 8, .external_lex_state = 2},
  [908] = {.lex_state = 8, .external_lex_state = 2},
  [909] = {.lex_state = 8, .external_lex_state = 2},
  [910] = {.lex_state = 8, .external_lex_state = 2},
  [911] = {.lex_state = 148, .external_lex_state = 2},
  [912] = {.lex_state = 8, .external_lex_state = 2},
  [913] = {.lex_state = 8, .external_lex_state = 2},
  [914] = {.lex_state = 8, .external_lex_state = 2},
  [915] = {.lex_state = 8, .external_lex_state = 2},
  [916] = {.lex_state = 8, .external_lex_state = 2},
  [917] = {.lex_state = 8, .external_lex_state = 2},
  [918] = {.lex_state = 148, .external_lex_state = 5},
  [919] = {.lex_state = 148, .external_lex_state = 5},
  [920] = {.lex_state = 8, .external_lex_state = 2},
  [921] = {.lex_state = 8, .external_lex_state = 2},
  [922] = {.lex_state = 148, .external_lex_state = 5},
  [923] = {.lex_state = 8, .external_lex_state = 2},
  [924] = {.lex_state = 8, .external_lex_state = 2},
  [925] = {.lex_state = 8, .external_lex_state = 2},
  [926] = {.lex_state = 148, .external_lex_state = 5},
  [927] = {.lex_state = 8, .external_lex_state = 2},
  [928] = {.lex_state = 8, .external_lex_state = 2},
  [929] = {.lex_state = 8, .external_lex_state = 2},
  [930] = {.lex_state = 8, .external_lex_state = 2},
  [931] = {.lex_state = 8, .external_lex_state = 2},
  [932] = {.lex_state = 14, .external_lex_state = 2},
  [933] = {.lex_state = 8, .external_lex_state = 2},
  [934] = {.lex_state = 8, .external_lex_state = 2},
  [935] = {.lex_state = 8, .external_lex_state = 2},
  [936] = {.lex_state = 8, .external_lex_state = 2},
  [937] = {.lex_state = 8, .external_lex_state = 2},
  [938] = {.lex_state = 8, .external_lex_state = 2},
  [939] = {.lex_state = 8, .external_lex_state = 2},
  [940] = {.lex_state = 8, .external_lex_state = 2},
  [941] = {.lex_state = 8, .external_lex_state = 2},
  [942] = {.lex_state = 8, .external_lex_state = 2},
  [943] = {.lex_state = 14, .external_lex_state = 2},
  [944] = {.lex_state = 8, .external_lex_state = 2},
  [945] = {.lex_state = 8, .external_lex_state = 2},
  [946] = {.lex_state = 8, .external_lex_state = 2},
  [947] = {.lex_state = 8, .external_lex_state = 2},
  [948] = {.lex_state = 148, .external_lex_state = 2},
  [949] = {.lex_state = 148, .external_lex_state = 2},
  [950] = {.lex_state = 148, .external_lex_state = 2},
  [951] = {.lex_state = 148, .external_lex_state = 2},
  [952] = {.lex_state = 148, .external_lex_state = 2},
  [953] = {.lex_state = 148, .external_lex_state = 2},
  [954] = {.lex_state = 148, .external_lex_state = 2},
  [955] = {.lex_state = 148, .external_lex_state = 2},
  [956] = {.lex_state = 148, .external_lex_state = 2},
  [957] = {.lex_state = 148, .external_lex_state = 2},
  [958] = {.lex_state = 148, .external_lex_state = 2},
  [959] = {.lex_state = 148, .external_lex_state = 2},
  [960] = {.lex_state = 148, .external_lex_state = 2},
  [961] = {.lex_state = 148, .external_lex_state = 2},
  [962] = {.lex_state = 148, .external_lex_state = 2},
  [963] = {.lex_state = 148, .external_lex_state = 2},
  [964] = {.lex_state = 8, .external_lex_state = 2},
  [965] = {.lex_state = 8, .external_lex_state = 2},
  [966] = {.lex_state = 148, .external_lex_state = 2},
  [967] = {.lex_state = 148, .external_lex_state = 2},
  [968] = {.lex_state = 8, .external_lex_state = 2},
  [969] = {.lex_state = 148, .external_lex_state = 2},
  [970] = {.lex_state = 148, .external_lex_state = 2},
  [971] = {.lex_state = 148, .external_lex_state = 2},
  [972] = {.lex_state = 148, .external_lex_state = 2},
  [973] = {.lex_state = 148, .external_lex_state = 2},
  [974] = {.lex_state = 148, .external_lex_state = 2},
  [975] = {.lex_state = 8, .external_lex_state = 2},
  [976] = {.lex_state = 148, .external_lex_state = 2},
  [977] = {.lex_state = 148, .external_lex_state = 2},
  [978] = {.lex_state = 148, .external_lex_state = 2},
  [979] = {.lex_state = 148, .external_lex_state = 2},
  [980] = {.lex_state = 148, .external_lex_state = 2},
  [981] = {.lex_state = 148, .external_lex_state = 2},
  [982] = {.lex_state = 148, .external_lex_state = 2},
  [983] = {.lex_state = 8, .external_lex_state = 2},
  [984] = {.lex_state = 8, .external_lex_state = 2},
  [985] = {.lex_state = 148, .external_lex_state = 2},
  [986] = {.lex_state = 148, .external_lex_state = 2},
  [987] = {.lex_state = 148, .external_lex_state = 2},
  [988] = {.lex_state = 148, .external_lex_state = 2},
  [989] = {.lex_state = 148, .external_lex_state = 2},
  [990] = {.lex_state = 148, .external_lex_state = 2},
  [991] = {.lex_state = 148, .external_lex_state = 2},
  [992] = {.lex_state = 148, .external_lex_state = 2},
  [993] = {.lex_state = 148, .external_lex_state = 2},
  [994] = {.lex_state = 148, .external_lex_state = 2},
  [995] = {.lex_state = 148, .external_lex_state = 2},
  [996] = {.lex_state = 148, .external_lex_state = 2},
  [997] = {.lex_state = 148, .external_lex_state = 2},
  [998] = {.lex_state = 148, .external_lex_state = 2},
  [999] = {.lex_state = 148, .external_lex_state = 2},
  [1000] = {.lex_state = 148, .external_lex_state = 2},
  [1001] = {.lex_state = 10, .external_lex_state = 2},
  [1002] = {.lex_state = 148, .external_lex_state = 2},
  [1003] = {.lex_state = 148, .external_lex_state = 2},
  [1004] = {.lex_state = 10, .external_lex_state = 2},
  [1005] = {.lex_state = 148, .external_lex_state = 2},
  [1006] = {.lex_state = 148, .external_lex_state = 2},
  [1007] = {.lex_state = 148, .external_lex_state = 2},
  [1008] = {.lex_state = 10, .external_lex_state = 2},
  [1009] = {.lex_state = 10, .external_lex_state = 2},
  [1010] = {.lex_state = 10, .external_lex_state = 2},
  [1011] = {.lex_state = 148, .external_lex_state = 2},
  [1012] = {.lex_state = 148, .external_lex_state = 2},
  [1013] = {.lex_state = 148, .external_lex_state = 2},
  [1014] = {.lex_state = 148, .external_lex_state = 2},
  [1015] = {.lex_state = 148, .external_lex_state = 2},
  [1016] = {.lex_state = 23, .external_lex_state = 2},
  [1017] = {.lex_state = 23, .external_lex_state = 2},
  [1018] = {.lex_state = 23, .external_lex_state = 2},
  [1019] = {.lex_state = 23, .external_lex_state = 2},
  [1020] = {.lex_state = 147, .external_lex_state = 2},
  [1021] = {.lex_state = 23, .external_lex_state = 2},
  [1022] = {.lex_state = 23, .external_lex_state = 2},
  [1023] = {.lex_state = 23, .external_lex_state = 2},
  [1024] = {.lex_state = 23, .external_lex_state = 2},
  [1025] = {.lex_state = 23, .external_lex_state = 2},
  [1026] = {.lex_state = 37, .external_lex_state = 2},
  [1027] = {.lex_state = 37, .external_lex_state = 2},
  [1028] = {.lex_state = 37, .external_lex_state = 2},
  [1029] = {.lex_state = 37, .external_lex_state = 2},
  [1030] = {.lex_state = 37, .external_lex_state = 2},
  [1031] = {.lex_state = 37, .external_lex_state = 2},
  [1032] = {.lex_state = 37, .external_lex_state = 2},
  [1033] = {.lex_state = 37, .external_lex_state = 2},
  [1034] = {.lex_state = 37, .external_lex_state = 2},
  [1035] = {.lex_state = 37, .external_lex_state = 2},
  [1036] = {.lex_state = 37, .external_lex_state = 2},
  [1037] = {.lex_state = 37, .external_lex_state = 2},
  [1038] = {.lex_state = 37, .external_lex_state = 2},
  [1039] = {.lex_state = 37, .external_lex_state = 2},
  [1040] = {.lex_state = 37, .external_lex_state = 2},
  [1041] = {.lex_state = 37, .external_lex_state = 2},
  [1042] = {.lex_state = 14, .external_lex_state = 2},
  [1043] = {.lex_state = 37, .external_lex_state = 2},
  [1044] = {.lex_state = 14, .external_lex_state = 2},
  [1045] = {.lex_state = 37, .external_lex_state = 2},
  [1046] = {.lex_state = 37, .external_lex_state = 2},
  [1047] = {.lex_state = 37, .external_lex_state = 2},
  [1048] = {.lex_state = 37, .external_lex_state = 2},
  [1049] = {.lex_state = 37, .external_lex_state = 2},
  [1050] = {.lex_state = 37, .external_lex_state = 2},
  [1051] = {.lex_state = 37, .external_lex_state = 2},
  [1052] = {.lex_state = 37, .external_lex_state = 2},
  [1053] = {.lex_state = 37, .external_lex_state = 2},
  [1054] = {.lex_state = 37, .external_lex_state = 2},
  [1055] = {.lex_state = 37, .external_lex_state = 2},
  [1056] = {.lex_state = 37, .external_lex_state = 2},
  [1057] = {.lex_state = 37, .external_lex_state = 2},
  [1058] = {.lex_state = 37, .external_lex_state = 2},
  [1059] = {.lex_state = 37, .external_lex_state = 2},
  [1060] = {.lex_state = 37, .external_lex_state = 2},
  [1061] = {.lex_state = 148, .external_lex_state = 2},
  [1062] = {.lex_state = 148, .external_lex_state = 2},
  [1063] = {.lex_state = 148, .external_lex_state = 2},
  [1064] = {.lex_state = 148, .external_lex_state = 2},
  [1065] = {.lex_state = 148, .external_lex_state = 2},
  [1066] = {.lex_state = 148, .external_lex_state = 2},
  [1067] = {.lex_state = 37, .external_lex_state = 2},
  [1068] = {.lex_state = 148, .external_lex_state = 2},
  [1069] = {.lex_state = 148, .external_lex_state = 2},
  [1070] = {.lex_state = 148, .external_lex_state = 2},
  [1071] = {.lex_state = 148, .external_lex_state = 2},
  [1072] = {.lex_state = 148, .external_lex_state = 2},
  [1073] = {.lex_state = 148, .external_lex_state = 2},
  [1074] = {.lex_state = 148, .external_lex_state = 2},
  [1075] = {.lex_state = 148, .external_lex_state = 2},
  [1076] = {.lex_state = 148, .external_lex_state = 2},
  [1077] = {.lex_state = 148, .external_lex_state = 2},
  [1078] = {.lex_state = 148, .external_lex_state = 2},
  [1079] = {.lex_state = 148, .external_lex_state = 2},
  [1080] = {.lex_state = 148, .external_lex_state = 2},
  [1081] = {.lex_state = 148, .external_lex_state = 2},
  [1082] = {.lex_state = 148, .external_lex_state = 2},
  [1083] = {.lex_state = 148, .external_lex_state = 2},
  [1084] = {.lex_state = 148, .external_lex_state = 2},
  [1085] = {.lex_state = 148, .external_lex_state = 2},
  [1086] = {.lex_state = 148, .external_lex_state = 5},
  [1087] = {.lex_state = 148, .external_lex_state = 5},
  [1088] = {.lex_state = 148, .external_lex_state = 2},
  [1089] = {.lex_state = 23, .external_lex_state = 2},
  [1090] = {.lex_state = 23, .external_lex_state = 2},
  [1091] = {.lex_state = 148, .external_lex_state = 5},
  [1092] = {.lex_state = 23, .external_lex_state = 2},
  [1093] = {.lex_state = 23, .external_lex_state = 2},
  [1094] = {.lex_state = 23, .external_lex_state = 2},
  [1095] = {.lex_state = 23, .external_lex_state = 2},
  [1096] = {.lex_state = 148, .external_lex_state = 5},
  [1097] = {.lex_state = 148, .external_lex_state = 2},
  [1098] = {.lex_state = 148, .external_lex_state = 2},
  [1099] = {.lex_state = 23, .external_lex_state = 2},
  [1100] = {.lex_state = 23, .external_lex_state = 2},
  [1101] = {.lex_state = 23, .external_lex_state = 2},
  [1102] = {.lex_state = 23, .external_lex_state = 2},
  [1103] = {.lex_state = 23, .external_lex_state = 2},
  [1104] = {.lex_state = 23, .external_lex_state = 2},
  [1105] = {.lex_state = 23, .external_lex_state = 2},
  [1106] = {.lex_state = 21, .external_lex_state = 6},
  [1107] = {.lex_state = 23, .external_lex_state = 2},
  [1108] = {.lex_state = 37, .external_lex_state = 2},
  [1109] = {.lex_state = 148, .external_lex_state = 2},
  [1110] = {.lex_state = 148, .external_lex_state = 5},
  [1111] = {.lex_state = 21, .external_lex_state = 6},
  [1112] = {.lex_state = 148, .external_lex_state = 5},
  [1113] = {.lex_state = 148, .external_lex_state = 5},
  [1114] = {.lex_state = 37, .external_lex_state = 2},
  [1115] = {.lex_state = 23, .external_lex_state = 2},
  [1116] = {.lex_state = 148, .external_lex_state = 5},
  [1117] = {.lex_state = 148, .external_lex_state = 5},
  [1118] = {.lex_state = 148, .external_lex_state = 2},
  [1119] = {.lex_state = 148, .external_lex_state = 5},
  [1120] = {.lex_state = 23, .external_lex_state = 2},
  [1121] = {.lex_state = 148, .external_lex_state = 2},
  [1122] = {.lex_state = 148, .external_lex_state = 5},
  [1123] = {.lex_state = 148, .external_lex_state = 2},
  [1124] = {.lex_state = 147, .external_lex_state = 2},
  [1125] = {.lex_state = 147, .external_lex_state = 2},
  [1126] = {.lex_state = 148, .external_lex_state = 2},
  [1127] = {.lex_state = 37, .external_lex_state = 2},
  [1128] = {.lex_state = 23, .external_lex_state = 2},
  [1129] = {.lex_state = 21, .external_lex_state = 6},
  [1130] = {.lex_state = 21, .external_lex_state = 6},
  [1131] = {.lex_state = 148, .external_lex_state = 2},
  [1132] = {.lex_state = 148, .external_lex_state = 5},
  [1133] = {.lex_state = 21, .external_lex_state = 6},
  [1134] = {.lex_state = 23, .external_lex_state = 2},
  [1135] = {.lex_state = 148, .external_lex_state = 5},
  [1136] = {.lex_state = 148, .external_lex_state = 5},
  [1137] = {.lex_state = 23, .external_lex_state = 2},
  [1138] = {.lex_state = 148, .external_lex_state = 2},
  [1139] = {.lex_state = 148, .external_lex_state = 2},
  [1140] = {.lex_state = 148, .external_lex_state = 2},
  [1141] = {.lex_state = 148, .external_lex_state = 5},
  [1142] = {.lex_state = 37, .external_lex_state = 2},
  [1143] = {.lex_state = 37, .external_lex_state = 2},
  [1144] = {.lex_state = 37, .external_lex_state = 2},
  [1145] = {.lex_state = 148, .external_lex_state = 2},
  [1146] = {.lex_state = 37, .external_lex_state = 2},
  [1147] = {.lex_state = 37, .external_lex_state = 2},
  [1148] = {.lex_state = 37, .external_lex_state = 2},
  [1149] = {.lex_state = 37, .external_lex_state = 2},
  [1150] = {.lex_state = 148, .external_lex_state = 2},
  [1151] = {.lex_state = 148, .external_lex_state = 2},
  [1152] = {.lex_state = 148, .external_lex_state = 2},
  [1153] = {.lex_state = 148, .external_lex_state = 5},
  [1154] = {.lex_state = 148, .external_lex_state = 5},
  [1155] = {.lex_state = 37, .external_lex_state = 2},
  [1156] = {.lex_state = 37, .external_lex_state = 2},
  [1157] = {.lex_state = 37, .external_lex_state = 2},
  [1158] = {.lex_state = 37, .external_lex_state = 2},
  [1159] = {.lex_state = 37, .external_lex_state = 2},
  [1160] = {.lex_state = 37, .external_lex_state = 2},
  [1161] = {.lex_state = 37, .external_lex_state = 2},
  [1162] = {.lex_state = 37, .external_lex_state = 2},
  [1163] = {.lex_state = 37, .external_lex_state = 2},
  [1164] = {.lex_state = 148, .external_lex_state = 2},
  [1165] = {.lex_state = 148, .external_lex_state = 2},
  [1166] = {.lex_state = 37, .external_lex_state = 2},
  [1167] = {.lex_state = 148, .external_lex_state = 2},
  [1168] = {.lex_state = 37, .external_lex_state = 2},
  [1169] = {.lex_state = 37, .external_lex_state = 2},
  [1170] = {.lex_state = 148, .external_lex_state = 2},
  [1171] = {.lex_state = 148, .external_lex_state = 5},
  [1172] = {.lex_state = 148, .external_lex_state = 2},
  [1173] = {.lex_state = 148, .external_lex_state = 2},
  [1174] = {.lex_state = 148, .external_lex_state = 2},
  [1175] = {.lex_state = 148, .external_lex_state = 2},
  [1176] = {.lex_state = 148, .external_lex_state = 5},
  [1177] = {.lex_state = 148, .external_lex_state = 2},
  [1178] = {.lex_state = 148, .external_lex_state = 2},
  [1179] = {.lex_state = 148, .external_lex_state = 2},
  [1180] = {.lex_state = 148, .external_lex_state = 2},
  [1181] = {.lex_state = 37, .external_lex_state = 2},
  [1182] = {.lex_state = 148, .external_lex_state = 2},
  [1183] = {.lex_state = 148, .external_lex_state = 2},
  [1184] = {.lex_state = 148, .external_lex_state = 2},
  [1185] = {.lex_state = 148, .external_lex_state = 2},
  [1186] = {.lex_state = 37, .external_lex_state = 2},
  [1187] = {.lex_state = 37, .external_lex_state = 2},
  [1188] = {.lex_state = 37, .external_lex_state = 2},
  [1189] = {.lex_state = 148, .external_lex_state = 2},
  [1190] = {.lex_state = 148, .external_lex_state = 2},
  [1191] = {.lex_state = 37, .external_lex_state = 2},
  [1192] = {.lex_state = 26, .external_lex_state = 7},
  [1193] = {.lex_state = 3, .external_lex_state = 2},
  [1194] = {.lex_state = 15, .external_lex_state = 2},
  [1195] = {.lex_state = 148, .external_lex_state = 2},
  [1196] = {.lex_state = 148, .external_lex_state = 2},
  [1197] = {.lex_state = 148, .external_lex_state = 2},
  [1198] = {.lex_state = 148, .external_lex_state = 2},
  [1199] = {.lex_state = 148, .external_lex_state = 5},
  [1200] = {.lex_state = 17, .external_lex_state = 7},
  [1201] = {.lex_state = 17, .external_lex_state = 7},
  [1202] = {.lex_state = 26, .external_lex_state = 7},
  [1203] = {.lex_state = 148, .external_lex_state = 2},
  [1204] = {.lex_state = 148, .external_lex_state = 2},
  [1205] = {.lex_state = 26, .external_lex_state = 7},
  [1206] = {.lex_state = 3, .external_lex_state = 2},
  [1207] = {.lex_state = 17, .external_lex_state = 7},
  [1208] = {.lex_state = 148, .external_lex_state = 2},
  [1209] = {.lex_state = 26, .external_lex_state = 7},
  [1210] = {.lex_state = 17, .external_lex_state = 7},
  [1211] = {.lex_state = 148, .external_lex_state = 2},
  [1212] = {.lex_state = 24, .external_lex_state = 2},
  [1213] = {.lex_state = 148, .external_lex_state = 2},
  [1214] = {.lex_state = 148, .external_lex_state = 2},
  [1215] = {.lex_state = 148, .external_lex_state = 2},
  [1216] = {.lex_state = 148, .external_lex_state = 2},
  [1217] = {.lex_state = 148, .external_lex_state = 2},
  [1218] = {.lex_state = 148, .external_lex_state = 2},
  [1219] = {.lex_state = 148, .external_lex_state = 5},
  [1220] = {.lex_state = 3, .external_lex_state = 2},
  [1221] = {.lex_state = 148, .external_lex_state = 5},
  [1222] = {.lex_state = 26, .external_lex_state = 7},
  [1223] = {.lex_state = 148, .external_lex_state = 2},
  [1224] = {.lex_state = 148, .external_lex_state = 2},
  [1225] = {.lex_state = 148, .external_lex_state = 2},
  [1226] = {.lex_state = 17, .external_lex_state = 7},
  [1227] = {.lex_state = 148, .external_lex_state = 2},
  [1228] = {.lex_state = 148, .external_lex_state = 2},
  [1229] = {.lex_state = 148, .external_lex_state = 2},
  [1230] = {.lex_state = 148, .external_lex_state = 2},
  [1231] = {.lex_state = 3, .external_lex_state = 2},
  [1232] = {.lex_state = 148, .external_lex_state = 2},
  [1233] = {.lex_state = 148, .external_lex_state = 2},
  [1234] = {.lex_state = 26, .external_lex_state = 7},
  [1235] = {.lex_state = 21, .external_lex_state = 6},
  [1236] = {.lex_state = 148, .external_lex_state = 5},
  [1237] = {.lex_state = 148, .external_lex_state = 2},
  [1238] = {.lex_state = 24, .external_lex_state = 2},
  [1239] = {.lex_state = 15, .external_lex_state = 2},
  [1240] = {.lex_state = 148, .external_lex_state = 2},
  [1241] = {.lex_state = 147, .external_lex_state = 2},
  [1242] = {.lex_state = 148, .external_lex_state = 5},
  [1243] = {.lex_state = 148, .external_lex_state = 2},
  [1244] = {.lex_state = 148, .external_lex_state = 2},
  [1245] = {.lex_state = 17, .external_lex_state = 7},
  [1246] = {.lex_state = 148, .external_lex_state = 5},
  [1247] = {.lex_state = 26, .external_lex_state = 7},
  [1248] = {.lex_state = 17, .external_lex_state = 7},
  [1249] = {.lex_state = 17, .external_lex_state = 7},
  [1250] = {.lex_state = 148, .external_lex_state = 2},
  [1251] = {.lex_state = 148, .external_lex_state = 2},
  [1252] = {.lex_state = 26, .external_lex_state = 7},
  [1253] = {.lex_state = 3, .external_lex_state = 2},
  [1254] = {.lex_state = 148, .external_lex_state = 2},
  [1255] = {.lex_state = 3, .external_lex_state = 2},
  [1256] = {.lex_state = 15, .external_lex_state = 2},
  [1257] = {.lex_state = 148, .external_lex_state = 5},
  [1258] = {.lex_state = 148, .external_lex_state = 2},
  [1259] = {.lex_state = 24, .external_lex_state = 2},
  [1260] = {.lex_state = 148, .external_lex_state = 5},
  [1261] = {.lex_state = 148, .external_lex_state = 5},
  [1262] = {.lex_state = 148, .external_lex_state = 2},
  [1263] = {.lex_state = 148, .external_lex_state = 5},
  [1264] = {.lex_state = 148, .external_lex_state = 5},
  [1265] = {.lex_state = 26, .external_lex_state = 7},
  [1266] = {.lex_state = 17, .external_lex_state = 7},
  [1267] = {.lex_state = 148, .external_lex_state = 2},
  [1268] = {.lex_state = 148, .external_lex_state = 2},
  [1269] = {.lex_state = 148, .external_lex_state = 5},
  [1270] = {.lex_state = 148, .external_lex_state = 2},
  [1271] = {.lex_state = 148, .external_lex_state = 2},
  [1272] = {.lex_state = 21, .external_lex_state = 6},
  [1273] = {.lex_state = 148, .external_lex_state = 5},
  [1274] = {.lex_state = 148, .external_lex_state = 2},
  [1275] = {.lex_state = 148, .external_lex_state = 2},
  [1276] = {.lex_state = 148, .external_lex_state = 2},
  [1277] = {.lex_state = 148, .external_lex_state = 2},
  [1278] = {.lex_state = 148, .external_lex_state = 5},
  [1279] = {.lex_state = 148, .external_lex_state = 5},
  [1280] = {.lex_state = 148, .external_lex_state = 2},
  [1281] = {.lex_state = 148, .external_lex_state = 5},
  [1282] = {.lex_state = 148, .external_lex_state = 2},
  [1283] = {.lex_state = 148, .external_lex_state = 2},
  [1284] = {.lex_state = 148, .external_lex_state = 2},
  [1285] = {.lex_state = 148, .external_lex_state = 5},
  [1286] = {.lex_state = 148, .external_lex_state = 2},
  [1287] = {.lex_state = 148, .external_lex_state = 2},
  [1288] = {.lex_state = 148, .external_lex_state = 2},
  [1289] = {.lex_state = 148, .external_lex_state = 2},
  [1290] = {.lex_state = 148, .external_lex_state = 2},
  [1291] = {.lex_state = 148, .external_lex_state = 2},
  [1292] = {.lex_state = 148, .external_lex_state = 2},
  [1293] = {.lex_state = 15, .external_lex_state = 2},
  [1294] = {.lex_state = 24, .external_lex_state = 2},
  [1295] = {.lex_state = 148, .external_lex_state = 2},
  [1296] = {.lex_state = 148, .external_lex_state = 2},
  [1297] = {.lex_state = 148, .external_lex_state = 2},
  [1298] = {.lex_state = 148, .external_lex_state = 2},
  [1299] = {.lex_state = 148, .external_lex_state = 2},
  [1300] = {.lex_state = 148, .external_lex_state = 2},
  [1301] = {.lex_state = 148, .external_lex_state = 5},
  [1302] = {.lex_state = 148, .external_lex_state = 2},
  [1303] = {.lex_state = 148, .external_lex_state = 2},
  [1304] = {.lex_state = 148, .external_lex_state = 2},
  [1305] = {.lex_state = 148, .external_lex_state = 2},
  [1306] = {.lex_state = 148, .external_lex_state = 2},
  [1307] = {.lex_state = 148, .external_lex_state = 2},
  [1308] = {.lex_state = 148, .external_lex_state = 2},
  [1309] = {.lex_state = 17, .external_lex_state = 7},
  [1310] = {.lex_state = 26, .external_lex_state = 7},
  [1311] = {.lex_state = 148, .external_lex_state = 2},
  [1312] = {.lex_state = 148, .external_lex_state = 2},
  [1313] = {.lex_state = 148, .external_lex_state = 2},
  [1314] = {.lex_state = 148, .external_lex_state = 2},
  [1315] = {.lex_state = 148, .external_lex_state = 2},
  [1316] = {.lex_state = 148, .external_lex_state = 2},
  [1317] = {.lex_state = 148, .external_lex_state = 2},
  [1318] = {.lex_state = 148, .external_lex_state = 5},
  [1319] = {.lex_state = 148, .external_lex_state = 5},
  [1320] = {.lex_state = 148, .external_lex_state = 2},
  [1321] = {.lex_state = 9, .external_lex_state = 2},
  [1322] = {.lex_state = 148, .external_lex_state = 2},
  [1323] = {.lex_state = 148, .external_lex_state = 2},
  [1324] = {.lex_state = 3, .external_lex_state = 2},
  [1325] = {.lex_state = 148, .external_lex_state = 2},
  [1326] = {.lex_state = 148, .external_lex_state = 2},
  [1327] = {.lex_state = 148, .external_lex_state = 2},
  [1328] = {.lex_state = 148, .external_lex_state = 2},
  [1329] = {.lex_state = 148, .external_lex_state = 2},
  [1330] = {.lex_state = 148, .external_lex_state = 2},
  [1331] = {.lex_state = 9, .external_lex_state = 2},
  [1332] = {.lex_state = 148, .external_lex_state = 2},
  [1333] = {.lex_state = 148, .external_lex_state = 2},
  [1334] = {.lex_state = 148, .external_lex_state = 2},
  [1335] = {.lex_state = 148, .external_lex_state = 2},
  [1336] = {.lex_state = 9, .external_lex_state = 2},
  [1337] = {.lex_state = 148, .external_lex_state = 2},
  [1338] = {.lex_state = 148, .external_lex_state = 2},
  [1339] = {.lex_state = 148, .external_lex_state = 2},
  [1340] = {.lex_state = 148, .external_lex_state = 2},
  [1341] = {.lex_state = 148, .external_lex_state = 2},
  [1342] = {.lex_state = 148, .external_lex_state = 2},
  [1343] = {.lex_state = 148, .external_lex_state = 2},
  [1344] = {.lex_state = 148, .external_lex_state = 2},
  [1345] = {.lex_state = 9, .external_lex_state = 2},
  [1346] = {.lex_state = 148, .external_lex_state = 2},
  [1347] = {.lex_state = 148, .external_lex_state = 2},
  [1348] = {.lex_state = 148, .external_lex_state = 5},
  [1349] = {.lex_state = 148, .external_lex_state = 2},
  [1350] = {.lex_state = 148, .external_lex_state = 5},
  [1351] = {.lex_state = 148, .external_lex_state = 2},
  [1352] = {.lex_state = 148, .external_lex_state = 2},
  [1353] = {.lex_state = 148, .external_lex_state = 2},
  [1354] = {.lex_state = 148, .external_lex_state = 2},
  [1355] = {.lex_state = 148, .external_lex_state = 2},
  [1356] = {.lex_state = 148, .external_lex_state = 2},
  [1357] = {.lex_state = 148, .external_lex_state = 2},
  [1358] = {.lex_state = 148, .external_lex_state = 2},
  [1359] = {.lex_state = 148, .external_lex_state = 2},
  [1360] = {.lex_state = 148, .external_lex_state = 2},
  [1361] = {.lex_state = 148, .external_lex_state = 2},
  [1362] = {.lex_state = 148, .external_lex_state = 2},
  [1363] = {.lex_state = 148, .external_lex_state = 2},
  [1364] = {.lex_state = 148, .external_lex_state = 2},
  [1365] = {.lex_state = 148, .external_lex_state = 2},
  [1366] = {.lex_state = 148, .external_lex_state = 2},
  [1367] = {.lex_state = 148, .external_lex_state = 2},
  [1368] = {.lex_state = 148, .external_lex_state = 2},
  [1369] = {.lex_state = 148, .external_lex_state = 2},
  [1370] = {.lex_state = 148, .external_lex_state = 2},
  [1371] = {.lex_state = 148, .external_lex_state = 2},
  [1372] = {.lex_state = 148, .external_lex_state = 2},
  [1373] = {.lex_state = 148, .external_lex_state = 2},
  [1374] = {.lex_state = 148, .external_lex_state = 2},
  [1375] = {.lex_state = 148, .external_lex_state = 2},
  [1376] = {.lex_state = 148, .external_lex_state = 2},
  [1377] = {.lex_state = 148, .external_lex_state = 2},
  [1378] = {.lex_state = 148, .external_lex_state = 2},
  [1379] = {.lex_state = 148, .external_lex_state = 2},
  [1380] = {.lex_state = 148, .external_lex_state = 2},
  [1381] = {.lex_state = 148, .external_lex_state = 2},
  [1382] = {.lex_state = 148, .external_lex_state = 2},
  [1383] = {.lex_state = 148, .external_lex_state = 2},
  [1384] = {.lex_state = 148, .external_lex_state = 2},
  [1385] = {.lex_state = 148, .external_lex_state = 2},
  [1386] = {.lex_state = 148, .external_lex_state = 2},
  [1387] = {.lex_state = 148, .external_lex_state = 2},
  [1388] = {.lex_state = 148, .external_lex_state = 2},
  [1389] = {.lex_state = 148, .external_lex_state = 2},
  [1390] = {.lex_state = 148, .external_lex_state = 2},
  [1391] = {.lex_state = 148, .external_lex_state = 2},
  [1392] = {.lex_state = 148, .external_lex_state = 2},
  [1393] = {.lex_state = 148, .external_lex_state = 2},
  [1394] = {.lex_state = 148, .external_lex_state = 2},
  [1395] = {.lex_state = 148, .external_lex_state = 5},
  [1396] = {.lex_state = 148, .external_lex_state = 2},
  [1397] = {.lex_state = 3, .external_lex_state = 2},
  [1398] = {.lex_state = 148, .external_lex_state = 2},
  [1399] = {.lex_state = 148, .external_lex_state = 2},
  [1400] = {.lex_state = 148, .external_lex_state = 2},
  [1401] = {.lex_state = 148, .external_lex_state = 2},
  [1402] = {.lex_state = 148, .external_lex_state = 2},
  [1403] = {.lex_state = 148, .external_lex_state = 5},
  [1404] = {.lex_state = 148, .external_lex_state = 2},
  [1405] = {.lex_state = 148, .external_lex_state = 2},
  [1406] = {.lex_state = 148, .external_lex_state = 5},
  [1407] = {.lex_state = 148, .external_lex_state = 2},
  [1408] = {.lex_state = 148, .external_lex_state = 2},
  [1409] = {.lex_state = 148, .external_lex_state = 2},
  [1410] = {.lex_state = 9, .external_lex_state = 2},
  [1411] = {.lex_state = 148, .external_lex_state = 2},
  [1412] = {.lex_state = 148, .external_lex_state = 2},
  [1413] = {.lex_state = 148, .external_lex_state = 5},
  [1414] = {.lex_state = 148, .external_lex_state = 5},
  [1415] = {.lex_state = 3, .external_lex_state = 2},
  [1416] = {.lex_state = 148, .external_lex_state = 2},
  [1417] = {.lex_state = 148, .external_lex_state = 5},
  [1418] = {.lex_state = 148, .external_lex_state = 2},
  [1419] = {.lex_state = 148, .external_lex_state = 2},
  [1420] = {.lex_state = 148, .external_lex_state = 2},
  [1421] = {.lex_state = 148, .external_lex_state = 2},
  [1422] = {.lex_state = 148, .external_lex_state = 2},
  [1423] = {.lex_state = 148, .external_lex_state = 2},
  [1424] = {.lex_state = 148, .external_lex_state = 2},
  [1425] = {.lex_state = 148, .external_lex_state = 2},
  [1426] = {.lex_state = 148, .external_lex_state = 2},
  [1427] = {.lex_state = 148, .external_lex_state = 2},
  [1428] = {.lex_state = 148, .external_lex_state = 2},
  [1429] = {.lex_state = 148, .external_lex_state = 2},
  [1430] = {.lex_state = 9, .external_lex_state = 2},
  [1431] = {.lex_state = 148, .external_lex_state = 2},
  [1432] = {.lex_state = 148, .external_lex_state = 2},
  [1433] = {.lex_state = 37, .external_lex_state = 2},
  [1434] = {.lex_state = 148, .external_lex_state = 2},
  [1435] = {.lex_state = 148, .external_lex_state = 5},
  [1436] = {.lex_state = 148, .external_lex_state = 2},
  [1437] = {.lex_state = 148, .external_lex_state = 2},
  [1438] = {.lex_state = 148, .external_lex_state = 2},
  [1439] = {.lex_state = 148, .external_lex_state = 2},
  [1440] = {.lex_state = 148, .external_lex_state = 2},
  [1441] = {.lex_state = 148, .external_lex_state = 2},
  [1442] = {.lex_state = 148, .external_lex_state = 2},
  [1443] = {.lex_state = 148, .external_lex_state = 2},
  [1444] = {.lex_state = 148, .external_lex_state = 2},
  [1445] = {.lex_state = 148, .external_lex_state = 2},
  [1446] = {.lex_state = 9, .external_lex_state = 2},
  [1447] = {.lex_state = 148, .external_lex_state = 2},
  [1448] = {.lex_state = 148, .external_lex_state = 2},
  [1449] = {.lex_state = 148, .external_lex_state = 2},
  [1450] = {.lex_state = 148, .external_lex_state = 2},
  [1451] = {.lex_state = 148, .external_lex_state = 2},
  [1452] = {.lex_state = 148, .external_lex_state = 2},
  [1453] = {.lex_state = 148, .external_lex_state = 2},
  [1454] = {.lex_state = 148, .external_lex_state = 2},
  [1455] = {.lex_state = 148, .external_lex_state = 2},
  [1456] = {.lex_state = 148, .external_lex_state = 2},
  [1457] = {.lex_state = 148, .external_lex_state = 2},
  [1458] = {.lex_state = 148, .external_lex_state = 2},
  [1459] = {.lex_state = 148, .external_lex_state = 2},
  [1460] = {.lex_state = 148, .external_lex_state = 2},
  [1461] = {.lex_state = 9, .external_lex_state = 2},
  [1462] = {.lex_state = 148, .external_lex_state = 2},
  [1463] = {.lex_state = 148, .external_lex_state = 2},
  [1464] = {.lex_state = 148, .external_lex_state = 2},
  [1465] = {.lex_state = 148, .external_lex_state = 2},
  [1466] = {.lex_state = 148, .external_lex_state = 5},
  [1467] = {.lex_state = 148, .external_lex_state = 2},
  [1468] = {.lex_state = 148, .external_lex_state = 5},
  [1469] = {.lex_state = 148, .external_lex_state = 2},
  [1470] = {.lex_state = 148, .external_lex_state = 2},
  [1471] = {.lex_state = 148, .external_lex_state = 2},
  [1472] = {.lex_state = 148, .external_lex_state = 2},
  [1473] = {.lex_state = 148, .external_lex_state = 2},
  [1474] = {.lex_state = 148, .external_lex_state = 2},
  [1475] = {.lex_state = 148, .external_lex_state = 2},
  [1476] = {.lex_state = 148, .external_lex_state = 2},
  [1477] = {.lex_state = 148, .external_lex_state = 2},
  [1478] = {.lex_state = 148, .external_lex_state = 2},
  [1479] = {.lex_state = 148, .external_lex_state = 2},
  [1480] = {.lex_state = 148, .external_lex_state = 2},
  [1481] = {.lex_state = 148, .external_lex_state = 2},
  [1482] = {.lex_state = 148, .external_lex_state = 5},
  [1483] = {.lex_state = 148, .external_lex_state = 2},
  [1484] = {.lex_state = 148, .external_lex_state = 2},
  [1485] = {.lex_state = 148, .external_lex_state = 2},
  [1486] = {.lex_state = 148, .external_lex_state = 2},
  [1487] = {.lex_state = 148, .external_lex_state = 2},
  [1488] = {.lex_state = 148, .external_lex_state = 2},
  [1489] = {.lex_state = 148, .external_lex_state = 2},
  [1490] = {.lex_state = 148, .external_lex_state = 2},
  [1491] = {.lex_state = 148, .external_lex_state = 2},
  [1492] = {.lex_state = 148, .external_lex_state = 2},
  [1493] = {.lex_state = 148, .external_lex_state = 2},
  [1494] = {.lex_state = 148, .external_lex_state = 2},
  [1495] = {.lex_state = 148, .external_lex_state = 2},
  [1496] = {.lex_state = 148, .external_lex_state = 2},
  [1497] = {.lex_state = 148, .external_lex_state = 2},
  [1498] = {.lex_state = 148, .external_lex_state = 2},
  [1499] = {.lex_state = 148, .external_lex_state = 2},
  [1500] = {.lex_state = 148, .external_lex_state = 2},
  [1501] = {.lex_state = 148, .external_lex_state = 2},
  [1502] = {.lex_state = 148, .external_lex_state = 2},
  [1503] = {.lex_state = 148, .external_lex_state = 2},
  [1504] = {.lex_state = 148, .external_lex_state = 2},
  [1505] = {.lex_state = 148, .external_lex_state = 2},
  [1506] = {.lex_state = 148, .external_lex_state = 2},
  [1507] = {.lex_state = 148, .external_lex_state = 2},
  [1508] = {.lex_state = 148, .external_lex_state = 5},
  [1509] = {.lex_state = 148, .external_lex_state = 5},
  [1510] = {.lex_state = 148, .external_lex_state = 5},
  [1511] = {.lex_state = 148, .external_lex_state = 2},
  [1512] = {.lex_state = 148, .external_lex_state = 2},
  [1513] = {.lex_state = 148, .external_lex_state = 5},
  [1514] = {.lex_state = 148, .external_lex_state = 5},
  [1515] = {.lex_state = 148, .external_lex_state = 2},
  [1516] = {.lex_state = 148, .external_lex_state = 2},
  [1517] = {.lex_state = 148, .external_lex_state = 2},
  [1518] = {.lex_state = 148, .external_lex_state = 2},
  [1519] = {.lex_state = 148, .external_lex_state = 5},
  [1520] = {.lex_state = 148, .external_lex_state = 2},
  [1521] = {.lex_state = 148, .external_lex_state = 2},
  [1522] = {.lex_state = 148, .external_lex_state = 5},
  [1523] = {.lex_state = 148, .external_lex_state = 2},
  [1524] = {.lex_state = 148, .external_lex_state = 2},
  [1525] = {.lex_state = 148, .external_lex_state = 2},
  [1526] = {.lex_state = 148, .external_lex_state = 5},
  [1527] = {.lex_state = 148, .external_lex_state = 2},
  [1528] = {.lex_state = 148, .external_lex_state = 2},
  [1529] = {.lex_state = 148, .external_lex_state = 2},
  [1530] = {.lex_state = 148, .external_lex_state = 2},
  [1531] = {.lex_state = 148, .external_lex_state = 2},
  [1532] = {.lex_state = 148, .external_lex_state = 2},
  [1533] = {.lex_state = 148, .external_lex_state = 2},
  [1534] = {.lex_state = 148, .external_lex_state = 2},
  [1535] = {.lex_state = 148, .external_lex_state = 2},
  [1536] = {.lex_state = 148, .external_lex_state = 2},
  [1537] = {.lex_state = 148, .external_lex_state = 2},
  [1538] = {.lex_state = 148, .external_lex_state = 2},
  [1539] = {.lex_state = 148, .external_lex_state = 2},
  [1540] = {.lex_state = 148, .external_lex_state = 2},
  [1541] = {.lex_state = 148, .external_lex_state = 2},
  [1542] = {.lex_state = 148, .external_lex_state = 2},
  [1543] = {.lex_state = 148, .external_lex_state = 2},
  [1544] = {.lex_state = 148, .external_lex_state = 5},
  [1545] = {.lex_state = 148, .external_lex_state = 2},
  [1546] = {.lex_state = 148, .external_lex_state = 2},
  [1547] = {.lex_state = 148, .external_lex_state = 2},
  [1548] = {.lex_state = 148, .external_lex_state = 2},
  [1549] = {.lex_state = 148, .external_lex_state = 2},
  [1550] = {.lex_state = 148, .external_lex_state = 2},
  [1551] = {.lex_state = 148, .external_lex_state = 2},
  [1552] = {.lex_state = 148, .external_lex_state = 2},
  [1553] = {.lex_state = 148, .external_lex_state = 2},
  [1554] = {.lex_state = 148, .external_lex_state = 2},
  [1555] = {.lex_state = 148, .external_lex_state = 2},
  [1556] = {.lex_state = 148, .external_lex_state = 5},
  [1557] = {.lex_state = 148, .external_lex_state = 2},
  [1558] = {.lex_state = 148, .external_lex_state = 5},
  [1559] = {.lex_state = 148, .external_lex_state = 2},
  [1560] = {.lex_state = 148, .external_lex_state = 2},
  [1561] = {.lex_state = 148, .external_lex_state = 2},
  [1562] = {.lex_state = 148, .external_lex_state = 2},
  [1563] = {.lex_state = 148, .external_lex_state = 2},
  [1564] = {.lex_state = 148, .external_lex_state = 2},
  [1565] = {.lex_state = 148, .external_lex_state = 2},
  [1566] = {.lex_state = 148, .external_lex_state = 2},
  [1567] = {.lex_state = 148, .external_lex_state = 2},
  [1568] = {.lex_state = 148, .external_lex_state = 2},
  [1569] = {.lex_state = 148, .external_lex_state = 2},
  [1570] = {.lex_state = 148, .external_lex_state = 2},
  [1571] = {.lex_state = 148, .external_lex_state = 2},
  [1572] = {.lex_state = 148, .external_lex_state = 2},
  [1573] = {.lex_state = 148, .external_lex_state = 2},
  [1574] = {.lex_state = 148, .external_lex_state = 2},
  [1575] = {.lex_state = 148, .external_lex_state = 2},
  [1576] = {.lex_state = 148, .external_lex_state = 2},
  [1577] = {.lex_state = 148, .external_lex_state = 2},
  [1578] = {.lex_state = 148, .external_lex_state = 2},
  [1579] = {.lex_state = 148, .external_lex_state = 2},
  [1580] = {.lex_state = 148, .external_lex_state = 2},
  [1581] = {.lex_state = 148, .external_lex_state = 2},
  [1582] = {.lex_state = 148, .external_lex_state = 2},
  [1583] = {.lex_state = 148, .external_lex_state = 2},
  [1584] = {.lex_state = 148, .external_lex_state = 2},
  [1585] = {.lex_state = 148, .external_lex_state = 2},
  [1586] = {.lex_state = 148, .external_lex_state = 2},
  [1587] = {.lex_state = 148, .external_lex_state = 2},
  [1588] = {.lex_state = 148, .external_lex_state = 2},
  [1589] = {.lex_state = 148, .external_lex_state = 2},
  [1590] = {.lex_state = 148, .external_lex_state = 2},
  [1591] = {.lex_state = 148, .external_lex_state = 2},
  [1592] = {.lex_state = 148, .external_lex_state = 2},
  [1593] = {.lex_state = 148, .external_lex_state = 2},
  [1594] = {.lex_state = 148, .external_lex_state = 2},
  [1595] = {.lex_state = 148, .external_lex_state = 2},
  [1596] = {.lex_state = 148, .external_lex_state = 2},
  [1597] = {.lex_state = 148, .external_lex_state = 2},
  [1598] = {.lex_state = 148, .external_lex_state = 2},
  [1599] = {.lex_state = 148, .external_lex_state = 2},
  [1600] = {.lex_state = 148, .external_lex_state = 5},
  [1601] = {.lex_state = 148, .external_lex_state = 2},
  [1602] = {.lex_state = 148, .external_lex_state = 2},
  [1603] = {.lex_state = 148, .external_lex_state = 2},
  [1604] = {.lex_state = 148, .external_lex_state = 2},
  [1605] = {.lex_state = 148, .external_lex_state = 2},
  [1606] = {.lex_state = 148, .external_lex_state = 2},
  [1607] = {.lex_state = 148, .external_lex_state = 2},
  [1608] = {.lex_state = 148, .external_lex_state = 2},
  [1609] = {.lex_state = 148, .external_lex_state = 2},
  [1610] = {.lex_state = 148, .external_lex_state = 2},
  [1611] = {.lex_state = 148, .external_lex_state = 2},
  [1612] = {.lex_state = 148, .external_lex_state = 2},
  [1613] = {.lex_state = 148, .external_lex_state = 2},
  [1614] = {.lex_state = 148, .external_lex_state = 2},
  [1615] = {.lex_state = 148, .external_lex_state = 2},
  [1616] = {.lex_state = 148, .external_lex_state = 2},
  [1617] = {.lex_state = 148, .external_lex_state = 2},
  [1618] = {.lex_state = 148, .external_lex_state = 2},
  [1619] = {.lex_state = 148, .external_lex_state = 2},
  [1620] = {.lex_state = 148, .external_lex_state = 2},
  [1621] = {.lex_state = 38, .external_lex_state = 2},
  [1622] = {.lex_state = 148, .external_lex_state = 2},
  [1623] = {.lex_state = 148, .external_lex_state = 2},
  [1624] = {.lex_state = 148, .external_lex_state = 2},
  [1625] = {.lex_state = 148, .external_lex_state = 2},
  [1626] = {.lex_state = 148, .external_lex_state = 2},
  [1627] = {.lex_state = 148, .external_lex_state = 2},
  [1628] = {.lex_state = 148, .external_lex_state = 2},
  [1629] = {.lex_state = 148, .external_lex_state = 2},
  [1630] = {.lex_state = 148, .external_lex_state = 2},
  [1631] = {.lex_state = 4, .external_lex_state = 8},
  [1632] = {.lex_state = 4, .external_lex_state = 8},
  [1633] = {.lex_state = 148, .external_lex_state = 2},
  [1634] = {.lex_state = 148, .external_lex_state = 2},
  [1635] = {.lex_state = 148, .external_lex_state = 2},
  [1636] = {.lex_state = 148, .external_lex_state = 2},
  [1637] = {.lex_state = 148, .external_lex_state = 2},
  [1638] = {.lex_state = 148, .external_lex_state = 2},
  [1639] = {.lex_state = 148, .external_lex_state = 2},
  [1640] = {.lex_state = 148, .external_lex_state = 2},
  [1641] = {.lex_state = 148, .external_lex_state = 2},
  [1642] = {.lex_state = 148, .external_lex_state = 2},
  [1643] = {.lex_state = 148, .external_lex_state = 2},
  [1644] = {.lex_state = 148, .external_lex_state = 2},
  [1645] = {.lex_state = 148, .external_lex_state = 2},
  [1646] = {.lex_state = 148, .external_lex_state = 2},
  [1647] = {.lex_state = 148, .external_lex_state = 2},
  [1648] = {.lex_state = 148, .external_lex_state = 2},
  [1649] = {.lex_state = 148, .external_lex_state = 2},
  [1650] = {.lex_state = 148, .external_lex_state = 2},
  [1651] = {.lex_state = 148, .external_lex_state = 2},
  [1652] = {.lex_state = 148, .external_lex_state = 2},
  [1653] = {.lex_state = 148, .external_lex_state = 2},
  [1654] = {.lex_state = 148, .external_lex_state = 2},
  [1655] = {.lex_state = 148, .external_lex_state = 2},
  [1656] = {.lex_state = 148, .external_lex_state = 2},
  [1657] = {.lex_state = 148, .external_lex_state = 2},
  [1658] = {.lex_state = 148, .external_lex_state = 2},
  [1659] = {.lex_state = 148, .external_lex_state = 2},
  [1660] = {.lex_state = 148, .external_lex_state = 2},
  [1661] = {.lex_state = 148, .external_lex_state = 2},
  [1662] = {.lex_state = 4, .external_lex_state = 8},
  [1663] = {.lex_state = 148, .external_lex_state = 2},
  [1664] = {.lex_state = 4, .external_lex_state = 8},
  [1665] = {.lex_state = 148, .external_lex_state = 2},
  [1666] = {.lex_state = 148, .external_lex_state = 2},
  [1667] = {.lex_state = 148, .external_lex_state = 2},
  [1668] = {.lex_state = 148, .external_lex_state = 2},
  [1669] = {.lex_state = 148, .external_lex_state = 2},
  [1670] = {.lex_state = 148, .external_lex_state = 2},
  [1671] = {.lex_state = 148, .external_lex_state = 2},
  [1672] = {.lex_state = 148, .external_lex_state = 2},
  [1673] = {.lex_state = 148, .external_lex_state = 2},
  [1674] = {.lex_state = 148, .external_lex_state = 2},
  [1675] = {.lex_state = 148, .external_lex_state = 2},
  [1676] = {.lex_state = 148, .external_lex_state = 2},
  [1677] = {.lex_state = 148, .external_lex_state = 2},
  [1678] = {.lex_state = 38, .external_lex_state = 2},
  [1679] = {.lex_state = 148, .external_lex_state = 2},
  [1680] = {.lex_state = 148, .external_lex_state = 2},
  [1681] = {.lex_state = 148, .external_lex_state = 2},
  [1682] = {.lex_state = 148, .external_lex_state = 2},
  [1683] = {.lex_state = 148, .external_lex_state = 2},
  [1684] = {.lex_state = 148, .external_lex_state = 2},
  [1685] = {.lex_state = 148, .external_lex_state = 2},
  [1686] = {.lex_state = 148, .external_lex_state = 2},
  [1687] = {.lex_state = 148, .external_lex_state = 2},
  [1688] = {.lex_state = 148, .external_lex_state = 2},
  [1689] = {.lex_state = 148, .external_lex_state = 2},
  [1690] = {.lex_state = 148, .external_lex_state = 2},
  [1691] = {.lex_state = 148, .external_lex_state = 2},
  [1692] = {.lex_state = 148, .external_lex_state = 2},
  [1693] = {.lex_state = 38, .external_lex_state = 2},
  [1694] = {.lex_state = 148, .external_lex_state = 2},
  [1695] = {.lex_state = 148, .external_lex_state = 2},
  [1696] = {.lex_state = 148, .external_lex_state = 2},
  [1697] = {.lex_state = 148, .external_lex_state = 2},
  [1698] = {.lex_state = 148, .external_lex_state = 2},
  [1699] = {.lex_state = 148, .external_lex_state = 2},
  [1700] = {.lex_state = 148, .external_lex_state = 2},
  [1701] = {.lex_state = 148, .external_lex_state = 2},
  [1702] = {.lex_state = 148, .external_lex_state = 2},
  [1703] = {.lex_state = 148, .external_lex_state = 2},
  [1704] = {.lex_state = 148, .external_lex_state = 2},
  [1705] = {.lex_state = 148, .external_lex_state = 2},
  [1706] = {.lex_state = 148, .external_lex_state = 2},
  [1707] = {.lex_state = 148, .external_lex_state = 2},
  [1708] = {.lex_state = 148, .external_lex_state = 2},
  [1709] = {.lex_state = 148, .external_lex_state = 2},
  [1710] = {.lex_state = 148, .external_lex_state = 2},
  [1711] = {.lex_state = 38, .external_lex_state = 2},
  [1712] = {.lex_state = 148, .external_lex_state = 2},
  [1713] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(1656),
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_object_assignment_pattern] = STATE(1291),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1633),
    [sym_spread_element] = STATE(1365),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(772),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [sym_rest_pattern] = STATE(1291),
    [sym_method_definition] = STATE(1365),
    [sym_pair] = STATE(1365),
    [sym_pair_pattern] = STATE(1291),
    [sym__property_name] = STATE(1292),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(880),
    [aux_sym_object_repeat1] = STATE(1364),
    [aux_sym_object_pattern_repeat1] = STATE(1296),
    [sym_identifier] = ACTIONS(99),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_STAR] = ACTIONS(103),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(107),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(109),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(117),
    [sym_private_property_identifier] = ACTIONS(119),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(121),
    [aux_sym_method_definition_token1] = ACTIONS(123),
    [anon_sym_get] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_object_assignment_pattern] = STATE(1291),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1633),
    [sym_spread_element] = STATE(1299),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(772),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [sym_rest_pattern] = STATE(1291),
    [sym_method_definition] = STATE(1299),
    [sym_pair] = STATE(1299),
    [sym_pair_pattern] = STATE(1291),
    [sym__property_name] = STATE(1292),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(880),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1296),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(103),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(117),
    [sym_private_property_identifier] = ACTIONS(119),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(137),
    [aux_sym_method_definition_token1] = ACTIONS(123),
    [anon_sym_get] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_object_assignment_pattern] = STATE(1291),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1633),
    [sym_spread_element] = STATE(1299),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(772),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [sym_rest_pattern] = STATE(1291),
    [sym_method_definition] = STATE(1299),
    [sym_pair] = STATE(1299),
    [sym_pair_pattern] = STATE(1291),
    [sym__property_name] = STATE(1292),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(880),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1296),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(103),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(141),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(117),
    [sym_private_property_identifier] = ACTIONS(119),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(137),
    [aux_sym_method_definition_token1] = ACTIONS(123),
    [anon_sym_get] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_object_assignment_pattern] = STATE(1291),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1633),
    [sym_spread_element] = STATE(1299),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(772),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [sym_rest_pattern] = STATE(1291),
    [sym_method_definition] = STATE(1299),
    [sym_pair] = STATE(1299),
    [sym_pair_pattern] = STATE(1291),
    [sym__property_name] = STATE(1292),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(880),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1296),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(103),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(117),
    [sym_private_property_identifier] = ACTIONS(119),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(137),
    [aux_sym_method_definition_token1] = ACTIONS(123),
    [anon_sym_get] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_object_assignment_pattern] = STATE(1291),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1633),
    [sym_spread_element] = STATE(1365),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(772),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [sym_rest_pattern] = STATE(1291),
    [sym_method_definition] = STATE(1365),
    [sym_pair] = STATE(1365),
    [sym_pair_pattern] = STATE(1291),
    [sym__property_name] = STATE(1292),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(880),
    [aux_sym_object_repeat1] = STATE(1364),
    [aux_sym_object_pattern_repeat1] = STATE(1296),
    [sym_identifier] = ACTIONS(145),
    [anon_sym_export] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(103),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(107),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(149),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(117),
    [sym_private_property_identifier] = ACTIONS(119),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(153),
    [aux_sym_method_definition_token1] = ACTIONS(123),
    [anon_sym_get] = ACTIONS(155),
    [anon_sym_set] = ACTIONS(155),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [ts_builtin_sym_end] = ACTIONS(157),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(162),
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(167),
    [anon_sym_RBRACE] = ACTIONS(157),
    [anon_sym_import] = ACTIONS(170),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(176),
    [anon_sym_let] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(182),
    [anon_sym_if] = ACTIONS(185),
    [anon_sym_switch] = ACTIONS(188),
    [anon_sym_for] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_await] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(200),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(206),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(212),
    [anon_sym_debugger] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(218),
    [anon_sym_throw] = ACTIONS(221),
    [anon_sym_SEMI] = ACTIONS(224),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_yield] = ACTIONS(227),
    [anon_sym_LBRACK] = ACTIONS(230),
    [anon_sym_LTtemplate_GT] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_DQUOTE] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(242),
    [anon_sym_class] = ACTIONS(245),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_SLASH] = ACTIONS(260),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(257),
    [anon_sym_void] = ACTIONS(257),
    [anon_sym_delete] = ACTIONS(257),
    [anon_sym_PLUS_PLUS] = ACTIONS(266),
    [anon_sym_DASH_DASH] = ACTIONS(266),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(269),
    [sym_number] = ACTIONS(272),
    [sym_private_property_identifier] = ACTIONS(275),
    [sym_this] = ACTIONS(278),
    [sym_super] = ACTIONS(278),
    [sym_true] = ACTIONS(278),
    [sym_false] = ACTIONS(278),
    [sym_null] = ACTIONS(278),
    [sym_undefined] = ACTIONS(281),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_static] = ACTIONS(287),
    [anon_sym_get] = ACTIONS(287),
    [anon_sym_set] = ACTIONS(287),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(292),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(290),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(294),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(294),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(298),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(300),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(298),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(302),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(304),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(302),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(306),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(308),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(310),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(314),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(324),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [ts_builtin_sym_end] = ACTIONS(328),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [ts_builtin_sym_end] = ACTIONS(330),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [ts_builtin_sym_end] = ACTIONS(328),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(402),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(332),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(354),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(378),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(373),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(365),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(335),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(373),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(359),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(359),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(375),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(1303),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(375),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(365),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(378),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(1622),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(354),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(356),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(390),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_export] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(344),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(348),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(352),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(356),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(356),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(379),
    [sym_declaration] = STATE(379),
    [sym_import] = STATE(1124),
    [sym_import_statement] = STATE(379),
    [sym_statement] = STATE(390),
    [sym_expression_statement] = STATE(379),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_for_in_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_with_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_debugger_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_statement] = STATE(379),
    [sym_empty_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(547),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_STAR] = ACTIONS(362),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_COMMA] = ACTIONS(366),
    [anon_sym_RBRACE] = ACTIONS(366),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(366),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_in] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(366),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_RBRACK] = ACTIONS(366),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(366),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(366),
    [anon_sym_PIPE_PIPE] = ACTIONS(366),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(366),
    [anon_sym_PIPE] = ACTIONS(374),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_STAR_STAR] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(366),
    [anon_sym_EQ_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(366),
    [anon_sym_BANG_EQ] = ACTIONS(374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(366),
    [anon_sym_GT_EQ] = ACTIONS(366),
    [anon_sym_QMARK_QMARK] = ACTIONS(366),
    [anon_sym_instanceof] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym__ternary_qmark] = ACTIONS(366),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(606),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(366),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_in] = ACTIONS(374),
    [anon_sym_of] = ACTIONS(374),
    [anon_sym_SEMI] = ACTIONS(366),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [sym_optional_chain] = ACTIONS(366),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(366),
    [anon_sym_PIPE_PIPE] = ACTIONS(366),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(366),
    [anon_sym_PIPE] = ACTIONS(374),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_STAR_STAR] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(366),
    [anon_sym_EQ_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(366),
    [anon_sym_BANG_EQ] = ACTIONS(374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(366),
    [anon_sym_GT_EQ] = ACTIONS(366),
    [anon_sym_QMARK_QMARK] = ACTIONS(366),
    [anon_sym_instanceof] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(432),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym__automatic_semicolon] = ACTIONS(366),
    [sym__ternary_qmark] = ACTIONS(366),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(366),
    [anon_sym_RBRACE] = ACTIONS(366),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(374),
    [anon_sym_SEMI] = ACTIONS(366),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [sym_optional_chain] = ACTIONS(366),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(366),
    [anon_sym_PIPE_PIPE] = ACTIONS(366),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(366),
    [anon_sym_PIPE] = ACTIONS(374),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_STAR_STAR] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(366),
    [anon_sym_EQ_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(366),
    [anon_sym_BANG_EQ] = ACTIONS(374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(366),
    [anon_sym_GT_EQ] = ACTIONS(366),
    [anon_sym_QMARK_QMARK] = ACTIONS(366),
    [anon_sym_instanceof] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym__automatic_semicolon] = ACTIONS(366),
    [sym__ternary_qmark] = ACTIONS(366),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_in] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(366),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(366),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(366),
    [anon_sym_PIPE_PIPE] = ACTIONS(366),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(366),
    [anon_sym_PIPE] = ACTIONS(374),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_STAR_STAR] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(366),
    [anon_sym_EQ_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(366),
    [anon_sym_BANG_EQ] = ACTIONS(374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(366),
    [anon_sym_GT_EQ] = ACTIONS(366),
    [anon_sym_QMARK_QMARK] = ACTIONS(366),
    [anon_sym_instanceof] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym__ternary_qmark] = ACTIONS(366),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_in] = ACTIONS(374),
    [anon_sym_of] = ACTIONS(374),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(366),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_AMP_AMP] = ACTIONS(366),
    [anon_sym_PIPE_PIPE] = ACTIONS(366),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(366),
    [anon_sym_PIPE] = ACTIONS(374),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_STAR_STAR] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(366),
    [anon_sym_EQ_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(366),
    [anon_sym_BANG_EQ] = ACTIONS(374),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(366),
    [anon_sym_GT_EQ] = ACTIONS(366),
    [anon_sym_QMARK_QMARK] = ACTIONS(366),
    [anon_sym_instanceof] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(494),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym__ternary_qmark] = ACTIONS(366),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1373),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1371),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(512),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1373),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1371),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(518),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1373),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1371),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(520),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1373),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1371),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(522),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_comment] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(524),
    [sym_identifier] = ACTIONS(526),
    [anon_sym_export] = ACTIONS(526),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_default] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(526),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(526),
    [anon_sym_const] = ACTIONS(526),
    [anon_sym_else] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(526),
    [anon_sym_for] = ACTIONS(526),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(526),
    [anon_sym_in] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(526),
    [anon_sym_do] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(526),
    [anon_sym_break] = ACTIONS(526),
    [anon_sym_continue] = ACTIONS(526),
    [anon_sym_debugger] = ACTIONS(526),
    [anon_sym_return] = ACTIONS(526),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(524),
    [anon_sym_case] = ACTIONS(526),
    [anon_sym_yield] = ACTIONS(526),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_LTtemplate_GT] = ACTIONS(524),
    [anon_sym_LT] = ACTIONS(526),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_DOT] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [anon_sym_SQUOTE] = ACTIONS(524),
    [anon_sym_class] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(526),
    [anon_sym_function] = ACTIONS(526),
    [sym_optional_chain] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(526),
    [anon_sym_AMP_AMP] = ACTIONS(530),
    [anon_sym_PIPE_PIPE] = ACTIONS(530),
    [anon_sym_GT_GT] = ACTIONS(528),
    [anon_sym_GT_GT_GT] = ACTIONS(530),
    [anon_sym_LT_LT] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(528),
    [anon_sym_CARET] = ACTIONS(530),
    [anon_sym_PIPE] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(526),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(528),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_QMARK_QMARK] = ACTIONS(530),
    [anon_sym_instanceof] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(526),
    [anon_sym_TILDE] = ACTIONS(524),
    [anon_sym_typeof] = ACTIONS(526),
    [anon_sym_void] = ACTIONS(526),
    [anon_sym_delete] = ACTIONS(526),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_number] = ACTIONS(524),
    [sym_private_property_identifier] = ACTIONS(524),
    [sym_this] = ACTIONS(526),
    [sym_super] = ACTIONS(526),
    [sym_true] = ACTIONS(526),
    [sym_false] = ACTIONS(526),
    [sym_null] = ACTIONS(526),
    [sym_undefined] = ACTIONS(526),
    [anon_sym_AT] = ACTIONS(524),
    [anon_sym_static] = ACTIONS(526),
    [anon_sym_get] = ACTIONS(526),
    [anon_sym_set] = ACTIONS(526),
    [sym__automatic_semicolon] = ACTIONS(534),
    [sym__ternary_qmark] = ACTIONS(530),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(666),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1306),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1307),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(536),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(666),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1306),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1307),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(538),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1373),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1371),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(540),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(660),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1306),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1307),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(536),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_comment] = STATE(60),
    [ts_builtin_sym_end] = ACTIONS(524),
    [sym_identifier] = ACTIONS(526),
    [anon_sym_export] = ACTIONS(526),
    [anon_sym_STAR] = ACTIONS(526),
    [anon_sym_default] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(526),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(526),
    [anon_sym_const] = ACTIONS(526),
    [anon_sym_else] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(526),
    [anon_sym_for] = ACTIONS(526),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(526),
    [anon_sym_in] = ACTIONS(526),
    [anon_sym_while] = ACTIONS(526),
    [anon_sym_do] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(526),
    [anon_sym_break] = ACTIONS(526),
    [anon_sym_continue] = ACTIONS(526),
    [anon_sym_debugger] = ACTIONS(526),
    [anon_sym_return] = ACTIONS(526),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(524),
    [anon_sym_case] = ACTIONS(526),
    [anon_sym_yield] = ACTIONS(526),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_LTtemplate_GT] = ACTIONS(524),
    [anon_sym_LT] = ACTIONS(526),
    [anon_sym_GT] = ACTIONS(526),
    [anon_sym_DOT] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [anon_sym_SQUOTE] = ACTIONS(524),
    [anon_sym_class] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(526),
    [anon_sym_function] = ACTIONS(526),
    [sym_optional_chain] = ACTIONS(524),
    [anon_sym_new] = ACTIONS(526),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(526),
    [anon_sym_GT_GT_GT] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(526),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_STAR] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_QMARK_QMARK] = ACTIONS(524),
    [anon_sym_instanceof] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(526),
    [anon_sym_TILDE] = ACTIONS(524),
    [anon_sym_typeof] = ACTIONS(526),
    [anon_sym_void] = ACTIONS(526),
    [anon_sym_delete] = ACTIONS(526),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_number] = ACTIONS(524),
    [sym_private_property_identifier] = ACTIONS(524),
    [sym_this] = ACTIONS(526),
    [sym_super] = ACTIONS(526),
    [sym_true] = ACTIONS(526),
    [sym_false] = ACTIONS(526),
    [sym_null] = ACTIONS(526),
    [sym_undefined] = ACTIONS(526),
    [anon_sym_AT] = ACTIONS(524),
    [anon_sym_static] = ACTIONS(526),
    [anon_sym_get] = ACTIONS(526),
    [anon_sym_set] = ACTIONS(526),
    [sym__automatic_semicolon] = ACTIONS(542),
    [sym__ternary_qmark] = ACTIONS(524),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_comment] = STATE(61),
    [ts_builtin_sym_end] = ACTIONS(544),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_default] = ACTIONS(546),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_COMMA] = ACTIONS(550),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_import] = ACTIONS(546),
    [anon_sym_with] = ACTIONS(546),
    [anon_sym_var] = ACTIONS(546),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(546),
    [anon_sym_else] = ACTIONS(546),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(546),
    [anon_sym_for] = ACTIONS(546),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_await] = ACTIONS(546),
    [anon_sym_in] = ACTIONS(548),
    [anon_sym_while] = ACTIONS(546),
    [anon_sym_do] = ACTIONS(546),
    [anon_sym_try] = ACTIONS(546),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(546),
    [anon_sym_debugger] = ACTIONS(546),
    [anon_sym_return] = ACTIONS(546),
    [anon_sym_throw] = ACTIONS(546),
    [anon_sym_SEMI] = ACTIONS(544),
    [anon_sym_case] = ACTIONS(546),
    [anon_sym_yield] = ACTIONS(546),
    [anon_sym_LBRACK] = ACTIONS(544),
    [anon_sym_LTtemplate_GT] = ACTIONS(544),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_GT] = ACTIONS(548),
    [anon_sym_DOT] = ACTIONS(548),
    [anon_sym_DQUOTE] = ACTIONS(544),
    [anon_sym_SQUOTE] = ACTIONS(544),
    [anon_sym_class] = ACTIONS(546),
    [anon_sym_async] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(546),
    [sym_optional_chain] = ACTIONS(550),
    [anon_sym_new] = ACTIONS(546),
    [anon_sym_AMP_AMP] = ACTIONS(550),
    [anon_sym_PIPE_PIPE] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(548),
    [anon_sym_GT_GT_GT] = ACTIONS(550),
    [anon_sym_LT_LT] = ACTIONS(550),
    [anon_sym_AMP] = ACTIONS(548),
    [anon_sym_CARET] = ACTIONS(550),
    [anon_sym_PIPE] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_SLASH] = ACTIONS(546),
    [anon_sym_PERCENT] = ACTIONS(550),
    [anon_sym_STAR_STAR] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(550),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(550),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(550),
    [anon_sym_GT_EQ] = ACTIONS(550),
    [anon_sym_QMARK_QMARK] = ACTIONS(550),
    [anon_sym_instanceof] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_TILDE] = ACTIONS(544),
    [anon_sym_typeof] = ACTIONS(546),
    [anon_sym_void] = ACTIONS(546),
    [anon_sym_delete] = ACTIONS(546),
    [anon_sym_PLUS_PLUS] = ACTIONS(544),
    [anon_sym_DASH_DASH] = ACTIONS(544),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(544),
    [sym_number] = ACTIONS(544),
    [sym_private_property_identifier] = ACTIONS(544),
    [sym_this] = ACTIONS(546),
    [sym_super] = ACTIONS(546),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [sym_null] = ACTIONS(546),
    [sym_undefined] = ACTIONS(546),
    [anon_sym_AT] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [sym__automatic_semicolon] = ACTIONS(552),
    [sym__ternary_qmark] = ACTIONS(550),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_comment] = STATE(62),
    [ts_builtin_sym_end] = ACTIONS(554),
    [sym_identifier] = ACTIONS(556),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_default] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(560),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(556),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(556),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(556),
    [anon_sym_else] = ACTIONS(556),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_switch] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_await] = ACTIONS(556),
    [anon_sym_in] = ACTIONS(558),
    [anon_sym_while] = ACTIONS(556),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_try] = ACTIONS(556),
    [anon_sym_break] = ACTIONS(556),
    [anon_sym_continue] = ACTIONS(556),
    [anon_sym_debugger] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_throw] = ACTIONS(556),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_case] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_LTtemplate_GT] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(556),
    [anon_sym_GT] = ACTIONS(558),
    [anon_sym_DOT] = ACTIONS(558),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(554),
    [anon_sym_class] = ACTIONS(556),
    [anon_sym_async] = ACTIONS(556),
    [anon_sym_function] = ACTIONS(556),
    [sym_optional_chain] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(556),
    [anon_sym_AMP_AMP] = ACTIONS(560),
    [anon_sym_PIPE_PIPE] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(558),
    [anon_sym_GT_GT_GT] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_AMP] = ACTIONS(558),
    [anon_sym_CARET] = ACTIONS(560),
    [anon_sym_PIPE] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_SLASH] = ACTIONS(556),
    [anon_sym_PERCENT] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(560),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(560),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(560),
    [anon_sym_GT_EQ] = ACTIONS(560),
    [anon_sym_QMARK_QMARK] = ACTIONS(560),
    [anon_sym_instanceof] = ACTIONS(558),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_TILDE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_void] = ACTIONS(556),
    [anon_sym_delete] = ACTIONS(556),
    [anon_sym_PLUS_PLUS] = ACTIONS(554),
    [anon_sym_DASH_DASH] = ACTIONS(554),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(554),
    [sym_number] = ACTIONS(554),
    [sym_private_property_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(556),
    [sym_super] = ACTIONS(556),
    [sym_true] = ACTIONS(556),
    [sym_false] = ACTIONS(556),
    [sym_null] = ACTIONS(556),
    [sym_undefined] = ACTIONS(556),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym__automatic_semicolon] = ACTIONS(562),
    [sym__ternary_qmark] = ACTIONS(560),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_comment] = STATE(63),
    [ts_builtin_sym_end] = ACTIONS(564),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_STAR] = ACTIONS(566),
    [anon_sym_default] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_import] = ACTIONS(566),
    [anon_sym_with] = ACTIONS(566),
    [anon_sym_var] = ACTIONS(566),
    [anon_sym_let] = ACTIONS(566),
    [anon_sym_const] = ACTIONS(566),
    [anon_sym_else] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_switch] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(566),
    [anon_sym_in] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_do] = ACTIONS(566),
    [anon_sym_try] = ACTIONS(566),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_debugger] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_throw] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_case] = ACTIONS(566),
    [anon_sym_yield] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_LTtemplate_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_GT] = ACTIONS(566),
    [anon_sym_DOT] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(564),
    [anon_sym_SQUOTE] = ACTIONS(564),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(566),
    [sym_optional_chain] = ACTIONS(564),
    [anon_sym_new] = ACTIONS(566),
    [anon_sym_AMP_AMP] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(566),
    [anon_sym_GT_GT_GT] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(566),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(566),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(566),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_QMARK_QMARK] = ACTIONS(564),
    [anon_sym_instanceof] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_TILDE] = ACTIONS(564),
    [anon_sym_typeof] = ACTIONS(566),
    [anon_sym_void] = ACTIONS(566),
    [anon_sym_delete] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(564),
    [anon_sym_DASH_DASH] = ACTIONS(564),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(564),
    [sym_number] = ACTIONS(564),
    [sym_private_property_identifier] = ACTIONS(564),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(566),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_null] = ACTIONS(566),
    [sym_undefined] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_static] = ACTIONS(566),
    [anon_sym_get] = ACTIONS(566),
    [anon_sym_set] = ACTIONS(566),
    [sym__automatic_semicolon] = ACTIONS(564),
    [sym__ternary_qmark] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_comment] = STATE(64),
    [ts_builtin_sym_end] = ACTIONS(568),
    [sym_identifier] = ACTIONS(570),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_STAR] = ACTIONS(572),
    [anon_sym_default] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_COMMA] = ACTIONS(574),
    [anon_sym_RBRACE] = ACTIONS(568),
    [anon_sym_import] = ACTIONS(570),
    [anon_sym_with] = ACTIONS(570),
    [anon_sym_var] = ACTIONS(570),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_const] = ACTIONS(570),
    [anon_sym_else] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(570),
    [anon_sym_switch] = ACTIONS(570),
    [anon_sym_for] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(568),
    [anon_sym_await] = ACTIONS(570),
    [anon_sym_in] = ACTIONS(572),
    [anon_sym_while] = ACTIONS(570),
    [anon_sym_do] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(570),
    [anon_sym_break] = ACTIONS(570),
    [anon_sym_continue] = ACTIONS(570),
    [anon_sym_debugger] = ACTIONS(570),
    [anon_sym_return] = ACTIONS(570),
    [anon_sym_throw] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(568),
    [anon_sym_case] = ACTIONS(570),
    [anon_sym_yield] = ACTIONS(570),
    [anon_sym_LBRACK] = ACTIONS(568),
    [anon_sym_LTtemplate_GT] = ACTIONS(568),
    [anon_sym_LT] = ACTIONS(570),
    [anon_sym_GT] = ACTIONS(572),
    [anon_sym_DOT] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(568),
    [anon_sym_SQUOTE] = ACTIONS(568),
    [anon_sym_class] = ACTIONS(570),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(570),
    [sym_optional_chain] = ACTIONS(574),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_AMP_AMP] = ACTIONS(574),
    [anon_sym_PIPE_PIPE] = ACTIONS(574),
    [anon_sym_GT_GT] = ACTIONS(572),
    [anon_sym_GT_GT_GT] = ACTIONS(574),
    [anon_sym_LT_LT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(572),
    [anon_sym_CARET] = ACTIONS(574),
    [anon_sym_PIPE] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(570),
    [anon_sym_DASH] = ACTIONS(570),
    [anon_sym_SLASH] = ACTIONS(570),
    [anon_sym_PERCENT] = ACTIONS(574),
    [anon_sym_STAR_STAR] = ACTIONS(574),
    [anon_sym_LT_EQ] = ACTIONS(574),
    [anon_sym_EQ_EQ] = ACTIONS(572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(574),
    [anon_sym_BANG_EQ] = ACTIONS(572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(574),
    [anon_sym_GT_EQ] = ACTIONS(574),
    [anon_sym_QMARK_QMARK] = ACTIONS(574),
    [anon_sym_instanceof] = ACTIONS(572),
    [anon_sym_BANG] = ACTIONS(570),
    [anon_sym_TILDE] = ACTIONS(568),
    [anon_sym_typeof] = ACTIONS(570),
    [anon_sym_void] = ACTIONS(570),
    [anon_sym_delete] = ACTIONS(570),
    [anon_sym_PLUS_PLUS] = ACTIONS(568),
    [anon_sym_DASH_DASH] = ACTIONS(568),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(568),
    [sym_number] = ACTIONS(568),
    [sym_private_property_identifier] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(570),
    [sym_true] = ACTIONS(570),
    [sym_false] = ACTIONS(570),
    [sym_null] = ACTIONS(570),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(568),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym__automatic_semicolon] = ACTIONS(576),
    [sym__ternary_qmark] = ACTIONS(574),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_import] = STATE(1124),
    [sym_expression_statement] = STATE(99),
    [sym_variable_declaration] = STATE(99),
    [sym_lexical_declaration] = STATE(99),
    [sym_empty_statement] = STATE(99),
    [sym_parenthesized_expression] = STATE(459),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1343),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(584),
    [anon_sym_let] = ACTIONS(586),
    [anon_sym_const] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(590),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_declaration] = STATE(343),
    [sym_import] = STATE(1124),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(778),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1216),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(596),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_declaration] = STATE(345),
    [sym_import] = STATE(1124),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(764),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(596),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(600),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_declaration] = STATE(345),
    [sym_import] = STATE(1124),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(764),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1216),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(596),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_comment] = STATE(69),
    [ts_builtin_sym_end] = ACTIONS(564),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_STAR] = ACTIONS(566),
    [anon_sym_default] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_import] = ACTIONS(566),
    [anon_sym_with] = ACTIONS(566),
    [anon_sym_var] = ACTIONS(566),
    [anon_sym_let] = ACTIONS(566),
    [anon_sym_const] = ACTIONS(566),
    [anon_sym_else] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_switch] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(566),
    [anon_sym_in] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_do] = ACTIONS(566),
    [anon_sym_try] = ACTIONS(566),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_debugger] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_throw] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_case] = ACTIONS(566),
    [anon_sym_yield] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_LTtemplate_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_GT] = ACTIONS(566),
    [anon_sym_DOT] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(564),
    [anon_sym_SQUOTE] = ACTIONS(564),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(566),
    [sym_optional_chain] = ACTIONS(564),
    [anon_sym_new] = ACTIONS(566),
    [anon_sym_AMP_AMP] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(566),
    [anon_sym_GT_GT_GT] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(566),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(566),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(566),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_QMARK_QMARK] = ACTIONS(564),
    [anon_sym_instanceof] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_TILDE] = ACTIONS(564),
    [anon_sym_typeof] = ACTIONS(566),
    [anon_sym_void] = ACTIONS(566),
    [anon_sym_delete] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(564),
    [anon_sym_DASH_DASH] = ACTIONS(564),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(564),
    [sym_number] = ACTIONS(564),
    [sym_private_property_identifier] = ACTIONS(564),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(566),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_null] = ACTIONS(566),
    [sym_undefined] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_static] = ACTIONS(566),
    [anon_sym_get] = ACTIONS(566),
    [anon_sym_set] = ACTIONS(566),
    [sym__automatic_semicolon] = ACTIONS(602),
    [sym__ternary_qmark] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_comment] = STATE(70),
    [ts_builtin_sym_end] = ACTIONS(604),
    [sym_identifier] = ACTIONS(606),
    [anon_sym_export] = ACTIONS(606),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_default] = ACTIONS(606),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(604),
    [anon_sym_import] = ACTIONS(606),
    [anon_sym_with] = ACTIONS(606),
    [anon_sym_var] = ACTIONS(606),
    [anon_sym_let] = ACTIONS(606),
    [anon_sym_const] = ACTIONS(606),
    [anon_sym_else] = ACTIONS(606),
    [anon_sym_if] = ACTIONS(606),
    [anon_sym_switch] = ACTIONS(606),
    [anon_sym_for] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_await] = ACTIONS(606),
    [anon_sym_in] = ACTIONS(606),
    [anon_sym_while] = ACTIONS(606),
    [anon_sym_do] = ACTIONS(606),
    [anon_sym_try] = ACTIONS(606),
    [anon_sym_break] = ACTIONS(606),
    [anon_sym_continue] = ACTIONS(606),
    [anon_sym_debugger] = ACTIONS(606),
    [anon_sym_return] = ACTIONS(606),
    [anon_sym_throw] = ACTIONS(606),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_case] = ACTIONS(606),
    [anon_sym_yield] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(604),
    [anon_sym_LTtemplate_GT] = ACTIONS(604),
    [anon_sym_LT] = ACTIONS(606),
    [anon_sym_GT] = ACTIONS(606),
    [anon_sym_DOT] = ACTIONS(606),
    [anon_sym_DQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(606),
    [sym_optional_chain] = ACTIONS(604),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_AMP_AMP] = ACTIONS(604),
    [anon_sym_PIPE_PIPE] = ACTIONS(604),
    [anon_sym_GT_GT] = ACTIONS(606),
    [anon_sym_GT_GT_GT] = ACTIONS(604),
    [anon_sym_LT_LT] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(606),
    [anon_sym_CARET] = ACTIONS(604),
    [anon_sym_PIPE] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(606),
    [anon_sym_DASH] = ACTIONS(606),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_PERCENT] = ACTIONS(604),
    [anon_sym_STAR_STAR] = ACTIONS(604),
    [anon_sym_LT_EQ] = ACTIONS(604),
    [anon_sym_EQ_EQ] = ACTIONS(606),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(604),
    [anon_sym_BANG_EQ] = ACTIONS(606),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(604),
    [anon_sym_GT_EQ] = ACTIONS(604),
    [anon_sym_QMARK_QMARK] = ACTIONS(604),
    [anon_sym_instanceof] = ACTIONS(606),
    [anon_sym_BANG] = ACTIONS(606),
    [anon_sym_TILDE] = ACTIONS(604),
    [anon_sym_typeof] = ACTIONS(606),
    [anon_sym_void] = ACTIONS(606),
    [anon_sym_delete] = ACTIONS(606),
    [anon_sym_PLUS_PLUS] = ACTIONS(604),
    [anon_sym_DASH_DASH] = ACTIONS(604),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(604),
    [sym_number] = ACTIONS(604),
    [sym_private_property_identifier] = ACTIONS(604),
    [sym_this] = ACTIONS(606),
    [sym_super] = ACTIONS(606),
    [sym_true] = ACTIONS(606),
    [sym_false] = ACTIONS(606),
    [sym_null] = ACTIONS(606),
    [sym_undefined] = ACTIONS(606),
    [anon_sym_AT] = ACTIONS(604),
    [anon_sym_static] = ACTIONS(606),
    [anon_sym_get] = ACTIONS(606),
    [anon_sym_set] = ACTIONS(606),
    [sym__automatic_semicolon] = ACTIONS(604),
    [sym__ternary_qmark] = ACTIONS(604),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_import] = STATE(1124),
    [sym_expression_statement] = STATE(98),
    [sym_variable_declaration] = STATE(98),
    [sym_lexical_declaration] = STATE(98),
    [sym_empty_statement] = STATE(98),
    [sym_parenthesized_expression] = STATE(459),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1343),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(584),
    [anon_sym_let] = ACTIONS(586),
    [anon_sym_const] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(590),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_comment] = STATE(72),
    [ts_builtin_sym_end] = ACTIONS(608),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_default] = ACTIONS(610),
    [anon_sym_LBRACE] = ACTIONS(608),
    [anon_sym_COMMA] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_import] = ACTIONS(610),
    [anon_sym_with] = ACTIONS(610),
    [anon_sym_var] = ACTIONS(610),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(610),
    [anon_sym_else] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(610),
    [anon_sym_switch] = ACTIONS(610),
    [anon_sym_for] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(608),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_in] = ACTIONS(612),
    [anon_sym_while] = ACTIONS(610),
    [anon_sym_do] = ACTIONS(610),
    [anon_sym_try] = ACTIONS(610),
    [anon_sym_break] = ACTIONS(610),
    [anon_sym_continue] = ACTIONS(610),
    [anon_sym_debugger] = ACTIONS(610),
    [anon_sym_return] = ACTIONS(610),
    [anon_sym_throw] = ACTIONS(610),
    [anon_sym_SEMI] = ACTIONS(608),
    [anon_sym_case] = ACTIONS(610),
    [anon_sym_yield] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(608),
    [anon_sym_LTtemplate_GT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(612),
    [anon_sym_DOT] = ACTIONS(612),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [anon_sym_SQUOTE] = ACTIONS(608),
    [anon_sym_class] = ACTIONS(610),
    [anon_sym_async] = ACTIONS(610),
    [anon_sym_function] = ACTIONS(610),
    [sym_optional_chain] = ACTIONS(614),
    [anon_sym_new] = ACTIONS(610),
    [anon_sym_AMP_AMP] = ACTIONS(614),
    [anon_sym_PIPE_PIPE] = ACTIONS(614),
    [anon_sym_GT_GT] = ACTIONS(612),
    [anon_sym_GT_GT_GT] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(614),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_CARET] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(610),
    [anon_sym_DASH] = ACTIONS(610),
    [anon_sym_SLASH] = ACTIONS(610),
    [anon_sym_PERCENT] = ACTIONS(614),
    [anon_sym_STAR_STAR] = ACTIONS(614),
    [anon_sym_LT_EQ] = ACTIONS(614),
    [anon_sym_EQ_EQ] = ACTIONS(612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(614),
    [anon_sym_BANG_EQ] = ACTIONS(612),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(614),
    [anon_sym_GT_EQ] = ACTIONS(614),
    [anon_sym_QMARK_QMARK] = ACTIONS(614),
    [anon_sym_instanceof] = ACTIONS(612),
    [anon_sym_BANG] = ACTIONS(610),
    [anon_sym_TILDE] = ACTIONS(608),
    [anon_sym_typeof] = ACTIONS(610),
    [anon_sym_void] = ACTIONS(610),
    [anon_sym_delete] = ACTIONS(610),
    [anon_sym_PLUS_PLUS] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(608),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(608),
    [sym_number] = ACTIONS(608),
    [sym_private_property_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(610),
    [sym_super] = ACTIONS(610),
    [sym_true] = ACTIONS(610),
    [sym_false] = ACTIONS(610),
    [sym_null] = ACTIONS(610),
    [sym_undefined] = ACTIONS(610),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [sym__automatic_semicolon] = ACTIONS(616),
    [sym__ternary_qmark] = ACTIONS(614),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_declaration] = STATE(343),
    [sym_import] = STATE(1124),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(778),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(718),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(718),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(596),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(350),
    [anon_sym_async] = ACTIONS(600),
    [anon_sym_function] = ACTIONS(354),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_comment] = STATE(74),
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_STAR] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_await] = ACTIONS(620),
    [anon_sym_in] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_LTtemplate_GT] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_GT] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [anon_sym_SQUOTE] = ACTIONS(618),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [sym_optional_chain] = ACTIONS(618),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(620),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(620),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ] = ACTIONS(620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(620),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(620),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [sym_number] = ACTIONS(618),
    [sym_private_property_identifier] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(618),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_set] = ACTIONS(620),
    [sym__automatic_semicolon] = ACTIONS(618),
    [sym__ternary_qmark] = ACTIONS(618),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_comment] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(622),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_export] = ACTIONS(624),
    [anon_sym_STAR] = ACTIONS(626),
    [anon_sym_default] = ACTIONS(624),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(624),
    [anon_sym_with] = ACTIONS(624),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(624),
    [anon_sym_else] = ACTIONS(624),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(624),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_in] = ACTIONS(626),
    [anon_sym_while] = ACTIONS(624),
    [anon_sym_do] = ACTIONS(624),
    [anon_sym_try] = ACTIONS(624),
    [anon_sym_break] = ACTIONS(624),
    [anon_sym_continue] = ACTIONS(624),
    [anon_sym_debugger] = ACTIONS(624),
    [anon_sym_return] = ACTIONS(624),
    [anon_sym_throw] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_case] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_LTtemplate_GT] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(624),
    [anon_sym_GT] = ACTIONS(626),
    [anon_sym_DOT] = ACTIONS(626),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(624),
    [anon_sym_function] = ACTIONS(624),
    [sym_optional_chain] = ACTIONS(628),
    [anon_sym_new] = ACTIONS(624),
    [anon_sym_AMP_AMP] = ACTIONS(628),
    [anon_sym_PIPE_PIPE] = ACTIONS(628),
    [anon_sym_GT_GT] = ACTIONS(626),
    [anon_sym_GT_GT_GT] = ACTIONS(628),
    [anon_sym_LT_LT] = ACTIONS(628),
    [anon_sym_AMP] = ACTIONS(626),
    [anon_sym_CARET] = ACTIONS(628),
    [anon_sym_PIPE] = ACTIONS(626),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(624),
    [anon_sym_PERCENT] = ACTIONS(628),
    [anon_sym_STAR_STAR] = ACTIONS(628),
    [anon_sym_LT_EQ] = ACTIONS(628),
    [anon_sym_EQ_EQ] = ACTIONS(626),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(628),
    [anon_sym_BANG_EQ] = ACTIONS(626),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(628),
    [anon_sym_GT_EQ] = ACTIONS(628),
    [anon_sym_QMARK_QMARK] = ACTIONS(628),
    [anon_sym_instanceof] = ACTIONS(626),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(624),
    [anon_sym_void] = ACTIONS(624),
    [anon_sym_delete] = ACTIONS(624),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [sym_number] = ACTIONS(622),
    [sym_private_property_identifier] = ACTIONS(622),
    [sym_this] = ACTIONS(624),
    [sym_super] = ACTIONS(624),
    [sym_true] = ACTIONS(624),
    [sym_false] = ACTIONS(624),
    [sym_null] = ACTIONS(624),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_static] = ACTIONS(624),
    [anon_sym_get] = ACTIONS(624),
    [anon_sym_set] = ACTIONS(624),
    [sym__automatic_semicolon] = ACTIONS(630),
    [sym__ternary_qmark] = ACTIONS(628),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_comment] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(632),
    [sym_identifier] = ACTIONS(634),
    [anon_sym_export] = ACTIONS(634),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_default] = ACTIONS(634),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(638),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(634),
    [anon_sym_with] = ACTIONS(634),
    [anon_sym_var] = ACTIONS(634),
    [anon_sym_let] = ACTIONS(634),
    [anon_sym_const] = ACTIONS(634),
    [anon_sym_else] = ACTIONS(634),
    [anon_sym_if] = ACTIONS(634),
    [anon_sym_switch] = ACTIONS(634),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_await] = ACTIONS(634),
    [anon_sym_in] = ACTIONS(636),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(634),
    [anon_sym_try] = ACTIONS(634),
    [anon_sym_break] = ACTIONS(634),
    [anon_sym_continue] = ACTIONS(634),
    [anon_sym_debugger] = ACTIONS(634),
    [anon_sym_return] = ACTIONS(634),
    [anon_sym_throw] = ACTIONS(634),
    [anon_sym_SEMI] = ACTIONS(632),
    [anon_sym_case] = ACTIONS(634),
    [anon_sym_yield] = ACTIONS(634),
    [anon_sym_LBRACK] = ACTIONS(632),
    [anon_sym_LTtemplate_GT] = ACTIONS(632),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_GT] = ACTIONS(636),
    [anon_sym_DOT] = ACTIONS(636),
    [anon_sym_DQUOTE] = ACTIONS(632),
    [anon_sym_SQUOTE] = ACTIONS(632),
    [anon_sym_class] = ACTIONS(634),
    [anon_sym_async] = ACTIONS(634),
    [anon_sym_function] = ACTIONS(634),
    [sym_optional_chain] = ACTIONS(638),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_AMP_AMP] = ACTIONS(638),
    [anon_sym_PIPE_PIPE] = ACTIONS(638),
    [anon_sym_GT_GT] = ACTIONS(636),
    [anon_sym_GT_GT_GT] = ACTIONS(638),
    [anon_sym_LT_LT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_CARET] = ACTIONS(638),
    [anon_sym_PIPE] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(634),
    [anon_sym_DASH] = ACTIONS(634),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(638),
    [anon_sym_STAR_STAR] = ACTIONS(638),
    [anon_sym_LT_EQ] = ACTIONS(638),
    [anon_sym_EQ_EQ] = ACTIONS(636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(638),
    [anon_sym_BANG_EQ] = ACTIONS(636),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(638),
    [anon_sym_QMARK_QMARK] = ACTIONS(638),
    [anon_sym_instanceof] = ACTIONS(636),
    [anon_sym_BANG] = ACTIONS(634),
    [anon_sym_TILDE] = ACTIONS(632),
    [anon_sym_typeof] = ACTIONS(634),
    [anon_sym_void] = ACTIONS(634),
    [anon_sym_delete] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(632),
    [anon_sym_DASH_DASH] = ACTIONS(632),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(632),
    [sym_number] = ACTIONS(632),
    [sym_private_property_identifier] = ACTIONS(632),
    [sym_this] = ACTIONS(634),
    [sym_super] = ACTIONS(634),
    [sym_true] = ACTIONS(634),
    [sym_false] = ACTIONS(634),
    [sym_null] = ACTIONS(634),
    [sym_undefined] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(632),
    [anon_sym_static] = ACTIONS(634),
    [anon_sym_get] = ACTIONS(634),
    [anon_sym_set] = ACTIONS(634),
    [sym__automatic_semicolon] = ACTIONS(640),
    [sym__ternary_qmark] = ACTIONS(638),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_comment] = STATE(77),
    [ts_builtin_sym_end] = ACTIONS(642),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(644),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_import] = ACTIONS(644),
    [anon_sym_with] = ACTIONS(644),
    [anon_sym_var] = ACTIONS(644),
    [anon_sym_let] = ACTIONS(644),
    [anon_sym_const] = ACTIONS(644),
    [anon_sym_else] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_await] = ACTIONS(644),
    [anon_sym_in] = ACTIONS(646),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
    [anon_sym_try] = ACTIONS(644),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(644),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_yield] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(642),
    [anon_sym_LTtemplate_GT] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(644),
    [anon_sym_GT] = ACTIONS(646),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(642),
    [anon_sym_SQUOTE] = ACTIONS(642),
    [anon_sym_class] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(644),
    [sym_optional_chain] = ACTIONS(648),
    [anon_sym_new] = ACTIONS(644),
    [anon_sym_AMP_AMP] = ACTIONS(648),
    [anon_sym_PIPE_PIPE] = ACTIONS(648),
    [anon_sym_GT_GT] = ACTIONS(646),
    [anon_sym_GT_GT_GT] = ACTIONS(648),
    [anon_sym_LT_LT] = ACTIONS(648),
    [anon_sym_AMP] = ACTIONS(646),
    [anon_sym_CARET] = ACTIONS(648),
    [anon_sym_PIPE] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(648),
    [anon_sym_STAR_STAR] = ACTIONS(648),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(646),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(646),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(648),
    [anon_sym_instanceof] = ACTIONS(646),
    [anon_sym_BANG] = ACTIONS(644),
    [anon_sym_TILDE] = ACTIONS(642),
    [anon_sym_typeof] = ACTIONS(644),
    [anon_sym_void] = ACTIONS(644),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(642),
    [sym_number] = ACTIONS(642),
    [sym_private_property_identifier] = ACTIONS(642),
    [sym_this] = ACTIONS(644),
    [sym_super] = ACTIONS(644),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(642),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_get] = ACTIONS(644),
    [anon_sym_set] = ACTIONS(644),
    [sym__automatic_semicolon] = ACTIONS(650),
    [sym__ternary_qmark] = ACTIONS(648),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_comment] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(652),
    [sym_identifier] = ACTIONS(654),
    [anon_sym_export] = ACTIONS(654),
    [anon_sym_STAR] = ACTIONS(654),
    [anon_sym_default] = ACTIONS(654),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_COMMA] = ACTIONS(652),
    [anon_sym_RBRACE] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(654),
    [anon_sym_with] = ACTIONS(654),
    [anon_sym_var] = ACTIONS(654),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(654),
    [anon_sym_else] = ACTIONS(654),
    [anon_sym_if] = ACTIONS(654),
    [anon_sym_switch] = ACTIONS(654),
    [anon_sym_for] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(652),
    [anon_sym_await] = ACTIONS(654),
    [anon_sym_in] = ACTIONS(654),
    [anon_sym_while] = ACTIONS(654),
    [anon_sym_do] = ACTIONS(654),
    [anon_sym_try] = ACTIONS(654),
    [anon_sym_break] = ACTIONS(654),
    [anon_sym_continue] = ACTIONS(654),
    [anon_sym_debugger] = ACTIONS(654),
    [anon_sym_return] = ACTIONS(654),
    [anon_sym_throw] = ACTIONS(654),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_case] = ACTIONS(654),
    [anon_sym_yield] = ACTIONS(654),
    [anon_sym_LBRACK] = ACTIONS(652),
    [anon_sym_LTtemplate_GT] = ACTIONS(652),
    [anon_sym_LT] = ACTIONS(654),
    [anon_sym_GT] = ACTIONS(654),
    [anon_sym_DOT] = ACTIONS(654),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [anon_sym_SQUOTE] = ACTIONS(652),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(654),
    [anon_sym_function] = ACTIONS(654),
    [sym_optional_chain] = ACTIONS(652),
    [anon_sym_new] = ACTIONS(654),
    [anon_sym_AMP_AMP] = ACTIONS(652),
    [anon_sym_PIPE_PIPE] = ACTIONS(652),
    [anon_sym_GT_GT] = ACTIONS(654),
    [anon_sym_GT_GT_GT] = ACTIONS(652),
    [anon_sym_LT_LT] = ACTIONS(652),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_CARET] = ACTIONS(652),
    [anon_sym_PIPE] = ACTIONS(654),
    [anon_sym_PLUS] = ACTIONS(654),
    [anon_sym_DASH] = ACTIONS(654),
    [anon_sym_SLASH] = ACTIONS(654),
    [anon_sym_PERCENT] = ACTIONS(652),
    [anon_sym_STAR_STAR] = ACTIONS(652),
    [anon_sym_LT_EQ] = ACTIONS(652),
    [anon_sym_EQ_EQ] = ACTIONS(654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(652),
    [anon_sym_BANG_EQ] = ACTIONS(654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(652),
    [anon_sym_GT_EQ] = ACTIONS(652),
    [anon_sym_QMARK_QMARK] = ACTIONS(652),
    [anon_sym_instanceof] = ACTIONS(654),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_TILDE] = ACTIONS(652),
    [anon_sym_typeof] = ACTIONS(654),
    [anon_sym_void] = ACTIONS(654),
    [anon_sym_delete] = ACTIONS(654),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(652),
    [sym_number] = ACTIONS(652),
    [sym_private_property_identifier] = ACTIONS(652),
    [sym_this] = ACTIONS(654),
    [sym_super] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_null] = ACTIONS(654),
    [sym_undefined] = ACTIONS(654),
    [anon_sym_AT] = ACTIONS(652),
    [anon_sym_static] = ACTIONS(654),
    [anon_sym_get] = ACTIONS(654),
    [anon_sym_set] = ACTIONS(654),
    [sym__automatic_semicolon] = ACTIONS(652),
    [sym__ternary_qmark] = ACTIONS(652),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_comment] = STATE(79),
    [ts_builtin_sym_end] = ACTIONS(656),
    [sym_identifier] = ACTIONS(658),
    [anon_sym_export] = ACTIONS(658),
    [anon_sym_STAR] = ACTIONS(660),
    [anon_sym_default] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(656),
    [anon_sym_COMMA] = ACTIONS(662),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_import] = ACTIONS(658),
    [anon_sym_with] = ACTIONS(658),
    [anon_sym_var] = ACTIONS(658),
    [anon_sym_let] = ACTIONS(658),
    [anon_sym_const] = ACTIONS(658),
    [anon_sym_else] = ACTIONS(658),
    [anon_sym_if] = ACTIONS(658),
    [anon_sym_switch] = ACTIONS(658),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_await] = ACTIONS(658),
    [anon_sym_in] = ACTIONS(660),
    [anon_sym_while] = ACTIONS(658),
    [anon_sym_do] = ACTIONS(658),
    [anon_sym_try] = ACTIONS(658),
    [anon_sym_break] = ACTIONS(658),
    [anon_sym_continue] = ACTIONS(658),
    [anon_sym_debugger] = ACTIONS(658),
    [anon_sym_return] = ACTIONS(658),
    [anon_sym_throw] = ACTIONS(658),
    [anon_sym_SEMI] = ACTIONS(656),
    [anon_sym_case] = ACTIONS(658),
    [anon_sym_yield] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(656),
    [anon_sym_LTtemplate_GT] = ACTIONS(656),
    [anon_sym_LT] = ACTIONS(658),
    [anon_sym_GT] = ACTIONS(660),
    [anon_sym_DOT] = ACTIONS(660),
    [anon_sym_DQUOTE] = ACTIONS(656),
    [anon_sym_SQUOTE] = ACTIONS(656),
    [anon_sym_class] = ACTIONS(658),
    [anon_sym_async] = ACTIONS(658),
    [anon_sym_function] = ACTIONS(658),
    [sym_optional_chain] = ACTIONS(662),
    [anon_sym_new] = ACTIONS(658),
    [anon_sym_AMP_AMP] = ACTIONS(662),
    [anon_sym_PIPE_PIPE] = ACTIONS(662),
    [anon_sym_GT_GT] = ACTIONS(660),
    [anon_sym_GT_GT_GT] = ACTIONS(662),
    [anon_sym_LT_LT] = ACTIONS(662),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(662),
    [anon_sym_PIPE] = ACTIONS(660),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_SLASH] = ACTIONS(658),
    [anon_sym_PERCENT] = ACTIONS(662),
    [anon_sym_STAR_STAR] = ACTIONS(662),
    [anon_sym_LT_EQ] = ACTIONS(662),
    [anon_sym_EQ_EQ] = ACTIONS(660),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(662),
    [anon_sym_BANG_EQ] = ACTIONS(660),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(662),
    [anon_sym_GT_EQ] = ACTIONS(662),
    [anon_sym_QMARK_QMARK] = ACTIONS(662),
    [anon_sym_instanceof] = ACTIONS(660),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_TILDE] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(658),
    [anon_sym_void] = ACTIONS(658),
    [anon_sym_delete] = ACTIONS(658),
    [anon_sym_PLUS_PLUS] = ACTIONS(656),
    [anon_sym_DASH_DASH] = ACTIONS(656),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(656),
    [sym_number] = ACTIONS(656),
    [sym_private_property_identifier] = ACTIONS(656),
    [sym_this] = ACTIONS(658),
    [sym_super] = ACTIONS(658),
    [sym_true] = ACTIONS(658),
    [sym_false] = ACTIONS(658),
    [sym_null] = ACTIONS(658),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(656),
    [anon_sym_static] = ACTIONS(658),
    [anon_sym_get] = ACTIONS(658),
    [anon_sym_set] = ACTIONS(658),
    [sym__automatic_semicolon] = ACTIONS(664),
    [sym__ternary_qmark] = ACTIONS(662),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(681),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1426),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_spread_element] = STATE(1337),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1335),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(666),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(802),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(476),
    [sym_subscript_expression] = STATE(476),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(679),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(464),
    [sym_subscript_expression] = STATE(464),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1180),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_pattern_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_export] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(695),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_get] = ACTIONS(689),
    [anon_sym_set] = ACTIONS(689),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1305),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(464),
    [sym_subscript_expression] = STATE(464),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1180),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [sym_pattern] = STATE(1215),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_pattern_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_export] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(679),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_get] = ACTIONS(689),
    [anon_sym_set] = ACTIONS(689),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1426),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(464),
    [sym_subscript_expression] = STATE(464),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1180),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [sym_pattern] = STATE(1335),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_export] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_get] = ACTIONS(689),
    [anon_sym_set] = ACTIONS(689),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(750),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1323),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1702),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1268),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(703),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(668),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1323),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1641),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1268),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(703),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1505),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(464),
    [sym_subscript_expression] = STATE(464),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1180),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [sym_pattern] = STATE(1289),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_export] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_get] = ACTIONS(689),
    [anon_sym_set] = ACTIONS(689),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(716),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_spread_element] = STATE(1341),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1340),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_COMMA] = ACTIONS(707),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(709),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(681),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_spread_element] = STATE(1337),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_RBRACK] = ACTIONS(713),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1505),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(464),
    [sym_subscript_expression] = STATE(464),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1180),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [sym_pattern] = STATE(1289),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_export] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_get] = ACTIONS(689),
    [anon_sym_set] = ACTIONS(689),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(693),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_spread_element] = STATE(1327),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1325),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_COMMA] = ACTIONS(707),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(752),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_spread_element] = STATE(1355),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [aux_sym_array_repeat1] = STATE(1352),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_COMMA] = ACTIONS(707),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1323),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(464),
    [sym_subscript_expression] = STATE(464),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1180),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [sym_pattern] = STATE(1268),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_export] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(703),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_get] = ACTIONS(689),
    [anon_sym_set] = ACTIONS(689),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1505),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(464),
    [sym_subscript_expression] = STATE(464),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1180),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [sym_pattern] = STATE(1289),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_export] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_get] = ACTIONS(689),
    [anon_sym_set] = ACTIONS(689),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(657),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_spread_element] = STATE(1680),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1680),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(685),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_spread_element] = STATE(1672),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1672),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(723),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1491),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(464),
    [sym_subscript_expression] = STATE(464),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1180),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [sym_pattern] = STATE(1311),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_export] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_get] = ACTIONS(689),
    [anon_sym_set] = ACTIONS(689),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(1124),
    [sym_expression_statement] = STATE(103),
    [sym_empty_statement] = STATE(103),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(1124),
    [sym_expression_statement] = STATE(104),
    [sym_empty_statement] = STATE(104),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1508),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(765),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_assignment_pattern] = STATE(1491),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1150),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1311),
    [sym_rest_pattern] = STATE(1151),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(506),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(647),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1510),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym__automatic_semicolon] = ACTIONS(725),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1322),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(727),
    [anon_sym_export] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(733),
    [anon_sym_let] = ACTIONS(735),
    [anon_sym_const] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(739),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(741),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(729),
    [anon_sym_set] = ACTIONS(729),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(691),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1635),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(738),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1650),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(584),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(788),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(682),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(629),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(664),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(654),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(699),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1630),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(514),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(513),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1703),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(529),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(783),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(531),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(785),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(689),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1673),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(522),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(528),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(534),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(514),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(800),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(522),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(791),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(486),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_export] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(757),
    [anon_sym_get] = ACTIONS(757),
    [anon_sym_set] = ACTIONS(757),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(656),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1640),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(486),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(669),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1639),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(522),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(773),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(663),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1655),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(695),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(603),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(514),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(761),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(697),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1676),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(735),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1651),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(649),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_sequence_expression] = STATE(1509),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(727),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1653),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(444),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(621),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(627),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(444),
    [sym_subscript_expression] = STATE(444),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(763),
    [anon_sym_export] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(765),
    [anon_sym_get] = ACTIONS(765),
    [anon_sym_set] = ACTIONS(765),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(664),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(624),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(659),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(588),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(658),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(592),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(729),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(594),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(659),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(650),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(444),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(621),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(627),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(444),
    [sym_subscript_expression] = STATE(444),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(658),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(648),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(709),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1681),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(486),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(779),
    [anon_sym_export] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(781),
    [anon_sym_get] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(781),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(584),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(530),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(584),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(817),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(729),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(642),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(534),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(816),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(531),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(807),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(529),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(806),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(723),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1669),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(667),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1710),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(682),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(595),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(534),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(533),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(531),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(491),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(1125),
    [sym_statement_block] = STATE(529),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(527),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(1124),
    [sym_statement_block] = STATE(695),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(620),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(731),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(1652),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(517),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(154),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(641),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(577),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(578),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(158),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(765),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(583),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(161),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(625),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(162),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(815),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(163),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(599),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(601),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(165),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(602),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(626),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(604),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(605),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(607),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(170),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(610),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(171),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(611),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(612),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(173),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(615),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(174),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(616),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(176),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(623),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(798),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(178),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(619),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(179),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(622),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(180),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(590),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(181),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(182),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(799),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(628),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(184),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(508),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(185),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(574),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(496),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(517),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(809),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(190),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(804),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(191),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(608),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(192),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(769),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(576),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(770),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(573),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(197),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1174),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(198),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(785),
    [anon_sym_export] = ACTIONS(787),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(791),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(787),
    [anon_sym_get] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(787),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(572),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(613),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(614),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(570),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(569),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(568),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(567),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(566),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(562),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(651),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(690),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(554),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(540),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(646),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(645),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(643),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(810),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(640),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(638),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(637),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(635),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(634),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(633),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(822),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(504),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(506),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(823),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(515),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(482),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(589),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(596),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(496),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(630),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(826),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(814),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(601),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(467),
    [sym_subscript_expression] = STATE(467),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1224),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(793),
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(797),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(795),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(506),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1627),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1626),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(671),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(782),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(652),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(482),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(797),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(801),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(803),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(792),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(250),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(251),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(252),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(784),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(781),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(812),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1124),
    [sym_parenthesized_expression] = STATE(458),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(725),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(718),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(718),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(726),
    [sym_glimmer_opening_tag] = STATE(1220),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(718),
    [sym_function_expression] = STATE(718),
    [sym_generator_function] = STATE(718),
    [sym_arrow_function] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(458),
    [sym_subscript_expression] = STATE(458),
    [sym_assignment_expression] = STATE(726),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(718),
    [sym_comment] = STATE(261),
    [sym_template_string] = STATE(718),
    [sym_regex] = STATE(718),
    [sym_meta_property] = STATE(718),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1218),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_number] = ACTIONS(87),
    [sym_private_property_identifier] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(759),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(437),
    [sym_expression] = STATE(802),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1708),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_export] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(378),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_get] = ACTIONS(360),
    [anon_sym_set] = ACTIONS(360),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(760),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(775),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(813),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(774),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(820),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(762),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1634),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1696),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(763),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(482),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1125),
    [sym_parenthesized_expression] = STATE(414),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(561),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(564),
    [sym_object_pattern] = STATE(1074),
    [sym_array] = STATE(564),
    [sym_array_pattern] = STATE(1074),
    [sym_glimmer_template] = STATE(560),
    [sym_glimmer_opening_tag] = STATE(1255),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_opening_element] = STATE(1023),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(564),
    [sym_function_expression] = STATE(564),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(560),
    [sym__augmented_assignment_lhs] = STATE(1001),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(564),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(965),
    [sym_formal_parameters] = STATE(1707),
    [aux_sym_export_statement_repeat1] = STATE(1237),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(370),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_namespace_export] = STATE(1603),
    [sym_export_clause] = STATE(1236),
    [sym_declaration] = STATE(360),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_comment] = STATE(277),
    [sym_decorator] = STATE(965),
    [aux_sym_export_statement_repeat1] = STATE(1240),
    [aux_sym_object_repeat1] = STATE(1316),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(95),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_namespace_export] = STATE(1603),
    [sym_export_clause] = STATE(1236),
    [sym_declaration] = STATE(360),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_comment] = STATE(278),
    [sym_decorator] = STATE(965),
    [aux_sym_export_statement_repeat1] = STATE(1240),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(95),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_namespace_export] = STATE(1603),
    [sym_export_clause] = STATE(1236),
    [sym_declaration] = STATE(360),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_comment] = STATE(279),
    [sym_decorator] = STATE(965),
    [aux_sym_export_statement_repeat1] = STATE(1240),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(95),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_namespace_export] = STATE(1603),
    [sym_export_clause] = STATE(1236),
    [sym_declaration] = STATE(360),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_comment] = STATE(280),
    [sym_decorator] = STATE(965),
    [aux_sym_export_statement_repeat1] = STATE(1240),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(95),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_namespace_export] = STATE(1603),
    [sym_export_clause] = STATE(1236),
    [sym_declaration] = STATE(360),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_comment] = STATE(281),
    [sym_decorator] = STATE(965),
    [aux_sym_export_statement_repeat1] = STATE(1240),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(845),
    [anon_sym_EQ] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(95),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(282),
    [sym_formal_parameters] = STATE(1660),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1316),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(847),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(849),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(849),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(283),
    [sym_formal_parameters] = STATE(1660),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(847),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(849),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(849),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(284),
    [sym_formal_parameters] = STATE(1660),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(847),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(849),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(849),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(285),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1316),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(286),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1316),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(287),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(288),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(289),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_string] = STATE(1583),
    [sym_comment] = STATE(290),
    [sym__property_name] = STATE(1489),
    [sym_computed_property_name] = STATE(1583),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_comment] = STATE(291),
    [sym_formal_parameters] = STATE(1706),
    [sym_identifier] = ACTIONS(877),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_function] = ACTIONS(886),
    [anon_sym_EQ_GT] = ACTIONS(888),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_catch_clause] = STATE(311),
    [sym_finally_clause] = STATE(381),
    [sym_comment] = STATE(292),
    [ts_builtin_sym_end] = ACTIONS(890),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_default] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(892),
    [anon_sym_with] = ACTIONS(892),
    [anon_sym_var] = ACTIONS(892),
    [anon_sym_let] = ACTIONS(892),
    [anon_sym_const] = ACTIONS(892),
    [anon_sym_else] = ACTIONS(892),
    [anon_sym_if] = ACTIONS(892),
    [anon_sym_switch] = ACTIONS(892),
    [anon_sym_for] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(892),
    [anon_sym_while] = ACTIONS(892),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_try] = ACTIONS(892),
    [anon_sym_break] = ACTIONS(892),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_debugger] = ACTIONS(892),
    [anon_sym_return] = ACTIONS(892),
    [anon_sym_throw] = ACTIONS(892),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_case] = ACTIONS(892),
    [anon_sym_catch] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(890),
    [anon_sym_LTtemplate_GT] = ACTIONS(890),
    [anon_sym_LT] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(890),
    [anon_sym_SQUOTE] = ACTIONS(890),
    [anon_sym_class] = ACTIONS(892),
    [anon_sym_async] = ACTIONS(892),
    [anon_sym_function] = ACTIONS(892),
    [anon_sym_new] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_SLASH] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(890),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(890),
    [anon_sym_DASH_DASH] = ACTIONS(890),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(890),
    [sym_number] = ACTIONS(890),
    [sym_private_property_identifier] = ACTIONS(890),
    [sym_this] = ACTIONS(892),
    [sym_super] = ACTIONS(892),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_null] = ACTIONS(892),
    [sym_undefined] = ACTIONS(892),
    [anon_sym_AT] = ACTIONS(890),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_get] = ACTIONS(892),
    [anon_sym_set] = ACTIONS(892),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_comment] = STATE(293),
    [ts_builtin_sym_end] = ACTIONS(564),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_default] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_import] = ACTIONS(566),
    [anon_sym_with] = ACTIONS(566),
    [anon_sym_var] = ACTIONS(566),
    [anon_sym_let] = ACTIONS(566),
    [anon_sym_const] = ACTIONS(566),
    [anon_sym_else] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_switch] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_do] = ACTIONS(566),
    [anon_sym_try] = ACTIONS(566),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_debugger] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_throw] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_case] = ACTIONS(566),
    [anon_sym_catch] = ACTIONS(566),
    [anon_sym_finally] = ACTIONS(566),
    [anon_sym_yield] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_LTtemplate_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(564),
    [anon_sym_SQUOTE] = ACTIONS(564),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(566),
    [anon_sym_new] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(564),
    [anon_sym_typeof] = ACTIONS(566),
    [anon_sym_void] = ACTIONS(566),
    [anon_sym_delete] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(564),
    [anon_sym_DASH_DASH] = ACTIONS(564),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(564),
    [sym_number] = ACTIONS(564),
    [sym_private_property_identifier] = ACTIONS(564),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(566),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_null] = ACTIONS(566),
    [sym_undefined] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_static] = ACTIONS(566),
    [anon_sym_get] = ACTIONS(566),
    [anon_sym_set] = ACTIONS(566),
    [sym__automatic_semicolon] = ACTIONS(898),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_comment] = STATE(294),
    [ts_builtin_sym_end] = ACTIONS(524),
    [sym_identifier] = ACTIONS(526),
    [anon_sym_export] = ACTIONS(526),
    [anon_sym_default] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(526),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(526),
    [anon_sym_const] = ACTIONS(526),
    [anon_sym_else] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(526),
    [anon_sym_switch] = ACTIONS(526),
    [anon_sym_for] = ACTIONS(526),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(526),
    [anon_sym_while] = ACTIONS(526),
    [anon_sym_do] = ACTIONS(526),
    [anon_sym_try] = ACTIONS(526),
    [anon_sym_break] = ACTIONS(526),
    [anon_sym_continue] = ACTIONS(526),
    [anon_sym_debugger] = ACTIONS(526),
    [anon_sym_return] = ACTIONS(526),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(524),
    [anon_sym_case] = ACTIONS(526),
    [anon_sym_catch] = ACTIONS(526),
    [anon_sym_finally] = ACTIONS(526),
    [anon_sym_yield] = ACTIONS(526),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_LTtemplate_GT] = ACTIONS(524),
    [anon_sym_LT] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [anon_sym_SQUOTE] = ACTIONS(524),
    [anon_sym_class] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(526),
    [anon_sym_function] = ACTIONS(526),
    [anon_sym_new] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_TILDE] = ACTIONS(524),
    [anon_sym_typeof] = ACTIONS(526),
    [anon_sym_void] = ACTIONS(526),
    [anon_sym_delete] = ACTIONS(526),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_number] = ACTIONS(524),
    [sym_private_property_identifier] = ACTIONS(524),
    [sym_this] = ACTIONS(526),
    [sym_super] = ACTIONS(526),
    [sym_true] = ACTIONS(526),
    [sym_false] = ACTIONS(526),
    [sym_null] = ACTIONS(526),
    [sym_undefined] = ACTIONS(526),
    [anon_sym_AT] = ACTIONS(524),
    [anon_sym_static] = ACTIONS(526),
    [anon_sym_get] = ACTIONS(526),
    [anon_sym_set] = ACTIONS(526),
    [sym__automatic_semicolon] = ACTIONS(534),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_comment] = STATE(295),
    [sym_formal_parameters] = STATE(1706),
    [sym_identifier] = ACTIONS(877),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_function] = ACTIONS(886),
    [anon_sym_EQ_GT] = ACTIONS(888),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_comment] = STATE(296),
    [sym_formal_parameters] = STATE(1660),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(845),
    [anon_sym_EQ] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_comment] = STATE(297),
    [sym_formal_parameters] = STATE(1660),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_of] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(911),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_comment] = STATE(298),
    [ts_builtin_sym_end] = ACTIONS(604),
    [sym_identifier] = ACTIONS(606),
    [anon_sym_export] = ACTIONS(606),
    [anon_sym_default] = ACTIONS(606),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(604),
    [anon_sym_import] = ACTIONS(606),
    [anon_sym_with] = ACTIONS(606),
    [anon_sym_var] = ACTIONS(606),
    [anon_sym_let] = ACTIONS(606),
    [anon_sym_const] = ACTIONS(606),
    [anon_sym_else] = ACTIONS(606),
    [anon_sym_if] = ACTIONS(606),
    [anon_sym_switch] = ACTIONS(606),
    [anon_sym_for] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_await] = ACTIONS(606),
    [anon_sym_while] = ACTIONS(606),
    [anon_sym_do] = ACTIONS(606),
    [anon_sym_try] = ACTIONS(606),
    [anon_sym_break] = ACTIONS(606),
    [anon_sym_continue] = ACTIONS(606),
    [anon_sym_debugger] = ACTIONS(606),
    [anon_sym_return] = ACTIONS(606),
    [anon_sym_throw] = ACTIONS(606),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_case] = ACTIONS(606),
    [anon_sym_catch] = ACTIONS(606),
    [anon_sym_finally] = ACTIONS(606),
    [anon_sym_yield] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(604),
    [anon_sym_LTtemplate_GT] = ACTIONS(604),
    [anon_sym_LT] = ACTIONS(606),
    [anon_sym_DQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(606),
    [anon_sym_DASH] = ACTIONS(606),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_BANG] = ACTIONS(604),
    [anon_sym_TILDE] = ACTIONS(604),
    [anon_sym_typeof] = ACTIONS(606),
    [anon_sym_void] = ACTIONS(606),
    [anon_sym_delete] = ACTIONS(606),
    [anon_sym_PLUS_PLUS] = ACTIONS(604),
    [anon_sym_DASH_DASH] = ACTIONS(604),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(604),
    [sym_number] = ACTIONS(604),
    [sym_private_property_identifier] = ACTIONS(604),
    [sym_this] = ACTIONS(606),
    [sym_super] = ACTIONS(606),
    [sym_true] = ACTIONS(606),
    [sym_false] = ACTIONS(606),
    [sym_null] = ACTIONS(606),
    [sym_undefined] = ACTIONS(606),
    [anon_sym_AT] = ACTIONS(604),
    [anon_sym_static] = ACTIONS(606),
    [anon_sym_get] = ACTIONS(606),
    [anon_sym_set] = ACTIONS(606),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_comment] = STATE(299),
    [sym_formal_parameters] = STATE(1706),
    [sym_identifier] = ACTIONS(877),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(913),
    [anon_sym_RBRACE] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_RPAREN] = ACTIONS(913),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(916),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(913),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_function] = ACTIONS(886),
    [anon_sym_EQ_GT] = ACTIONS(888),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_comment] = STATE(300),
    [sym_formal_parameters] = STATE(1660),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(911),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_comment] = STATE(301),
    [sym_formal_parameters] = STATE(1695),
    [sym_identifier] = ACTIONS(919),
    [anon_sym_export] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(923),
    [anon_sym_RBRACE] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_RPAREN] = ACTIONS(923),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(923),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(921),
    [anon_sym_function] = ACTIONS(886),
    [anon_sym_EQ_GT] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(921),
    [anon_sym_get] = ACTIONS(921),
    [anon_sym_set] = ACTIONS(921),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_comment] = STATE(302),
    [sym_formal_parameters] = STATE(1667),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_of] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(932),
    [anon_sym_function] = ACTIONS(911),
    [anon_sym_EQ_GT] = ACTIONS(934),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_comment] = STATE(303),
    [sym_formal_parameters] = STATE(1660),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(936),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_comment] = STATE(304),
    [sym_formal_parameters] = STATE(1667),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_of] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(932),
    [anon_sym_function] = ACTIONS(911),
    [anon_sym_EQ_GT] = ACTIONS(934),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_comment] = STATE(305),
    [sym_formal_parameters] = STATE(1660),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(843),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(911),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_variable_declarator] = STATE(1273),
    [sym_object_pattern] = STATE(1096),
    [sym_array_pattern] = STATE(1096),
    [sym__destructuring_pattern] = STATE(1154),
    [sym_comment] = STATE(306),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(944),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_variable_declarator] = STATE(1273),
    [sym_object_pattern] = STATE(1096),
    [sym_array_pattern] = STATE(1096),
    [sym__destructuring_pattern] = STATE(1154),
    [sym_comment] = STATE(307),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(944),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_variable_declarator] = STATE(1273),
    [sym_object_pattern] = STATE(1096),
    [sym_array_pattern] = STATE(1096),
    [sym__destructuring_pattern] = STATE(1154),
    [sym_comment] = STATE(308),
    [aux_sym_object_repeat1] = STATE(1316),
    [aux_sym_object_pattern_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(944),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_comment] = STATE(309),
    [sym_formal_parameters] = STATE(1695),
    [sym_identifier] = ACTIONS(919),
    [anon_sym_export] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(946),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_RPAREN] = ACTIONS(946),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(946),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(921),
    [anon_sym_function] = ACTIONS(886),
    [anon_sym_EQ_GT] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(921),
    [anon_sym_get] = ACTIONS(921),
    [anon_sym_set] = ACTIONS(921),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_comment] = STATE(310),
    [ts_builtin_sym_end] = ACTIONS(564),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_default] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_import] = ACTIONS(566),
    [anon_sym_with] = ACTIONS(566),
    [anon_sym_var] = ACTIONS(566),
    [anon_sym_let] = ACTIONS(566),
    [anon_sym_const] = ACTIONS(566),
    [anon_sym_else] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_switch] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_do] = ACTIONS(566),
    [anon_sym_try] = ACTIONS(566),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_debugger] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_throw] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_case] = ACTIONS(566),
    [anon_sym_catch] = ACTIONS(566),
    [anon_sym_finally] = ACTIONS(566),
    [anon_sym_yield] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_LTtemplate_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(564),
    [anon_sym_SQUOTE] = ACTIONS(564),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(566),
    [anon_sym_new] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(564),
    [anon_sym_typeof] = ACTIONS(566),
    [anon_sym_void] = ACTIONS(566),
    [anon_sym_delete] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(564),
    [anon_sym_DASH_DASH] = ACTIONS(564),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(564),
    [sym_number] = ACTIONS(564),
    [sym_private_property_identifier] = ACTIONS(564),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(566),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_null] = ACTIONS(566),
    [sym_undefined] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_static] = ACTIONS(566),
    [anon_sym_get] = ACTIONS(566),
    [anon_sym_set] = ACTIONS(566),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_finally_clause] = STATE(397),
    [sym_comment] = STATE(311),
    [ts_builtin_sym_end] = ACTIONS(948),
    [sym_identifier] = ACTIONS(950),
    [anon_sym_export] = ACTIONS(950),
    [anon_sym_default] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(948),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(950),
    [anon_sym_with] = ACTIONS(950),
    [anon_sym_var] = ACTIONS(950),
    [anon_sym_let] = ACTIONS(950),
    [anon_sym_const] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(950),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(950),
    [anon_sym_for] = ACTIONS(950),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_await] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(950),
    [anon_sym_do] = ACTIONS(950),
    [anon_sym_try] = ACTIONS(950),
    [anon_sym_break] = ACTIONS(950),
    [anon_sym_continue] = ACTIONS(950),
    [anon_sym_debugger] = ACTIONS(950),
    [anon_sym_return] = ACTIONS(950),
    [anon_sym_throw] = ACTIONS(950),
    [anon_sym_SEMI] = ACTIONS(948),
    [anon_sym_case] = ACTIONS(950),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(950),
    [anon_sym_LBRACK] = ACTIONS(948),
    [anon_sym_LTtemplate_GT] = ACTIONS(948),
    [anon_sym_LT] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_class] = ACTIONS(950),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(950),
    [anon_sym_new] = ACTIONS(950),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_SLASH] = ACTIONS(950),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_typeof] = ACTIONS(950),
    [anon_sym_void] = ACTIONS(950),
    [anon_sym_delete] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(948),
    [sym_number] = ACTIONS(948),
    [sym_private_property_identifier] = ACTIONS(948),
    [sym_this] = ACTIONS(950),
    [sym_super] = ACTIONS(950),
    [sym_true] = ACTIONS(950),
    [sym_false] = ACTIONS(950),
    [sym_null] = ACTIONS(950),
    [sym_undefined] = ACTIONS(950),
    [anon_sym_AT] = ACTIONS(948),
    [anon_sym_static] = ACTIONS(950),
    [anon_sym_get] = ACTIONS(950),
    [anon_sym_set] = ACTIONS(950),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_comment] = STATE(312),
    [sym_formal_parameters] = STATE(1706),
    [sym_identifier] = ACTIONS(877),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(952),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_function] = ACTIONS(886),
    [anon_sym_EQ_GT] = ACTIONS(888),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [aux_sym_comment_token1] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(313), 1,
      sym_comment,
    ACTIONS(564), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(566), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [75] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_EQ,
    ACTIONS(865), 1,
      anon_sym_function,
    ACTIONS(881), 1,
      anon_sym_LPAREN,
    ACTIONS(902), 1,
      sym_identifier,
    STATE(314), 1,
      sym_comment,
    STATE(1660), 1,
      sym_formal_parameters,
    ACTIONS(904), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [166] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_LPAREN,
    ACTIONS(902), 1,
      sym_identifier,
    ACTIONS(936), 1,
      anon_sym_function,
    STATE(315), 1,
      sym_comment,
    STATE(1660), 1,
      sym_formal_parameters,
    ACTIONS(904), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [257] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(955), 1,
      sym__automatic_semicolon,
    STATE(316), 1,
      sym_comment,
    ACTIONS(564), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(566), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [334] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(317), 1,
      sym_comment,
    ACTIONS(961), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(957), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(959), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [411] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(318), 1,
      sym_comment,
    ACTIONS(963), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(965), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [486] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(576), 1,
      sym__automatic_semicolon,
    STATE(319), 1,
      sym_comment,
    ACTIONS(568), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(570), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [563] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(616), 1,
      sym__automatic_semicolon,
    STATE(320), 1,
      sym_comment,
    ACTIONS(608), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(610), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [640] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(630), 1,
      sym__automatic_semicolon,
    STATE(321), 1,
      sym_comment,
    ACTIONS(622), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(624), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [717] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(650), 1,
      sym__automatic_semicolon,
    STATE(322), 1,
      sym_comment,
    ACTIONS(642), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(644), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [794] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(552), 1,
      sym__automatic_semicolon,
    STATE(323), 1,
      sym_comment,
    ACTIONS(544), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(546), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [871] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(640), 1,
      sym__automatic_semicolon,
    STATE(324), 1,
      sym_comment,
    ACTIONS(632), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(634), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(325), 1,
      sym_comment,
    ACTIONS(604), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(606), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1023] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(967), 1,
      sym__automatic_semicolon,
    STATE(326), 1,
      sym_comment,
    ACTIONS(524), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(526), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1100] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(664), 1,
      sym__automatic_semicolon,
    STATE(327), 1,
      sym_comment,
    ACTIONS(656), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(658), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1177] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(877), 1,
      sym_identifier,
    ACTIONS(881), 1,
      anon_sym_LPAREN,
    ACTIONS(886), 1,
      anon_sym_function,
    ACTIONS(888), 1,
      anon_sym_EQ_GT,
    ACTIONS(913), 1,
      anon_sym_RBRACK,
    ACTIONS(916), 1,
      anon_sym_EQ,
    ACTIONS(923), 1,
      anon_sym_COMMA,
    STATE(328), 1,
      sym_comment,
    STATE(1706), 1,
      sym_formal_parameters,
    ACTIONS(879), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(329), 1,
      sym_comment,
    ACTIONS(969), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(971), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1347] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(330), 1,
      sym_comment,
    ACTIONS(973), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(975), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(331), 1,
      sym_comment,
    ACTIONS(977), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(979), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1497] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(881), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_function,
    ACTIONS(919), 1,
      sym_identifier,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    STATE(332), 1,
      sym_comment,
    STATE(1695), 1,
      sym_formal_parameters,
    ACTIONS(921), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(333), 1,
      sym_comment,
    ACTIONS(618), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(620), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1663] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(334), 1,
      sym_comment,
    ACTIONS(652), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(654), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1738] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(985), 1,
      anon_sym_else,
    STATE(335), 1,
      sym_comment,
    STATE(376), 1,
      sym_else_clause,
    ACTIONS(981), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(983), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1817] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(336), 1,
      sym_comment,
    ACTIONS(987), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(989), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1892] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(562), 1,
      sym__automatic_semicolon,
    STATE(337), 1,
      sym_comment,
    ACTIONS(554), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(556), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1969] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(338), 1,
      sym_comment,
    ACTIONS(991), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(993), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2043] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_COLON,
    ACTIONS(843), 1,
      anon_sym_EQ,
    ACTIONS(940), 1,
      sym_identifier,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    STATE(339), 1,
      sym_comment,
    STATE(1154), 1,
      sym__destructuring_pattern,
    STATE(1273), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2137] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(881), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_function,
    ACTIONS(906), 1,
      anon_sym_in,
    ACTIONS(909), 1,
      anon_sym_of,
    ACTIONS(919), 1,
      sym_identifier,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    STATE(340), 1,
      sym_comment,
    STATE(1695), 1,
      sym_formal_parameters,
    ACTIONS(921), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(341), 1,
      sym_comment,
    ACTIONS(995), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(997), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2305] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(342), 1,
      sym_comment,
    ACTIONS(999), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1001), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2379] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(343), 1,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(344), 1,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2527] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(345), 1,
      sym_comment,
    ACTIONS(1011), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1013), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2601] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(346), 1,
      sym_comment,
    ACTIONS(1015), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1017), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(347), 1,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2749] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(348), 1,
      sym_comment,
    ACTIONS(1023), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1025), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2823] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_EQ,
    ACTIONS(906), 1,
      anon_sym_in,
    ACTIONS(909), 1,
      anon_sym_of,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    ACTIONS(1027), 1,
      sym_identifier,
    STATE(349), 1,
      sym_comment,
    STATE(1086), 1,
      sym__destructuring_pattern,
    STATE(1273), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(350), 1,
      sym_comment,
    ACTIONS(1023), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1025), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2993] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(351), 1,
      sym_comment,
    ACTIONS(1029), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1031), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3067] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(352), 1,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(353), 1,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3215] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(354), 1,
      sym_comment,
    ACTIONS(1033), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1035), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3289] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(355), 1,
      sym_comment,
    ACTIONS(1037), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1039), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(356), 1,
      sym_comment,
    ACTIONS(1041), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1043), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(357), 1,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(358), 1,
      sym_comment,
    ACTIONS(1045), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1047), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(359), 1,
      sym_comment,
    ACTIONS(1049), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1051), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3659] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(360), 1,
      sym_comment,
    ACTIONS(1053), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1055), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3733] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(881), 1,
      anon_sym_LPAREN,
    ACTIONS(886), 1,
      anon_sym_function,
    ACTIONS(1057), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_EQ,
    ACTIONS(1063), 1,
      anon_sym_EQ_GT,
    STATE(361), 1,
      sym_comment,
    STATE(1699), 1,
      sym_formal_parameters,
    ACTIONS(1059), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3823] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(362), 1,
      sym_comment,
    ACTIONS(1065), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1067), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3897] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(363), 1,
      sym_comment,
    ACTIONS(1069), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1071), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3971] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(364), 1,
      sym_comment,
    ACTIONS(1073), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1075), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4045] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(365), 1,
      sym_comment,
    ACTIONS(1077), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1079), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4119] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(366), 1,
      sym_comment,
    ACTIONS(1069), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1071), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4193] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(367), 1,
      sym_comment,
    ACTIONS(1081), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1083), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4267] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(368), 1,
      sym_comment,
    ACTIONS(1085), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1087), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(369), 1,
      sym_comment,
    ACTIONS(1089), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1091), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4415] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(370), 1,
      sym_comment,
    ACTIONS(1093), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1095), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4489] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(371), 1,
      sym_comment,
    ACTIONS(1097), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1099), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4563] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(372), 1,
      sym_comment,
    ACTIONS(1101), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1103), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(373), 1,
      sym_comment,
    ACTIONS(1105), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1107), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4711] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(374), 1,
      sym_comment,
    ACTIONS(1109), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1111), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4785] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(375), 1,
      sym_comment,
    ACTIONS(1113), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1115), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4859] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(376), 1,
      sym_comment,
    ACTIONS(1117), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1119), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(377), 1,
      sym_comment,
    ACTIONS(1121), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1123), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5007] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(378), 1,
      sym_comment,
    ACTIONS(1125), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1127), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5081] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(379), 1,
      sym_comment,
    ACTIONS(1129), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1131), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5155] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(380), 1,
      sym_comment,
    ACTIONS(1133), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1135), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5229] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(381), 1,
      sym_comment,
    ACTIONS(1137), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1139), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(382), 1,
      sym_comment,
    ACTIONS(1141), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1143), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(383), 1,
      sym_comment,
    ACTIONS(1145), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1147), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(384), 1,
      sym_comment,
    ACTIONS(1149), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1151), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(385), 1,
      sym_comment,
    ACTIONS(1153), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1155), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5599] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(386), 1,
      sym_comment,
    ACTIONS(1157), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1159), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5673] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(387), 1,
      sym_comment,
    ACTIONS(1161), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1163), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5747] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(388), 1,
      sym_comment,
    ACTIONS(1161), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1163), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(389), 1,
      sym_comment,
    ACTIONS(1165), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1167), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5895] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(390), 1,
      sym_comment,
    ACTIONS(1169), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1171), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5969] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(391), 1,
      sym_comment,
    ACTIONS(1173), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1175), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(392), 1,
      sym_comment,
    ACTIONS(1177), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1179), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6117] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(393), 1,
      sym_comment,
    ACTIONS(1181), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1183), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6191] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(394), 1,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6265] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(395), 1,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6339] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(396), 1,
      sym_comment,
    ACTIONS(1185), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1187), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6413] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(397), 1,
      sym_comment,
    ACTIONS(1189), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1191), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6487] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(398), 1,
      sym_comment,
    ACTIONS(1193), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1195), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6561] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_EQ,
    ACTIONS(845), 1,
      anon_sym_COLON,
    ACTIONS(940), 1,
      sym_identifier,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    STATE(399), 1,
      sym_comment,
    STATE(1154), 1,
      sym__destructuring_pattern,
    STATE(1273), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6655] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(881), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_function,
    ACTIONS(1057), 1,
      sym_identifier,
    ACTIONS(1063), 1,
      anon_sym_EQ_GT,
    STATE(400), 1,
      sym_comment,
    STATE(1699), 1,
      sym_formal_parameters,
    ACTIONS(1059), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6745] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(401), 1,
      sym_comment,
    ACTIONS(1197), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1199), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(402), 1,
      sym_comment,
    ACTIONS(1201), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1203), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6892] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_EQ,
    ACTIONS(940), 1,
      sym_identifier,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    STATE(403), 1,
      sym_comment,
    STATE(1154), 1,
      sym__destructuring_pattern,
    STATE(1273), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6982] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1214), 1,
      anon_sym_EQ_GT,
    STATE(404), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    ACTIONS(1207), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7069] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1214), 1,
      anon_sym_EQ_GT,
    STATE(405), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    ACTIONS(1207), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7156] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1214), 1,
      anon_sym_EQ_GT,
    STATE(406), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    ACTIONS(1207), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7243] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(407), 1,
      sym_comment,
    ACTIONS(989), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(987), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7313] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(408), 1,
      sym_comment,
    ACTIONS(1218), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1220), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7383] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(906), 1,
      anon_sym_in,
    ACTIONS(909), 1,
      anon_sym_of,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(1222), 1,
      sym_identifier,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1226), 1,
      anon_sym_LBRACK,
    STATE(409), 1,
      sym_comment,
    STATE(1506), 1,
      sym__destructuring_pattern,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7473] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(410), 1,
      sym_comment,
    ACTIONS(1229), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1231), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7543] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(411), 1,
      sym_comment,
    ACTIONS(1233), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1235), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(412), 1,
      sym_comment,
    ACTIONS(1237), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1239), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7683] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(413), 1,
      sym_comment,
    ACTIONS(1241), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1243), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7753] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    STATE(414), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1207), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7827] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(415), 1,
      sym_comment,
    ACTIONS(1247), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1249), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7897] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(416), 1,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7966] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(888), 1,
      anon_sym_EQ_GT,
    STATE(417), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8041] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(418), 1,
      sym_comment,
    ACTIONS(1257), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1255), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8110] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    STATE(419), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(420), 1,
      sym_comment,
    ACTIONS(987), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(989), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8254] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(1261), 1,
      anon_sym_EQ,
    STATE(421), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8329] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(422), 1,
      sym_comment,
    ACTIONS(1265), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1263), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(423), 1,
      sym_comment,
    ACTIONS(1269), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1267), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8467] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(424), 1,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(425), 1,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8605] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(888), 1,
      anon_sym_EQ_GT,
    ACTIONS(900), 1,
      anon_sym_EQ,
    STATE(426), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(427), 1,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8749] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    STATE(428), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8823] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1273), 1,
      anon_sym_EQ,
    ACTIONS(1276), 1,
      anon_sym_EQ_GT,
    STATE(429), 1,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8899] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1278), 1,
      anon_sym_EQ_GT,
    STATE(430), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8973] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1214), 1,
      anon_sym_EQ_GT,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    STATE(431), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9047] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(845), 1,
      anon_sym_COLON,
    ACTIONS(1214), 1,
      anon_sym_EQ_GT,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    STATE(432), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9123] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(934), 1,
      anon_sym_EQ_GT,
    ACTIONS(938), 1,
      anon_sym_EQ,
    STATE(433), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(434), 1,
      sym_comment,
    ACTIONS(989), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(987), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9265] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    STATE(435), 1,
      sym_comment,
    ACTIONS(946), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9341] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1214), 1,
      anon_sym_EQ_GT,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    STATE(436), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9415] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1261), 1,
      anon_sym_EQ,
    STATE(437), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9487] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    STATE(438), 1,
      sym_comment,
    ACTIONS(923), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9563] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(841), 1,
      anon_sym_COLON,
    ACTIONS(1214), 1,
      anon_sym_EQ_GT,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    STATE(439), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9639] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1278), 1,
      anon_sym_EQ_GT,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    STATE(440), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9713] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1276), 1,
      anon_sym_EQ_GT,
    STATE(441), 1,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9789] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_EQ,
    ACTIONS(845), 1,
      anon_sym_COLON,
    STATE(442), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9865] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(443), 1,
      sym_comment,
    ACTIONS(1229), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1231), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9933] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    STATE(444), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10005] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(1289), 1,
      anon_sym_EQ,
    STATE(445), 1,
      sym_comment,
    ACTIONS(1286), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10081] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(446), 1,
      sym_comment,
    ACTIONS(1241), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1243), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10149] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(888), 1,
      anon_sym_EQ_GT,
    ACTIONS(916), 1,
      anon_sym_EQ,
    STATE(447), 1,
      sym_comment,
    ACTIONS(913), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10225] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(841), 1,
      anon_sym_COLON,
    ACTIONS(843), 1,
      anon_sym_EQ,
    STATE(448), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(449), 1,
      sym_comment,
    ACTIONS(1247), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1249), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10369] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(934), 1,
      anon_sym_EQ_GT,
    STATE(450), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10443] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_EQ,
    STATE(451), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10517] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(452), 1,
      sym_comment,
    ACTIONS(1237), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1239), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(453), 1,
      sym_comment,
    ACTIONS(1233), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1235), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10653] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1214), 1,
      anon_sym_EQ_GT,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(1292), 1,
      anon_sym_in,
    ACTIONS(1295), 1,
      anon_sym_of,
    STATE(454), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10731] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_EQ,
    ACTIONS(906), 1,
      anon_sym_in,
    ACTIONS(1297), 1,
      anon_sym_of,
    STATE(455), 1,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10809] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(456), 1,
      sym_comment,
    ACTIONS(1218), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1220), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10877] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    STATE(457), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10948] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    STATE(458), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11019] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(1292), 1,
      anon_sym_in,
    ACTIONS(1295), 1,
      anon_sym_of,
    STATE(459), 1,
      sym_comment,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1207), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1205), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11094] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(1261), 1,
      anon_sym_EQ,
    STATE(460), 1,
      sym_comment,
    ACTIONS(1299), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11169] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1289), 1,
      anon_sym_EQ,
    STATE(461), 1,
      sym_comment,
    ACTIONS(1286), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11242] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(888), 1,
      anon_sym_EQ_GT,
    ACTIONS(900), 1,
      anon_sym_EQ,
    STATE(462), 1,
      sym_comment,
    ACTIONS(952), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11317] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    STATE(463), 1,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11390] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1273), 1,
      anon_sym_EQ,
    STATE(464), 1,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11463] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(888), 1,
      anon_sym_EQ_GT,
    ACTIONS(913), 1,
      anon_sym_RBRACK,
    ACTIONS(916), 1,
      anon_sym_EQ,
    ACTIONS(923), 1,
      anon_sym_COMMA,
    STATE(465), 1,
      sym_comment,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11539] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    STATE(466), 1,
      sym_comment,
    ACTIONS(807), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11611] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1261), 1,
      anon_sym_EQ,
    STATE(467), 1,
      sym_comment,
    ACTIONS(1299), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11683] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1276), 1,
      anon_sym_EQ_GT,
    STATE(468), 1,
      sym_comment,
    ACTIONS(1207), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11755] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1286), 1,
      anon_sym_RBRACK,
    ACTIONS(1289), 1,
      anon_sym_EQ,
    STATE(469), 1,
      sym_comment,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11831] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1276), 1,
      anon_sym_EQ_GT,
    ACTIONS(1292), 1,
      anon_sym_in,
    ACTIONS(1295), 1,
      anon_sym_of,
    STATE(470), 1,
      sym_comment,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11906] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(906), 1,
      anon_sym_in,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(1297), 1,
      anon_sym_of,
    STATE(471), 1,
      sym_comment,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11981] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1302), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    STATE(472), 1,
      sym_comment,
    ACTIONS(1207), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12052] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1061), 1,
      anon_sym_EQ,
    ACTIONS(1063), 1,
      anon_sym_EQ_GT,
    STATE(473), 1,
      sym_comment,
    ACTIONS(807), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12123] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1063), 1,
      anon_sym_EQ_GT,
    STATE(474), 1,
      sym_comment,
    ACTIONS(807), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12194] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    STATE(475), 1,
      sym_comment,
    ACTIONS(1207), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12265] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1286), 1,
      anon_sym_RBRACK,
    ACTIONS(1289), 1,
      anon_sym_EQ,
    STATE(476), 1,
      sym_comment,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12338] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1292), 1,
      anon_sym_in,
    ACTIONS(1295), 1,
      anon_sym_of,
    STATE(477), 1,
      sym_comment,
    ACTIONS(1207), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12410] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1302), 1,
      anon_sym_EQ,
    STATE(478), 1,
      sym_comment,
    ACTIONS(1207), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1216), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1205), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12478] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    STATE(479), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1306), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1308), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12548] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    STATE(480), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1320), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1322), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12618] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    ACTIONS(1324), 1,
      sym__automatic_semicolon,
    STATE(481), 1,
      sym_comment,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12678] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    STATE(482), 1,
      sym_comment,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12746] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    STATE(483), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1330), 1,
      sym__automatic_semicolon,
    STATE(484), 1,
      sym_comment,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12860] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    STATE(485), 1,
      sym_comment,
    ACTIONS(1336), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12919] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1345), 1,
      sym_optional_chain,
    STATE(486), 1,
      sym_comment,
    STATE(546), 1,
      sym_arguments,
    ACTIONS(1341), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1343), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12984] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    STATE(487), 1,
      sym_comment,
    STATE(546), 1,
      sym_arguments,
    ACTIONS(1341), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1343), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13043] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    STATE(488), 1,
      sym_comment,
    ACTIONS(1347), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13102] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1324), 1,
      sym__automatic_semicolon,
    STATE(489), 1,
      sym_comment,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13159] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(490), 1,
      sym_comment,
    ACTIONS(1354), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13218] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(491), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1361), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(492), 1,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(493), 1,
      sym_comment,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(494), 1,
      sym_comment,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(495), 1,
      sym_comment,
    ACTIONS(620), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13534] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    STATE(496), 1,
      sym_comment,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [13600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(497), 1,
      sym_comment,
    ACTIONS(558), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(498), 1,
      sym_comment,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(499), 1,
      sym_comment,
    ACTIONS(660), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(662), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(500), 1,
      sym_comment,
    ACTIONS(1411), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(501), 1,
      sym_comment,
    ACTIONS(654), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(652), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(502), 1,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13924] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(503), 1,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13978] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(504), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1423), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14078] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1425), 1,
      sym__automatic_semicolon,
    STATE(505), 1,
      sym_comment,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14134] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    STATE(506), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1320), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1322), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1429), 1,
      sym__automatic_semicolon,
    STATE(507), 1,
      sym_comment,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14258] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(508), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(509), 1,
      sym_comment,
    ACTIONS(1433), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1435), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(510), 1,
      sym_comment,
    ACTIONS(1437), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1439), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(511), 1,
      sym_comment,
    ACTIONS(1441), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1443), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(512), 1,
      sym_comment,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14574] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(513), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(514), 1,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14728] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(515), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1449), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14828] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(516), 1,
      sym_comment,
    ACTIONS(1451), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1453), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14882] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    STATE(517), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1306), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1308), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(518), 1,
      sym_comment,
    ACTIONS(1455), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1457), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(519), 1,
      sym_comment,
    ACTIONS(1459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(520), 1,
      sym_comment,
    ACTIONS(1463), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(521), 1,
      sym_comment,
    ACTIONS(1467), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(522), 1,
      sym_comment,
    ACTIONS(1471), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(523), 1,
      sym_comment,
    ACTIONS(1475), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1477), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(524), 1,
      sym_comment,
    ACTIONS(1479), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(525), 1,
      sym_comment,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1485), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(526), 1,
      sym_comment,
    ACTIONS(1487), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15436] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(527), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [15536] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(528), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1473), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [15636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(529), 1,
      sym_comment,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15690] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(530), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1495), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [15790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(531), 1,
      sym_comment,
    ACTIONS(1497), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1361), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(532), 1,
      sym_comment,
    ACTIONS(1499), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15898] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(533), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1503), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [15998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(534), 1,
      sym_comment,
    ACTIONS(1505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1503), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(535), 1,
      sym_comment,
    ACTIONS(1507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(536), 1,
      sym_comment,
    ACTIONS(620), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(537), 1,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(538), 1,
      sym_comment,
    ACTIONS(1511), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(539), 1,
      sym_comment,
    ACTIONS(1515), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16322] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1519), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(541), 1,
      sym_comment,
    ACTIONS(606), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(542), 1,
      sym_comment,
    ACTIONS(1521), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1523), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(543), 1,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(544), 1,
      sym_comment,
    ACTIONS(1525), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1527), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(545), 1,
      sym_comment,
    ACTIONS(1529), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1531), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(546), 1,
      sym_comment,
    ACTIONS(1533), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1535), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16746] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1537), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(548), 1,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16900] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1543), 1,
      sym_regex_flags,
    STATE(549), 1,
      sym_comment,
    ACTIONS(1539), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(550), 1,
      sym_comment,
    ACTIONS(646), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(648), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(551), 1,
      sym_comment,
    ACTIONS(626), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(628), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(552), 1,
      sym_comment,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(553), 1,
      sym_comment,
    ACTIONS(1545), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1547), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17172] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(554), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(555), 1,
      sym_comment,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(574), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17306] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(556), 1,
      sym_comment,
    ACTIONS(1553), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1555), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(557), 1,
      sym_comment,
    ACTIONS(606), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(558), 1,
      sym_comment,
    ACTIONS(654), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(652), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(559), 1,
      sym_comment,
    ACTIONS(1557), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1559), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(560), 1,
      sym_comment,
    ACTIONS(1561), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17576] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1345), 1,
      sym_optional_chain,
    STATE(561), 1,
      sym_comment,
    ACTIONS(1561), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17636] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(562), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(563), 1,
      sym_comment,
    ACTIONS(1565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1567), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(564), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(565), 1,
      sym_comment,
    ACTIONS(1569), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1571), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17868] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(566), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1573), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17968] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(567), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [18060] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(568), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [18154] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(569), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18230] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(570), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1551), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [18318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(571), 1,
      sym_comment,
    ACTIONS(1575), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1577), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18372] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    STATE(572), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [18462] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    STATE(573), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [18554] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(574), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(575), 1,
      sym_comment,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18682] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(576), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18752] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(577), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [18836] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    STATE(578), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [18932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(579), 1,
      sym_comment,
    ACTIONS(1579), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(580), 1,
      sym_comment,
    ACTIONS(1583), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(581), 1,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(582), 1,
      sym_comment,
    ACTIONS(1591), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1593), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19148] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(583), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1595), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [19248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(584), 1,
      sym_comment,
    ACTIONS(1597), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19302] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1601), 1,
      anon_sym_COMMA,
    ACTIONS(1604), 1,
      anon_sym_RBRACE,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(585), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19405] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_comment,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(587), 1,
      sym_comment,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19513] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(588), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [19612] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(589), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [19711] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(590), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1423), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [19810] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(591), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1537), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19909] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(592), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1361), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20008] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1261), 1,
      anon_sym_EQ,
    STATE(593), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20063] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(594), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1503), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20162] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(595), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1495), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20261] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    ACTIONS(1674), 1,
      anon_sym_in,
    STATE(596), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1672), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(597), 1,
      sym_comment,
    ACTIONS(1511), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20415] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    ACTIONS(534), 1,
      sym__automatic_semicolon,
    STATE(598), 1,
      sym_comment,
    ACTIONS(524), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20474] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(599), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1595), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20573] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(600), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1519), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [20672] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(601), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1677), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [20771] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(602), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [20866] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(603), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1473), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [20965] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(604), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [21048] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(605), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21117] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(606), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1537), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [21216] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(607), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21289] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(608), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1679), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [21388] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    ACTIONS(1681), 1,
      anon_sym_COMMA,
    STATE(609), 1,
      sym_comment,
    STATE(1219), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21491] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(610), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21582] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(611), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [21671] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(612), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1551), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [21758] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(613), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21837] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    ACTIONS(1685), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      anon_sym_RBRACE,
    STATE(614), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21940] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(615), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22015] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(616), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [22108] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(617), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [22199] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1604), 1,
      anon_sym_RBRACE,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    STATE(618), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22302] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(619), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22381] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(620), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1473), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22480] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1693), 1,
      sym_optional_chain,
    STATE(621), 1,
      sym_comment,
    STATE(701), 1,
      sym_arguments,
    ACTIONS(1341), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1343), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22543] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(622), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1519), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22642] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    STATE(623), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22711] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(624), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22810] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(625), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22909] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(626), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1423), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23008] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    STATE(627), 1,
      sym_comment,
    STATE(701), 1,
      sym_arguments,
    ACTIONS(1341), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1343), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23065] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1646), 1,
      anon_sym_GT_GT,
    ACTIONS(1650), 1,
      anon_sym_AMP,
    ACTIONS(1652), 1,
      anon_sym_CARET,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
    ACTIONS(1658), 1,
      anon_sym_PERCENT,
    ACTIONS(1660), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1670), 1,
      sym__ternary_qmark,
    STATE(628), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1656), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1664), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1666), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1640), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1449), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [23164] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(629), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1495), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23263] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(630), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1595), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    STATE(631), 1,
      sym_comment,
    ACTIONS(528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23417] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    ACTIONS(1425), 1,
      sym__automatic_semicolon,
    STATE(632), 1,
      sym_comment,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23474] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(633), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [23569] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(634), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [23652] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(635), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    STATE(636), 1,
      sym_comment,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23776] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(637), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23849] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(638), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [23940] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(639), 1,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23995] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(640), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [24084] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(641), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1551), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [24171] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(642), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1503), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [24270] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(643), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [24345] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    STATE(644), 1,
      sym_comment,
    ACTIONS(528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24400] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(645), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [24493] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(646), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [24584] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    ACTIONS(1681), 1,
      anon_sym_COMMA,
    STATE(647), 1,
      sym_comment,
    STATE(1219), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24687] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(648), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1361), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [24786] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    ACTIONS(1681), 1,
      anon_sym_COMMA,
    STATE(649), 1,
      sym_comment,
    STATE(1219), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24889] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(650), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [24988] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    STATE(651), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [25057] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(652), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1449), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [25156] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(653), 1,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25211] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(654), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [25310] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    STATE(655), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25365] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1701), 1,
      anon_sym_RPAREN,
    STATE(656), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25467] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1703), 1,
      anon_sym_RBRACE,
    STATE(657), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(658), 1,
      sym_comment,
    ACTIONS(1497), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1361), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25621] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(659), 1,
      sym_comment,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25673] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1705), 1,
      anon_sym_RBRACK,
    STATE(660), 1,
      sym_comment,
    STATE(1363), 1,
      aux_sym_array_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25775] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(661), 1,
      sym_comment,
    ACTIONS(1487), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25827] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(662), 1,
      sym_comment,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1485), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25879] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1707), 1,
      anon_sym_RBRACK,
    STATE(663), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(664), 1,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26033] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(665), 1,
      sym_comment,
    ACTIONS(1479), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26085] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1709), 1,
      anon_sym_RBRACK,
    STATE(666), 1,
      sym_comment,
    STATE(1363), 1,
      aux_sym_array_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26187] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1711), 1,
      anon_sym_RBRACK,
    STATE(667), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26289] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    STATE(668), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26391] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1715), 1,
      anon_sym_RPAREN,
    STATE(669), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26493] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(670), 1,
      sym_comment,
    ACTIONS(1475), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1477), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26545] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(671), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1672), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26643] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(672), 1,
      sym_comment,
    ACTIONS(1529), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1531), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26695] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(673), 1,
      sym_comment,
    ACTIONS(1451), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1453), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26747] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(674), 1,
      sym_comment,
    ACTIONS(1557), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1559), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26799] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1273), 1,
      anon_sym_EQ,
    STATE(675), 1,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26855] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1289), 1,
      anon_sym_EQ,
    STATE(676), 1,
      sym_comment,
    ACTIONS(1286), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(677), 1,
      sym_comment,
    ACTIONS(1565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1567), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(678), 1,
      sym_comment,
    ACTIONS(1515), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27015] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(679), 1,
      sym_comment,
    ACTIONS(1569), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1571), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27067] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    STATE(680), 1,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27123] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(681), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1717), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [27221] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(682), 1,
      sym_comment,
    ACTIONS(1597), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27273] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(683), 1,
      sym_comment,
    ACTIONS(1591), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1593), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27325] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(684), 1,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27377] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1719), 1,
      anon_sym_RBRACE,
    STATE(685), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(686), 1,
      sym_comment,
    ACTIONS(1583), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27531] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(576), 1,
      sym__automatic_semicolon,
    STATE(687), 1,
      sym_comment,
    ACTIONS(568), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(574), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(688), 1,
      sym_comment,
    ACTIONS(1579), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27639] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1721), 1,
      anon_sym_RBRACK,
    STATE(689), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27741] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(690), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1573), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27839] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1723), 1,
      anon_sym_RPAREN,
    STATE(691), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27941] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(692), 1,
      sym_comment,
    ACTIONS(1507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27993] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1725), 1,
      anon_sym_RPAREN,
    STATE(693), 1,
      sym_comment,
    STATE(1276), 1,
      aux_sym_array_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28095] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(694), 1,
      sym_comment,
    ACTIONS(1553), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1555), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28147] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(695), 1,
      sym_comment,
    ACTIONS(1471), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28199] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(696), 1,
      sym_comment,
    ACTIONS(1575), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1577), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28251] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
    STATE(697), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1729), 1,
      sym_regex_flags,
    STATE(698), 1,
      sym_comment,
    ACTIONS(1539), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28407] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1731), 1,
      anon_sym_RPAREN,
    STATE(699), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28509] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(700), 1,
      sym_comment,
    ACTIONS(1545), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1547), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28561] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(701), 1,
      sym_comment,
    ACTIONS(1533), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1535), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(702), 1,
      sym_comment,
    ACTIONS(1525), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1527), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28665] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(703), 1,
      sym_comment,
    ACTIONS(1521), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1523), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28717] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(704), 1,
      sym_comment,
    ACTIONS(1411), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28769] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(705), 1,
      sym_comment,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(574), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28821] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(562), 1,
      sym__automatic_semicolon,
    STATE(706), 1,
      sym_comment,
    ACTIONS(554), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(558), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28877] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    ACTIONS(1733), 1,
      anon_sym_in,
    ACTIONS(1736), 1,
      anon_sym_of,
    STATE(707), 1,
      sym_comment,
    ACTIONS(528), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28935] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1282), 1,
      anon_sym_EQ,
    STATE(708), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28989] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1738), 1,
      anon_sym_RBRACK,
    STATE(709), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29091] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(710), 1,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29143] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(640), 1,
      sym__automatic_semicolon,
    STATE(711), 1,
      sym_comment,
    ACTIONS(632), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29199] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(712), 1,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29251] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(664), 1,
      sym__automatic_semicolon,
    STATE(713), 1,
      sym_comment,
    ACTIONS(656), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(660), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(662), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(714), 1,
      sym_comment,
    ACTIONS(558), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29359] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(715), 1,
      sym_comment,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29411] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(716), 1,
      sym_comment,
    STATE(1320), 1,
      aux_sym_array_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29513] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(717), 1,
      sym_comment,
    ACTIONS(660), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(662), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(718), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29617] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    STATE(719), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29671] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(650), 1,
      sym__automatic_semicolon,
    STATE(720), 1,
      sym_comment,
    ACTIONS(642), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(646), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(648), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29727] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(630), 1,
      sym__automatic_semicolon,
    STATE(721), 1,
      sym_comment,
    ACTIONS(622), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(626), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(628), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29783] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(722), 1,
      sym_comment,
    ACTIONS(1467), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29835] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    STATE(723), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29937] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(616), 1,
      sym__automatic_semicolon,
    STATE(724), 1,
      sym_comment,
    ACTIONS(608), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29993] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1693), 1,
      sym_optional_chain,
    STATE(725), 1,
      sym_comment,
    ACTIONS(1561), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30051] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(726), 1,
      sym_comment,
    ACTIONS(1561), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30103] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1744), 1,
      anon_sym_COLON,
    STATE(727), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30205] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(728), 1,
      sym_comment,
    ACTIONS(646), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(648), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30257] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(729), 1,
      sym_comment,
    ACTIONS(1505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1503), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(730), 1,
      sym_comment,
    ACTIONS(626), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(628), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30361] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    STATE(731), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30463] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(732), 1,
      sym_comment,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30515] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(552), 1,
      sym__automatic_semicolon,
    STATE(733), 1,
      sym_comment,
    ACTIONS(544), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(734), 1,
      sym_comment,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30623] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(735), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30725] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(736), 1,
      sym_comment,
    ACTIONS(1463), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30777] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(1292), 1,
      anon_sym_in,
    ACTIONS(1295), 1,
      anon_sym_of,
    STATE(737), 1,
      sym_comment,
    ACTIONS(1205), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30835] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    STATE(738), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30937] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1729), 1,
      sym_regex_flags,
    STATE(739), 1,
      sym_comment,
    ACTIONS(1539), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(740), 1,
      sym_comment,
    ACTIONS(1459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(741), 1,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31095] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(742), 1,
      sym_comment,
    ACTIONS(1455), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1457), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31147] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
    STATE(743), 1,
      sym_comment,
    STATE(1347), 1,
      aux_sym_array_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31249] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(744), 1,
      sym_comment,
    ACTIONS(1499), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31301] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    STATE(745), 1,
      sym_comment,
    ACTIONS(1754), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31357] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(746), 1,
      sym_comment,
    ACTIONS(1433), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1435), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31409] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    STATE(747), 1,
      sym_comment,
    ACTIONS(1756), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31465] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(748), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31567] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    STATE(749), 1,
      sym_comment,
    ACTIONS(1736), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31623] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    STATE(750), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31725] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(751), 1,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31777] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    STATE(752), 1,
      sym_comment,
    STATE(1344), 1,
      aux_sym_array_repeat1,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31879] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(753), 1,
      sym_comment,
    ACTIONS(1437), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1439), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31931] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(754), 1,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31983] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(755), 1,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(756), 1,
      sym_comment,
    ACTIONS(1441), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1443), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32087] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    ACTIONS(1756), 1,
      anon_sym_of,
    ACTIONS(1764), 1,
      anon_sym_in,
    STATE(757), 1,
      sym_comment,
    ACTIONS(1350), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32145] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(1754), 1,
      anon_sym_of,
    ACTIONS(1767), 1,
      anon_sym_in,
    STATE(758), 1,
      sym_comment,
    ACTIONS(1332), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32203] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    STATE(759), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1551), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [32288] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    STATE(760), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [32377] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(761), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1445), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32474] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(762), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1423), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32571] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(763), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1449), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32668] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    ACTIONS(1804), 1,
      anon_sym_SEMI,
    ACTIONS(1806), 1,
      sym__automatic_semicolon,
    STATE(764), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32767] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(765), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32864] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1261), 1,
      anon_sym_EQ,
    STATE(766), 1,
      sym_comment,
    ACTIONS(1299), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32919] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(767), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1519), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33016] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1810), 1,
      anon_sym_LPAREN,
    ACTIONS(1813), 1,
      anon_sym_COLON,
    STATE(768), 1,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33071] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(769), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1604), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33168] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    STATE(770), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33265] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(771), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1537), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33362] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1815), 1,
      anon_sym_LPAREN,
    ACTIONS(1818), 1,
      anon_sym_COLON,
    STATE(772), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33417] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(773), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1473), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33514] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    STATE(774), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33591] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    STATE(775), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33658] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    STATE(776), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [33749] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    STATE(777), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33822] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1612), 1,
      anon_sym_GT_GT,
    ACTIONS(1616), 1,
      anon_sym_AMP,
    ACTIONS(1618), 1,
      anon_sym_CARET,
    ACTIONS(1620), 1,
      anon_sym_PIPE,
    ACTIONS(1624), 1,
      anon_sym_PERCENT,
    ACTIONS(1626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1634), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1636), 1,
      sym__ternary_qmark,
    STATE(778), 1,
      sym_comment,
    ACTIONS(1427), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1630), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1632), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1820), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1606), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1628), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33919] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    STATE(779), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [34006] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(780), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [34095] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    STATE(781), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34166] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(782), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34263] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(783), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1491), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34360] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    STATE(784), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34427] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(785), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34524] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(786), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1503), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34621] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    STATE(787), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [34702] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(788), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1495), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34799] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(789), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1595), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34896] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    STATE(790), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [34989] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1473), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(791), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35085] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(792), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35161] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1336), 1,
      anon_sym_RBRACK,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(1754), 1,
      anon_sym_COMMA,
    STATE(793), 1,
      sym_comment,
    ACTIONS(1332), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    ACTIONS(1347), 1,
      anon_sym_RBRACK,
    ACTIONS(1736), 1,
      anon_sym_COMMA,
    STATE(794), 1,
      sym_comment,
    ACTIONS(528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35273] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1286), 1,
      anon_sym_RBRACK,
    ACTIONS(1289), 1,
      anon_sym_EQ,
    STATE(795), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35329] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(796), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35395] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1449), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(797), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35491] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    ACTIONS(1856), 1,
      anon_sym_COLON,
    STATE(798), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35587] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    ACTIONS(1858), 1,
      anon_sym_COLON,
    STATE(799), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35683] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1445), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(800), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35779] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1423), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(801), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35875] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    STATE(802), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35971] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1519), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(803), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36067] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1431), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(804), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36163] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    ACTIONS(1862), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36259] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1491), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(806), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36355] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(807), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36451] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1354), 1,
      anon_sym_RBRACK,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    ACTIONS(1756), 1,
      anon_sym_COMMA,
    STATE(808), 1,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36507] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    ACTIONS(1864), 1,
      anon_sym_COLON,
    STATE(809), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36603] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(810), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [36669] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1537), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(811), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36765] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(812), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [36853] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(813), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [36943] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    ACTIONS(1866), 1,
      anon_sym_COLON,
    STATE(814), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37039] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1672), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    ACTIONS(1868), 1,
      anon_sym_in,
    STATE(815), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37137] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1503), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(816), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37233] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1495), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(817), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37329] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_of,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1852), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1854), 1,
      sym__ternary_qmark,
    STATE(818), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37425] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_GT_GT,
    ACTIONS(1373), 1,
      anon_sym_AMP,
    ACTIONS(1375), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 1,
      anon_sym_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1391), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1393), 1,
      sym__ternary_qmark,
    ACTIONS(1871), 1,
      anon_sym_RBRACK,
    STATE(819), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1359), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1363), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1385), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37521] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(820), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [37593] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(821), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1551), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [37677] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(822), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1549), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37769] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(823), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [37849] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(824), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [37935] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    ACTIONS(1873), 1,
      anon_sym_COLON,
    STATE(825), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38031] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_CARET,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(826), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1840), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1848), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1850), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1824), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1846), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1549), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [38119] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1842), 1,
      anon_sym_PERCENT,
    ACTIONS(1844), 1,
      anon_sym_STAR_STAR,
    STATE(827), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1551), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [38189] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(828), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38282] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(1754), 1,
      anon_sym_of,
    ACTIONS(1767), 1,
      anon_sym_in,
    STATE(829), 1,
      sym_comment,
    ACTIONS(1332), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1334), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38337] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1881), 1,
      anon_sym_async,
    ACTIONS(1883), 1,
      anon_sym_static,
    STATE(830), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1292), 1,
      sym__property_name,
    STATE(1296), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1364), 1,
      aux_sym_object_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1885), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1875), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1291), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1365), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38432] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1891), 1,
      anon_sym_async,
    ACTIONS(1893), 1,
      anon_sym_static,
    STATE(831), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1292), 1,
      sym__property_name,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1296), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1895), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1887), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1291), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1299), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38527] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1302), 1,
      anon_sym_EQ,
    STATE(832), 1,
      sym_comment,
    ACTIONS(1205), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1543), 1,
      sym_regex_flags,
    STATE(833), 1,
      sym_comment,
    ACTIONS(1539), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38629] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_RBRACE,
    ACTIONS(1901), 1,
      anon_sym_async,
    ACTIONS(1903), 1,
      anon_sym_static,
    STATE(834), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1292), 1,
      sym__property_name,
    STATE(1296), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1364), 1,
      aux_sym_object_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1905), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1897), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1291), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1365), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38724] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_EQ,
    ACTIONS(1292), 1,
      anon_sym_in,
    ACTIONS(1295), 1,
      anon_sym_of,
    STATE(835), 1,
      sym_comment,
    ACTIONS(1205), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1207), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38779] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1909), 1,
      anon_sym_RBRACE,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1913), 1,
      anon_sym_static,
    STATE(836), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1292), 1,
      sym__property_name,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1296), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1915), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1907), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1291), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1299), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38874] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1919), 1,
      anon_sym_RBRACE,
    ACTIONS(1921), 1,
      anon_sym_async,
    ACTIONS(1923), 1,
      anon_sym_static,
    STATE(837), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1292), 1,
      sym__property_name,
    STATE(1296), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1364), 1,
      aux_sym_object_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1925), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1917), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1291), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1365), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38969] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    ACTIONS(1756), 1,
      anon_sym_of,
    ACTIONS(1764), 1,
      anon_sym_in,
    STATE(838), 1,
      sym_comment,
    ACTIONS(1350), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39024] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(532), 1,
      anon_sym_EQ,
    ACTIONS(1733), 1,
      anon_sym_in,
    ACTIONS(1736), 1,
      anon_sym_of,
    STATE(839), 1,
      sym_comment,
    ACTIONS(528), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39079] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_LBRACK,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(1409), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_GT_GT,
    ACTIONS(1780), 1,
      anon_sym_PERCENT,
    ACTIONS(1782), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1798), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1802), 1,
      sym__ternary_qmark,
    STATE(840), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1770), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1778), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1772), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1784), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39172] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_RBRACE,
    ACTIONS(1931), 1,
      anon_sym_async,
    ACTIONS(1933), 1,
      anon_sym_static,
    STATE(841), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1292), 1,
      sym__property_name,
    STATE(1296), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1364), 1,
      aux_sym_object_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1935), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1927), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1291), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1365), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [39267] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1941), 1,
      anon_sym_async,
    ACTIONS(1943), 1,
      anon_sym_static,
    STATE(842), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1292), 1,
      sym__property_name,
    STATE(1296), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1364), 1,
      aux_sym_object_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1945), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1937), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1291), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1365), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [39362] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(1952), 1,
      anon_sym_async,
    ACTIONS(1954), 1,
      anon_sym_static,
    STATE(843), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1292), 1,
      sym__property_name,
    STATE(1649), 1,
      sym__destructuring_pattern,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1956), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1947), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1504), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1507), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [39449] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1962), 1,
      anon_sym_RBRACE,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1972), 1,
      anon_sym_async,
    ACTIONS(1976), 1,
      anon_sym_static,
    ACTIONS(1978), 1,
      aux_sym_method_definition_token1,
    STATE(844), 1,
      sym_comment,
    STATE(845), 1,
      aux_sym_class_body_repeat1,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1980), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [39536] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1972), 1,
      anon_sym_async,
    ACTIONS(1976), 1,
      anon_sym_static,
    ACTIONS(1978), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1982), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      sym_comment,
    STATE(848), 1,
      aux_sym_class_body_repeat1,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1980), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [39623] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1972), 1,
      anon_sym_async,
    ACTIONS(1976), 1,
      anon_sym_static,
    ACTIONS(1978), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1984), 1,
      anon_sym_RBRACE,
    STATE(846), 1,
      sym_comment,
    STATE(848), 1,
      aux_sym_class_body_repeat1,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1980), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [39710] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1972), 1,
      anon_sym_async,
    ACTIONS(1976), 1,
      anon_sym_static,
    ACTIONS(1978), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1986), 1,
      anon_sym_RBRACE,
    STATE(847), 1,
      sym_comment,
    STATE(848), 1,
      aux_sym_class_body_repeat1,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1980), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [39797] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1994), 1,
      anon_sym_RBRACE,
    ACTIONS(1996), 1,
      anon_sym_SEMI,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2005), 1,
      anon_sym_DQUOTE,
    ACTIONS(2008), 1,
      anon_sym_SQUOTE,
    ACTIONS(2011), 1,
      anon_sym_async,
    ACTIONS(2017), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      anon_sym_static,
    ACTIONS(2023), 1,
      aux_sym_method_definition_token1,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(2014), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2026), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(848), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1988), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [39882] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1972), 1,
      anon_sym_async,
    ACTIONS(1976), 1,
      anon_sym_static,
    ACTIONS(1978), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_comment,
    STATE(852), 1,
      aux_sym_class_body_repeat1,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1980), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [39969] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1972), 1,
      anon_sym_async,
    ACTIONS(1976), 1,
      anon_sym_static,
    ACTIONS(1978), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    STATE(846), 1,
      aux_sym_class_body_repeat1,
    STATE(850), 1,
      sym_comment,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1980), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [40056] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1972), 1,
      anon_sym_async,
    ACTIONS(1976), 1,
      anon_sym_static,
    ACTIONS(1978), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    STATE(847), 1,
      aux_sym_class_body_repeat1,
    STATE(851), 1,
      sym_comment,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1980), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [40143] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_STAR,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1972), 1,
      anon_sym_async,
    ACTIONS(1976), 1,
      anon_sym_static,
    ACTIONS(1978), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2035), 1,
      anon_sym_RBRACE,
    STATE(848), 1,
      aux_sym_class_body_repeat1,
    STATE(852), 1,
      sym_comment,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(938), 1,
      sym_method_definition,
    STATE(939), 1,
      sym_class_static_block,
    STATE(940), 1,
      sym_glimmer_template,
    STATE(965), 1,
      sym_decorator,
    STATE(1122), 1,
      sym__property_name,
    STATE(1206), 1,
      sym_glimmer_opening_tag,
    STATE(1435), 1,
      sym_field_definition,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1980), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [40230] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2041), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2045), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_static,
    STATE(853), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1275), 1,
      aux_sym_object_repeat1,
    STATE(1312), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2049), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2037), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1372), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [40307] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(103), 1,
      anon_sym_STAR,
    ACTIONS(123), 1,
      aux_sym_method_definition_token1,
    ACTIONS(711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_async,
    ACTIONS(2057), 1,
      anon_sym_static,
    STATE(854), 1,
      sym_comment,
    STATE(885), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1312), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2053), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2059), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2051), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1507), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [40379] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2065), 1,
      anon_sym_RBRACE,
    STATE(855), 1,
      sym_comment,
    STATE(1296), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    STATE(1685), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    STATE(1291), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2061), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40445] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    STATE(856), 1,
      sym_comment,
    STATE(1329), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1649), 1,
      sym__destructuring_pattern,
    STATE(1685), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    STATE(1366), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2067), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40511] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(1879), 1,
      anon_sym_LBRACK,
    STATE(857), 1,
      sym_comment,
    STATE(1649), 1,
      sym__destructuring_pattern,
    STATE(1685), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2073), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    STATE(1504), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2071), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40572] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2077), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(858), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40637] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(859), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40700] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2083), 1,
      anon_sym_RBRACE,
    STATE(860), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40763] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2077), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(861), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40826] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2083), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40891] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(863), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40956] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(864), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41019] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(865), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41082] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    STATE(866), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41147] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(867), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41212] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    STATE(868), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41275] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(869), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41340] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(870), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41405] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(871), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41468] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(2089), 1,
      anon_sym_STAR,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    ACTIONS(2093), 1,
      anon_sym_async,
    ACTIONS(2097), 1,
      sym__automatic_semicolon,
    STATE(872), 1,
      sym_comment,
    STATE(937), 1,
      sym_statement_block,
    STATE(1091), 1,
      sym__property_name,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2095), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1958), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41528] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(873), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41586] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41644] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(875), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41702] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2077), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(876), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41760] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(877), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41818] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2083), 1,
      anon_sym_RBRACE,
    STATE(878), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41876] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(879), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41934] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      anon_sym_export,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    ACTIONS(2104), 1,
      anon_sym_class,
    ACTIONS(2106), 1,
      anon_sym_async,
    ACTIONS(2108), 1,
      anon_sym_static,
    ACTIONS(2110), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2112), 1,
      anon_sym_get,
    ACTIONS(2114), 1,
      anon_sym_set,
    STATE(880), 1,
      sym_comment,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1390), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(871), 2,
      anon_sym_let,
      sym_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
  [42001] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2116), 1,
      anon_sym_RBRACE,
    STATE(881), 1,
      sym_comment,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42060] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2116), 1,
      anon_sym_RBRACE,
    STATE(882), 1,
      sym_comment,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42117] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(883), 1,
      sym_comment,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2118), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42172] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(884), 1,
      sym_comment,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2118), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42229] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_STAR,
    ACTIONS(2106), 1,
      anon_sym_async,
    ACTIONS(2108), 1,
      anon_sym_static,
    ACTIONS(2110), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2112), 1,
      anon_sym_get,
    ACTIONS(2114), 1,
      anon_sym_set,
    STATE(885), 1,
      sym_comment,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1390), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [42291] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 1,
      anon_sym_STAR,
    STATE(886), 1,
      sym_comment,
    STATE(1546), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2123), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42341] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2116), 1,
      anon_sym_RBRACE,
    STATE(887), 1,
      sym_comment,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42393] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(2125), 1,
      anon_sym_STAR,
    ACTIONS(2127), 1,
      anon_sym_async,
    ACTIONS(2129), 1,
      anon_sym_get,
    ACTIONS(2131), 1,
      anon_sym_set,
    STATE(888), 1,
      sym_comment,
    STATE(1136), 1,
      sym__property_name,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [42447] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(2133), 1,
      anon_sym_STAR,
    ACTIONS(2135), 1,
      anon_sym_async,
    ACTIONS(2137), 1,
      anon_sym_static,
    ACTIONS(2139), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2141), 1,
      anon_sym_get,
    ACTIONS(2143), 1,
      anon_sym_set,
    STATE(889), 1,
      sym_comment,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1112), 1,
      sym__property_name,
    ACTIONS(1974), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1221), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1958), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [42509] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_STAR,
    STATE(890), 1,
      sym_comment,
    STATE(1516), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2145), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42559] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(2149), 1,
      anon_sym_get,
    ACTIONS(2151), 1,
      anon_sym_set,
    STATE(891), 1,
      sym_comment,
    STATE(1566), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42611] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    STATE(892), 1,
      sym_comment,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42663] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_STAR,
    ACTIONS(2157), 1,
      anon_sym_get,
    ACTIONS(2159), 1,
      anon_sym_set,
    STATE(893), 1,
      sym_comment,
    STATE(1548), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42715] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    STATE(894), 1,
      sym_comment,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42769] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(895), 1,
      sym_comment,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2118), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(896), 1,
      sym_comment,
    ACTIONS(2161), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2163), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(897), 1,
      sym_comment,
    ACTIONS(2165), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2167), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42885] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(898), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(899), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42951] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2173), 1,
      sym__automatic_semicolon,
    STATE(900), 1,
      sym_comment,
    ACTIONS(526), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(524), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(901), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43019] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(902), 1,
      sym_comment,
    ACTIONS(2175), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2177), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(903), 1,
      sym_comment,
    ACTIONS(2179), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2181), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43085] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(904), 1,
      sym_comment,
    STATE(1551), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43130] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2183), 1,
      sym__automatic_semicolon,
    STATE(905), 1,
      sym_comment,
    ACTIONS(566), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(564), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43165] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(906), 1,
      sym_comment,
    STATE(1550), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(907), 1,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43243] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(908), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(909), 1,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(910), 1,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43342] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(911), 1,
      sym_comment,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43389] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(912), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(913), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43455] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(914), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(915), 1,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43521] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(916), 1,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(917), 1,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43587] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(918), 1,
      sym_comment,
    STATE(1568), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43632] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(919), 1,
      sym_comment,
    STATE(1567), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43677] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(920), 1,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(921), 1,
      sym_comment,
    ACTIONS(2165), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2167), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43743] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(922), 1,
      sym_comment,
    STATE(1546), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(923), 1,
      sym_comment,
    ACTIONS(2165), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2167), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(924), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(925), 1,
      sym_comment,
    ACTIONS(2165), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2167), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43887] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(926), 1,
      sym_comment,
    STATE(1516), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(927), 1,
      sym_comment,
    ACTIONS(2165), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2167), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(928), 1,
      sym_comment,
    ACTIONS(2165), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2167), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(929), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44031] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(930), 1,
      sym_comment,
    ACTIONS(2193), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2195), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(931), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44097] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2201), 1,
      anon_sym_LPAREN,
    ACTIONS(2203), 1,
      anon_sym_DOT,
    STATE(932), 1,
      sym_comment,
    STATE(984), 1,
      sym_arguments,
    ACTIONS(2197), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2199), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(933), 1,
      sym_comment,
    ACTIONS(2169), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2171), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(934), 1,
      sym_comment,
    ACTIONS(2205), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44201] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(935), 1,
      sym_comment,
    ACTIONS(1463), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1465), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44233] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(936), 1,
      sym_comment,
    ACTIONS(2209), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2211), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44265] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(937), 1,
      sym_comment,
    ACTIONS(2213), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44297] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2221), 1,
      anon_sym_SEMI,
    STATE(938), 1,
      sym_comment,
    ACTIONS(2217), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2219), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44331] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(939), 1,
      sym_comment,
    ACTIONS(2217), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2219), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(940), 1,
      sym_comment,
    ACTIONS(2224), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2226), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44395] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(941), 1,
      sym_comment,
    ACTIONS(606), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(604), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(942), 1,
      sym_comment,
    ACTIONS(566), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(564), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44459] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(943), 1,
      sym_comment,
    ACTIONS(2228), 9,
      anon_sym_export,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2230), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44491] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(944), 1,
      sym_comment,
    ACTIONS(1583), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1585), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44523] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2236), 1,
      anon_sym_AT,
    STATE(965), 1,
      sym_decorator,
    STATE(945), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2234), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      aux_sym_method_definition_token1,
    ACTIONS(2232), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44559] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(946), 1,
      sym_comment,
    ACTIONS(1459), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1461), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44591] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(947), 1,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [44623] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2243), 1,
      anon_sym_STAR,
    ACTIONS(2245), 1,
      anon_sym_get,
    ACTIONS(2247), 1,
      anon_sym_set,
    STATE(948), 1,
      sym_comment,
    STATE(1570), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [44672] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2121), 1,
      anon_sym_STAR,
    STATE(949), 1,
      sym_comment,
    STATE(1546), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2123), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [44719] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2249), 1,
      anon_sym_STAR,
    ACTIONS(2251), 1,
      anon_sym_get,
    ACTIONS(2253), 1,
      anon_sym_set,
    STATE(950), 1,
      sym_comment,
    STATE(1434), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [44768] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2255), 1,
      anon_sym_default,
    STATE(401), 1,
      sym_declaration,
    STATE(951), 1,
      sym_comment,
    STATE(965), 1,
      sym_decorator,
    STATE(1240), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(396), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [44819] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2257), 1,
      anon_sym_STAR,
    STATE(952), 1,
      sym_comment,
    STATE(1458), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2259), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [44866] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2263), 1,
      anon_sym_get,
    ACTIONS(2265), 1,
      anon_sym_set,
    STATE(953), 1,
      sym_comment,
    STATE(1496), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [44915] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2267), 1,
      anon_sym_STAR,
    ACTIONS(2269), 1,
      anon_sym_get,
    ACTIONS(2271), 1,
      anon_sym_set,
    STATE(954), 1,
      sym_comment,
    STATE(1456), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [44964] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2273), 1,
      anon_sym_STAR,
    ACTIONS(2275), 1,
      anon_sym_async,
    ACTIONS(2277), 1,
      anon_sym_get,
    ACTIONS(2279), 1,
      anon_sym_set,
    STATE(955), 1,
      sym_comment,
    STATE(1498), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [45015] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2281), 1,
      anon_sym_EQ_GT,
    STATE(956), 1,
      sym_comment,
    STATE(1458), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45060] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(957), 1,
      sym_comment,
    STATE(1561), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45102] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2283), 1,
      anon_sym_STAR,
    ACTIONS(2285), 1,
      anon_sym_async,
    ACTIONS(2287), 1,
      anon_sym_get,
    ACTIONS(2289), 1,
      anon_sym_set,
    STATE(958), 1,
      sym_comment,
    STATE(1549), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [45150] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2255), 1,
      anon_sym_default,
    STATE(401), 1,
      sym_declaration,
    STATE(959), 1,
      sym_comment,
    STATE(965), 1,
      sym_decorator,
    STATE(1240), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(396), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [45198] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2291), 1,
      anon_sym_STAR,
    ACTIONS(2293), 1,
      anon_sym_async,
    ACTIONS(2295), 1,
      anon_sym_get,
    ACTIONS(2297), 1,
      anon_sym_set,
    STATE(960), 1,
      sym_comment,
    STATE(1499), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [45246] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(961), 1,
      sym_comment,
    STATE(1564), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45288] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(962), 1,
      sym_comment,
    STATE(1443), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45330] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(963), 1,
      sym_comment,
    STATE(1462), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(964), 1,
      sym_comment,
    ACTIONS(1553), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1555), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [45402] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(965), 1,
      sym_comment,
    ACTIONS(2299), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2301), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [45432] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(966), 1,
      sym_comment,
    STATE(1500), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45474] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(967), 1,
      sym_comment,
    STATE(1427), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(968), 1,
      sym_comment,
    ACTIONS(1437), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1439), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [45546] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(969), 1,
      sym_comment,
    STATE(1572), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45588] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(970), 1,
      sym_comment,
    STATE(1424), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45630] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(971), 1,
      sym_comment,
    STATE(1447), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45672] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(972), 1,
      sym_comment,
    STATE(1458), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45714] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(973), 1,
      sym_comment,
    STATE(1571), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45756] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(974), 1,
      sym_comment,
    STATE(1501), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(975), 1,
      sym_comment,
    ACTIONS(2197), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2199), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [45828] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_STAR,
    ACTIONS(2303), 1,
      anon_sym_async,
    STATE(976), 1,
      sym_comment,
    STATE(1516), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2145), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [45874] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(977), 1,
      sym_comment,
    STATE(1563), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45916] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2305), 1,
      anon_sym_default,
    STATE(401), 1,
      sym_declaration,
    STATE(965), 1,
      sym_decorator,
    STATE(978), 1,
      sym_comment,
    STATE(1240), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(396), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [45964] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(979), 1,
      sym_comment,
    STATE(1582), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46006] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(980), 1,
      sym_comment,
    STATE(1612), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46048] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(981), 1,
      sym_comment,
    STATE(1614), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46090] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 1,
      anon_sym_STAR,
    STATE(982), 1,
      sym_comment,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [46136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(983), 1,
      sym_comment,
    ACTIONS(1479), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1481), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [46166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(984), 1,
      sym_comment,
    ACTIONS(2307), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2309), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [46196] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(985), 1,
      sym_comment,
    STATE(1613), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46238] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(986), 1,
      sym_comment,
    STATE(1609), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46280] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(987), 1,
      sym_comment,
    STATE(1460), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46322] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(988), 1,
      sym_comment,
    STATE(1581), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46364] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_comment,
    STATE(1546), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46406] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(990), 1,
      sym_comment,
    STATE(1578), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46448] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(991), 1,
      sym_comment,
    STATE(1407), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46490] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(992), 1,
      sym_comment,
    STATE(1579), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46532] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(993), 1,
      sym_comment,
    STATE(1407), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46571] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(994), 1,
      sym_comment,
    STATE(1546), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46610] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(995), 1,
      sym_comment,
    STATE(1569), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46649] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(996), 1,
      sym_comment,
    STATE(1547), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46688] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(997), 1,
      sym_comment,
    STATE(1562), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46727] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(998), 1,
      sym_comment,
    STATE(1458), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46766] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(999), 1,
      sym_comment,
    STATE(1489), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46805] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1000), 1,
      sym_comment,
    STATE(1588), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1001), 1,
      sym_comment,
    ACTIONS(2311), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [46871] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1002), 1,
      sym_comment,
    STATE(1617), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46910] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1003), 1,
      sym_comment,
    STATE(1580), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [46949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1004), 1,
      sym_comment,
    ACTIONS(2313), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [46976] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1005), 1,
      sym_comment,
    STATE(1454), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [47015] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1006), 1,
      sym_comment,
    STATE(1565), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [47054] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1007), 1,
      sym_comment,
    STATE(1432), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [47093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1008), 1,
      sym_comment,
    ACTIONS(2315), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [47120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1009), 1,
      sym_comment,
    ACTIONS(2317), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [47147] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1010), 1,
      sym_comment,
    ACTIONS(2319), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [47174] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1011), 1,
      sym_comment,
    STATE(1561), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [47213] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1012), 1,
      sym_comment,
    STATE(1577), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [47252] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1013), 1,
      sym_comment,
    STATE(1516), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [47291] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1014), 1,
      sym_comment,
    STATE(1494), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [47330] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_LBRACK,
    STATE(1015), 1,
      sym_comment,
    STATE(1423), 1,
      sym__property_name,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [47369] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2321), 1,
      anon_sym_LBRACE,
    ACTIONS(2325), 1,
      sym_html_character_reference,
    ACTIONS(2327), 1,
      anon_sym_LT,
    ACTIONS(2329), 1,
      anon_sym_LT_SLASH,
    STATE(1016), 1,
      sym_comment,
    STATE(1021), 1,
      sym_jsx_opening_element,
    STATE(1025), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1158), 1,
      sym_jsx_closing_element,
    ACTIONS(2323), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47410] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2321), 1,
      anon_sym_LBRACE,
    ACTIONS(2325), 1,
      sym_html_character_reference,
    ACTIONS(2327), 1,
      anon_sym_LT,
    ACTIONS(2331), 1,
      anon_sym_LT_SLASH,
    STATE(742), 1,
      sym_jsx_closing_element,
    STATE(1017), 1,
      sym_comment,
    STATE(1021), 1,
      sym_jsx_opening_element,
    STATE(1022), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(2323), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47451] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2321), 1,
      anon_sym_LBRACE,
    ACTIONS(2325), 1,
      sym_html_character_reference,
    ACTIONS(2327), 1,
      anon_sym_LT,
    ACTIONS(2333), 1,
      anon_sym_LT_SLASH,
    STATE(582), 1,
      sym_jsx_closing_element,
    STATE(1018), 1,
      sym_comment,
    STATE(1021), 1,
      sym_jsx_opening_element,
    STATE(1025), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(2323), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47492] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2321), 1,
      anon_sym_LBRACE,
    ACTIONS(2325), 1,
      sym_html_character_reference,
    ACTIONS(2327), 1,
      anon_sym_LT,
    ACTIONS(2335), 1,
      anon_sym_LT_SLASH,
    STATE(1019), 1,
      sym_comment,
    STATE(1021), 1,
      sym_jsx_opening_element,
    STATE(1025), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1094), 1,
      sym_jsx_closing_element,
    ACTIONS(2323), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47533] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(2337), 1,
      sym_identifier,
    ACTIONS(2339), 1,
      anon_sym_STAR,
    ACTIONS(2341), 1,
      anon_sym_LBRACE,
    STATE(1020), 1,
      sym_comment,
    STATE(1261), 1,
      sym_string,
    STATE(1545), 1,
      sym_import_clause,
    STATE(1637), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2343), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [47574] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2321), 1,
      anon_sym_LBRACE,
    ACTIONS(2325), 1,
      sym_html_character_reference,
    ACTIONS(2327), 1,
      anon_sym_LT,
    ACTIONS(2335), 1,
      anon_sym_LT_SLASH,
    STATE(1019), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1092), 1,
      sym_jsx_closing_element,
    ACTIONS(2323), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1021), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47613] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2321), 1,
      anon_sym_LBRACE,
    ACTIONS(2325), 1,
      sym_html_character_reference,
    ACTIONS(2327), 1,
      anon_sym_LT,
    ACTIONS(2331), 1,
      anon_sym_LT_SLASH,
    STATE(683), 1,
      sym_jsx_closing_element,
    STATE(1021), 1,
      sym_jsx_opening_element,
    STATE(1022), 1,
      sym_comment,
    STATE(1025), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(2323), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47654] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2321), 1,
      anon_sym_LBRACE,
    ACTIONS(2325), 1,
      sym_html_character_reference,
    ACTIONS(2327), 1,
      anon_sym_LT,
    ACTIONS(2333), 1,
      anon_sym_LT_SLASH,
    STATE(518), 1,
      sym_jsx_closing_element,
    STATE(1018), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1021), 1,
      sym_jsx_opening_element,
    STATE(1023), 1,
      sym_comment,
    ACTIONS(2323), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47695] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2321), 1,
      anon_sym_LBRACE,
    ACTIONS(2325), 1,
      sym_html_character_reference,
    ACTIONS(2327), 1,
      anon_sym_LT,
    ACTIONS(2329), 1,
      anon_sym_LT_SLASH,
    STATE(1016), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1021), 1,
      sym_jsx_opening_element,
    STATE(1024), 1,
      sym_comment,
    STATE(1166), 1,
      sym_jsx_closing_element,
    ACTIONS(2323), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47736] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2345), 1,
      anon_sym_LBRACE,
    ACTIONS(2351), 1,
      sym_html_character_reference,
    ACTIONS(2354), 1,
      anon_sym_LT,
    ACTIONS(2357), 1,
      anon_sym_LT_SLASH,
    STATE(1021), 1,
      sym_jsx_opening_element,
    ACTIONS(2348), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1025), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(1090), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [47772] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_SLASH_GT,
    STATE(1026), 1,
      sym_comment,
    STATE(1051), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [47813] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2373), 1,
      anon_sym_SLASH_GT,
    STATE(1027), 1,
      sym_comment,
    STATE(1053), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [47854] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2375), 1,
      anon_sym_SLASH_GT,
    STATE(1028), 1,
      sym_comment,
    STATE(1038), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [47895] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_SLASH_GT,
    STATE(1029), 1,
      sym_comment,
    STATE(1055), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [47936] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2375), 1,
      anon_sym_SLASH_GT,
    STATE(1030), 1,
      sym_comment,
    STATE(1058), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [47974] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2371), 1,
      anon_sym_SLASH_GT,
    STATE(1031), 1,
      sym_comment,
    STATE(1052), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48012] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2373), 1,
      anon_sym_SLASH_GT,
    STATE(1032), 1,
      sym_comment,
    STATE(1048), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48050] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2373), 1,
      anon_sym_SLASH_GT,
    STATE(1033), 1,
      sym_comment,
    STATE(1040), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48088] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2377), 1,
      anon_sym_SLASH_GT,
    STATE(1034), 1,
      sym_comment,
    STATE(1059), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48126] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_SLASH_GT,
    STATE(1035), 1,
      sym_comment,
    STATE(1047), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48164] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2371), 1,
      anon_sym_SLASH_GT,
    STATE(1036), 1,
      sym_comment,
    STATE(1050), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48202] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2375), 1,
      anon_sym_SLASH_GT,
    STATE(1037), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48240] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2379), 1,
      anon_sym_GT,
    ACTIONS(2381), 1,
      anon_sym_SLASH_GT,
    STATE(1038), 1,
      sym_comment,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48275] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2383), 1,
      anon_sym_GT,
    ACTIONS(2385), 1,
      anon_sym_SLASH_GT,
    STATE(1039), 1,
      sym_comment,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48310] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2387), 1,
      anon_sym_GT,
    ACTIONS(2389), 1,
      anon_sym_SLASH_GT,
    STATE(1040), 1,
      sym_comment,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48345] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2391), 1,
      sym_identifier,
    ACTIONS(2394), 1,
      anon_sym_LBRACE,
    ACTIONS(2399), 1,
      sym_jsx_identifier,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    ACTIONS(2397), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1041), 2,
      sym_comment,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48376] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2402), 1,
      anon_sym_LT,
    ACTIONS(2404), 1,
      anon_sym_DQUOTE,
    ACTIONS(2406), 1,
      anon_sym_SQUOTE,
    STATE(1024), 1,
      sym_jsx_opening_element,
    STATE(1042), 1,
      sym_comment,
    STATE(1191), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [48407] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2371), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      sym_comment,
    STATE(1056), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48442] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2402), 1,
      anon_sym_LT,
    ACTIONS(2404), 1,
      anon_sym_DQUOTE,
    ACTIONS(2406), 1,
      anon_sym_SQUOTE,
    STATE(1024), 1,
      sym_jsx_opening_element,
    STATE(1044), 1,
      sym_comment,
    STATE(1144), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [48473] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2373), 1,
      anon_sym_SLASH_GT,
    STATE(1045), 1,
      sym_comment,
    STATE(1049), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48508] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2375), 1,
      anon_sym_SLASH_GT,
    STATE(1046), 1,
      sym_comment,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48543] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2408), 1,
      anon_sym_GT,
    ACTIONS(2410), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1047), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48578] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2408), 1,
      anon_sym_GT,
    ACTIONS(2412), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1048), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48613] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2383), 1,
      anon_sym_GT,
    ACTIONS(2414), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1049), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48648] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2387), 1,
      anon_sym_GT,
    ACTIONS(2416), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1050), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48683] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2379), 1,
      anon_sym_GT,
    ACTIONS(2418), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1051), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48718] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2408), 1,
      anon_sym_GT,
    ACTIONS(2420), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1052), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48753] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2379), 1,
      anon_sym_GT,
    ACTIONS(2422), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1053), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48788] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_GT,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2377), 1,
      anon_sym_SLASH_GT,
    STATE(1039), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1054), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48823] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2379), 1,
      anon_sym_GT,
    ACTIONS(2424), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1055), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48858] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2383), 1,
      anon_sym_GT,
    ACTIONS(2426), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1056), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48893] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2383), 1,
      anon_sym_GT,
    ACTIONS(2428), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1057), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48928] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2387), 1,
      anon_sym_GT,
    ACTIONS(2430), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1058), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48963] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2387), 1,
      anon_sym_GT,
    ACTIONS(2432), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1059), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [48998] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2359), 1,
      sym_identifier,
    ACTIONS(2361), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    ACTIONS(2408), 1,
      anon_sym_GT,
    ACTIONS(2434), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1060), 1,
      sym_comment,
    STATE(1108), 1,
      sym_jsx_namespace_name,
    STATE(1186), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [49033] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2436), 1,
      sym_identifier,
    ACTIONS(2438), 1,
      anon_sym_COMMA,
    ACTIONS(2440), 1,
      anon_sym_RBRACE,
    STATE(1061), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1359), 1,
      sym_import_specifier,
    STATE(1686), 1,
      sym__module_export_name,
  [49067] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2442), 1,
      sym_identifier,
    ACTIONS(2444), 1,
      anon_sym_COMMA,
    ACTIONS(2446), 1,
      anon_sym_RBRACE,
    STATE(1062), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1326), 1,
      sym_export_specifier,
    STATE(1328), 1,
      sym__module_export_name,
  [49101] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(1063), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49130] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2083), 1,
      anon_sym_RBRACE,
    STATE(1064), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49159] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2442), 1,
      sym_identifier,
    ACTIONS(2448), 1,
      anon_sym_RBRACE,
    STATE(1065), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1328), 1,
      sym__module_export_name,
    STATE(1387), 1,
      sym_export_specifier,
  [49190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1066), 1,
      sym_comment,
    ACTIONS(2450), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [49209] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2452), 1,
      sym_identifier,
    ACTIONS(2456), 1,
      anon_sym_EQ,
    STATE(1067), 1,
      sym_comment,
    ACTIONS(2454), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [49234] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(2077), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(1068), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1069), 1,
      sym_comment,
    ACTIONS(2458), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [49282] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2442), 1,
      sym_identifier,
    ACTIONS(2460), 1,
      anon_sym_RBRACE,
    STATE(1070), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1328), 1,
      sym__module_export_name,
    STATE(1387), 1,
      sym_export_specifier,
  [49313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1071), 1,
      sym_comment,
    ACTIONS(2462), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [49332] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    ACTIONS(2464), 1,
      sym_identifier,
    STATE(1072), 1,
      sym_comment,
    STATE(1154), 1,
      sym__destructuring_pattern,
    STATE(1273), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
  [49361] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    STATE(1073), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1074), 1,
      sym_comment,
    ACTIONS(2466), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [49409] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2436), 1,
      sym_identifier,
    ACTIONS(2468), 1,
      anon_sym_RBRACE,
    STATE(1075), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1476), 1,
      sym_import_specifier,
    STATE(1686), 1,
      sym__module_export_name,
  [49440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1076), 1,
      sym_comment,
    ACTIONS(2470), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [49459] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(1077), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49488] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(1078), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49517] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(105), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(1079), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1316), 1,
      aux_sym_object_repeat1,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1080), 1,
      sym_comment,
    ACTIONS(2472), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [49565] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    ACTIONS(2474), 1,
      sym_identifier,
    STATE(1081), 1,
      sym_comment,
    STATE(1086), 1,
      sym__destructuring_pattern,
    STATE(1273), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
  [49594] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    ACTIONS(2476), 1,
      sym_identifier,
    STATE(1082), 1,
      sym_comment,
    STATE(1087), 1,
      sym__destructuring_pattern,
    STATE(1264), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
  [49623] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2436), 1,
      sym_identifier,
    ACTIONS(2478), 1,
      anon_sym_RBRACE,
    STATE(1083), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1476), 1,
      sym_import_specifier,
    STATE(1686), 1,
      sym__module_export_name,
  [49654] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    ACTIONS(2464), 1,
      sym_identifier,
    STATE(1084), 1,
      sym_comment,
    STATE(1154), 1,
      sym__destructuring_pattern,
    STATE(1301), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
  [49683] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(942), 1,
      anon_sym_LBRACE,
    ACTIONS(944), 1,
      anon_sym_LBRACK,
    ACTIONS(2464), 1,
      sym_identifier,
    STATE(1085), 1,
      sym_comment,
    STATE(1154), 1,
      sym__destructuring_pattern,
    STATE(1264), 1,
      sym_variable_declarator,
    STATE(1096), 2,
      sym_object_pattern,
      sym_array_pattern,
  [49712] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2484), 1,
      anon_sym_EQ,
    STATE(1086), 1,
      sym_comment,
    STATE(1348), 1,
      sym__initializer,
    ACTIONS(2482), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2480), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49737] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2486), 1,
      anon_sym_EQ,
    STATE(1087), 1,
      sym_comment,
    STATE(1176), 1,
      sym__initializer,
    ACTIONS(2482), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2480), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49762] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2436), 1,
      sym_identifier,
    STATE(1088), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1476), 1,
      sym_import_specifier,
    STATE(1686), 1,
      sym__module_export_name,
  [49790] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1089), 1,
      sym_comment,
    ACTIONS(2488), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [49808] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1090), 1,
      sym_comment,
    ACTIONS(2490), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [49826] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2484), 1,
      anon_sym_EQ,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1091), 1,
      sym_comment,
    STATE(1445), 1,
      sym_formal_parameters,
    STATE(1544), 1,
      sym__initializer,
    ACTIONS(2494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49852] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1092), 1,
      sym_comment,
    ACTIONS(1455), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [49870] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1093), 1,
      sym_comment,
    ACTIONS(1587), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [49888] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1094), 1,
      sym_comment,
    ACTIONS(1591), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [49906] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1095), 1,
      sym_comment,
    ACTIONS(2496), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [49924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1096), 1,
      sym_comment,
    ACTIONS(2466), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [49942] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2498), 1,
      anon_sym_default,
    ACTIONS(2500), 1,
      anon_sym_RBRACE,
    ACTIONS(2502), 1,
      anon_sym_case,
    STATE(1097), 1,
      sym_comment,
    STATE(1140), 1,
      aux_sym_switch_body_repeat1,
    STATE(1300), 2,
      sym_switch_case,
      sym_switch_default,
  [49968] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2442), 1,
      sym_identifier,
    STATE(1098), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1328), 1,
      sym__module_export_name,
    STATE(1387), 1,
      sym_export_specifier,
  [49996] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1099), 1,
      sym_comment,
    ACTIONS(1395), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50014] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1100), 1,
      sym_comment,
    ACTIONS(1395), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50032] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1101), 1,
      sym_comment,
    ACTIONS(1395), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50050] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1102), 1,
      sym_comment,
    ACTIONS(1395), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50068] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1103), 1,
      sym_comment,
    ACTIONS(1415), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50086] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1104), 1,
      sym_comment,
    ACTIONS(2504), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50104] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1105), 1,
      sym_comment,
    ACTIONS(1475), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50122] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2508), 1,
      anon_sym_BQUOTE,
    ACTIONS(2510), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1106), 1,
      sym_comment,
    STATE(1133), 1,
      aux_sym_template_string_repeat1,
    STATE(1235), 1,
      sym_template_substitution,
    ACTIONS(2506), 2,
      sym__template_chars,
      sym_escape_sequence,
  [50148] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1107), 1,
      sym_comment,
    ACTIONS(2512), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50166] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2514), 1,
      sym_identifier,
    ACTIONS(2518), 1,
      anon_sym_EQ,
    STATE(1108), 1,
      sym_comment,
    ACTIONS(2516), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [50188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1109), 1,
      sym_comment,
    ACTIONS(1401), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [50206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1110), 1,
      sym_comment,
    ACTIONS(2450), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [50224] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2520), 1,
      anon_sym_BQUOTE,
    STATE(1111), 1,
      sym_comment,
    STATE(1133), 1,
      aux_sym_template_string_repeat1,
    STATE(1235), 1,
      sym_template_substitution,
    ACTIONS(2506), 2,
      sym__template_chars,
      sym_escape_sequence,
  [50250] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2484), 1,
      anon_sym_EQ,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1112), 1,
      sym_comment,
    STATE(1448), 1,
      sym_formal_parameters,
    STATE(1558), 1,
      sym__initializer,
    ACTIONS(2522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1113), 1,
      sym_comment,
    ACTIONS(2462), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [50294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2524), 1,
      sym_identifier,
    STATE(1114), 1,
      sym_comment,
    ACTIONS(2526), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
  [50314] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1115), 1,
      sym_comment,
    ACTIONS(2496), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1116), 1,
      sym_comment,
    ACTIONS(2472), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [50350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1117), 1,
      sym_comment,
    ACTIONS(1756), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [50368] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1118), 1,
      sym_comment,
    ACTIONS(1513), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [50386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1119), 1,
      sym_comment,
    ACTIONS(1754), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [50404] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1120), 1,
      sym_comment,
    ACTIONS(2496), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50422] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2528), 1,
      anon_sym_default,
    ACTIONS(2531), 1,
      anon_sym_RBRACE,
    ACTIONS(2533), 1,
      anon_sym_case,
    STATE(1121), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(1300), 2,
      sym_switch_case,
      sym_switch_default,
  [50446] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2484), 1,
      anon_sym_EQ,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1122), 1,
      sym_comment,
    STATE(1409), 1,
      sym_formal_parameters,
    STATE(1526), 1,
      sym__initializer,
    ACTIONS(2536), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2538), 1,
      anon_sym_COMMA,
    STATE(1123), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1573), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50492] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_BQUOTE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1407), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      sym_optional_chain,
    STATE(1124), 1,
      sym_comment,
    STATE(692), 2,
      sym_template_string,
      sym_arguments,
  [50518] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(1314), 1,
      anon_sym_DOT,
    ACTIONS(2543), 1,
      sym_optional_chain,
    STATE(1125), 1,
      sym_comment,
    STATE(535), 2,
      sym_template_string,
      sym_arguments,
  [50544] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    STATE(1123), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(1126), 1,
      sym_comment,
    ACTIONS(2545), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50566] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2547), 1,
      sym_identifier,
    STATE(1127), 1,
      sym_comment,
    ACTIONS(2549), 5,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [50586] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1128), 1,
      sym_comment,
    ACTIONS(2496), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50604] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2551), 1,
      anon_sym_BQUOTE,
    STATE(1111), 1,
      aux_sym_template_string_repeat1,
    STATE(1129), 1,
      sym_comment,
    STATE(1235), 1,
      sym_template_substitution,
    ACTIONS(2506), 2,
      sym__template_chars,
      sym_escape_sequence,
  [50630] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2553), 1,
      anon_sym_BQUOTE,
    STATE(1106), 1,
      aux_sym_template_string_repeat1,
    STATE(1130), 1,
      sym_comment,
    STATE(1235), 1,
      sym_template_substitution,
    ACTIONS(2506), 2,
      sym__template_chars,
      sym_escape_sequence,
  [50656] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(2555), 1,
      sym_identifier,
    ACTIONS(2557), 1,
      anon_sym_LBRACK,
    STATE(1131), 1,
      sym_comment,
    STATE(1638), 1,
      sym__destructuring_pattern,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
  [50682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1132), 1,
      sym_comment,
    ACTIONS(1736), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [50700] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2562), 1,
      anon_sym_BQUOTE,
    ACTIONS(2564), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1235), 1,
      sym_template_substitution,
    ACTIONS(2559), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1133), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [50724] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1134), 1,
      sym_comment,
    ACTIONS(2567), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1135), 1,
      sym_comment,
    ACTIONS(2470), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [50760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2484), 1,
      anon_sym_EQ,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1136), 1,
      sym_comment,
    STATE(1518), 1,
      sym_formal_parameters,
    STATE(1556), 1,
      sym__initializer,
    ACTIONS(2569), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50786] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1137), 1,
      sym_comment,
    ACTIONS(2571), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [50804] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(2557), 1,
      anon_sym_LBRACK,
    ACTIONS(2573), 1,
      sym_identifier,
    STATE(1138), 1,
      sym_comment,
    STATE(1506), 1,
      sym__destructuring_pattern,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
  [50830] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(2557), 1,
      anon_sym_LBRACK,
    ACTIONS(2575), 1,
      sym_identifier,
    STATE(1139), 1,
      sym_comment,
    STATE(1211), 1,
      sym__destructuring_pattern,
    STATE(1074), 2,
      sym_object_pattern,
      sym_array_pattern,
  [50856] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2498), 1,
      anon_sym_default,
    ACTIONS(2502), 1,
      anon_sym_case,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    STATE(1121), 1,
      aux_sym_switch_body_repeat1,
    STATE(1140), 1,
      sym_comment,
    STATE(1300), 2,
      sym_switch_case,
      sym_switch_default,
  [50882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1141), 1,
      sym_comment,
    ACTIONS(2458), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [50900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1415), 1,
      sym_identifier,
    STATE(1142), 1,
      sym_comment,
    ACTIONS(1417), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [50919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2567), 1,
      sym_identifier,
    STATE(1143), 1,
      sym_comment,
    ACTIONS(2579), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [50938] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2581), 1,
      sym_identifier,
    STATE(1144), 1,
      sym_comment,
    ACTIONS(2583), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [50957] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2079), 1,
      anon_sym_COLON,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    STATE(1145), 1,
      sym_comment,
    STATE(1353), 1,
      aux_sym_object_pattern_repeat1,
  [50982] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1475), 1,
      sym_identifier,
    STATE(1146), 1,
      sym_comment,
    ACTIONS(1477), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1395), 1,
      sym_identifier,
    STATE(1147), 1,
      sym_comment,
    ACTIONS(1397), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1395), 1,
      sym_identifier,
    STATE(1148), 1,
      sym_comment,
    ACTIONS(1397), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51039] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1395), 1,
      sym_identifier,
    STATE(1149), 1,
      sym_comment,
    ACTIONS(1397), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2587), 1,
      anon_sym_EQ,
    STATE(1150), 1,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [51077] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1151), 1,
      sym_comment,
    ACTIONS(1271), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [51094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(1152), 1,
      sym_comment,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2118), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51115] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1153), 1,
      sym_comment,
    ACTIONS(1513), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [51132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2484), 1,
      anon_sym_EQ,
    STATE(1154), 1,
      sym_comment,
    STATE(1348), 1,
      sym__initializer,
    ACTIONS(2480), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [51153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2590), 1,
      sym_identifier,
    STATE(1155), 1,
      sym_comment,
    ACTIONS(2592), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51172] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2594), 1,
      sym_identifier,
    ACTIONS(2596), 1,
      anon_sym_GT,
    ACTIONS(2598), 1,
      sym_jsx_identifier,
    STATE(1032), 1,
      sym_nested_identifier,
    STATE(1045), 1,
      sym_jsx_namespace_name,
    STATE(1156), 1,
      sym_comment,
  [51197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1395), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_comment,
    ACTIONS(1397), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1591), 1,
      sym_identifier,
    STATE(1158), 1,
      sym_comment,
    ACTIONS(1593), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51235] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_GT,
    ACTIONS(2604), 1,
      sym_jsx_identifier,
    STATE(1159), 1,
      sym_comment,
    STATE(1410), 1,
      sym_nested_identifier,
    STATE(1683), 1,
      sym_jsx_namespace_name,
  [51260] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2596), 1,
      anon_sym_GT,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      sym_jsx_identifier,
    STATE(1037), 1,
      sym_nested_identifier,
    STATE(1046), 1,
      sym_jsx_namespace_name,
    STATE(1160), 1,
      sym_comment,
  [51285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1587), 1,
      sym_identifier,
    STATE(1161), 1,
      sym_comment,
    ACTIONS(1589), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51304] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2596), 1,
      anon_sym_GT,
    ACTIONS(2610), 1,
      sym_identifier,
    ACTIONS(2612), 1,
      sym_jsx_identifier,
    STATE(1035), 1,
      sym_nested_identifier,
    STATE(1054), 1,
      sym_jsx_namespace_name,
    STATE(1162), 1,
      sym_comment,
  [51329] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2614), 1,
      sym_identifier,
    STATE(1163), 1,
      sym_comment,
    ACTIONS(2616), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51348] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2618), 1,
      sym_identifier,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2622), 1,
      anon_sym_extends,
    STATE(672), 1,
      sym_class_body,
    STATE(1164), 1,
      sym_comment,
    STATE(1490), 1,
      sym_class_heritage,
  [51373] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2442), 1,
      sym_identifier,
    STATE(1165), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1393), 1,
      sym__module_export_name,
  [51398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1455), 1,
      sym_identifier,
    STATE(1166), 1,
      sym_comment,
    ACTIONS(1457), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51417] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2116), 1,
      anon_sym_RBRACE,
    STATE(1167), 1,
      sym_comment,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [51440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2571), 1,
      sym_identifier,
    STATE(1168), 1,
      sym_comment,
    ACTIONS(2624), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51459] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2596), 1,
      anon_sym_GT,
    ACTIONS(2626), 1,
      sym_identifier,
    ACTIONS(2628), 1,
      sym_jsx_identifier,
    STATE(1031), 1,
      sym_nested_identifier,
    STATE(1043), 1,
      sym_jsx_namespace_name,
    STATE(1169), 1,
      sym_comment,
  [51484] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LBRACK,
    ACTIONS(2634), 1,
      sym_private_property_identifier,
    STATE(688), 1,
      sym_arguments,
    STATE(1170), 1,
      sym_comment,
  [51509] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1171), 1,
      sym_comment,
    ACTIONS(1401), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [51526] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2622), 1,
      anon_sym_extends,
    ACTIONS(2636), 1,
      sym_identifier,
    STATE(672), 1,
      sym_class_body,
    STATE(1172), 1,
      sym_comment,
    STATE(1490), 1,
      sym_class_heritage,
  [51551] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2622), 1,
      anon_sym_extends,
    ACTIONS(2638), 1,
      sym_identifier,
    STATE(679), 1,
      sym_class_body,
    STATE(1173), 1,
      sym_comment,
    STATE(1463), 1,
      sym_class_heritage,
  [51576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    STATE(1174), 1,
      sym_comment,
    ACTIONS(1284), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [51595] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2079), 1,
      anon_sym_COLON,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    ACTIONS(2642), 1,
      anon_sym_RBRACE,
    STATE(1175), 1,
      sym_comment,
    STATE(1315), 1,
      aux_sym_object_pattern_repeat1,
  [51620] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2646), 1,
      anon_sym_in,
    ACTIONS(2648), 1,
      anon_sym_of,
    STATE(1176), 1,
      sym_comment,
    ACTIONS(2644), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [51641] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2622), 1,
      anon_sym_extends,
    ACTIONS(2650), 1,
      sym_identifier,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_class_body,
    STATE(1177), 1,
      sym_comment,
    STATE(1386), 1,
      sym_class_heritage,
  [51666] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2622), 1,
      anon_sym_extends,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
    ACTIONS(2654), 1,
      sym_identifier,
    STATE(565), 1,
      sym_class_body,
    STATE(1178), 1,
      sym_comment,
    STATE(1437), 1,
      sym_class_heritage,
  [51691] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2622), 1,
      anon_sym_extends,
    ACTIONS(2656), 1,
      sym_identifier,
    STATE(672), 1,
      sym_class_body,
    STATE(1179), 1,
      sym_comment,
    STATE(1490), 1,
      sym_class_heritage,
  [51716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2658), 1,
      anon_sym_EQ,
    STATE(1180), 1,
      sym_comment,
    ACTIONS(1271), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [51735] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2661), 1,
      sym_identifier,
    ACTIONS(2663), 1,
      anon_sym_GT,
    ACTIONS(2665), 1,
      sym_jsx_identifier,
    STATE(1181), 1,
      sym_comment,
    STATE(1430), 1,
      sym_nested_identifier,
    STATE(1679), 1,
      sym_jsx_namespace_name,
  [51760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    ACTIONS(2667), 1,
      sym_identifier,
    ACTIONS(2669), 1,
      anon_sym_LBRACK,
    ACTIONS(2671), 1,
      sym_private_property_identifier,
    STATE(579), 1,
      sym_arguments,
    STATE(1182), 1,
      sym_comment,
  [51785] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2622), 1,
      anon_sym_extends,
    ACTIONS(2673), 1,
      sym_identifier,
    STATE(679), 1,
      sym_class_body,
    STATE(1183), 1,
      sym_comment,
    STATE(1463), 1,
      sym_class_heritage,
  [51810] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(2675), 1,
      anon_sym_export,
    ACTIONS(2677), 1,
      anon_sym_class,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1184), 1,
      sym_comment,
  [51835] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2622), 1,
      anon_sym_extends,
    ACTIONS(2679), 1,
      sym_identifier,
    STATE(679), 1,
      sym_class_body,
    STATE(1185), 1,
      sym_comment,
    STATE(1463), 1,
      sym_class_heritage,
  [51860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2681), 1,
      sym_identifier,
    STATE(1186), 1,
      sym_comment,
    ACTIONS(2683), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51879] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      anon_sym_GT,
    ACTIONS(2689), 1,
      sym_jsx_identifier,
    STATE(1187), 1,
      sym_comment,
    STATE(1461), 1,
      sym_nested_identifier,
    STATE(1670), 1,
      sym_jsx_namespace_name,
  [51904] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2691), 1,
      sym_identifier,
    ACTIONS(2693), 1,
      anon_sym_GT,
    ACTIONS(2695), 1,
      sym_jsx_identifier,
    STATE(1188), 1,
      sym_comment,
    STATE(1446), 1,
      sym_nested_identifier,
    STATE(1675), 1,
      sym_jsx_namespace_name,
  [51929] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(2697), 1,
      anon_sym_export,
    ACTIONS(2699), 1,
      anon_sym_class,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1189), 1,
      sym_comment,
  [51954] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2442), 1,
      sym_identifier,
    STATE(1190), 1,
      sym_comment,
    STATE(1258), 1,
      sym_string,
    STATE(1682), 1,
      sym__module_export_name,
  [51979] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2701), 1,
      sym_identifier,
    STATE(1191), 1,
      sym_comment,
    ACTIONS(2703), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [51998] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2705), 1,
      anon_sym_SQUOTE,
    ACTIONS(2707), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(1192), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [52016] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2710), 1,
      sym__glimmer_template_content,
    ACTIONS(2712), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(944), 1,
      sym_glimmer_closing_tag,
    STATE(1193), 1,
      sym_comment,
    STATE(1324), 1,
      aux_sym_glimmer_template_repeat1,
  [52038] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2714), 1,
      sym_html_character_reference,
    ACTIONS(2716), 1,
      anon_sym_DQUOTE,
    ACTIONS(2718), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1194), 1,
      sym_comment,
    STATE(1256), 1,
      aux_sym__jsx_string_repeat1,
  [52060] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2720), 1,
      sym_identifier,
    ACTIONS(2722), 1,
      anon_sym_STAR,
    STATE(1195), 1,
      sym_comment,
    STATE(1416), 1,
      sym_formal_parameters,
  [52082] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2079), 1,
      anon_sym_COLON,
    ACTIONS(2081), 1,
      anon_sym_EQ,
    STATE(1196), 1,
      sym_comment,
    ACTIONS(2724), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52102] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    ACTIONS(2728), 1,
      anon_sym_RBRACK,
    STATE(1197), 1,
      sym_comment,
    STATE(1346), 1,
      aux_sym_array_pattern_repeat1,
  [52124] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2730), 1,
      sym_identifier,
    ACTIONS(2732), 1,
      anon_sym_STAR,
    STATE(1198), 1,
      sym_comment,
    STATE(1439), 1,
      sym_formal_parameters,
  [52146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1199), 1,
      sym_comment,
    ACTIONS(1813), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [52162] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2734), 1,
      anon_sym_DQUOTE,
    STATE(1200), 1,
      sym_comment,
    STATE(1207), 1,
      aux_sym_string_repeat1,
    ACTIONS(2736), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [52182] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2738), 1,
      anon_sym_DQUOTE,
    STATE(1201), 1,
      sym_comment,
    STATE(1207), 1,
      aux_sym_string_repeat1,
    ACTIONS(2736), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [52202] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2738), 1,
      anon_sym_SQUOTE,
    STATE(1192), 1,
      aux_sym_string_repeat2,
    STATE(1202), 1,
      sym_comment,
    ACTIONS(2740), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [52222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2742), 1,
      anon_sym_COMMA,
    ACTIONS(1717), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(1203), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [52240] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_extends,
    STATE(687), 1,
      sym_class_body,
    STATE(1204), 1,
      sym_comment,
    STATE(1412), 1,
      sym_class_heritage,
  [52262] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2734), 1,
      anon_sym_SQUOTE,
    STATE(1192), 1,
      aux_sym_string_repeat2,
    STATE(1205), 1,
      sym_comment,
    ACTIONS(2740), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [52282] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2710), 1,
      sym__glimmer_template_content,
    ACTIONS(2712), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(946), 1,
      sym_glimmer_closing_tag,
    STATE(1193), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(1206), 1,
      sym_comment,
  [52304] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2749), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(1207), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [52322] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2745), 1,
      anon_sym_extends,
    ACTIONS(2752), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_class_body,
    STATE(1208), 1,
      sym_comment,
    STATE(1473), 1,
      sym_class_heritage,
  [52344] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_SQUOTE,
    STATE(1209), 1,
      sym_comment,
    STATE(1252), 1,
      aux_sym_string_repeat2,
    ACTIONS(2740), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [52364] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_DQUOTE,
    STATE(1210), 1,
      sym_comment,
    STATE(1249), 1,
      aux_sym_string_repeat1,
    ACTIONS(2736), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [52384] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2756), 1,
      anon_sym_EQ,
    STATE(1211), 1,
      sym_comment,
    STATE(1596), 1,
      sym__initializer,
    ACTIONS(2482), 2,
      anon_sym_in,
      anon_sym_of,
  [52404] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2716), 1,
      anon_sym_SQUOTE,
    ACTIONS(2758), 1,
      sym_html_character_reference,
    ACTIONS(2760), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1212), 1,
      sym_comment,
    STATE(1259), 1,
      aux_sym__jsx_string_repeat2,
  [52426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1213), 1,
      sym_comment,
    ACTIONS(1756), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [52442] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2762), 1,
      sym_identifier,
    ACTIONS(2764), 1,
      anon_sym_STAR,
    STATE(1214), 1,
      sym_comment,
    STATE(1380), 1,
      sym_formal_parameters,
  [52464] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_RBRACK,
    STATE(1215), 1,
      sym_comment,
    STATE(1334), 1,
      aux_sym_array_pattern_repeat1,
  [52486] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(2699), 1,
      anon_sym_class,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1216), 1,
      sym_comment,
  [52508] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2768), 1,
      sym_identifier,
    ACTIONS(2770), 1,
      anon_sym_STAR,
    STATE(1217), 1,
      sym_comment,
    STATE(1478), 1,
      sym_formal_parameters,
  [52530] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(2772), 1,
      anon_sym_class,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1218), 1,
      sym_comment,
  [52552] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1681), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      sym_comment,
    STATE(1260), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2545), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52572] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2710), 1,
      sym__glimmer_template_content,
    ACTIONS(2774), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(740), 1,
      sym_glimmer_closing_tag,
    STATE(1220), 1,
      sym_comment,
    STATE(1253), 1,
      aux_sym_glimmer_template_repeat1,
  [52594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1221), 1,
      sym_comment,
    ACTIONS(1818), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [52610] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2776), 1,
      anon_sym_SQUOTE,
    STATE(1205), 1,
      aux_sym_string_repeat2,
    STATE(1222), 1,
      sym_comment,
    ACTIONS(2740), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [52630] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(2677), 1,
      anon_sym_class,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1223), 1,
      sym_comment,
  [52652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2778), 1,
      anon_sym_EQ,
    STATE(1224), 1,
      sym_comment,
    ACTIONS(1284), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [52670] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2745), 1,
      anon_sym_extends,
    ACTIONS(2780), 1,
      anon_sym_LBRACE,
    STATE(79), 1,
      sym_class_body,
    STATE(1225), 1,
      sym_comment,
    STATE(1379), 1,
      sym_class_heritage,
  [52692] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2776), 1,
      anon_sym_DQUOTE,
    STATE(1200), 1,
      aux_sym_string_repeat1,
    STATE(1226), 1,
      sym_comment,
    ACTIONS(2736), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [52712] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2782), 1,
      sym_identifier,
    ACTIONS(2784), 1,
      anon_sym_STAR,
    STATE(1227), 1,
      sym_comment,
    STATE(1439), 1,
      sym_formal_parameters,
  [52734] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2786), 1,
      sym_identifier,
    ACTIONS(2788), 1,
      anon_sym_STAR,
    STATE(1228), 1,
      sym_comment,
    STATE(1439), 1,
      sym_formal_parameters,
  [52756] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_extends,
    STATE(705), 1,
      sym_class_body,
    STATE(1229), 1,
      sym_comment,
    STATE(1451), 1,
      sym_class_heritage,
  [52778] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_extends,
    STATE(555), 1,
      sym_class_body,
    STATE(1230), 1,
      sym_comment,
    STATE(1541), 1,
      sym_class_heritage,
  [52800] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2710), 1,
      sym__glimmer_template_content,
    ACTIONS(2790), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(580), 1,
      sym_glimmer_closing_tag,
    STATE(1231), 1,
      sym_comment,
    STATE(1324), 1,
      aux_sym_glimmer_template_repeat1,
  [52822] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2745), 1,
      anon_sym_extends,
    ACTIONS(2780), 1,
      anon_sym_LBRACE,
    STATE(64), 1,
      sym_class_body,
    STATE(1232), 1,
      sym_comment,
    STATE(1436), 1,
      sym_class_heritage,
  [52844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1233), 1,
      sym_comment,
    ACTIONS(2079), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52862] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2792), 1,
      anon_sym_SQUOTE,
    STATE(1192), 1,
      aux_sym_string_repeat2,
    STATE(1234), 1,
      sym_comment,
    ACTIONS(2740), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [52882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1235), 1,
      sym_comment,
    ACTIONS(2794), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [52898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2796), 1,
      anon_sym_from,
    STATE(1236), 1,
      sym_comment,
    STATE(1468), 1,
      sym__from_clause,
    ACTIONS(2798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52918] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(2800), 1,
      anon_sym_class,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1237), 1,
      sym_comment,
  [52940] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2802), 1,
      sym_html_character_reference,
    ACTIONS(2805), 1,
      anon_sym_SQUOTE,
    ACTIONS(2807), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1238), 2,
      sym_comment,
      aux_sym__jsx_string_repeat2,
  [52960] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2810), 1,
      sym_html_character_reference,
    ACTIONS(2813), 1,
      anon_sym_DQUOTE,
    ACTIONS(2815), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1239), 2,
      sym_comment,
      aux_sym__jsx_string_repeat1,
  [52980] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(2818), 1,
      anon_sym_class,
    STATE(945), 1,
      aux_sym_export_statement_repeat1,
    STATE(965), 1,
      sym_decorator,
    STATE(1240), 1,
      sym_comment,
  [53002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1241), 1,
      sym_comment,
    ACTIONS(2343), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [53018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2820), 1,
      anon_sym_COMMA,
    STATE(1242), 1,
      sym_comment,
    STATE(1257), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2822), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53038] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2824), 1,
      sym_identifier,
    ACTIONS(2826), 1,
      anon_sym_STAR,
    STATE(1243), 1,
      sym_comment,
    STATE(1478), 1,
      sym_formal_parameters,
  [53060] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2828), 1,
      sym_identifier,
    ACTIONS(2830), 1,
      anon_sym_STAR,
    STATE(1244), 1,
      sym_comment,
    STATE(1478), 1,
      sym_formal_parameters,
  [53082] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2792), 1,
      anon_sym_DQUOTE,
    STATE(1207), 1,
      aux_sym_string_repeat1,
    STATE(1245), 1,
      sym_comment,
    ACTIONS(2736), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [53102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1246), 1,
      sym_comment,
    ACTIONS(2079), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [53118] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2832), 1,
      anon_sym_SQUOTE,
    STATE(1234), 1,
      aux_sym_string_repeat2,
    STATE(1247), 1,
      sym_comment,
    ACTIONS(2740), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [53138] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2832), 1,
      anon_sym_DQUOTE,
    STATE(1245), 1,
      aux_sym_string_repeat1,
    STATE(1248), 1,
      sym_comment,
    ACTIONS(2736), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [53158] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2834), 1,
      anon_sym_DQUOTE,
    STATE(1207), 1,
      aux_sym_string_repeat1,
    STATE(1249), 1,
      sym_comment,
    ACTIONS(2736), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [53178] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_extends,
    STATE(499), 1,
      sym_class_body,
    STATE(1250), 1,
      sym_comment,
    STATE(1531), 1,
      sym_class_heritage,
  [53200] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2745), 1,
      anon_sym_extends,
    ACTIONS(2752), 1,
      anon_sym_LBRACE,
    STATE(327), 1,
      sym_class_body,
    STATE(1251), 1,
      sym_comment,
    STATE(1400), 1,
      sym_class_heritage,
  [53222] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2834), 1,
      anon_sym_SQUOTE,
    STATE(1192), 1,
      aux_sym_string_repeat2,
    STATE(1252), 1,
      sym_comment,
    ACTIONS(2740), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [53242] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2710), 1,
      sym__glimmer_template_content,
    ACTIONS(2774), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(686), 1,
      sym_glimmer_closing_tag,
    STATE(1253), 1,
      sym_comment,
    STATE(1324), 1,
      aux_sym_glimmer_template_repeat1,
  [53264] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_extends,
    STATE(713), 1,
      sym_class_body,
    STATE(1254), 1,
      sym_comment,
    STATE(1495), 1,
      sym_class_heritage,
  [53286] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2710), 1,
      sym__glimmer_template_content,
    ACTIONS(2790), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(519), 1,
      sym_glimmer_closing_tag,
    STATE(1231), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(1255), 1,
      sym_comment,
  [53308] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2714), 1,
      sym_html_character_reference,
    ACTIONS(2718), 1,
      sym_unescaped_double_jsx_string_fragment,
    ACTIONS(2836), 1,
      anon_sym_DQUOTE,
    STATE(1239), 1,
      aux_sym__jsx_string_repeat1,
    STATE(1256), 1,
      sym_comment,
  [53330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2838), 1,
      anon_sym_COMMA,
    ACTIONS(2841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1257), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [53348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1258), 1,
      sym_comment,
    ACTIONS(2843), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [53364] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2758), 1,
      sym_html_character_reference,
    ACTIONS(2760), 1,
      sym_unescaped_single_jsx_string_fragment,
    ACTIONS(2836), 1,
      anon_sym_SQUOTE,
    STATE(1238), 1,
      aux_sym__jsx_string_repeat2,
    STATE(1259), 1,
      sym_comment,
  [53386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2845), 1,
      anon_sym_COMMA,
    ACTIONS(1573), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1260), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [53404] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2848), 1,
      anon_sym_with,
    STATE(1261), 1,
      sym_comment,
    STATE(1403), 1,
      sym_import_attribute,
    ACTIONS(2850), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53424] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_extends,
    STATE(717), 1,
      sym_class_body,
    STATE(1262), 1,
      sym_comment,
    STATE(1391), 1,
      sym_class_heritage,
  [53446] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2848), 1,
      anon_sym_with,
    ACTIONS(2852), 1,
      anon_sym_SEMI,
    ACTIONS(2854), 1,
      sym__automatic_semicolon,
    STATE(1263), 1,
      sym_comment,
    STATE(1519), 1,
      sym_import_attribute,
  [53468] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2820), 1,
      anon_sym_COMMA,
    STATE(1242), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1264), 1,
      sym_comment,
    ACTIONS(2856), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53488] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    STATE(1202), 1,
      aux_sym_string_repeat2,
    STATE(1265), 1,
      sym_comment,
    ACTIONS(2740), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [53508] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2858), 1,
      anon_sym_DQUOTE,
    STATE(1201), 1,
      aux_sym_string_repeat1,
    STATE(1266), 1,
      sym_comment,
    ACTIONS(2736), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [53528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2339), 1,
      anon_sym_STAR,
    ACTIONS(2341), 1,
      anon_sym_LBRACE,
    STATE(1267), 1,
      sym_comment,
    STATE(1643), 2,
      sym_namespace_import,
      sym_named_imports,
  [53548] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    ACTIONS(2860), 1,
      anon_sym_COMMA,
    ACTIONS(2862), 1,
      anon_sym_RPAREN,
    STATE(1268), 1,
      sym_comment,
    STATE(1339), 1,
      aux_sym_formal_parameters_repeat1,
  [53570] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2820), 1,
      anon_sym_COMMA,
    STATE(1257), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1269), 1,
      sym_comment,
    ACTIONS(2864), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1270), 1,
      sym_comment,
    ACTIONS(1754), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [53606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1271), 1,
      sym_comment,
    ACTIONS(1736), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [53622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1272), 1,
      sym_comment,
    ACTIONS(2866), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [53638] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2820), 1,
      anon_sym_COMMA,
    STATE(1269), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1273), 1,
      sym_comment,
    ACTIONS(2868), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53658] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2870), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      sym_comment,
    STATE(1367), 1,
      aux_sym_object_pattern_repeat1,
  [53677] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2872), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [53696] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(2874), 1,
      anon_sym_RPAREN,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1276), 1,
      sym_comment,
  [53715] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2876), 1,
      anon_sym_LPAREN,
    ACTIONS(2878), 1,
      anon_sym_await,
    STATE(34), 1,
      sym__for_header,
    STATE(1277), 1,
      sym_comment,
  [53734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1278), 1,
      sym_comment,
    ACTIONS(2880), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [53749] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2882), 1,
      sym_identifier,
    STATE(1279), 1,
      sym_comment,
    ACTIONS(2884), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2886), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_RBRACE,
    STATE(1280), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [53783] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2891), 1,
      sym_identifier,
    STATE(1281), 1,
      sym_comment,
    ACTIONS(2893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2895), 1,
      anon_sym_COMMA,
    ACTIONS(2898), 1,
      anon_sym_RBRACE,
    STATE(1282), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [53817] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2900), 1,
      sym_identifier,
    STATE(932), 1,
      sym_decorator_member_expression,
    STATE(975), 1,
      sym_decorator_call_expression,
    STATE(1283), 1,
      sym_comment,
  [53836] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2796), 1,
      anon_sym_from,
    ACTIONS(2902), 1,
      anon_sym_as,
    STATE(1284), 1,
      sym_comment,
    STATE(1406), 1,
      sym__from_clause,
  [53855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1285), 1,
      sym_comment,
    ACTIONS(2904), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [53870] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      sym_identifier,
    STATE(1286), 1,
      sym_comment,
    STATE(1493), 1,
      sym_formal_parameters,
  [53889] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      sym_identifier,
    STATE(1287), 1,
      sym_comment,
    STATE(1441), 1,
      sym_formal_parameters,
  [53908] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2910), 1,
      anon_sym_COMMA,
    ACTIONS(2913), 1,
      anon_sym_RPAREN,
    STATE(1288), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [53925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    STATE(1289), 1,
      sym_comment,
    ACTIONS(2913), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1628), 1,
      anon_sym_in,
    STATE(1290), 1,
      sym_comment,
    ACTIONS(1818), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [53959] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2915), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1291), 1,
      sym_comment,
  [53978] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2917), 1,
      anon_sym_COLON,
    STATE(1292), 1,
      sym_comment,
    STATE(1389), 1,
      sym_formal_parameters,
  [53997] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2921), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1293), 1,
      sym_comment,
    ACTIONS(2919), 2,
      sym_html_character_reference,
      anon_sym_DQUOTE,
  [54014] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2925), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1294), 1,
      sym_comment,
    ACTIONS(2923), 2,
      sym_html_character_reference,
      anon_sym_SQUOTE,
  [54031] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [54050] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2915), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      sym_comment,
    STATE(1367), 1,
      aux_sym_object_pattern_repeat1,
  [54069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2929), 1,
      sym_identifier,
    STATE(1297), 1,
      sym_comment,
    STATE(1493), 1,
      sym_formal_parameters,
  [54088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2931), 1,
      sym_identifier,
    STATE(1298), 1,
      sym_comment,
    STATE(1453), 1,
      sym_formal_parameters,
  [54107] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_comment,
    STATE(1361), 1,
      aux_sym_object_repeat1,
  [54126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1300), 1,
      sym_comment,
    ACTIONS(2933), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [54141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1301), 1,
      sym_comment,
    ACTIONS(2841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [54156] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      sym_identifier,
    STATE(1302), 1,
      sym_comment,
    STATE(1441), 1,
      sym_formal_parameters,
  [54175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(981), 1,
      anon_sym_while,
    ACTIONS(2937), 1,
      anon_sym_else,
    STATE(376), 1,
      sym_else_clause,
    STATE(1303), 1,
      sym_comment,
  [54194] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2478), 1,
      anon_sym_RBRACE,
    ACTIONS(2939), 1,
      anon_sym_COMMA,
    STATE(1282), 1,
      aux_sym_named_imports_repeat1,
    STATE(1304), 1,
      sym_comment,
  [54213] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2766), 1,
      anon_sym_RBRACK,
    STATE(1305), 1,
      sym_comment,
    STATE(1334), 1,
      aux_sym_array_pattern_repeat1,
  [54232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1709), 1,
      anon_sym_RBRACK,
    STATE(1306), 1,
      sym_comment,
    STATE(1363), 1,
      aux_sym_array_repeat1,
  [54251] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1709), 1,
      anon_sym_RBRACK,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1307), 1,
      sym_comment,
  [54270] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2766), 1,
      anon_sym_RBRACK,
    STATE(1308), 1,
      sym_comment,
    STATE(1333), 1,
      aux_sym_array_pattern_repeat1,
  [54289] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2941), 1,
      anon_sym_DQUOTE,
    STATE(1309), 1,
      sym_comment,
    ACTIONS(2943), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [54306] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2945), 1,
      anon_sym_SQUOTE,
    STATE(1310), 1,
      sym_comment,
    ACTIONS(2947), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [54323] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      sym_comment,
    ACTIONS(2949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [54340] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2951), 1,
      anon_sym_COLON,
    STATE(1312), 1,
      sym_comment,
    STATE(1389), 1,
      sym_formal_parameters,
  [54359] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2953), 1,
      sym_identifier,
    STATE(1313), 1,
      sym_comment,
    STATE(1441), 1,
      sym_formal_parameters,
  [54378] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2955), 1,
      anon_sym_LPAREN,
    ACTIONS(2957), 1,
      anon_sym_await,
    STATE(33), 1,
      sym__for_header,
    STATE(1314), 1,
      sym_comment,
  [54397] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2959), 1,
      anon_sym_RBRACE,
    STATE(1315), 1,
      sym_comment,
    STATE(1367), 1,
      aux_sym_object_pattern_repeat1,
  [54416] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    STATE(1316), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [54435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2448), 1,
      anon_sym_RBRACE,
    ACTIONS(2963), 1,
      anon_sym_COMMA,
    STATE(1280), 1,
      aux_sym_export_clause_repeat1,
    STATE(1317), 1,
      sym_comment,
  [54454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1318), 1,
      sym_comment,
    ACTIONS(2965), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [54469] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1319), 1,
      sym_comment,
    ACTIONS(2967), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [54484] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(2969), 1,
      anon_sym_RPAREN,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1320), 1,
      sym_comment,
  [54503] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2971), 1,
      anon_sym_GT,
    STATE(1321), 1,
      sym_comment,
  [54522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    STATE(1322), 1,
      sym_comment,
    ACTIONS(1295), 2,
      anon_sym_in,
      anon_sym_of,
  [54539] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2860), 1,
      anon_sym_COMMA,
    ACTIONS(2862), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_comment,
    STATE(1339), 1,
      aux_sym_formal_parameters_repeat1,
  [54558] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2973), 1,
      sym__glimmer_template_content,
    ACTIONS(2976), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1324), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [54575] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1725), 1,
      anon_sym_RPAREN,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1325), 1,
      sym_comment,
  [54594] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2978), 1,
      anon_sym_COMMA,
    ACTIONS(2980), 1,
      anon_sym_RBRACE,
    STATE(1317), 1,
      aux_sym_export_clause_repeat1,
    STATE(1326), 1,
      sym_comment,
  [54613] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1725), 1,
      anon_sym_RPAREN,
    STATE(1276), 1,
      aux_sym_array_repeat1,
    STATE(1327), 1,
      sym_comment,
  [54632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2982), 1,
      anon_sym_as,
    STATE(1328), 1,
      sym_comment,
    ACTIONS(2984), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [54649] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_comment,
    STATE(1367), 1,
      aux_sym_object_pattern_repeat1,
  [54668] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LBRACK,
    ACTIONS(2634), 1,
      sym_private_property_identifier,
    STATE(1330), 1,
      sym_comment,
  [54687] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2988), 1,
      anon_sym_GT,
    STATE(1331), 1,
      sym_comment,
  [54706] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(2990), 1,
      sym_identifier,
    STATE(1332), 1,
      sym_comment,
    STATE(1493), 1,
      sym_formal_parameters,
  [54725] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2992), 1,
      anon_sym_COMMA,
    ACTIONS(2995), 1,
      anon_sym_RBRACK,
    STATE(1333), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [54742] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    STATE(1333), 1,
      aux_sym_array_pattern_repeat1,
    STATE(1334), 1,
      sym_comment,
  [54761] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    STATE(1335), 1,
      sym_comment,
    ACTIONS(2995), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [54778] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2999), 1,
      anon_sym_GT,
    STATE(1336), 1,
      sym_comment,
  [54797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1337), 1,
      sym_comment,
    ACTIONS(1717), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [54812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    ACTIONS(3003), 1,
      anon_sym_LPAREN,
    STATE(318), 1,
      sym_statement_block,
    STATE(1338), 1,
      sym_comment,
  [54831] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(715), 1,
      anon_sym_RPAREN,
    ACTIONS(3005), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(1339), 1,
      sym_comment,
  [54850] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1340), 1,
      sym_comment,
  [54869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(1320), 1,
      aux_sym_array_repeat1,
    STATE(1341), 1,
      sym_comment,
  [54888] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    ACTIONS(3007), 1,
      sym_identifier,
    STATE(1342), 1,
      sym_comment,
    STATE(1418), 1,
      sym_formal_parameters,
  [54907] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3009), 1,
      anon_sym_EQ,
    STATE(1343), 1,
      sym_comment,
    ACTIONS(1295), 2,
      anon_sym_in,
      anon_sym_of,
  [54924] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(3011), 1,
      anon_sym_RPAREN,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1344), 1,
      sym_comment,
  [54943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(3013), 1,
      anon_sym_GT,
    STATE(1345), 1,
      sym_comment,
  [54962] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3015), 1,
      anon_sym_RBRACK,
    STATE(1333), 1,
      aux_sym_array_pattern_repeat1,
    STATE(1346), 1,
      sym_comment,
  [54981] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(3017), 1,
      anon_sym_RBRACK,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1347), 1,
      sym_comment,
  [55000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1348), 1,
      sym_comment,
    ACTIONS(2644), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [55015] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(3019), 1,
      anon_sym_RBRACE,
    STATE(1349), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [55034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1350), 1,
      sym_comment,
    ACTIONS(3021), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [55049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(3023), 1,
      anon_sym_RBRACE,
    STATE(1351), 1,
      sym_comment,
    STATE(1367), 1,
      aux_sym_object_pattern_repeat1,
  [55068] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1352), 1,
      sym_comment,
  [55087] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    STATE(1353), 1,
      sym_comment,
    STATE(1367), 1,
      aux_sym_object_pattern_repeat1,
  [55106] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(3027), 1,
      anon_sym_RBRACE,
    STATE(1354), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [55125] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    STATE(1344), 1,
      aux_sym_array_repeat1,
    STATE(1355), 1,
      sym_comment,
  [55144] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1968), 1,
      anon_sym_DQUOTE,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    STATE(1319), 1,
      sym_string,
    STATE(1356), 1,
      sym_comment,
  [55163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2667), 1,
      sym_identifier,
    ACTIONS(2669), 1,
      anon_sym_LBRACK,
    ACTIONS(2671), 1,
      sym_private_property_identifier,
    STATE(1357), 1,
      sym_comment,
  [55182] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2728), 1,
      anon_sym_RBRACK,
    STATE(1346), 1,
      aux_sym_array_pattern_repeat1,
    STATE(1358), 1,
      sym_comment,
  [55201] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3029), 1,
      anon_sym_COMMA,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      aux_sym_named_imports_repeat1,
    STATE(1359), 1,
      sym_comment,
  [55220] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(3033), 1,
      anon_sym_RBRACE,
    STATE(1360), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [55239] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(3035), 1,
      anon_sym_RBRACE,
    STATE(1361), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [55258] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    STATE(1362), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [55277] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(3039), 1,
      anon_sym_RBRACK,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1363), 1,
      sym_comment,
  [55296] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      sym_comment,
    STATE(1368), 1,
      aux_sym_object_repeat1,
  [55315] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    STATE(1349), 1,
      aux_sym_object_repeat1,
    STATE(1365), 1,
      sym_comment,
  [55334] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
    STATE(1351), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1366), 1,
      sym_comment,
  [55353] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_RBRACE,
    STATE(1367), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [55370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    STATE(1368), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [55387] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2843), 1,
      anon_sym_as,
    STATE(1369), 1,
      sym_comment,
    ACTIONS(3053), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [55404] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2728), 1,
      anon_sym_RBRACK,
    STATE(1333), 1,
      aux_sym_array_pattern_repeat1,
    STATE(1370), 1,
      sym_comment,
  [55423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
    STATE(1203), 1,
      aux_sym_array_repeat1,
    STATE(1371), 1,
      sym_comment,
  [55442] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2039), 1,
      anon_sym_COMMA,
    ACTIONS(2872), 1,
      anon_sym_RBRACE,
    STATE(1362), 1,
      aux_sym_object_repeat1,
    STATE(1372), 1,
      sym_comment,
  [55461] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(707), 1,
      anon_sym_COMMA,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
    STATE(1347), 1,
      aux_sym_array_repeat1,
    STATE(1373), 1,
      sym_comment,
  [55480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1374), 1,
      sym_comment,
    STATE(1421), 1,
      sym_formal_parameters,
  [55496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1375), 1,
      sym_comment,
    STATE(1515), 1,
      sym_formal_parameters,
  [55512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3055), 1,
      sym_identifier,
    ACTIONS(3057), 1,
      sym_private_property_identifier,
    STATE(1376), 1,
      sym_comment,
  [55528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym_statement_block,
    STATE(1377), 1,
      sym_comment,
  [55544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    STATE(30), 1,
      sym_parenthesized_expression,
    STATE(1378), 1,
      sym_comment,
  [55560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2780), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym_class_body,
    STATE(1379), 1,
      sym_comment,
  [55576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_statement_block,
    STATE(1380), 1,
      sym_comment,
  [55592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
    STATE(1381), 1,
      sym_comment,
  [55608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    STATE(1382), 1,
      sym_comment,
    STATE(1538), 1,
      sym_parenthesized_expression,
  [55624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(728), 1,
      sym_statement_block,
    STATE(1383), 1,
      sym_comment,
  [55640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(730), 1,
      sym_statement_block,
    STATE(1384), 1,
      sym_comment,
  [55656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_parenthesized_expression,
    STATE(1385), 1,
      sym_comment,
  [55672] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_class_body,
    STATE(1386), 1,
      sym_comment,
  [55688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1387), 1,
      sym_comment,
    ACTIONS(2889), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [55702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(292), 1,
      sym_statement_block,
    STATE(1388), 1,
      sym_comment,
  [55718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    STATE(1389), 1,
      sym_comment,
  [55734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1390), 1,
      sym_comment,
    STATE(1502), 1,
      sym_formal_parameters,
  [55750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_class_body,
    STATE(1391), 1,
      sym_comment,
  [55766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(733), 1,
      sym_statement_block,
    STATE(1392), 1,
      sym_comment,
  [55782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1393), 1,
      sym_comment,
    ACTIONS(3065), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [55796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    STATE(1394), 1,
      sym_comment,
  [55812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1395), 1,
      sym_comment,
    ACTIONS(3067), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1396), 1,
      sym_comment,
    STATE(1591), 1,
      sym_formal_parameters,
  [55842] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1397), 1,
      sym_comment,
    ACTIONS(3069), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [55856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_statement_block,
    STATE(1398), 1,
      sym_comment,
  [55872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_statement_block,
    STATE(1399), 1,
      sym_comment,
  [55888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2752), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_class_body,
    STATE(1400), 1,
      sym_comment,
  [55904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1401), 1,
      sym_comment,
    ACTIONS(1813), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [55918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3073), 1,
      anon_sym_LBRACE,
    STATE(1402), 1,
      sym_comment,
    STATE(1522), 1,
      sym_object,
  [55934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1403), 1,
      sym_comment,
    ACTIONS(3075), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(903), 1,
      sym_statement_block,
    STATE(1404), 1,
      sym_comment,
  [55964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym_statement_block,
    STATE(1405), 1,
      sym_comment,
  [55980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3077), 1,
      anon_sym_SEMI,
    ACTIONS(3079), 1,
      sym__automatic_semicolon,
    STATE(1406), 1,
      sym_comment,
  [55996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1407), 1,
      sym_comment,
    STATE(1595), 1,
      sym_formal_parameters,
  [56012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(3013), 1,
      anon_sym_GT,
    STATE(1408), 1,
      sym_comment,
  [56028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    STATE(1409), 1,
      sym_comment,
  [56044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(3013), 1,
      anon_sym_GT,
    STATE(1410), 1,
      sym_comment,
  [56060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_statement_block,
    STATE(1411), 1,
      sym_comment,
  [56076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    STATE(706), 1,
      sym_class_body,
    STATE(1412), 1,
      sym_comment,
  [56092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1413), 1,
      sym_comment,
    ACTIONS(1559), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1414), 1,
      sym_comment,
    ACTIONS(1567), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56120] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1415), 1,
      sym_comment,
    ACTIONS(3081), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [56134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_statement_block,
    STATE(1416), 1,
      sym_comment,
  [56150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1417), 1,
      sym_comment,
    ACTIONS(1435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_statement_block,
    STATE(1418), 1,
      sym_comment,
  [56180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1419), 1,
      sym_comment,
    STATE(1590), 1,
      sym_formal_parameters,
  [56196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1420), 1,
      sym_comment,
    ACTIONS(3083), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [56210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(711), 1,
      sym_statement_block,
    STATE(1421), 1,
      sym_comment,
  [56226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3085), 1,
      anon_sym_LPAREN,
    STATE(317), 1,
      sym_parenthesized_expression,
    STATE(1422), 1,
      sym_comment,
  [56242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1423), 1,
      sym_comment,
    STATE(1599), 1,
      sym_formal_parameters,
  [56258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1424), 1,
      sym_comment,
    STATE(1601), 1,
      sym_formal_parameters,
  [56274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(398), 1,
      sym_statement_block,
    STATE(1425), 1,
      sym_comment,
  [56290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1426), 1,
      sym_comment,
    ACTIONS(2995), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1427), 1,
      sym_comment,
    STATE(1602), 1,
      sym_formal_parameters,
  [56320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2999), 1,
      anon_sym_GT,
    STATE(1428), 1,
      sym_comment,
  [56336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2971), 1,
      anon_sym_GT,
    STATE(1429), 1,
      sym_comment,
  [56352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2999), 1,
      anon_sym_GT,
    STATE(1430), 1,
      sym_comment,
  [56368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_statement_block,
    STATE(1431), 1,
      sym_comment,
  [56384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1432), 1,
      sym_comment,
    STATE(1605), 1,
      sym_formal_parameters,
  [56400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3087), 1,
      sym_identifier,
    ACTIONS(3089), 1,
      sym_jsx_identifier,
    STATE(1433), 1,
      sym_comment,
  [56416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1434), 1,
      sym_comment,
    STATE(1615), 1,
      sym_formal_parameters,
  [56432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1435), 1,
      sym_comment,
    ACTIONS(3091), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2780), 1,
      anon_sym_LBRACE,
    STATE(62), 1,
      sym_class_body,
    STATE(1436), 1,
      sym_comment,
  [56462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_class_body,
    STATE(1437), 1,
      sym_comment,
  [56478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1438), 1,
      sym_comment,
    STATE(1481), 1,
      sym_formal_parameters,
  [56494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(744), 1,
      sym_statement_block,
    STATE(1439), 1,
      sym_comment,
  [56510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1440), 1,
      sym_comment,
    STATE(1606), 1,
      sym_formal_parameters,
  [56526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(661), 1,
      sym_statement_block,
    STATE(1441), 1,
      sym_comment,
  [56542] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym_statement_block,
    STATE(1442), 1,
      sym_comment,
  [56558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1443), 1,
      sym_comment,
    STATE(1618), 1,
      sym_formal_parameters,
  [56574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(2988), 1,
      anon_sym_GT,
    STATE(1444), 1,
      sym_comment,
  [56590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym_statement_block,
    STATE(1445), 1,
      sym_comment,
  [56606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2988), 1,
      anon_sym_GT,
    STATE(1446), 1,
      sym_comment,
  [56622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1447), 1,
      sym_comment,
    STATE(1620), 1,
      sym_formal_parameters,
  [56638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_statement_block,
    STATE(1448), 1,
      sym_comment,
  [56654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_statement_block,
    STATE(1449), 1,
      sym_comment,
  [56670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2634), 1,
      sym_private_property_identifier,
    STATE(1450), 1,
      sym_comment,
  [56686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    STATE(714), 1,
      sym_class_body,
    STATE(1451), 1,
      sym_comment,
  [56702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3095), 1,
      sym_identifier,
    ACTIONS(3097), 1,
      sym_private_property_identifier,
    STATE(1452), 1,
      sym_comment,
  [56718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
    STATE(511), 1,
      sym_statement_block,
    STATE(1453), 1,
      sym_comment,
  [56734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1454), 1,
      sym_comment,
    STATE(1619), 1,
      sym_formal_parameters,
  [56750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym_statement_block,
    STATE(1455), 1,
      sym_comment,
  [56766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1456), 1,
      sym_comment,
    STATE(1608), 1,
      sym_formal_parameters,
  [56782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_statement_block,
    STATE(1457), 1,
      sym_comment,
  [56798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1404), 1,
      sym_formal_parameters,
    STATE(1458), 1,
      sym_comment,
  [56814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3099), 1,
      sym_identifier,
    ACTIONS(3101), 1,
      anon_sym_STAR,
    STATE(1459), 1,
      sym_comment,
  [56830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1460), 1,
      sym_comment,
    STATE(1607), 1,
      sym_formal_parameters,
  [56846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2369), 1,
      anon_sym_DOT,
    ACTIONS(2971), 1,
      anon_sym_GT,
    STATE(1461), 1,
      sym_comment,
  [56862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1462), 1,
      sym_comment,
    STATE(1604), 1,
      sym_formal_parameters,
  [56878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    STATE(673), 1,
      sym_class_body,
    STATE(1463), 1,
      sym_comment,
  [56894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_statement_block,
    STATE(1464), 1,
      sym_comment,
  [56910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1465), 1,
      sym_comment,
    STATE(1486), 1,
      sym_formal_parameters,
  [56926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3103), 1,
      anon_sym_SEMI,
    ACTIONS(3105), 1,
      sym__automatic_semicolon,
    STATE(1466), 1,
      sym_comment,
  [56942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym_parenthesized_expression,
    STATE(1467), 1,
      sym_comment,
  [56958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3107), 1,
      anon_sym_SEMI,
    ACTIONS(3109), 1,
      sym__automatic_semicolon,
    STATE(1468), 1,
      sym_comment,
  [56974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
    STATE(1469), 1,
      sym_comment,
  [56990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_statement_block,
    STATE(1470), 1,
      sym_comment,
  [57006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym_statement_block,
    STATE(1471), 1,
      sym_comment,
  [57022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
    STATE(37), 1,
      sym_parenthesized_expression,
    STATE(1472), 1,
      sym_comment,
  [57038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2752), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_class_body,
    STATE(1473), 1,
      sym_comment,
  [57054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1474), 1,
      sym_comment,
    ACTIONS(3111), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1398), 1,
      sym_formal_parameters,
    STATE(1475), 1,
      sym_comment,
  [57084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1476), 1,
      sym_comment,
    ACTIONS(2898), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_statement_block,
    STATE(1477), 1,
      sym_comment,
  [57114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_statement_block,
    STATE(1478), 1,
      sym_comment,
  [57130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1442), 1,
      sym_formal_parameters,
    STATE(1479), 1,
      sym_comment,
  [57146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1480), 1,
      sym_comment,
    STATE(1585), 1,
      sym_formal_parameters,
  [57162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACE,
    STATE(77), 1,
      sym_statement_block,
    STATE(1481), 1,
      sym_comment,
  [57178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1482), 1,
      sym_comment,
    ACTIONS(530), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1399), 1,
      sym_formal_parameters,
    STATE(1483), 1,
      sym_comment,
  [57208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_statement_block,
    STATE(1484), 1,
      sym_comment,
  [57224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3113), 1,
      anon_sym_LPAREN,
    STATE(41), 1,
      sym__for_header,
    STATE(1485), 1,
      sym_comment,
  [57240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_statement_block,
    STATE(1486), 1,
      sym_comment,
  [57256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym_statement_block,
    STATE(1487), 1,
      sym_comment,
  [57272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(329), 1,
      sym_statement_block,
    STATE(1488), 1,
      sym_comment,
  [57288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1487), 1,
      sym_formal_parameters,
    STATE(1489), 1,
      sym_comment,
  [57304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    STATE(704), 1,
      sym_class_body,
    STATE(1490), 1,
      sym_comment,
  [57320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1491), 1,
      sym_comment,
    ACTIONS(2949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_statement_block,
    STATE(1492), 1,
      sym_comment,
  [57350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(756), 1,
      sym_statement_block,
    STATE(1493), 1,
      sym_comment,
  [57366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1411), 1,
      sym_formal_parameters,
    STATE(1494), 1,
      sym_comment,
  [57382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
    STATE(724), 1,
      sym_class_body,
    STATE(1495), 1,
      sym_comment,
  [57398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1431), 1,
      sym_formal_parameters,
    STATE(1496), 1,
      sym_comment,
  [57414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(903), 1,
      sym_statement_block,
    STATE(1497), 1,
      sym_comment,
  [57430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1449), 1,
      sym_formal_parameters,
    STATE(1498), 1,
      sym_comment,
  [57446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1464), 1,
      sym_formal_parameters,
    STATE(1499), 1,
      sym_comment,
  [57462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1470), 1,
      sym_formal_parameters,
    STATE(1500), 1,
      sym_comment,
  [57478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1471), 1,
      sym_formal_parameters,
    STATE(1501), 1,
      sym_comment,
  [57494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_statement_block,
    STATE(1502), 1,
      sym_comment,
  [57510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_statement_block,
    STATE(1503), 1,
      sym_comment,
  [57526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1504), 1,
      sym_comment,
    ACTIONS(3046), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1505), 1,
      sym_comment,
    ACTIONS(2913), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1506), 1,
      sym_comment,
    ACTIONS(2482), 2,
      anon_sym_in,
      anon_sym_of,
  [57568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1507), 1,
      sym_comment,
    ACTIONS(3051), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1508), 1,
      sym_comment,
    ACTIONS(1683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1509), 1,
      sym_comment,
    ACTIONS(1697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1510), 1,
      sym_comment,
    ACTIONS(1695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1511), 1,
      sym_comment,
    STATE(1594), 1,
      sym_formal_parameters,
  [57640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_statement_block,
    STATE(1512), 1,
      sym_comment,
  [57656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1513), 1,
      sym_comment,
    ACTIONS(3115), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1514), 1,
      sym_comment,
    ACTIONS(3117), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
    STATE(550), 1,
      sym_statement_block,
    STATE(1515), 1,
      sym_comment,
  [57700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1445), 1,
      sym_formal_parameters,
    STATE(1516), 1,
      sym_comment,
  [57716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_statement_block,
    STATE(1517), 1,
      sym_comment,
  [57732] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_statement_block,
    STATE(1518), 1,
      sym_comment,
  [57748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3119), 1,
      anon_sym_SEMI,
    ACTIONS(3121), 1,
      sym__automatic_semicolon,
    STATE(1519), 1,
      sym_comment,
  [57764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(2281), 1,
      anon_sym_EQ_GT,
    STATE(1520), 1,
      sym_comment,
  [57780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1521), 1,
      sym_comment,
    STATE(1523), 1,
      sym_formal_parameters,
  [57796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1522), 1,
      sym_comment,
    ACTIONS(3123), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(715), 1,
      sym_statement_block,
    STATE(1523), 1,
      sym_comment,
  [57826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1455), 1,
      sym_formal_parameters,
    STATE(1524), 1,
      sym_comment,
  [57842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_statement_block,
    STATE(1525), 1,
      sym_comment,
  [57858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1526), 1,
      sym_comment,
    ACTIONS(3125), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1405), 1,
      sym_formal_parameters,
    STATE(1527), 1,
      sym_comment,
  [57888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_statement_block,
    STATE(1528), 1,
      sym_comment,
  [57904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_statement_block,
    STATE(1529), 1,
      sym_comment,
  [57920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1530), 1,
      sym_comment,
    ACTIONS(3127), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [57934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_class_body,
    STATE(1531), 1,
      sym_comment,
  [57950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_statement_block,
    STATE(1532), 1,
      sym_comment,
  [57966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_statement_block,
    STATE(1533), 1,
      sym_comment,
  [57982] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1534), 1,
      sym_comment,
    ACTIONS(3129), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [57996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    STATE(1535), 1,
      sym_comment,
  [58012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_statement_block,
    STATE(1536), 1,
      sym_comment,
  [58028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3113), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__for_header,
    STATE(1537), 1,
      sym_comment,
  [58044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3131), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_switch_body,
    STATE(1538), 1,
      sym_comment,
  [58060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_statement_block,
    STATE(1539), 1,
      sym_comment,
  [58076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_statement_block,
    STATE(1540), 1,
      sym_comment,
  [58092] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_class_body,
    STATE(1541), 1,
      sym_comment,
  [58108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    STATE(1542), 1,
      sym_comment,
  [58124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2667), 1,
      sym_identifier,
    ACTIONS(2671), 1,
      sym_private_property_identifier,
    STATE(1543), 1,
      sym_comment,
  [58140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1544), 1,
      sym_comment,
    ACTIONS(3133), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2796), 1,
      anon_sym_from,
    STATE(1263), 1,
      sym__from_clause,
    STATE(1545), 1,
      sym_comment,
  [58170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1497), 1,
      sym_formal_parameters,
    STATE(1546), 1,
      sym_comment,
  [58186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1503), 1,
      sym_formal_parameters,
    STATE(1547), 1,
      sym_comment,
  [58202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1512), 1,
      sym_formal_parameters,
    STATE(1548), 1,
      sym_comment,
  [58218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1492), 1,
      sym_formal_parameters,
    STATE(1549), 1,
      sym_comment,
  [58234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1550), 1,
      sym_comment,
    STATE(1587), 1,
      sym_formal_parameters,
  [58250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1377), 1,
      sym_formal_parameters,
    STATE(1551), 1,
      sym_comment,
  [58266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3135), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_from,
    STATE(1552), 1,
      sym_comment,
  [58282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_statement_block,
    STATE(1553), 1,
      sym_comment,
  [58298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1383), 1,
      sym_formal_parameters,
    STATE(1554), 1,
      sym_comment,
  [58314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1384), 1,
      sym_formal_parameters,
    STATE(1555), 1,
      sym_comment,
  [58330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1556), 1,
      sym_comment,
    ACTIONS(3139), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1392), 1,
      sym_formal_parameters,
    STATE(1557), 1,
      sym_comment,
  [58360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1558), 1,
      sym_comment,
    ACTIONS(3141), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_statement_block,
    STATE(1559), 1,
      sym_comment,
  [58390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_statement_block,
    STATE(1560), 1,
      sym_comment,
  [58406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1394), 1,
      sym_formal_parameters,
    STATE(1561), 1,
      sym_comment,
  [58422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1477), 1,
      sym_formal_parameters,
    STATE(1562), 1,
      sym_comment,
  [58438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1484), 1,
      sym_formal_parameters,
    STATE(1563), 1,
      sym_comment,
  [58454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1517), 1,
      sym_formal_parameters,
    STATE(1564), 1,
      sym_comment,
  [58470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1565), 1,
      sym_comment,
    STATE(1586), 1,
      sym_formal_parameters,
  [58486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym_comment,
    STATE(1611), 1,
      sym_formal_parameters,
  [58502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1567), 1,
      sym_comment,
    STATE(1616), 1,
      sym_formal_parameters,
  [58518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1568), 1,
      sym_comment,
    STATE(1598), 1,
      sym_formal_parameters,
  [58534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1569), 1,
      sym_comment,
    STATE(1597), 1,
      sym_formal_parameters,
  [58550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1570), 1,
      sym_comment,
    STATE(1592), 1,
      sym_formal_parameters,
  [58566] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1457), 1,
      sym_formal_parameters,
    STATE(1571), 1,
      sym_comment,
  [58582] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1572), 1,
      sym_comment,
    STATE(1584), 1,
      sym_formal_parameters,
  [58598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym_statement_block,
    STATE(1573), 1,
      sym_comment,
  [58614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(947), 1,
      sym_statement_block,
    STATE(1574), 1,
      sym_comment,
  [58630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1573), 1,
      sym_formal_parameters,
    STATE(1575), 1,
      sym_comment,
  [58646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    ACTIONS(3143), 1,
      anon_sym_EQ_GT,
    STATE(1576), 1,
      sym_comment,
  [58662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1560), 1,
      sym_formal_parameters,
    STATE(1577), 1,
      sym_comment,
  [58678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1559), 1,
      sym_formal_parameters,
    STATE(1578), 1,
      sym_comment,
  [58694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1553), 1,
      sym_formal_parameters,
    STATE(1579), 1,
      sym_comment,
  [58710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1542), 1,
      sym_formal_parameters,
    STATE(1580), 1,
      sym_comment,
  [58726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1529), 1,
      sym_formal_parameters,
    STATE(1581), 1,
      sym_comment,
  [58742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1528), 1,
      sym_formal_parameters,
    STATE(1582), 1,
      sym_comment,
  [58758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1583), 1,
      sym_comment,
    ACTIONS(1818), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [58772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_statement_block,
    STATE(1584), 1,
      sym_comment,
  [58788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACE,
    STATE(61), 1,
      sym_statement_block,
    STATE(1585), 1,
      sym_comment,
  [58804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    STATE(1586), 1,
      sym_comment,
  [58820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_statement_block,
    STATE(1587), 1,
      sym_comment,
  [58836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1540), 1,
      sym_formal_parameters,
    STATE(1588), 1,
      sym_comment,
  [58852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1525), 1,
      sym_formal_parameters,
    STATE(1589), 1,
      sym_comment,
  [58868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_statement_block,
    STATE(1590), 1,
      sym_comment,
  [58884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACE,
    STATE(323), 1,
      sym_statement_block,
    STATE(1591), 1,
      sym_comment,
  [58900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    STATE(1592), 1,
      sym_comment,
  [58916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1593), 1,
      sym_comment,
    ACTIONS(3145), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [58930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACE,
    STATE(575), 1,
      sym_statement_block,
    STATE(1594), 1,
      sym_comment,
  [58946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    STATE(1595), 1,
      sym_comment,
  [58962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2646), 1,
      anon_sym_in,
    ACTIONS(2648), 1,
      anon_sym_of,
    STATE(1596), 1,
      sym_comment,
  [58978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    STATE(1597), 1,
      sym_comment,
  [58994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    STATE(1598), 1,
      sym_comment,
  [59010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_statement_block,
    STATE(1599), 1,
      sym_comment,
  [59026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    STATE(1600), 1,
      sym_comment,
    ACTIONS(1352), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_statement_block,
    STATE(1601), 1,
      sym_comment,
  [59056] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_statement_block,
    STATE(1602), 1,
      sym_comment,
  [59072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2796), 1,
      anon_sym_from,
    STATE(1466), 1,
      sym__from_clause,
    STATE(1603), 1,
      sym_comment,
  [59088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_statement_block,
    STATE(1604), 1,
      sym_comment,
  [59104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    STATE(1605), 1,
      sym_comment,
  [59120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym_statement_block,
    STATE(1606), 1,
      sym_comment,
  [59136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_statement_block,
    STATE(1607), 1,
      sym_comment,
  [59152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    STATE(1608), 1,
      sym_comment,
  [59168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1532), 1,
      sym_formal_parameters,
    STATE(1609), 1,
      sym_comment,
  [59184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3147), 1,
      sym_identifier,
    ACTIONS(3149), 1,
      anon_sym_STAR,
    STATE(1610), 1,
      sym_comment,
  [59200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
    STATE(1611), 1,
      sym_comment,
  [59216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1539), 1,
      sym_formal_parameters,
    STATE(1612), 1,
      sym_comment,
  [59232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1533), 1,
      sym_formal_parameters,
    STATE(1613), 1,
      sym_comment,
  [59248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1536), 1,
      sym_formal_parameters,
    STATE(1614), 1,
      sym_comment,
  [59264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
    STATE(1615), 1,
      sym_comment,
  [59280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    STATE(1616), 1,
      sym_comment,
  [59296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2492), 1,
      anon_sym_LPAREN,
    STATE(1535), 1,
      sym_formal_parameters,
    STATE(1617), 1,
      sym_comment,
  [59312] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    STATE(1618), 1,
      sym_comment,
  [59328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    STATE(1619), 1,
      sym_comment,
  [59344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    STATE(1620), 1,
      sym_comment,
  [59360] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3151), 1,
      anon_sym_SLASH2,
    STATE(1621), 1,
      sym_comment,
  [59373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3153), 1,
      anon_sym_while,
    STATE(1622), 1,
      sym_comment,
  [59386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3155), 1,
      anon_sym_EQ_GT,
    STATE(1623), 1,
      sym_comment,
  [59399] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3157), 1,
      anon_sym_EQ_GT,
    STATE(1624), 1,
      sym_comment,
  [59412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3159), 1,
      anon_sym_function,
    STATE(1625), 1,
      sym_comment,
  [59425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3161), 1,
      anon_sym_EQ_GT,
    STATE(1626), 1,
      sym_comment,
  [59438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3163), 1,
      anon_sym_EQ,
    STATE(1627), 1,
      sym_comment,
  [59451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3165), 1,
      anon_sym_from,
    STATE(1628), 1,
      sym_comment,
  [59464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1662), 1,
      anon_sym_in,
    STATE(1629), 1,
      sym_comment,
  [59477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1731), 1,
      anon_sym_RPAREN,
    STATE(1630), 1,
      sym_comment,
  [59490] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3167), 1,
      sym_regex_pattern,
    STATE(1631), 1,
      sym_comment,
  [59503] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3169), 1,
      sym_regex_pattern,
    STATE(1632), 1,
      sym_comment,
  [59516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3171), 1,
      anon_sym_EQ,
    STATE(1633), 1,
      sym_comment,
  [59529] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3173), 1,
      anon_sym_EQ,
    STATE(1634), 1,
      sym_comment,
  [59542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1723), 1,
      anon_sym_RPAREN,
    STATE(1635), 1,
      sym_comment,
  [59555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3175), 1,
      anon_sym_as,
    STATE(1636), 1,
      sym_comment,
  [59568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3137), 1,
      anon_sym_from,
    STATE(1637), 1,
      sym_comment,
  [59581] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    STATE(1638), 1,
      sym_comment,
  [59594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(1639), 1,
      sym_comment,
  [59607] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(1640), 1,
      sym_comment,
  [59620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    STATE(1641), 1,
      sym_comment,
  [59633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3183), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_comment,
  [59646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3185), 1,
      anon_sym_from,
    STATE(1643), 1,
      sym_comment,
  [59659] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3187), 1,
      sym_identifier,
    STATE(1644), 1,
      sym_comment,
  [59672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3189), 1,
      anon_sym_EQ_GT,
    STATE(1645), 1,
      sym_comment,
  [59685] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3191), 1,
      sym_identifier,
    STATE(1646), 1,
      sym_comment,
  [59698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3193), 1,
      anon_sym_from,
    STATE(1647), 1,
      sym_comment,
  [59711] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3009), 1,
      anon_sym_EQ,
    STATE(1648), 1,
      sym_comment,
  [59724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3195), 1,
      anon_sym_EQ,
    STATE(1649), 1,
      sym_comment,
  [59737] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    STATE(1650), 1,
      sym_comment,
  [59750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1651), 1,
      sym_comment,
  [59763] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    STATE(1652), 1,
      sym_comment,
  [59776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1744), 1,
      anon_sym_COLON,
    STATE(1653), 1,
      sym_comment,
  [59789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3197), 1,
      anon_sym_from,
    STATE(1654), 1,
      sym_comment,
  [59802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1707), 1,
      anon_sym_RBRACK,
    STATE(1655), 1,
      sym_comment,
  [59815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3199), 1,
      ts_builtin_sym_end,
    STATE(1656), 1,
      sym_comment,
  [59828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2281), 1,
      anon_sym_EQ_GT,
    STATE(1657), 1,
      sym_comment,
  [59841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3143), 1,
      anon_sym_EQ_GT,
    STATE(1658), 1,
      sym_comment,
  [59854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1628), 1,
      anon_sym_in,
    STATE(1659), 1,
      sym_comment,
  [59867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3201), 1,
      anon_sym_EQ_GT,
    STATE(1660), 1,
      sym_comment,
  [59880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2079), 1,
      anon_sym_LPAREN,
    STATE(1661), 1,
      sym_comment,
  [59893] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3203), 1,
      sym_regex_pattern,
    STATE(1662), 1,
      sym_comment,
  [59906] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3205), 1,
      anon_sym_target,
    STATE(1663), 1,
      sym_comment,
  [59919] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3207), 1,
      sym_regex_pattern,
    STATE(1664), 1,
      sym_comment,
  [59932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3209), 1,
      anon_sym_from,
    STATE(1665), 1,
      sym_comment,
  [59945] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3211), 1,
      sym_identifier,
    STATE(1666), 1,
      sym_comment,
  [59958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_EQ_GT,
    STATE(1667), 1,
      sym_comment,
  [59971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3215), 1,
      sym_identifier,
    STATE(1668), 1,
      sym_comment,
  [59984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    STATE(1669), 1,
      sym_comment,
  [59997] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2971), 1,
      anon_sym_GT,
    STATE(1670), 1,
      sym_comment,
  [60010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3217), 1,
      sym_identifier,
    STATE(1671), 1,
      sym_comment,
  [60023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1719), 1,
      anon_sym_RBRACE,
    STATE(1672), 1,
      sym_comment,
  [60036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1721), 1,
      anon_sym_RBRACK,
    STATE(1673), 1,
      sym_comment,
  [60049] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3219), 1,
      sym_identifier,
    STATE(1674), 1,
      sym_comment,
  [60062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2988), 1,
      anon_sym_GT,
    STATE(1675), 1,
      sym_comment,
  [60075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
    STATE(1676), 1,
      sym_comment,
  [60088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3221), 1,
      sym_identifier,
    STATE(1677), 1,
      sym_comment,
  [60101] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3223), 1,
      anon_sym_SLASH2,
    STATE(1678), 1,
      sym_comment,
  [60114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2999), 1,
      anon_sym_GT,
    STATE(1679), 1,
      sym_comment,
  [60127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1703), 1,
      anon_sym_RBRACE,
    STATE(1680), 1,
      sym_comment,
  [60140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1738), 1,
      anon_sym_RBRACK,
    STATE(1681), 1,
      sym_comment,
  [60153] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3225), 1,
      anon_sym_from,
    STATE(1682), 1,
      sym_comment,
  [60166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3013), 1,
      anon_sym_GT,
    STATE(1683), 1,
      sym_comment,
  [60179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2980), 1,
      anon_sym_RBRACE,
    STATE(1684), 1,
      sym_comment,
  [60192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3227), 1,
      anon_sym_COLON,
    STATE(1685), 1,
      sym_comment,
  [60205] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3229), 1,
      anon_sym_as,
    STATE(1686), 1,
      sym_comment,
  [60218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3231), 1,
      anon_sym_from,
    STATE(1687), 1,
      sym_comment,
  [60231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1385), 1,
      anon_sym_in,
    STATE(1688), 1,
      sym_comment,
  [60244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    STATE(1689), 1,
      sym_comment,
  [60257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3233), 1,
      sym_identifier,
    STATE(1690), 1,
      sym_comment,
  [60270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    STATE(1691), 1,
      sym_comment,
  [60283] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1692), 1,
      sym_comment,
  [60296] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3237), 1,
      anon_sym_SLASH2,
    STATE(1693), 1,
      sym_comment,
  [60309] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1846), 1,
      anon_sym_in,
    STATE(1694), 1,
      sym_comment,
  [60322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3239), 1,
      anon_sym_EQ_GT,
    STATE(1695), 1,
      sym_comment,
  [60335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3241), 1,
      anon_sym_EQ_GT,
    STATE(1696), 1,
      sym_comment,
  [60348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1697), 1,
      sym_comment,
  [60361] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3245), 1,
      anon_sym_EQ_GT,
    STATE(1698), 1,
      sym_comment,
  [60374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3247), 1,
      anon_sym_EQ_GT,
    STATE(1699), 1,
      sym_comment,
  [60387] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3249), 1,
      anon_sym_EQ_GT,
    STATE(1700), 1,
      sym_comment,
  [60400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3251), 1,
      anon_sym_EQ_GT,
    STATE(1701), 1,
      sym_comment,
  [60413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    STATE(1702), 1,
      sym_comment,
  [60426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(1703), 1,
      sym_comment,
  [60439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3253), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_comment,
  [60452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3255), 1,
      anon_sym_EQ_GT,
    STATE(1705), 1,
      sym_comment,
  [60465] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3257), 1,
      anon_sym_EQ_GT,
    STATE(1706), 1,
      sym_comment,
  [60478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3259), 1,
      anon_sym_EQ_GT,
    STATE(1707), 1,
      sym_comment,
  [60491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(2778), 1,
      anon_sym_EQ,
    STATE(1708), 1,
      sym_comment,
  [60504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(3261), 1,
      anon_sym_target,
    STATE(1709), 1,
      sym_comment,
  [60517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1711), 1,
      anon_sym_RBRACK,
    STATE(1710), 1,
      sym_comment,
  [60530] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3263), 1,
      anon_sym_SLASH2,
    STATE(1711), 1,
      sym_comment,
  [60543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      aux_sym_comment_token1,
    ACTIONS(1784), 1,
      anon_sym_in,
    STATE(1712), 1,
      sym_comment,
  [60556] = 1,
    ACTIONS(3265), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(313)] = 0,
  [SMALL_STATE(314)] = 75,
  [SMALL_STATE(315)] = 166,
  [SMALL_STATE(316)] = 257,
  [SMALL_STATE(317)] = 334,
  [SMALL_STATE(318)] = 411,
  [SMALL_STATE(319)] = 486,
  [SMALL_STATE(320)] = 563,
  [SMALL_STATE(321)] = 640,
  [SMALL_STATE(322)] = 717,
  [SMALL_STATE(323)] = 794,
  [SMALL_STATE(324)] = 871,
  [SMALL_STATE(325)] = 948,
  [SMALL_STATE(326)] = 1023,
  [SMALL_STATE(327)] = 1100,
  [SMALL_STATE(328)] = 1177,
  [SMALL_STATE(329)] = 1272,
  [SMALL_STATE(330)] = 1347,
  [SMALL_STATE(331)] = 1422,
  [SMALL_STATE(332)] = 1497,
  [SMALL_STATE(333)] = 1588,
  [SMALL_STATE(334)] = 1663,
  [SMALL_STATE(335)] = 1738,
  [SMALL_STATE(336)] = 1817,
  [SMALL_STATE(337)] = 1892,
  [SMALL_STATE(338)] = 1969,
  [SMALL_STATE(339)] = 2043,
  [SMALL_STATE(340)] = 2137,
  [SMALL_STATE(341)] = 2231,
  [SMALL_STATE(342)] = 2305,
  [SMALL_STATE(343)] = 2379,
  [SMALL_STATE(344)] = 2453,
  [SMALL_STATE(345)] = 2527,
  [SMALL_STATE(346)] = 2601,
  [SMALL_STATE(347)] = 2675,
  [SMALL_STATE(348)] = 2749,
  [SMALL_STATE(349)] = 2823,
  [SMALL_STATE(350)] = 2919,
  [SMALL_STATE(351)] = 2993,
  [SMALL_STATE(352)] = 3067,
  [SMALL_STATE(353)] = 3141,
  [SMALL_STATE(354)] = 3215,
  [SMALL_STATE(355)] = 3289,
  [SMALL_STATE(356)] = 3363,
  [SMALL_STATE(357)] = 3437,
  [SMALL_STATE(358)] = 3511,
  [SMALL_STATE(359)] = 3585,
  [SMALL_STATE(360)] = 3659,
  [SMALL_STATE(361)] = 3733,
  [SMALL_STATE(362)] = 3823,
  [SMALL_STATE(363)] = 3897,
  [SMALL_STATE(364)] = 3971,
  [SMALL_STATE(365)] = 4045,
  [SMALL_STATE(366)] = 4119,
  [SMALL_STATE(367)] = 4193,
  [SMALL_STATE(368)] = 4267,
  [SMALL_STATE(369)] = 4341,
  [SMALL_STATE(370)] = 4415,
  [SMALL_STATE(371)] = 4489,
  [SMALL_STATE(372)] = 4563,
  [SMALL_STATE(373)] = 4637,
  [SMALL_STATE(374)] = 4711,
  [SMALL_STATE(375)] = 4785,
  [SMALL_STATE(376)] = 4859,
  [SMALL_STATE(377)] = 4933,
  [SMALL_STATE(378)] = 5007,
  [SMALL_STATE(379)] = 5081,
  [SMALL_STATE(380)] = 5155,
  [SMALL_STATE(381)] = 5229,
  [SMALL_STATE(382)] = 5303,
  [SMALL_STATE(383)] = 5377,
  [SMALL_STATE(384)] = 5451,
  [SMALL_STATE(385)] = 5525,
  [SMALL_STATE(386)] = 5599,
  [SMALL_STATE(387)] = 5673,
  [SMALL_STATE(388)] = 5747,
  [SMALL_STATE(389)] = 5821,
  [SMALL_STATE(390)] = 5895,
  [SMALL_STATE(391)] = 5969,
  [SMALL_STATE(392)] = 6043,
  [SMALL_STATE(393)] = 6117,
  [SMALL_STATE(394)] = 6191,
  [SMALL_STATE(395)] = 6265,
  [SMALL_STATE(396)] = 6339,
  [SMALL_STATE(397)] = 6413,
  [SMALL_STATE(398)] = 6487,
  [SMALL_STATE(399)] = 6561,
  [SMALL_STATE(400)] = 6655,
  [SMALL_STATE(401)] = 6745,
  [SMALL_STATE(402)] = 6819,
  [SMALL_STATE(403)] = 6892,
  [SMALL_STATE(404)] = 6982,
  [SMALL_STATE(405)] = 7069,
  [SMALL_STATE(406)] = 7156,
  [SMALL_STATE(407)] = 7243,
  [SMALL_STATE(408)] = 7313,
  [SMALL_STATE(409)] = 7383,
  [SMALL_STATE(410)] = 7473,
  [SMALL_STATE(411)] = 7543,
  [SMALL_STATE(412)] = 7613,
  [SMALL_STATE(413)] = 7683,
  [SMALL_STATE(414)] = 7753,
  [SMALL_STATE(415)] = 7827,
  [SMALL_STATE(416)] = 7897,
  [SMALL_STATE(417)] = 7966,
  [SMALL_STATE(418)] = 8041,
  [SMALL_STATE(419)] = 8110,
  [SMALL_STATE(420)] = 8185,
  [SMALL_STATE(421)] = 8254,
  [SMALL_STATE(422)] = 8329,
  [SMALL_STATE(423)] = 8398,
  [SMALL_STATE(424)] = 8467,
  [SMALL_STATE(425)] = 8536,
  [SMALL_STATE(426)] = 8605,
  [SMALL_STATE(427)] = 8680,
  [SMALL_STATE(428)] = 8749,
  [SMALL_STATE(429)] = 8823,
  [SMALL_STATE(430)] = 8899,
  [SMALL_STATE(431)] = 8973,
  [SMALL_STATE(432)] = 9047,
  [SMALL_STATE(433)] = 9123,
  [SMALL_STATE(434)] = 9197,
  [SMALL_STATE(435)] = 9265,
  [SMALL_STATE(436)] = 9341,
  [SMALL_STATE(437)] = 9415,
  [SMALL_STATE(438)] = 9487,
  [SMALL_STATE(439)] = 9563,
  [SMALL_STATE(440)] = 9639,
  [SMALL_STATE(441)] = 9713,
  [SMALL_STATE(442)] = 9789,
  [SMALL_STATE(443)] = 9865,
  [SMALL_STATE(444)] = 9933,
  [SMALL_STATE(445)] = 10005,
  [SMALL_STATE(446)] = 10081,
  [SMALL_STATE(447)] = 10149,
  [SMALL_STATE(448)] = 10225,
  [SMALL_STATE(449)] = 10301,
  [SMALL_STATE(450)] = 10369,
  [SMALL_STATE(451)] = 10443,
  [SMALL_STATE(452)] = 10517,
  [SMALL_STATE(453)] = 10585,
  [SMALL_STATE(454)] = 10653,
  [SMALL_STATE(455)] = 10731,
  [SMALL_STATE(456)] = 10809,
  [SMALL_STATE(457)] = 10877,
  [SMALL_STATE(458)] = 10948,
  [SMALL_STATE(459)] = 11019,
  [SMALL_STATE(460)] = 11094,
  [SMALL_STATE(461)] = 11169,
  [SMALL_STATE(462)] = 11242,
  [SMALL_STATE(463)] = 11317,
  [SMALL_STATE(464)] = 11390,
  [SMALL_STATE(465)] = 11463,
  [SMALL_STATE(466)] = 11539,
  [SMALL_STATE(467)] = 11611,
  [SMALL_STATE(468)] = 11683,
  [SMALL_STATE(469)] = 11755,
  [SMALL_STATE(470)] = 11831,
  [SMALL_STATE(471)] = 11906,
  [SMALL_STATE(472)] = 11981,
  [SMALL_STATE(473)] = 12052,
  [SMALL_STATE(474)] = 12123,
  [SMALL_STATE(475)] = 12194,
  [SMALL_STATE(476)] = 12265,
  [SMALL_STATE(477)] = 12338,
  [SMALL_STATE(478)] = 12410,
  [SMALL_STATE(479)] = 12478,
  [SMALL_STATE(480)] = 12548,
  [SMALL_STATE(481)] = 12618,
  [SMALL_STATE(482)] = 12678,
  [SMALL_STATE(483)] = 12746,
  [SMALL_STATE(484)] = 12803,
  [SMALL_STATE(485)] = 12860,
  [SMALL_STATE(486)] = 12919,
  [SMALL_STATE(487)] = 12984,
  [SMALL_STATE(488)] = 13043,
  [SMALL_STATE(489)] = 13102,
  [SMALL_STATE(490)] = 13159,
  [SMALL_STATE(491)] = 13218,
  [SMALL_STATE(492)] = 13318,
  [SMALL_STATE(493)] = 13372,
  [SMALL_STATE(494)] = 13426,
  [SMALL_STATE(495)] = 13480,
  [SMALL_STATE(496)] = 13534,
  [SMALL_STATE(497)] = 13600,
  [SMALL_STATE(498)] = 13654,
  [SMALL_STATE(499)] = 13708,
  [SMALL_STATE(500)] = 13762,
  [SMALL_STATE(501)] = 13816,
  [SMALL_STATE(502)] = 13870,
  [SMALL_STATE(503)] = 13924,
  [SMALL_STATE(504)] = 13978,
  [SMALL_STATE(505)] = 14078,
  [SMALL_STATE(506)] = 14134,
  [SMALL_STATE(507)] = 14202,
  [SMALL_STATE(508)] = 14258,
  [SMALL_STATE(509)] = 14358,
  [SMALL_STATE(510)] = 14412,
  [SMALL_STATE(511)] = 14466,
  [SMALL_STATE(512)] = 14520,
  [SMALL_STATE(513)] = 14574,
  [SMALL_STATE(514)] = 14674,
  [SMALL_STATE(515)] = 14728,
  [SMALL_STATE(516)] = 14828,
  [SMALL_STATE(517)] = 14882,
  [SMALL_STATE(518)] = 14950,
  [SMALL_STATE(519)] = 15004,
  [SMALL_STATE(520)] = 15058,
  [SMALL_STATE(521)] = 15112,
  [SMALL_STATE(522)] = 15166,
  [SMALL_STATE(523)] = 15220,
  [SMALL_STATE(524)] = 15274,
  [SMALL_STATE(525)] = 15328,
  [SMALL_STATE(526)] = 15382,
  [SMALL_STATE(527)] = 15436,
  [SMALL_STATE(528)] = 15536,
  [SMALL_STATE(529)] = 15636,
  [SMALL_STATE(530)] = 15690,
  [SMALL_STATE(531)] = 15790,
  [SMALL_STATE(532)] = 15844,
  [SMALL_STATE(533)] = 15898,
  [SMALL_STATE(534)] = 15998,
  [SMALL_STATE(535)] = 16052,
  [SMALL_STATE(536)] = 16106,
  [SMALL_STATE(537)] = 16160,
  [SMALL_STATE(538)] = 16214,
  [SMALL_STATE(539)] = 16268,
  [SMALL_STATE(540)] = 16322,
  [SMALL_STATE(541)] = 16422,
  [SMALL_STATE(542)] = 16476,
  [SMALL_STATE(543)] = 16530,
  [SMALL_STATE(544)] = 16584,
  [SMALL_STATE(545)] = 16638,
  [SMALL_STATE(546)] = 16692,
  [SMALL_STATE(547)] = 16746,
  [SMALL_STATE(548)] = 16846,
  [SMALL_STATE(549)] = 16900,
  [SMALL_STATE(550)] = 16956,
  [SMALL_STATE(551)] = 17010,
  [SMALL_STATE(552)] = 17064,
  [SMALL_STATE(553)] = 17118,
  [SMALL_STATE(554)] = 17172,
  [SMALL_STATE(555)] = 17252,
  [SMALL_STATE(556)] = 17306,
  [SMALL_STATE(557)] = 17360,
  [SMALL_STATE(558)] = 17414,
  [SMALL_STATE(559)] = 17468,
  [SMALL_STATE(560)] = 17522,
  [SMALL_STATE(561)] = 17576,
  [SMALL_STATE(562)] = 17636,
  [SMALL_STATE(563)] = 17706,
  [SMALL_STATE(564)] = 17760,
  [SMALL_STATE(565)] = 17814,
  [SMALL_STATE(566)] = 17868,
  [SMALL_STATE(567)] = 17968,
  [SMALL_STATE(568)] = 18060,
  [SMALL_STATE(569)] = 18154,
  [SMALL_STATE(570)] = 18230,
  [SMALL_STATE(571)] = 18318,
  [SMALL_STATE(572)] = 18372,
  [SMALL_STATE(573)] = 18462,
  [SMALL_STATE(574)] = 18554,
  [SMALL_STATE(575)] = 18628,
  [SMALL_STATE(576)] = 18682,
  [SMALL_STATE(577)] = 18752,
  [SMALL_STATE(578)] = 18836,
  [SMALL_STATE(579)] = 18932,
  [SMALL_STATE(580)] = 18986,
  [SMALL_STATE(581)] = 19040,
  [SMALL_STATE(582)] = 19094,
  [SMALL_STATE(583)] = 19148,
  [SMALL_STATE(584)] = 19248,
  [SMALL_STATE(585)] = 19302,
  [SMALL_STATE(586)] = 19405,
  [SMALL_STATE(587)] = 19460,
  [SMALL_STATE(588)] = 19513,
  [SMALL_STATE(589)] = 19612,
  [SMALL_STATE(590)] = 19711,
  [SMALL_STATE(591)] = 19810,
  [SMALL_STATE(592)] = 19909,
  [SMALL_STATE(593)] = 20008,
  [SMALL_STATE(594)] = 20063,
  [SMALL_STATE(595)] = 20162,
  [SMALL_STATE(596)] = 20261,
  [SMALL_STATE(597)] = 20362,
  [SMALL_STATE(598)] = 20415,
  [SMALL_STATE(599)] = 20474,
  [SMALL_STATE(600)] = 20573,
  [SMALL_STATE(601)] = 20672,
  [SMALL_STATE(602)] = 20771,
  [SMALL_STATE(603)] = 20866,
  [SMALL_STATE(604)] = 20965,
  [SMALL_STATE(605)] = 21048,
  [SMALL_STATE(606)] = 21117,
  [SMALL_STATE(607)] = 21216,
  [SMALL_STATE(608)] = 21289,
  [SMALL_STATE(609)] = 21388,
  [SMALL_STATE(610)] = 21491,
  [SMALL_STATE(611)] = 21582,
  [SMALL_STATE(612)] = 21671,
  [SMALL_STATE(613)] = 21758,
  [SMALL_STATE(614)] = 21837,
  [SMALL_STATE(615)] = 21940,
  [SMALL_STATE(616)] = 22015,
  [SMALL_STATE(617)] = 22108,
  [SMALL_STATE(618)] = 22199,
  [SMALL_STATE(619)] = 22302,
  [SMALL_STATE(620)] = 22381,
  [SMALL_STATE(621)] = 22480,
  [SMALL_STATE(622)] = 22543,
  [SMALL_STATE(623)] = 22642,
  [SMALL_STATE(624)] = 22711,
  [SMALL_STATE(625)] = 22810,
  [SMALL_STATE(626)] = 22909,
  [SMALL_STATE(627)] = 23008,
  [SMALL_STATE(628)] = 23065,
  [SMALL_STATE(629)] = 23164,
  [SMALL_STATE(630)] = 23263,
  [SMALL_STATE(631)] = 23362,
  [SMALL_STATE(632)] = 23417,
  [SMALL_STATE(633)] = 23474,
  [SMALL_STATE(634)] = 23569,
  [SMALL_STATE(635)] = 23652,
  [SMALL_STATE(636)] = 23721,
  [SMALL_STATE(637)] = 23776,
  [SMALL_STATE(638)] = 23849,
  [SMALL_STATE(639)] = 23940,
  [SMALL_STATE(640)] = 23995,
  [SMALL_STATE(641)] = 24084,
  [SMALL_STATE(642)] = 24171,
  [SMALL_STATE(643)] = 24270,
  [SMALL_STATE(644)] = 24345,
  [SMALL_STATE(645)] = 24400,
  [SMALL_STATE(646)] = 24493,
  [SMALL_STATE(647)] = 24584,
  [SMALL_STATE(648)] = 24687,
  [SMALL_STATE(649)] = 24786,
  [SMALL_STATE(650)] = 24889,
  [SMALL_STATE(651)] = 24988,
  [SMALL_STATE(652)] = 25057,
  [SMALL_STATE(653)] = 25156,
  [SMALL_STATE(654)] = 25211,
  [SMALL_STATE(655)] = 25310,
  [SMALL_STATE(656)] = 25365,
  [SMALL_STATE(657)] = 25467,
  [SMALL_STATE(658)] = 25569,
  [SMALL_STATE(659)] = 25621,
  [SMALL_STATE(660)] = 25673,
  [SMALL_STATE(661)] = 25775,
  [SMALL_STATE(662)] = 25827,
  [SMALL_STATE(663)] = 25879,
  [SMALL_STATE(664)] = 25981,
  [SMALL_STATE(665)] = 26033,
  [SMALL_STATE(666)] = 26085,
  [SMALL_STATE(667)] = 26187,
  [SMALL_STATE(668)] = 26289,
  [SMALL_STATE(669)] = 26391,
  [SMALL_STATE(670)] = 26493,
  [SMALL_STATE(671)] = 26545,
  [SMALL_STATE(672)] = 26643,
  [SMALL_STATE(673)] = 26695,
  [SMALL_STATE(674)] = 26747,
  [SMALL_STATE(675)] = 26799,
  [SMALL_STATE(676)] = 26855,
  [SMALL_STATE(677)] = 26911,
  [SMALL_STATE(678)] = 26963,
  [SMALL_STATE(679)] = 27015,
  [SMALL_STATE(680)] = 27067,
  [SMALL_STATE(681)] = 27123,
  [SMALL_STATE(682)] = 27221,
  [SMALL_STATE(683)] = 27273,
  [SMALL_STATE(684)] = 27325,
  [SMALL_STATE(685)] = 27377,
  [SMALL_STATE(686)] = 27479,
  [SMALL_STATE(687)] = 27531,
  [SMALL_STATE(688)] = 27587,
  [SMALL_STATE(689)] = 27639,
  [SMALL_STATE(690)] = 27741,
  [SMALL_STATE(691)] = 27839,
  [SMALL_STATE(692)] = 27941,
  [SMALL_STATE(693)] = 27993,
  [SMALL_STATE(694)] = 28095,
  [SMALL_STATE(695)] = 28147,
  [SMALL_STATE(696)] = 28199,
  [SMALL_STATE(697)] = 28251,
  [SMALL_STATE(698)] = 28353,
  [SMALL_STATE(699)] = 28407,
  [SMALL_STATE(700)] = 28509,
  [SMALL_STATE(701)] = 28561,
  [SMALL_STATE(702)] = 28613,
  [SMALL_STATE(703)] = 28665,
  [SMALL_STATE(704)] = 28717,
  [SMALL_STATE(705)] = 28769,
  [SMALL_STATE(706)] = 28821,
  [SMALL_STATE(707)] = 28877,
  [SMALL_STATE(708)] = 28935,
  [SMALL_STATE(709)] = 28989,
  [SMALL_STATE(710)] = 29091,
  [SMALL_STATE(711)] = 29143,
  [SMALL_STATE(712)] = 29199,
  [SMALL_STATE(713)] = 29251,
  [SMALL_STATE(714)] = 29307,
  [SMALL_STATE(715)] = 29359,
  [SMALL_STATE(716)] = 29411,
  [SMALL_STATE(717)] = 29513,
  [SMALL_STATE(718)] = 29565,
  [SMALL_STATE(719)] = 29617,
  [SMALL_STATE(720)] = 29671,
  [SMALL_STATE(721)] = 29727,
  [SMALL_STATE(722)] = 29783,
  [SMALL_STATE(723)] = 29835,
  [SMALL_STATE(724)] = 29937,
  [SMALL_STATE(725)] = 29993,
  [SMALL_STATE(726)] = 30051,
  [SMALL_STATE(727)] = 30103,
  [SMALL_STATE(728)] = 30205,
  [SMALL_STATE(729)] = 30257,
  [SMALL_STATE(730)] = 30309,
  [SMALL_STATE(731)] = 30361,
  [SMALL_STATE(732)] = 30463,
  [SMALL_STATE(733)] = 30515,
  [SMALL_STATE(734)] = 30571,
  [SMALL_STATE(735)] = 30623,
  [SMALL_STATE(736)] = 30725,
  [SMALL_STATE(737)] = 30777,
  [SMALL_STATE(738)] = 30835,
  [SMALL_STATE(739)] = 30937,
  [SMALL_STATE(740)] = 30991,
  [SMALL_STATE(741)] = 31043,
  [SMALL_STATE(742)] = 31095,
  [SMALL_STATE(743)] = 31147,
  [SMALL_STATE(744)] = 31249,
  [SMALL_STATE(745)] = 31301,
  [SMALL_STATE(746)] = 31357,
  [SMALL_STATE(747)] = 31409,
  [SMALL_STATE(748)] = 31465,
  [SMALL_STATE(749)] = 31567,
  [SMALL_STATE(750)] = 31623,
  [SMALL_STATE(751)] = 31725,
  [SMALL_STATE(752)] = 31777,
  [SMALL_STATE(753)] = 31879,
  [SMALL_STATE(754)] = 31931,
  [SMALL_STATE(755)] = 31983,
  [SMALL_STATE(756)] = 32035,
  [SMALL_STATE(757)] = 32087,
  [SMALL_STATE(758)] = 32145,
  [SMALL_STATE(759)] = 32203,
  [SMALL_STATE(760)] = 32288,
  [SMALL_STATE(761)] = 32377,
  [SMALL_STATE(762)] = 32474,
  [SMALL_STATE(763)] = 32571,
  [SMALL_STATE(764)] = 32668,
  [SMALL_STATE(765)] = 32767,
  [SMALL_STATE(766)] = 32864,
  [SMALL_STATE(767)] = 32919,
  [SMALL_STATE(768)] = 33016,
  [SMALL_STATE(769)] = 33071,
  [SMALL_STATE(770)] = 33168,
  [SMALL_STATE(771)] = 33265,
  [SMALL_STATE(772)] = 33362,
  [SMALL_STATE(773)] = 33417,
  [SMALL_STATE(774)] = 33514,
  [SMALL_STATE(775)] = 33591,
  [SMALL_STATE(776)] = 33658,
  [SMALL_STATE(777)] = 33749,
  [SMALL_STATE(778)] = 33822,
  [SMALL_STATE(779)] = 33919,
  [SMALL_STATE(780)] = 34006,
  [SMALL_STATE(781)] = 34095,
  [SMALL_STATE(782)] = 34166,
  [SMALL_STATE(783)] = 34263,
  [SMALL_STATE(784)] = 34360,
  [SMALL_STATE(785)] = 34427,
  [SMALL_STATE(786)] = 34524,
  [SMALL_STATE(787)] = 34621,
  [SMALL_STATE(788)] = 34702,
  [SMALL_STATE(789)] = 34799,
  [SMALL_STATE(790)] = 34896,
  [SMALL_STATE(791)] = 34989,
  [SMALL_STATE(792)] = 35085,
  [SMALL_STATE(793)] = 35161,
  [SMALL_STATE(794)] = 35217,
  [SMALL_STATE(795)] = 35273,
  [SMALL_STATE(796)] = 35329,
  [SMALL_STATE(797)] = 35395,
  [SMALL_STATE(798)] = 35491,
  [SMALL_STATE(799)] = 35587,
  [SMALL_STATE(800)] = 35683,
  [SMALL_STATE(801)] = 35779,
  [SMALL_STATE(802)] = 35875,
  [SMALL_STATE(803)] = 35971,
  [SMALL_STATE(804)] = 36067,
  [SMALL_STATE(805)] = 36163,
  [SMALL_STATE(806)] = 36259,
  [SMALL_STATE(807)] = 36355,
  [SMALL_STATE(808)] = 36451,
  [SMALL_STATE(809)] = 36507,
  [SMALL_STATE(810)] = 36603,
  [SMALL_STATE(811)] = 36669,
  [SMALL_STATE(812)] = 36765,
  [SMALL_STATE(813)] = 36853,
  [SMALL_STATE(814)] = 36943,
  [SMALL_STATE(815)] = 37039,
  [SMALL_STATE(816)] = 37137,
  [SMALL_STATE(817)] = 37233,
  [SMALL_STATE(818)] = 37329,
  [SMALL_STATE(819)] = 37425,
  [SMALL_STATE(820)] = 37521,
  [SMALL_STATE(821)] = 37593,
  [SMALL_STATE(822)] = 37677,
  [SMALL_STATE(823)] = 37769,
  [SMALL_STATE(824)] = 37849,
  [SMALL_STATE(825)] = 37935,
  [SMALL_STATE(826)] = 38031,
  [SMALL_STATE(827)] = 38119,
  [SMALL_STATE(828)] = 38189,
  [SMALL_STATE(829)] = 38282,
  [SMALL_STATE(830)] = 38337,
  [SMALL_STATE(831)] = 38432,
  [SMALL_STATE(832)] = 38527,
  [SMALL_STATE(833)] = 38578,
  [SMALL_STATE(834)] = 38629,
  [SMALL_STATE(835)] = 38724,
  [SMALL_STATE(836)] = 38779,
  [SMALL_STATE(837)] = 38874,
  [SMALL_STATE(838)] = 38969,
  [SMALL_STATE(839)] = 39024,
  [SMALL_STATE(840)] = 39079,
  [SMALL_STATE(841)] = 39172,
  [SMALL_STATE(842)] = 39267,
  [SMALL_STATE(843)] = 39362,
  [SMALL_STATE(844)] = 39449,
  [SMALL_STATE(845)] = 39536,
  [SMALL_STATE(846)] = 39623,
  [SMALL_STATE(847)] = 39710,
  [SMALL_STATE(848)] = 39797,
  [SMALL_STATE(849)] = 39882,
  [SMALL_STATE(850)] = 39969,
  [SMALL_STATE(851)] = 40056,
  [SMALL_STATE(852)] = 40143,
  [SMALL_STATE(853)] = 40230,
  [SMALL_STATE(854)] = 40307,
  [SMALL_STATE(855)] = 40379,
  [SMALL_STATE(856)] = 40445,
  [SMALL_STATE(857)] = 40511,
  [SMALL_STATE(858)] = 40572,
  [SMALL_STATE(859)] = 40637,
  [SMALL_STATE(860)] = 40700,
  [SMALL_STATE(861)] = 40763,
  [SMALL_STATE(862)] = 40826,
  [SMALL_STATE(863)] = 40891,
  [SMALL_STATE(864)] = 40956,
  [SMALL_STATE(865)] = 41019,
  [SMALL_STATE(866)] = 41082,
  [SMALL_STATE(867)] = 41147,
  [SMALL_STATE(868)] = 41212,
  [SMALL_STATE(869)] = 41275,
  [SMALL_STATE(870)] = 41340,
  [SMALL_STATE(871)] = 41405,
  [SMALL_STATE(872)] = 41468,
  [SMALL_STATE(873)] = 41528,
  [SMALL_STATE(874)] = 41586,
  [SMALL_STATE(875)] = 41644,
  [SMALL_STATE(876)] = 41702,
  [SMALL_STATE(877)] = 41760,
  [SMALL_STATE(878)] = 41818,
  [SMALL_STATE(879)] = 41876,
  [SMALL_STATE(880)] = 41934,
  [SMALL_STATE(881)] = 42001,
  [SMALL_STATE(882)] = 42060,
  [SMALL_STATE(883)] = 42117,
  [SMALL_STATE(884)] = 42172,
  [SMALL_STATE(885)] = 42229,
  [SMALL_STATE(886)] = 42291,
  [SMALL_STATE(887)] = 42341,
  [SMALL_STATE(888)] = 42393,
  [SMALL_STATE(889)] = 42447,
  [SMALL_STATE(890)] = 42509,
  [SMALL_STATE(891)] = 42559,
  [SMALL_STATE(892)] = 42611,
  [SMALL_STATE(893)] = 42663,
  [SMALL_STATE(894)] = 42715,
  [SMALL_STATE(895)] = 42769,
  [SMALL_STATE(896)] = 42819,
  [SMALL_STATE(897)] = 42852,
  [SMALL_STATE(898)] = 42885,
  [SMALL_STATE(899)] = 42918,
  [SMALL_STATE(900)] = 42951,
  [SMALL_STATE(901)] = 42986,
  [SMALL_STATE(902)] = 43019,
  [SMALL_STATE(903)] = 43052,
  [SMALL_STATE(904)] = 43085,
  [SMALL_STATE(905)] = 43130,
  [SMALL_STATE(906)] = 43165,
  [SMALL_STATE(907)] = 43210,
  [SMALL_STATE(908)] = 43243,
  [SMALL_STATE(909)] = 43276,
  [SMALL_STATE(910)] = 43309,
  [SMALL_STATE(911)] = 43342,
  [SMALL_STATE(912)] = 43389,
  [SMALL_STATE(913)] = 43422,
  [SMALL_STATE(914)] = 43455,
  [SMALL_STATE(915)] = 43488,
  [SMALL_STATE(916)] = 43521,
  [SMALL_STATE(917)] = 43554,
  [SMALL_STATE(918)] = 43587,
  [SMALL_STATE(919)] = 43632,
  [SMALL_STATE(920)] = 43677,
  [SMALL_STATE(921)] = 43710,
  [SMALL_STATE(922)] = 43743,
  [SMALL_STATE(923)] = 43788,
  [SMALL_STATE(924)] = 43821,
  [SMALL_STATE(925)] = 43854,
  [SMALL_STATE(926)] = 43887,
  [SMALL_STATE(927)] = 43932,
  [SMALL_STATE(928)] = 43965,
  [SMALL_STATE(929)] = 43998,
  [SMALL_STATE(930)] = 44031,
  [SMALL_STATE(931)] = 44064,
  [SMALL_STATE(932)] = 44097,
  [SMALL_STATE(933)] = 44136,
  [SMALL_STATE(934)] = 44169,
  [SMALL_STATE(935)] = 44201,
  [SMALL_STATE(936)] = 44233,
  [SMALL_STATE(937)] = 44265,
  [SMALL_STATE(938)] = 44297,
  [SMALL_STATE(939)] = 44331,
  [SMALL_STATE(940)] = 44363,
  [SMALL_STATE(941)] = 44395,
  [SMALL_STATE(942)] = 44427,
  [SMALL_STATE(943)] = 44459,
  [SMALL_STATE(944)] = 44491,
  [SMALL_STATE(945)] = 44523,
  [SMALL_STATE(946)] = 44559,
  [SMALL_STATE(947)] = 44591,
  [SMALL_STATE(948)] = 44623,
  [SMALL_STATE(949)] = 44672,
  [SMALL_STATE(950)] = 44719,
  [SMALL_STATE(951)] = 44768,
  [SMALL_STATE(952)] = 44819,
  [SMALL_STATE(953)] = 44866,
  [SMALL_STATE(954)] = 44915,
  [SMALL_STATE(955)] = 44964,
  [SMALL_STATE(956)] = 45015,
  [SMALL_STATE(957)] = 45060,
  [SMALL_STATE(958)] = 45102,
  [SMALL_STATE(959)] = 45150,
  [SMALL_STATE(960)] = 45198,
  [SMALL_STATE(961)] = 45246,
  [SMALL_STATE(962)] = 45288,
  [SMALL_STATE(963)] = 45330,
  [SMALL_STATE(964)] = 45372,
  [SMALL_STATE(965)] = 45402,
  [SMALL_STATE(966)] = 45432,
  [SMALL_STATE(967)] = 45474,
  [SMALL_STATE(968)] = 45516,
  [SMALL_STATE(969)] = 45546,
  [SMALL_STATE(970)] = 45588,
  [SMALL_STATE(971)] = 45630,
  [SMALL_STATE(972)] = 45672,
  [SMALL_STATE(973)] = 45714,
  [SMALL_STATE(974)] = 45756,
  [SMALL_STATE(975)] = 45798,
  [SMALL_STATE(976)] = 45828,
  [SMALL_STATE(977)] = 45874,
  [SMALL_STATE(978)] = 45916,
  [SMALL_STATE(979)] = 45964,
  [SMALL_STATE(980)] = 46006,
  [SMALL_STATE(981)] = 46048,
  [SMALL_STATE(982)] = 46090,
  [SMALL_STATE(983)] = 46136,
  [SMALL_STATE(984)] = 46166,
  [SMALL_STATE(985)] = 46196,
  [SMALL_STATE(986)] = 46238,
  [SMALL_STATE(987)] = 46280,
  [SMALL_STATE(988)] = 46322,
  [SMALL_STATE(989)] = 46364,
  [SMALL_STATE(990)] = 46406,
  [SMALL_STATE(991)] = 46448,
  [SMALL_STATE(992)] = 46490,
  [SMALL_STATE(993)] = 46532,
  [SMALL_STATE(994)] = 46571,
  [SMALL_STATE(995)] = 46610,
  [SMALL_STATE(996)] = 46649,
  [SMALL_STATE(997)] = 46688,
  [SMALL_STATE(998)] = 46727,
  [SMALL_STATE(999)] = 46766,
  [SMALL_STATE(1000)] = 46805,
  [SMALL_STATE(1001)] = 46844,
  [SMALL_STATE(1002)] = 46871,
  [SMALL_STATE(1003)] = 46910,
  [SMALL_STATE(1004)] = 46949,
  [SMALL_STATE(1005)] = 46976,
  [SMALL_STATE(1006)] = 47015,
  [SMALL_STATE(1007)] = 47054,
  [SMALL_STATE(1008)] = 47093,
  [SMALL_STATE(1009)] = 47120,
  [SMALL_STATE(1010)] = 47147,
  [SMALL_STATE(1011)] = 47174,
  [SMALL_STATE(1012)] = 47213,
  [SMALL_STATE(1013)] = 47252,
  [SMALL_STATE(1014)] = 47291,
  [SMALL_STATE(1015)] = 47330,
  [SMALL_STATE(1016)] = 47369,
  [SMALL_STATE(1017)] = 47410,
  [SMALL_STATE(1018)] = 47451,
  [SMALL_STATE(1019)] = 47492,
  [SMALL_STATE(1020)] = 47533,
  [SMALL_STATE(1021)] = 47574,
  [SMALL_STATE(1022)] = 47613,
  [SMALL_STATE(1023)] = 47654,
  [SMALL_STATE(1024)] = 47695,
  [SMALL_STATE(1025)] = 47736,
  [SMALL_STATE(1026)] = 47772,
  [SMALL_STATE(1027)] = 47813,
  [SMALL_STATE(1028)] = 47854,
  [SMALL_STATE(1029)] = 47895,
  [SMALL_STATE(1030)] = 47936,
  [SMALL_STATE(1031)] = 47974,
  [SMALL_STATE(1032)] = 48012,
  [SMALL_STATE(1033)] = 48050,
  [SMALL_STATE(1034)] = 48088,
  [SMALL_STATE(1035)] = 48126,
  [SMALL_STATE(1036)] = 48164,
  [SMALL_STATE(1037)] = 48202,
  [SMALL_STATE(1038)] = 48240,
  [SMALL_STATE(1039)] = 48275,
  [SMALL_STATE(1040)] = 48310,
  [SMALL_STATE(1041)] = 48345,
  [SMALL_STATE(1042)] = 48376,
  [SMALL_STATE(1043)] = 48407,
  [SMALL_STATE(1044)] = 48442,
  [SMALL_STATE(1045)] = 48473,
  [SMALL_STATE(1046)] = 48508,
  [SMALL_STATE(1047)] = 48543,
  [SMALL_STATE(1048)] = 48578,
  [SMALL_STATE(1049)] = 48613,
  [SMALL_STATE(1050)] = 48648,
  [SMALL_STATE(1051)] = 48683,
  [SMALL_STATE(1052)] = 48718,
  [SMALL_STATE(1053)] = 48753,
  [SMALL_STATE(1054)] = 48788,
  [SMALL_STATE(1055)] = 48823,
  [SMALL_STATE(1056)] = 48858,
  [SMALL_STATE(1057)] = 48893,
  [SMALL_STATE(1058)] = 48928,
  [SMALL_STATE(1059)] = 48963,
  [SMALL_STATE(1060)] = 48998,
  [SMALL_STATE(1061)] = 49033,
  [SMALL_STATE(1062)] = 49067,
  [SMALL_STATE(1063)] = 49101,
  [SMALL_STATE(1064)] = 49130,
  [SMALL_STATE(1065)] = 49159,
  [SMALL_STATE(1066)] = 49190,
  [SMALL_STATE(1067)] = 49209,
  [SMALL_STATE(1068)] = 49234,
  [SMALL_STATE(1069)] = 49263,
  [SMALL_STATE(1070)] = 49282,
  [SMALL_STATE(1071)] = 49313,
  [SMALL_STATE(1072)] = 49332,
  [SMALL_STATE(1073)] = 49361,
  [SMALL_STATE(1074)] = 49390,
  [SMALL_STATE(1075)] = 49409,
  [SMALL_STATE(1076)] = 49440,
  [SMALL_STATE(1077)] = 49459,
  [SMALL_STATE(1078)] = 49488,
  [SMALL_STATE(1079)] = 49517,
  [SMALL_STATE(1080)] = 49546,
  [SMALL_STATE(1081)] = 49565,
  [SMALL_STATE(1082)] = 49594,
  [SMALL_STATE(1083)] = 49623,
  [SMALL_STATE(1084)] = 49654,
  [SMALL_STATE(1085)] = 49683,
  [SMALL_STATE(1086)] = 49712,
  [SMALL_STATE(1087)] = 49737,
  [SMALL_STATE(1088)] = 49762,
  [SMALL_STATE(1089)] = 49790,
  [SMALL_STATE(1090)] = 49808,
  [SMALL_STATE(1091)] = 49826,
  [SMALL_STATE(1092)] = 49852,
  [SMALL_STATE(1093)] = 49870,
  [SMALL_STATE(1094)] = 49888,
  [SMALL_STATE(1095)] = 49906,
  [SMALL_STATE(1096)] = 49924,
  [SMALL_STATE(1097)] = 49942,
  [SMALL_STATE(1098)] = 49968,
  [SMALL_STATE(1099)] = 49996,
  [SMALL_STATE(1100)] = 50014,
  [SMALL_STATE(1101)] = 50032,
  [SMALL_STATE(1102)] = 50050,
  [SMALL_STATE(1103)] = 50068,
  [SMALL_STATE(1104)] = 50086,
  [SMALL_STATE(1105)] = 50104,
  [SMALL_STATE(1106)] = 50122,
  [SMALL_STATE(1107)] = 50148,
  [SMALL_STATE(1108)] = 50166,
  [SMALL_STATE(1109)] = 50188,
  [SMALL_STATE(1110)] = 50206,
  [SMALL_STATE(1111)] = 50224,
  [SMALL_STATE(1112)] = 50250,
  [SMALL_STATE(1113)] = 50276,
  [SMALL_STATE(1114)] = 50294,
  [SMALL_STATE(1115)] = 50314,
  [SMALL_STATE(1116)] = 50332,
  [SMALL_STATE(1117)] = 50350,
  [SMALL_STATE(1118)] = 50368,
  [SMALL_STATE(1119)] = 50386,
  [SMALL_STATE(1120)] = 50404,
  [SMALL_STATE(1121)] = 50422,
  [SMALL_STATE(1122)] = 50446,
  [SMALL_STATE(1123)] = 50472,
  [SMALL_STATE(1124)] = 50492,
  [SMALL_STATE(1125)] = 50518,
  [SMALL_STATE(1126)] = 50544,
  [SMALL_STATE(1127)] = 50566,
  [SMALL_STATE(1128)] = 50586,
  [SMALL_STATE(1129)] = 50604,
  [SMALL_STATE(1130)] = 50630,
  [SMALL_STATE(1131)] = 50656,
  [SMALL_STATE(1132)] = 50682,
  [SMALL_STATE(1133)] = 50700,
  [SMALL_STATE(1134)] = 50724,
  [SMALL_STATE(1135)] = 50742,
  [SMALL_STATE(1136)] = 50760,
  [SMALL_STATE(1137)] = 50786,
  [SMALL_STATE(1138)] = 50804,
  [SMALL_STATE(1139)] = 50830,
  [SMALL_STATE(1140)] = 50856,
  [SMALL_STATE(1141)] = 50882,
  [SMALL_STATE(1142)] = 50900,
  [SMALL_STATE(1143)] = 50919,
  [SMALL_STATE(1144)] = 50938,
  [SMALL_STATE(1145)] = 50957,
  [SMALL_STATE(1146)] = 50982,
  [SMALL_STATE(1147)] = 51001,
  [SMALL_STATE(1148)] = 51020,
  [SMALL_STATE(1149)] = 51039,
  [SMALL_STATE(1150)] = 51058,
  [SMALL_STATE(1151)] = 51077,
  [SMALL_STATE(1152)] = 51094,
  [SMALL_STATE(1153)] = 51115,
  [SMALL_STATE(1154)] = 51132,
  [SMALL_STATE(1155)] = 51153,
  [SMALL_STATE(1156)] = 51172,
  [SMALL_STATE(1157)] = 51197,
  [SMALL_STATE(1158)] = 51216,
  [SMALL_STATE(1159)] = 51235,
  [SMALL_STATE(1160)] = 51260,
  [SMALL_STATE(1161)] = 51285,
  [SMALL_STATE(1162)] = 51304,
  [SMALL_STATE(1163)] = 51329,
  [SMALL_STATE(1164)] = 51348,
  [SMALL_STATE(1165)] = 51373,
  [SMALL_STATE(1166)] = 51398,
  [SMALL_STATE(1167)] = 51417,
  [SMALL_STATE(1168)] = 51440,
  [SMALL_STATE(1169)] = 51459,
  [SMALL_STATE(1170)] = 51484,
  [SMALL_STATE(1171)] = 51509,
  [SMALL_STATE(1172)] = 51526,
  [SMALL_STATE(1173)] = 51551,
  [SMALL_STATE(1174)] = 51576,
  [SMALL_STATE(1175)] = 51595,
  [SMALL_STATE(1176)] = 51620,
  [SMALL_STATE(1177)] = 51641,
  [SMALL_STATE(1178)] = 51666,
  [SMALL_STATE(1179)] = 51691,
  [SMALL_STATE(1180)] = 51716,
  [SMALL_STATE(1181)] = 51735,
  [SMALL_STATE(1182)] = 51760,
  [SMALL_STATE(1183)] = 51785,
  [SMALL_STATE(1184)] = 51810,
  [SMALL_STATE(1185)] = 51835,
  [SMALL_STATE(1186)] = 51860,
  [SMALL_STATE(1187)] = 51879,
  [SMALL_STATE(1188)] = 51904,
  [SMALL_STATE(1189)] = 51929,
  [SMALL_STATE(1190)] = 51954,
  [SMALL_STATE(1191)] = 51979,
  [SMALL_STATE(1192)] = 51998,
  [SMALL_STATE(1193)] = 52016,
  [SMALL_STATE(1194)] = 52038,
  [SMALL_STATE(1195)] = 52060,
  [SMALL_STATE(1196)] = 52082,
  [SMALL_STATE(1197)] = 52102,
  [SMALL_STATE(1198)] = 52124,
  [SMALL_STATE(1199)] = 52146,
  [SMALL_STATE(1200)] = 52162,
  [SMALL_STATE(1201)] = 52182,
  [SMALL_STATE(1202)] = 52202,
  [SMALL_STATE(1203)] = 52222,
  [SMALL_STATE(1204)] = 52240,
  [SMALL_STATE(1205)] = 52262,
  [SMALL_STATE(1206)] = 52282,
  [SMALL_STATE(1207)] = 52304,
  [SMALL_STATE(1208)] = 52322,
  [SMALL_STATE(1209)] = 52344,
  [SMALL_STATE(1210)] = 52364,
  [SMALL_STATE(1211)] = 52384,
  [SMALL_STATE(1212)] = 52404,
  [SMALL_STATE(1213)] = 52426,
  [SMALL_STATE(1214)] = 52442,
  [SMALL_STATE(1215)] = 52464,
  [SMALL_STATE(1216)] = 52486,
  [SMALL_STATE(1217)] = 52508,
  [SMALL_STATE(1218)] = 52530,
  [SMALL_STATE(1219)] = 52552,
  [SMALL_STATE(1220)] = 52572,
  [SMALL_STATE(1221)] = 52594,
  [SMALL_STATE(1222)] = 52610,
  [SMALL_STATE(1223)] = 52630,
  [SMALL_STATE(1224)] = 52652,
  [SMALL_STATE(1225)] = 52670,
  [SMALL_STATE(1226)] = 52692,
  [SMALL_STATE(1227)] = 52712,
  [SMALL_STATE(1228)] = 52734,
  [SMALL_STATE(1229)] = 52756,
  [SMALL_STATE(1230)] = 52778,
  [SMALL_STATE(1231)] = 52800,
  [SMALL_STATE(1232)] = 52822,
  [SMALL_STATE(1233)] = 52844,
  [SMALL_STATE(1234)] = 52862,
  [SMALL_STATE(1235)] = 52882,
  [SMALL_STATE(1236)] = 52898,
  [SMALL_STATE(1237)] = 52918,
  [SMALL_STATE(1238)] = 52940,
  [SMALL_STATE(1239)] = 52960,
  [SMALL_STATE(1240)] = 52980,
  [SMALL_STATE(1241)] = 53002,
  [SMALL_STATE(1242)] = 53018,
  [SMALL_STATE(1243)] = 53038,
  [SMALL_STATE(1244)] = 53060,
  [SMALL_STATE(1245)] = 53082,
  [SMALL_STATE(1246)] = 53102,
  [SMALL_STATE(1247)] = 53118,
  [SMALL_STATE(1248)] = 53138,
  [SMALL_STATE(1249)] = 53158,
  [SMALL_STATE(1250)] = 53178,
  [SMALL_STATE(1251)] = 53200,
  [SMALL_STATE(1252)] = 53222,
  [SMALL_STATE(1253)] = 53242,
  [SMALL_STATE(1254)] = 53264,
  [SMALL_STATE(1255)] = 53286,
  [SMALL_STATE(1256)] = 53308,
  [SMALL_STATE(1257)] = 53330,
  [SMALL_STATE(1258)] = 53348,
  [SMALL_STATE(1259)] = 53364,
  [SMALL_STATE(1260)] = 53386,
  [SMALL_STATE(1261)] = 53404,
  [SMALL_STATE(1262)] = 53424,
  [SMALL_STATE(1263)] = 53446,
  [SMALL_STATE(1264)] = 53468,
  [SMALL_STATE(1265)] = 53488,
  [SMALL_STATE(1266)] = 53508,
  [SMALL_STATE(1267)] = 53528,
  [SMALL_STATE(1268)] = 53548,
  [SMALL_STATE(1269)] = 53570,
  [SMALL_STATE(1270)] = 53590,
  [SMALL_STATE(1271)] = 53606,
  [SMALL_STATE(1272)] = 53622,
  [SMALL_STATE(1273)] = 53638,
  [SMALL_STATE(1274)] = 53658,
  [SMALL_STATE(1275)] = 53677,
  [SMALL_STATE(1276)] = 53696,
  [SMALL_STATE(1277)] = 53715,
  [SMALL_STATE(1278)] = 53734,
  [SMALL_STATE(1279)] = 53749,
  [SMALL_STATE(1280)] = 53766,
  [SMALL_STATE(1281)] = 53783,
  [SMALL_STATE(1282)] = 53800,
  [SMALL_STATE(1283)] = 53817,
  [SMALL_STATE(1284)] = 53836,
  [SMALL_STATE(1285)] = 53855,
  [SMALL_STATE(1286)] = 53870,
  [SMALL_STATE(1287)] = 53889,
  [SMALL_STATE(1288)] = 53908,
  [SMALL_STATE(1289)] = 53925,
  [SMALL_STATE(1290)] = 53942,
  [SMALL_STATE(1291)] = 53959,
  [SMALL_STATE(1292)] = 53978,
  [SMALL_STATE(1293)] = 53997,
  [SMALL_STATE(1294)] = 54014,
  [SMALL_STATE(1295)] = 54031,
  [SMALL_STATE(1296)] = 54050,
  [SMALL_STATE(1297)] = 54069,
  [SMALL_STATE(1298)] = 54088,
  [SMALL_STATE(1299)] = 54107,
  [SMALL_STATE(1300)] = 54126,
  [SMALL_STATE(1301)] = 54141,
  [SMALL_STATE(1302)] = 54156,
  [SMALL_STATE(1303)] = 54175,
  [SMALL_STATE(1304)] = 54194,
  [SMALL_STATE(1305)] = 54213,
  [SMALL_STATE(1306)] = 54232,
  [SMALL_STATE(1307)] = 54251,
  [SMALL_STATE(1308)] = 54270,
  [SMALL_STATE(1309)] = 54289,
  [SMALL_STATE(1310)] = 54306,
  [SMALL_STATE(1311)] = 54323,
  [SMALL_STATE(1312)] = 54340,
  [SMALL_STATE(1313)] = 54359,
  [SMALL_STATE(1314)] = 54378,
  [SMALL_STATE(1315)] = 54397,
  [SMALL_STATE(1316)] = 54416,
  [SMALL_STATE(1317)] = 54435,
  [SMALL_STATE(1318)] = 54454,
  [SMALL_STATE(1319)] = 54469,
  [SMALL_STATE(1320)] = 54484,
  [SMALL_STATE(1321)] = 54503,
  [SMALL_STATE(1322)] = 54522,
  [SMALL_STATE(1323)] = 54539,
  [SMALL_STATE(1324)] = 54558,
  [SMALL_STATE(1325)] = 54575,
  [SMALL_STATE(1326)] = 54594,
  [SMALL_STATE(1327)] = 54613,
  [SMALL_STATE(1328)] = 54632,
  [SMALL_STATE(1329)] = 54649,
  [SMALL_STATE(1330)] = 54668,
  [SMALL_STATE(1331)] = 54687,
  [SMALL_STATE(1332)] = 54706,
  [SMALL_STATE(1333)] = 54725,
  [SMALL_STATE(1334)] = 54742,
  [SMALL_STATE(1335)] = 54761,
  [SMALL_STATE(1336)] = 54778,
  [SMALL_STATE(1337)] = 54797,
  [SMALL_STATE(1338)] = 54812,
  [SMALL_STATE(1339)] = 54831,
  [SMALL_STATE(1340)] = 54850,
  [SMALL_STATE(1341)] = 54869,
  [SMALL_STATE(1342)] = 54888,
  [SMALL_STATE(1343)] = 54907,
  [SMALL_STATE(1344)] = 54924,
  [SMALL_STATE(1345)] = 54943,
  [SMALL_STATE(1346)] = 54962,
  [SMALL_STATE(1347)] = 54981,
  [SMALL_STATE(1348)] = 55000,
  [SMALL_STATE(1349)] = 55015,
  [SMALL_STATE(1350)] = 55034,
  [SMALL_STATE(1351)] = 55049,
  [SMALL_STATE(1352)] = 55068,
  [SMALL_STATE(1353)] = 55087,
  [SMALL_STATE(1354)] = 55106,
  [SMALL_STATE(1355)] = 55125,
  [SMALL_STATE(1356)] = 55144,
  [SMALL_STATE(1357)] = 55163,
  [SMALL_STATE(1358)] = 55182,
  [SMALL_STATE(1359)] = 55201,
  [SMALL_STATE(1360)] = 55220,
  [SMALL_STATE(1361)] = 55239,
  [SMALL_STATE(1362)] = 55258,
  [SMALL_STATE(1363)] = 55277,
  [SMALL_STATE(1364)] = 55296,
  [SMALL_STATE(1365)] = 55315,
  [SMALL_STATE(1366)] = 55334,
  [SMALL_STATE(1367)] = 55353,
  [SMALL_STATE(1368)] = 55370,
  [SMALL_STATE(1369)] = 55387,
  [SMALL_STATE(1370)] = 55404,
  [SMALL_STATE(1371)] = 55423,
  [SMALL_STATE(1372)] = 55442,
  [SMALL_STATE(1373)] = 55461,
  [SMALL_STATE(1374)] = 55480,
  [SMALL_STATE(1375)] = 55496,
  [SMALL_STATE(1376)] = 55512,
  [SMALL_STATE(1377)] = 55528,
  [SMALL_STATE(1378)] = 55544,
  [SMALL_STATE(1379)] = 55560,
  [SMALL_STATE(1380)] = 55576,
  [SMALL_STATE(1381)] = 55592,
  [SMALL_STATE(1382)] = 55608,
  [SMALL_STATE(1383)] = 55624,
  [SMALL_STATE(1384)] = 55640,
  [SMALL_STATE(1385)] = 55656,
  [SMALL_STATE(1386)] = 55672,
  [SMALL_STATE(1387)] = 55688,
  [SMALL_STATE(1388)] = 55702,
  [SMALL_STATE(1389)] = 55718,
  [SMALL_STATE(1390)] = 55734,
  [SMALL_STATE(1391)] = 55750,
  [SMALL_STATE(1392)] = 55766,
  [SMALL_STATE(1393)] = 55782,
  [SMALL_STATE(1394)] = 55796,
  [SMALL_STATE(1395)] = 55812,
  [SMALL_STATE(1396)] = 55826,
  [SMALL_STATE(1397)] = 55842,
  [SMALL_STATE(1398)] = 55856,
  [SMALL_STATE(1399)] = 55872,
  [SMALL_STATE(1400)] = 55888,
  [SMALL_STATE(1401)] = 55904,
  [SMALL_STATE(1402)] = 55918,
  [SMALL_STATE(1403)] = 55934,
  [SMALL_STATE(1404)] = 55948,
  [SMALL_STATE(1405)] = 55964,
  [SMALL_STATE(1406)] = 55980,
  [SMALL_STATE(1407)] = 55996,
  [SMALL_STATE(1408)] = 56012,
  [SMALL_STATE(1409)] = 56028,
  [SMALL_STATE(1410)] = 56044,
  [SMALL_STATE(1411)] = 56060,
  [SMALL_STATE(1412)] = 56076,
  [SMALL_STATE(1413)] = 56092,
  [SMALL_STATE(1414)] = 56106,
  [SMALL_STATE(1415)] = 56120,
  [SMALL_STATE(1416)] = 56134,
  [SMALL_STATE(1417)] = 56150,
  [SMALL_STATE(1418)] = 56164,
  [SMALL_STATE(1419)] = 56180,
  [SMALL_STATE(1420)] = 56196,
  [SMALL_STATE(1421)] = 56210,
  [SMALL_STATE(1422)] = 56226,
  [SMALL_STATE(1423)] = 56242,
  [SMALL_STATE(1424)] = 56258,
  [SMALL_STATE(1425)] = 56274,
  [SMALL_STATE(1426)] = 56290,
  [SMALL_STATE(1427)] = 56304,
  [SMALL_STATE(1428)] = 56320,
  [SMALL_STATE(1429)] = 56336,
  [SMALL_STATE(1430)] = 56352,
  [SMALL_STATE(1431)] = 56368,
  [SMALL_STATE(1432)] = 56384,
  [SMALL_STATE(1433)] = 56400,
  [SMALL_STATE(1434)] = 56416,
  [SMALL_STATE(1435)] = 56432,
  [SMALL_STATE(1436)] = 56446,
  [SMALL_STATE(1437)] = 56462,
  [SMALL_STATE(1438)] = 56478,
  [SMALL_STATE(1439)] = 56494,
  [SMALL_STATE(1440)] = 56510,
  [SMALL_STATE(1441)] = 56526,
  [SMALL_STATE(1442)] = 56542,
  [SMALL_STATE(1443)] = 56558,
  [SMALL_STATE(1444)] = 56574,
  [SMALL_STATE(1445)] = 56590,
  [SMALL_STATE(1446)] = 56606,
  [SMALL_STATE(1447)] = 56622,
  [SMALL_STATE(1448)] = 56638,
  [SMALL_STATE(1449)] = 56654,
  [SMALL_STATE(1450)] = 56670,
  [SMALL_STATE(1451)] = 56686,
  [SMALL_STATE(1452)] = 56702,
  [SMALL_STATE(1453)] = 56718,
  [SMALL_STATE(1454)] = 56734,
  [SMALL_STATE(1455)] = 56750,
  [SMALL_STATE(1456)] = 56766,
  [SMALL_STATE(1457)] = 56782,
  [SMALL_STATE(1458)] = 56798,
  [SMALL_STATE(1459)] = 56814,
  [SMALL_STATE(1460)] = 56830,
  [SMALL_STATE(1461)] = 56846,
  [SMALL_STATE(1462)] = 56862,
  [SMALL_STATE(1463)] = 56878,
  [SMALL_STATE(1464)] = 56894,
  [SMALL_STATE(1465)] = 56910,
  [SMALL_STATE(1466)] = 56926,
  [SMALL_STATE(1467)] = 56942,
  [SMALL_STATE(1468)] = 56958,
  [SMALL_STATE(1469)] = 56974,
  [SMALL_STATE(1470)] = 56990,
  [SMALL_STATE(1471)] = 57006,
  [SMALL_STATE(1472)] = 57022,
  [SMALL_STATE(1473)] = 57038,
  [SMALL_STATE(1474)] = 57054,
  [SMALL_STATE(1475)] = 57068,
  [SMALL_STATE(1476)] = 57084,
  [SMALL_STATE(1477)] = 57098,
  [SMALL_STATE(1478)] = 57114,
  [SMALL_STATE(1479)] = 57130,
  [SMALL_STATE(1480)] = 57146,
  [SMALL_STATE(1481)] = 57162,
  [SMALL_STATE(1482)] = 57178,
  [SMALL_STATE(1483)] = 57192,
  [SMALL_STATE(1484)] = 57208,
  [SMALL_STATE(1485)] = 57224,
  [SMALL_STATE(1486)] = 57240,
  [SMALL_STATE(1487)] = 57256,
  [SMALL_STATE(1488)] = 57272,
  [SMALL_STATE(1489)] = 57288,
  [SMALL_STATE(1490)] = 57304,
  [SMALL_STATE(1491)] = 57320,
  [SMALL_STATE(1492)] = 57334,
  [SMALL_STATE(1493)] = 57350,
  [SMALL_STATE(1494)] = 57366,
  [SMALL_STATE(1495)] = 57382,
  [SMALL_STATE(1496)] = 57398,
  [SMALL_STATE(1497)] = 57414,
  [SMALL_STATE(1498)] = 57430,
  [SMALL_STATE(1499)] = 57446,
  [SMALL_STATE(1500)] = 57462,
  [SMALL_STATE(1501)] = 57478,
  [SMALL_STATE(1502)] = 57494,
  [SMALL_STATE(1503)] = 57510,
  [SMALL_STATE(1504)] = 57526,
  [SMALL_STATE(1505)] = 57540,
  [SMALL_STATE(1506)] = 57554,
  [SMALL_STATE(1507)] = 57568,
  [SMALL_STATE(1508)] = 57582,
  [SMALL_STATE(1509)] = 57596,
  [SMALL_STATE(1510)] = 57610,
  [SMALL_STATE(1511)] = 57624,
  [SMALL_STATE(1512)] = 57640,
  [SMALL_STATE(1513)] = 57656,
  [SMALL_STATE(1514)] = 57670,
  [SMALL_STATE(1515)] = 57684,
  [SMALL_STATE(1516)] = 57700,
  [SMALL_STATE(1517)] = 57716,
  [SMALL_STATE(1518)] = 57732,
  [SMALL_STATE(1519)] = 57748,
  [SMALL_STATE(1520)] = 57764,
  [SMALL_STATE(1521)] = 57780,
  [SMALL_STATE(1522)] = 57796,
  [SMALL_STATE(1523)] = 57810,
  [SMALL_STATE(1524)] = 57826,
  [SMALL_STATE(1525)] = 57842,
  [SMALL_STATE(1526)] = 57858,
  [SMALL_STATE(1527)] = 57872,
  [SMALL_STATE(1528)] = 57888,
  [SMALL_STATE(1529)] = 57904,
  [SMALL_STATE(1530)] = 57920,
  [SMALL_STATE(1531)] = 57934,
  [SMALL_STATE(1532)] = 57950,
  [SMALL_STATE(1533)] = 57966,
  [SMALL_STATE(1534)] = 57982,
  [SMALL_STATE(1535)] = 57996,
  [SMALL_STATE(1536)] = 58012,
  [SMALL_STATE(1537)] = 58028,
  [SMALL_STATE(1538)] = 58044,
  [SMALL_STATE(1539)] = 58060,
  [SMALL_STATE(1540)] = 58076,
  [SMALL_STATE(1541)] = 58092,
  [SMALL_STATE(1542)] = 58108,
  [SMALL_STATE(1543)] = 58124,
  [SMALL_STATE(1544)] = 58140,
  [SMALL_STATE(1545)] = 58154,
  [SMALL_STATE(1546)] = 58170,
  [SMALL_STATE(1547)] = 58186,
  [SMALL_STATE(1548)] = 58202,
  [SMALL_STATE(1549)] = 58218,
  [SMALL_STATE(1550)] = 58234,
  [SMALL_STATE(1551)] = 58250,
  [SMALL_STATE(1552)] = 58266,
  [SMALL_STATE(1553)] = 58282,
  [SMALL_STATE(1554)] = 58298,
  [SMALL_STATE(1555)] = 58314,
  [SMALL_STATE(1556)] = 58330,
  [SMALL_STATE(1557)] = 58344,
  [SMALL_STATE(1558)] = 58360,
  [SMALL_STATE(1559)] = 58374,
  [SMALL_STATE(1560)] = 58390,
  [SMALL_STATE(1561)] = 58406,
  [SMALL_STATE(1562)] = 58422,
  [SMALL_STATE(1563)] = 58438,
  [SMALL_STATE(1564)] = 58454,
  [SMALL_STATE(1565)] = 58470,
  [SMALL_STATE(1566)] = 58486,
  [SMALL_STATE(1567)] = 58502,
  [SMALL_STATE(1568)] = 58518,
  [SMALL_STATE(1569)] = 58534,
  [SMALL_STATE(1570)] = 58550,
  [SMALL_STATE(1571)] = 58566,
  [SMALL_STATE(1572)] = 58582,
  [SMALL_STATE(1573)] = 58598,
  [SMALL_STATE(1574)] = 58614,
  [SMALL_STATE(1575)] = 58630,
  [SMALL_STATE(1576)] = 58646,
  [SMALL_STATE(1577)] = 58662,
  [SMALL_STATE(1578)] = 58678,
  [SMALL_STATE(1579)] = 58694,
  [SMALL_STATE(1580)] = 58710,
  [SMALL_STATE(1581)] = 58726,
  [SMALL_STATE(1582)] = 58742,
  [SMALL_STATE(1583)] = 58758,
  [SMALL_STATE(1584)] = 58772,
  [SMALL_STATE(1585)] = 58788,
  [SMALL_STATE(1586)] = 58804,
  [SMALL_STATE(1587)] = 58820,
  [SMALL_STATE(1588)] = 58836,
  [SMALL_STATE(1589)] = 58852,
  [SMALL_STATE(1590)] = 58868,
  [SMALL_STATE(1591)] = 58884,
  [SMALL_STATE(1592)] = 58900,
  [SMALL_STATE(1593)] = 58916,
  [SMALL_STATE(1594)] = 58930,
  [SMALL_STATE(1595)] = 58946,
  [SMALL_STATE(1596)] = 58962,
  [SMALL_STATE(1597)] = 58978,
  [SMALL_STATE(1598)] = 58994,
  [SMALL_STATE(1599)] = 59010,
  [SMALL_STATE(1600)] = 59026,
  [SMALL_STATE(1601)] = 59040,
  [SMALL_STATE(1602)] = 59056,
  [SMALL_STATE(1603)] = 59072,
  [SMALL_STATE(1604)] = 59088,
  [SMALL_STATE(1605)] = 59104,
  [SMALL_STATE(1606)] = 59120,
  [SMALL_STATE(1607)] = 59136,
  [SMALL_STATE(1608)] = 59152,
  [SMALL_STATE(1609)] = 59168,
  [SMALL_STATE(1610)] = 59184,
  [SMALL_STATE(1611)] = 59200,
  [SMALL_STATE(1612)] = 59216,
  [SMALL_STATE(1613)] = 59232,
  [SMALL_STATE(1614)] = 59248,
  [SMALL_STATE(1615)] = 59264,
  [SMALL_STATE(1616)] = 59280,
  [SMALL_STATE(1617)] = 59296,
  [SMALL_STATE(1618)] = 59312,
  [SMALL_STATE(1619)] = 59328,
  [SMALL_STATE(1620)] = 59344,
  [SMALL_STATE(1621)] = 59360,
  [SMALL_STATE(1622)] = 59373,
  [SMALL_STATE(1623)] = 59386,
  [SMALL_STATE(1624)] = 59399,
  [SMALL_STATE(1625)] = 59412,
  [SMALL_STATE(1626)] = 59425,
  [SMALL_STATE(1627)] = 59438,
  [SMALL_STATE(1628)] = 59451,
  [SMALL_STATE(1629)] = 59464,
  [SMALL_STATE(1630)] = 59477,
  [SMALL_STATE(1631)] = 59490,
  [SMALL_STATE(1632)] = 59503,
  [SMALL_STATE(1633)] = 59516,
  [SMALL_STATE(1634)] = 59529,
  [SMALL_STATE(1635)] = 59542,
  [SMALL_STATE(1636)] = 59555,
  [SMALL_STATE(1637)] = 59568,
  [SMALL_STATE(1638)] = 59581,
  [SMALL_STATE(1639)] = 59594,
  [SMALL_STATE(1640)] = 59607,
  [SMALL_STATE(1641)] = 59620,
  [SMALL_STATE(1642)] = 59633,
  [SMALL_STATE(1643)] = 59646,
  [SMALL_STATE(1644)] = 59659,
  [SMALL_STATE(1645)] = 59672,
  [SMALL_STATE(1646)] = 59685,
  [SMALL_STATE(1647)] = 59698,
  [SMALL_STATE(1648)] = 59711,
  [SMALL_STATE(1649)] = 59724,
  [SMALL_STATE(1650)] = 59737,
  [SMALL_STATE(1651)] = 59750,
  [SMALL_STATE(1652)] = 59763,
  [SMALL_STATE(1653)] = 59776,
  [SMALL_STATE(1654)] = 59789,
  [SMALL_STATE(1655)] = 59802,
  [SMALL_STATE(1656)] = 59815,
  [SMALL_STATE(1657)] = 59828,
  [SMALL_STATE(1658)] = 59841,
  [SMALL_STATE(1659)] = 59854,
  [SMALL_STATE(1660)] = 59867,
  [SMALL_STATE(1661)] = 59880,
  [SMALL_STATE(1662)] = 59893,
  [SMALL_STATE(1663)] = 59906,
  [SMALL_STATE(1664)] = 59919,
  [SMALL_STATE(1665)] = 59932,
  [SMALL_STATE(1666)] = 59945,
  [SMALL_STATE(1667)] = 59958,
  [SMALL_STATE(1668)] = 59971,
  [SMALL_STATE(1669)] = 59984,
  [SMALL_STATE(1670)] = 59997,
  [SMALL_STATE(1671)] = 60010,
  [SMALL_STATE(1672)] = 60023,
  [SMALL_STATE(1673)] = 60036,
  [SMALL_STATE(1674)] = 60049,
  [SMALL_STATE(1675)] = 60062,
  [SMALL_STATE(1676)] = 60075,
  [SMALL_STATE(1677)] = 60088,
  [SMALL_STATE(1678)] = 60101,
  [SMALL_STATE(1679)] = 60114,
  [SMALL_STATE(1680)] = 60127,
  [SMALL_STATE(1681)] = 60140,
  [SMALL_STATE(1682)] = 60153,
  [SMALL_STATE(1683)] = 60166,
  [SMALL_STATE(1684)] = 60179,
  [SMALL_STATE(1685)] = 60192,
  [SMALL_STATE(1686)] = 60205,
  [SMALL_STATE(1687)] = 60218,
  [SMALL_STATE(1688)] = 60231,
  [SMALL_STATE(1689)] = 60244,
  [SMALL_STATE(1690)] = 60257,
  [SMALL_STATE(1691)] = 60270,
  [SMALL_STATE(1692)] = 60283,
  [SMALL_STATE(1693)] = 60296,
  [SMALL_STATE(1694)] = 60309,
  [SMALL_STATE(1695)] = 60322,
  [SMALL_STATE(1696)] = 60335,
  [SMALL_STATE(1697)] = 60348,
  [SMALL_STATE(1698)] = 60361,
  [SMALL_STATE(1699)] = 60374,
  [SMALL_STATE(1700)] = 60387,
  [SMALL_STATE(1701)] = 60400,
  [SMALL_STATE(1702)] = 60413,
  [SMALL_STATE(1703)] = 60426,
  [SMALL_STATE(1704)] = 60439,
  [SMALL_STATE(1705)] = 60452,
  [SMALL_STATE(1706)] = 60465,
  [SMALL_STATE(1707)] = 60478,
  [SMALL_STATE(1708)] = 60491,
  [SMALL_STATE(1709)] = 60504,
  [SMALL_STATE(1710)] = 60517,
  [SMALL_STATE(1711)] = 60530,
  [SMALL_STATE(1712)] = 60543,
  [SMALL_STATE(1713)] = 60556,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(432),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1020),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1378),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1085),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1072),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1382),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1277),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1385),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(40),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1279),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1281),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(331),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(56),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1162),
  [239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1248),
  [242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1247),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(296),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1244),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(136),
  [257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(718),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(718),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(719),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 59),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 59),
  [294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 100),
  [296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 100),
  [298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 37),
  [300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 37),
  [302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 98),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 98),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 71),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 71),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 36),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 36),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 36),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 36),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 92),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 92),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 69),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 69),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 88),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 88),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 76),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 76),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 88),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 88),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 80),
  [662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 80),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(32),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(998),
  [854] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(93),
  [858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(265),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(93),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(153),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(228),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(274),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 62),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 62),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 36),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 36),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(83),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 105),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 105),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 101),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 101),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 94),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 94),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 95),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 95),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(271),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(213),
  [1292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(127),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 37),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 37),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 89),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 81),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 81),
  [1455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 11),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 11),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 42),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 42),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 77),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 77),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 9),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 9),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 41),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 38),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 38),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 39),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 39),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 40),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 40),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 43),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 43),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 53),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 53),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 48),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 48),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 49),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 49),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 43),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 15),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 59),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(179),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 41),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 41), REDUCE(sym_assignment_expression, 3, 0, 41),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 41),
  [1690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 41),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [1815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(250),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1246),
  [1991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1013),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70),
  [1996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(934),
  [1999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(157),
  [2002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1397),
  [2005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1266),
  [2008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1265),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(890),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1221),
  [2017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1283),
  [2020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(872),
  [2023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(976),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(926),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [2097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(1574),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 34),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 34),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34), SHIFT_REPEAT(936),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 44),
  [2230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 44),
  [2232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(1283),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 37),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 37),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [2345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [2348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1089),
  [2351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [2357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1067),
  [2394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(95),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65),
  [2399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1067),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1, 0, 0),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1, 0, 0),
  [2490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 31),
  [2514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 68),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 44),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 44),
  [2528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1642),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 35),
  [2538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [2545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [2547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1235),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [2564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [2567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 85),
  [2571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(213),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(271),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 32),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 32),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [2707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1310),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(89),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1309),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1294),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [2807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1294),
  [2810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1293),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [2815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1293),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [2838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1084),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1098),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(94),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 1, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 1, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 1, 0, 0),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 1, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1, 0, 0),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [2945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1, 0, 0),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1, 0, 0),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 57),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(1415),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [2992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(84),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [3048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 82),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1, 0, 0),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1, 0, 0),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 82),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [3125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 67),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 97),
  [3141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 86),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
};

static const bool ts_external_scanner_states[9][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
